#!/usr/bin/env python
###########################################################################
# obd_sensors.py
#
# Copyright 2004 Donour Sizemore (donour@uchicago.edu)
# Copyright 2009 Secons Ltd. (www.obdtester.com)
#
# This file is part of pyOBD.
#
# pyOBD is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# pyOBD is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with pyOBD; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
###########################################################################
# m750 
###########################################################################
pcodes = {

	"B0000": "?",
	"B0001": "Driver Frontal Stage 1 Deployment Control -Subfault",
	"B0002": "Driver Frontal Stage 2 Deployment Control -Subfault",
	"B0003": "Driver Frontal Stage 3 Deployment Control -Subfault",
	"B0004": "Driver Knee Bolster Deployment Control -Subfault",
	"B0005": "Collapsible Steering Column Deployment Control",
	"B0006": "Opel-Vauxhall: Immobilizer Control Module/ECM Communication Error-Voltage Too High",
	"B0007": "Opel-Vauxhall: Immobilizer Control Module/ECM Communication Error - No ECM Signal",
	"B0008": "Opel-Vauxhall: Ignition Key Signal Not Correct",
	"B0009": "Opel-Vauxhall: Immobilizer Control Module Ignition Key Programming Error",
	"B0010": "Generic: Driver Knee Bolster Deployment Control -Subfault",
	"B0011": "?",
	"B0012": "?",
	"B0013": "?",
	"B0014": "?",
	"B0015": "?",
	"B0016": "?",
	"B0017": "?",
	"B0018": "?",
	"B0019": "?",
	"B0020": "?",
	"B0021": "?",
	"B0022": "?",
	"B0023": "?",
	"B0024": "?",
	"B0025": "?",
	"B0026": "?",
	"B0027": "?",
	"B0028": "?",
	"B0029": "?",
	"B0030": "?",
	"B0031": "?",
	"B0032": "?",
	"B0033": "?",
	"B0034": "?",
	"B0035": "?",
	"B0036": "?",
	"B0037": "?",
	"B0038": "?",
	"B0039": "?",
	"B0040": "?",
	"B0041": "?",
	"B0042": "?",
	"B0043": "?",
	"B0044": "?",
	"B0045": "?",
	"B0046": "?",
	"B0047": "?",
	"B0048": "?",
	"B0049": "?",
	"B0050": "?",
	"B0051": "?",
	"B0052": "?",
	"B0053": "?",
	"B0054": "?",
	"B0055": "?",
	"B0056": "?",
	"B0057": "?",
	"B0058": "?",
	"B0059": "?",
	"B0060": "?",
	"B0061": "?",
	"B0062": "?",
	"B0063": "?",
	"B0064": "?",
	"B0065": "?",
	"B0066": "?",
	"B0067": "?",
	"B0068": "?",
	"B0069": "?",
	"B0070": "?",
	"B0071": "?",
	"B0072": "?",
	"B0073": "?",
	"B0074": "?",
	"B0075": "?",
	"B0076": "?",
	"B0077": "?",
	"B0078": "?",
	"B0079": "?",
	"B0080": "?",
	"B0081": "?",
	"B0082": "?",
	"B0083": "?",
	"B0084": "?",
	"B0085": "?",
	"B0086": "?",
	"B0087": "?",
	"B0088": "?",
	"B0089": "?",
	"B0090": "?",
	"B0091": "?",
	"B0092": "?",
	"B0093": "?",
	"B0094": "?",
	"B0095": "?",
	"B0096": "?",
	"B0097": "?",
	"B0098": "?",
	"B0099": "?",
	"B0100": "?",
	"B0101": "?",
	"B0102": "?",
	"B0103": "?",
	"B0104": "?",
	"B0105": "?",
	"B0106": "?",
	"B0107": "?",
	"B0108": "?",
	"B0109": "?",
	"B0110": "?",
	"B0111": "?",
	"B0112": "?",
	"B0113": "?",
	"B0114": "?",
	"B0115": "?",
	"B0116": "?",
	"B0117": "?",
	"B0118": "?",
	"B0119": "?",
	"B0120": "?",
	"B0121": "?",
	"B0122": "?",
	"B0123": "?",
	"B0124": "?",
	"B0125": "?",
	"B0126": "?",
	"B0127": "?",
	"B0128": "?",
	"B0129": "?",
	"B0130": "?",
	"B0131": "?",
	"B0132": "?",
	"B0133": "?",
	"B0134": "?",
	"B0135": "?",
	"B0136": "?",
	"B0137": "?",
	"B0138": "?",
	"B0139": "?",
	"B0140": "?",
	"B0141": "?",
	"B0142": "?",
	"B0143": "?",
	"B0144": "?",
	"B0145": "?",
	"B0146": "?",
	"B0147": "?",
	"B0148": "?",
	"B0149": "?",
	"B0150": "?",
	"B0151": "?",
	"B0152": "?",
	"B0153": "?",
	"B0154": "?",
	"B0155": "?",
	"B0156": "?",
	"B0157": "?",
	"B0158": "?",
	"B0159": "?",
	"B0160": "?",
	"B0161": "?",
	"B0162": "?",
	"B0163": "?",
	"B0164": "?",
	"B0165": "?",
	"B0166": "?",
	"B0167": "?",
	"B0168": "?",
	"B0169": "?",
	"B0170": "?",
	"B0171": "?",
	"B0172": "?",
	"B0173": "?",
	"B0174": "?",
	"B0175": "?",
	"B0176": "?",
	"B0177": "?",
	"B0178": "?",
	"B0179": "?",
	"B0180": "?",
	"B0181": "?",
	"B0182": "?",
	"B0183": "?",
	"B0184": "?",
	"B0185": "?",
	"B0186": "?",
	"B0187": "?",
	"B0188": "?",
	"B0189": "?",
	"B0190": "?",
	"B0191": "?",
	"B0192": "?",
	"B0193": "?",
	"B0194": "?",
	"B0195": "?",
	"B0196": "?",
	"B0197": "?",
	"B0198": "?",
	"B0199": "?",
	"B0200": "?",
	"B0201": "?",
	"B0202": "?",
	"B0203": "?",
	"B0204": "?",
	"B0205": "?",
	"B0206": "?",
	"B0207": "?",
	"B0208": "?",
	"B0209": "?",
	"B0210": "?",
	"B0211": "?",
	"B0212": "?",
	"B0213": "?",
	"B0214": "?",
	"B0215": "?",
	"B0216": "?",
	"B0217": "?",
	"B0218": "?",
	"B0219": "?",
	"B0220": "?",
	"B0221": "?",
	"B0222": "?",
	"B0223": "?",
	"B0224": "?",
	"B0225": "?",
	"B0226": "?",
	"B0227": "?",
	"B0228": "?",
	"B0229": "?",
	"B0230": "?",
	"B0231": "?",
	"B0232": "?",
	"B0233": "?",
	"B0234": "?",
	"B0235": "?",
	"B0236": "?",
	"B0237": "?",
	"B0238": "?",
	"B0239": "?",
	"B0240": "?",
	"B0241": "?",
	"B0242": "?",
	"B0243": "?",
	"B0244": "?",
	"B0245": "?",
	"B0246": "?",
	"B0247": "?",
	"B0248": "?",
	"B0249": "?",
	"B0250": "?",
	"B0251": "?",
	"B0252": "?",
	"B0253": "?",
	"B0254": "?",
	"B0255": "?",
	"B0256": "?",
	"B0257": "?",
	"B0258": "?",
	"B0259": "?",
	"B0260": "?",
	"B0261": "?",
	"B0262": "?",
	"B0263": "?",
	"B0264": "?",
	"B0265": "?",
	"B0266": "?",
	"B0267": "?",
	"B0268": "?",
	"B0269": "?",
	"B0270": "?",
	"B0271": "?",
	"B0272": "?",
	"B0273": "?",
	"B0274": "?",
	"B0275": "?",
	"B0276": "?",
	"B0277": "?",
	"B0278": "?",
	"B0279": "?",
	"B0280": "?",
	"B0281": "?",
	"B0282": "?",
	"B0283": "?",
	"B0284": "?",
	"B0285": "?",
	"B0286": "?",
	"B0287": "?",
	"B0288": "?",
	"B0289": "?",
	"B0290": "?",
	"B0291": "?",
	"B0292": "?",
	"B0293": "?",
	"B0294": "?",
	"B0295": "?",
	"B0296": "?",
	"B0297": "?",
	"B0298": "?",
	"B0299": "?",
	"B0300": "?",
	"B0301": "?",
	"B0302": "?",
	"B0303": "?",
	"B0304": "?",
	"B0305": "?",
	"B0306": "?",
	"B0307": "?",
	"B0308": "?",
	"B0309": "?",
	"B0310": "?",
	"B0311": "?",
	"B0312": "?",
	"B0313": "?",
	"B0314": "?",
	"B0315": "?",
	"B0316": "?",
	"B0317": "?",
	"B0318": "?",
	"B0319": "?",
	"B0320": "?",
	"B0321": "?",
	"B0322": "?",
	"B0323": "?",
	"B0324": "?",
	"B0325": "?",
	"B0326": "?",
	"B0327": "?",
	"B0328": "?",
	"B0329": "?",
	"B0330": "?",
	"B0331": "?",
	"B0332": "?",
	"B0333": "?",
	"B0334": "?",
	"B0335": "?",
	"B0336": "?",
	"B0337": "?",
	"B0338": "?",
	"B0339": "?",
	"B0340": "?",
	"B0341": "?",
	"B0342": "?",
	"B0343": "?",
	"B0344": "?",
	"B0345": "?",
	"B0346": "?",
	"B0347": "?",
	"B0348": "?",
	"B0349": "?",
	"B0350": "?",
	"B0351": "?",
	"B0352": "?",
	"B0353": "?",
	"B0354": "?",
	"B0355": "?",
	"B0356": "?",
	"B0357": "?",
	"B0358": "?",
	"B0359": "?",
	"B0360": "?",
	"B0361": "?",
	"B0362": "?",
	"B0363": "?",
	"B0364": "?",
	"B0365": "?",
	"B0366": "?",
	"B0367": "?",
	"B0368": "?",
	"B0369": "?",
	"B0370": "?",
	"B0371": "?",
	"B0372": "?",
	"B0373": "?",
	"B0374": "?",
	"B0375": "?",
	"B0376": "?",
	"B0377": "?",
	"B0378": "?",
	"B0379": "?",
	"B0380": "?",
	"B0381": "?",
	"B0382": "?",
	"B0383": "?",
	"B0384": "?",
	"B0385": "?",
	"B0386": "?",
	"B0387": "?",
	"B0388": "?",
	"B0389": "?",
	"B0390": "?",
	"B0391": "?",
	"B0392": "?",
	"B0393": "?",
	"B0394": "?",
	"B0395": "?",
	"B0396": "?",
	"B0397": "?",
	"B0398": "?",
	"B0399": "?",
	"B0400": "?",
	"B0401": "?",
	"B0402": "?",
	"B0403": "?",
	"B0404": "?",
	"B0405": "?",
	"B0406": "?",
	"B0407": "?",
	"B0408": "?",
	"B0409": "?",
	"B0410": "?",
	"B0411": "?",
	"B0412": "?",
	"B0413": "?",
	"B0414": "?",
	"B0415": "?",
	"B0416": "?",
	"B0417": "?",
	"B0418": "?",
	"B0419": "?",
	"B0420": "?",
	"B0421": "?",
	"B0422": "?",
	"B0423": "?",
	"B0424": "?",
	"B0425": "?",
	"B0426": "?",
	"B0427": "?",
	"B0428": "?",
	"B0429": "?",
	"B0430": "?",
	"B0431": "?",
	"B0432": "?",
	"B0433": "?",
	"B0434": "?",
	"B0435": "?",
	"B0436": "?",
	"B0437": "?",
	"B0438": "?",
	"B0439": "?",
	"B0440": "?",
	"B0441": "?",
	"B0442": "?",
	"B0443": "?",
	"B0444": "?",
	"B0445": "?",
	"B0446": "?",
	"B0447": "?",
	"B0448": "?",
	"B0449": "?",
	"B0450": "?",
	"B0451": "?",
	"B0452": "?",
	"B0453": "?",
	"B0454": "?",
	"B0455": "?",
	"B0456": "?",
	"B0457": "?",
	"B0458": "?",
	"B0459": "?",
	"B0460": "?",
	"B0461": "?",
	"B0462": "?",
	"B0463": "?",
	"B0464": "?",
	"B0465": "?",
	"B0466": "?",
	"B0467": "?",
	"B0468": "?",
	"B0469": "?",
	"B0470": "?",
	"B0471": "?",
	"B0472": "?",
	"B0473": "?",
	"B0474": "?",
	"B0475": "?",
	"B0476": "?",
	"B0477": "?",
	"B0478": "?",
	"B0479": "?",
	"B0480": "?",
	"B0481": "?",
	"B0482": "?",
	"B0483": "?",
	"B0484": "?",
	"B0485": "?",
	"B0486": "?",
	"B0487": "?",
	"B0488": "?",
	"B0489": "?",
	"B0490": "?",
	"B0491": "?",
	"B0492": "?",
	"B0493": "?",
	"B0494": "?",
	"B0495": "?",
	"B0496": "?",
	"B0497": "?",
	"B0498": "?",
	"B0499": "?",
	"B0500": "?",
	"B0501": "?",
	"B0502": "?",
	"B0503": "?",
	"B0504": "?",
	"B0505": "?",
	"B0506": "?",
	"B0507": "?",
	"B0508": "?",
	"B0509": "?",
	"B0510": "?",
	"B0511": "?",
	"B0512": "?",
	"B0513": "?",
	"B0514": "?",
	"B0515": "?",
	"B0516": "?",
	"B0517": "?",
	"B0518": "?",
	"B0519": "?",
	"B0520": "?",
	"B0521": "?",
	"B0522": "?",
	"B0523": "?",
	"B0524": "?",
	"B0525": "?",
	"B0526": "?",
	"B0527": "?",
	"B0528": "?",
	"B0529": "?",
	"B0530": "?",
	"B0531": "?",
	"B0532": "?",
	"B0533": "?",
	"B0534": "?",
	"B0535": "?",
	"B0536": "?",
	"B0537": "?",
	"B0538": "?",
	"B0539": "?",
	"B0540": "?",
	"B0541": "?",
	"B0542": "?",
	"B0543": "?",
	"B0544": "?",
	"B0545": "?",
	"B0546": "?",
	"B0547": "?",
	"B0548": "?",
	"B0549": "?",
	"B0550": "?",
	"B0551": "?",
	"B0552": "?",
	"B0553": "?",
	"B0554": "?",
	"B0555": "?",
	"B0556": "?",
	"B0557": "?",
	"B0558": "?",
	"B0559": "?",
	"B0560": "?",
	"B0561": "?",
	"B0562": "?",
	"B0563": "?",
	"B0564": "?",
	"B0565": "?",
	"B0566": "?",
	"B0567": "?",
	"B0568": "?",
	"B0569": "?",
	"B0570": "?",
	"B0571": "?",
	"B0572": "?",
	"B0573": "?",
	"B0574": "?",
	"B0575": "?",
	"B0576": "?",
	"B0577": "?",
	"B0578": "?",
	"B0579": "?",
	"B0580": "?",
	"B0581": "?",
	"B0582": "?",
	"B0583": "?",
	"B0584": "?",
	"B0585": "?",
	"B0586": "?",
	"B0587": "?",
	"B0588": "?",
	"B0589": "?",
	"B0590": "?",
	"B0591": "?",
	"B0592": "?",
	"B0593": "?",
	"B0594": "?",
	"B0595": "?",
	"B0596": "?",
	"B0597": "?",
	"B0598": "?",
	"B0599": "?",
	"B0600": "?",
	"B0601": "?",
	"B0602": "?",
	"B0603": "?",
	"B0604": "?",
	"B0605": "?",
	"B0606": "?",
	"B0607": "?",
	"B0608": "?",
	"B0609": "?",
	"B0610": "?",
	"B0611": "?",
	"B0612": "?",
	"B0613": "?",
	"B0614": "?",
	"B0615": "?",
	"B0616": "?",
	"B0617": "?",
	"B0618": "?",
	"B0619": "?",
	"B0620": "?",
	"B0621": "?",
	"B0622": "?",
	"B0623": "?",
	"B0624": "?",
	"B0625": "?",
	"B0626": "?",
	"B0627": "?",
	"B0628": "?",
	"B0629": "?",
	"B0630": "?",
	"B0631": "?",
	"B0632": "?",
	"B0633": "?",
	"B0634": "?",
	"B0635": "?",
	"B0636": "?",
	"B0637": "?",
	"B0638": "?",
	"B0639": "?",
	"B0640": "?",
	"B0641": "?",
	"B0642": "?",
	"B0643": "?",
	"B0644": "?",
	"B0645": "?",
	"B0646": "?",
	"B0647": "?",
	"B0648": "?",
	"B0649": "?",
	"B0650": "?",
	"B0651": "?",
	"B0652": "?",
	"B0653": "?",
	"B0654": "?",
	"B0655": "?",
	"B0656": "?",
	"B0657": "?",
	"B0658": "?",
	"B0659": "?",
	"B0660": "?",
	"B0661": "?",
	"B0662": "?",
	"B0663": "?",
	"B0664": "?",
	"B0665": "?",
	"B0666": "?",
	"B0667": "?",
	"B0668": "?",
	"B0669": "?",
	"B0670": "?",
	"B0671": "?",
	"B0672": "?",
	"B0673": "?",
	"B0674": "?",
	"B0675": "?",
	"B0676": "?",
	"B0677": "?",
	"B0678": "?",
	"B0679": "?",
	"B0680": "?",
	"B0681": "?",
	"B0682": "?",
	"B0683": "?",
	"B0684": "?",
	"B0685": "?",
	"B0686": "?",
	"B0687": "?",
	"B0688": "?",
	"B0689": "?",
	"B0690": "?",
	"B0691": "?",
	"B0692": "?",
	"B0693": "?",
	"B0694": "?",
	"B0695": "?",
	"B0696": "?",
	"B0697": "?",
	"B0698": "?",
	"B0699": "?",
	"B0700": "?",
	"B0701": "?",
	"B0702": "?",
	"B0703": "?",
	"B0704": "?",
	"B0705": "?",
	"B0706": "?",
	"B0707": "?",
	"B0708": "?",
	"B0709": "?",
	"B0710": "?",
	"B0711": "?",
	"B0712": "?",
	"B0713": "?",
	"B0714": "?",
	"B0715": "?",
	"B0716": "?",
	"B0717": "?",
	"B0718": "?",
	"B0719": "?",
	"B0720": "?",
	"B0721": "?",
	"B0722": "?",
	"B0723": "?",
	"B0724": "?",
	"B0725": "?",
	"B0726": "?",
	"B0727": "?",
	"B0728": "?",
	"B0729": "?",
	"B0730": "?",
	"B0731": "?",
	"B0732": "?",
	"B0733": "?",
	"B0734": "?",
	"B0735": "?",
	"B0736": "?",
	"B0737": "?",
	"B0738": "?",
	"B0739": "?",
	"B0740": "?",
	"B0741": "?",
	"B0742": "?",
	"B0743": "?",
	"B0744": "?",
	"B0745": "?",
	"B0746": "?",
	"B0747": "?",
	"B0748": "?",
	"B0749": "?",
	"B0750": "?",
	"B0751": "?",
	"B0752": "?",
	"B0753": "?",
	"B0754": "?",
	"B0755": "?",
	"B0756": "?",
	"B0757": "?",
	"B0758": "?",
	"B0759": "?",
	"B0760": "?",
	"B0761": "?",
	"B0762": "?",
	"B0763": "?",
	"B0764": "?",
	"B0765": "?",
	"B0766": "?",
	"B0767": "?",
	"B0768": "?",
	"B0769": "?",
	"B0770": "?",
	"B0771": "?",
	"B0772": "?",
	"B0773": "?",
	"B0774": "?",
	"B0775": "?",
	"B0776": "?",
	"B0777": "?",
	"B0778": "?",
	"B0779": "?",
	"B0780": "?",
	"B0781": "?",
	"B0782": "?",
	"B0783": "?",
	"B0784": "?",
	"B0785": "?",
	"B0786": "?",
	"B0787": "?",
	"B0788": "?",
	"B0789": "?",
	"B0790": "?",
	"B0791": "?",
	"B0792": "?",
	"B0793": "?",
	"B0794": "?",
	"B0795": "?",
	"B0796": "?",
	"B0797": "?",
	"B0798": "?",
	"B0799": "?",
	"B0800": "?",
	"B0801": "?",
	"B0802": "?",
	"B0803": "?",
	"B0804": "?",
	"B0805": "?",
	"B0806": "?",
	"B0807": "?",
	"B0808": "?",
	"B0809": "?",
	"B0810": "?",
	"B0811": "?",
	"B0812": "?",
	"B0813": "?",
	"B0814": "?",
	"B0815": "?",
	"B0816": "?",
	"B0817": "?",
	"B0818": "?",
	"B0819": "?",
	"B0820": "?",
	"B0821": "?",
	"B0822": "?",
	"B0823": "?",
	"B0824": "?",
	"B0825": "?",
	"B0826": "?",
	"B0827": "?",
	"B0828": "?",
	"B0829": "?",
	"B0830": "?",
	"B0831": "?",
	"B0832": "?",
	"B0833": "?",
	"B0834": "?",
	"B0835": "?",
	"B0836": "?",
	"B0837": "?",
	"B0838": "?",
	"B0839": "?",
	"B0840": "?",
	"B0841": "?",
	"B0842": "?",
	"B0843": "?",
	"B0844": "?",
	"B0845": "?",
	"B0846": "?",
	"B0847": "?",
	"B0848": "?",
	"B0849": "?",
	"B0850": "?",
	"B0851": "?",
	"B0852": "?",
	"B0853": "?",
	"B0854": "?",
	"B0855": "?",
	"B0856": "?",
	"B0857": "?",
	"B0858": "?",
	"B0859": "?",
	"B0860": "?",
	"B0861": "?",
	"B0862": "?",
	"B0863": "?",
	"B0864": "?",
	"B0865": "?",
	"B0866": "?",
	"B0867": "?",
	"B0868": "?",
	"B0869": "?",
	"B0870": "?",
	"B0871": "?",
	"B0872": "?",
	"B0873": "?",
	"B0874": "?",
	"B0875": "?",
	"B0876": "?",
	"B0877": "?",
	"B0878": "?",
	"B0879": "?",
	"B0880": "?",
	"B0881": "?",
	"B0882": "?",
	"B0883": "?",
	"B0884": "?",
	"B0885": "?",
	"B0886": "?",
	"B0887": "?",
	"B0888": "?",
	"B0889": "?",
	"B0890": "?",
	"B0891": "?",
	"B0892": "?",
	"B0893": "?",
	"B0894": "?",
	"B0895": "?",
	"B0896": "?",
	"B0897": "?",
	"B0898": "?",
	"B0899": "?",
	"B0900": "?",
	"B0901": "?",
	"B0902": "?",
	"B0903": "?",
	"B0904": "?",
	"B0905": "?",
	"B0906": "?",
	"B0907": "?",
	"B0908": "?",
	"B0909": "?",
	"B0910": "?",
	"B0911": "?",
	"B0912": "?",
	"B0913": "?",
	"B0914": "?",
	"B0915": "?",
	"B0916": "?",
	"B0917": "?",
	"B0918": "?",
	"B0919": "?",
	"B0920": "?",
	"B0921": "?",
	"B0922": "?",
	"B0923": "?",
	"B0924": "?",
	"B0925": "?",
	"B0926": "?",
	"B0927": "?",
	"B0928": "?",
	"B0929": "?",
	"B0930": "?",
	"B0931": "?",
	"B0932": "?",
	"B0933": "?",
	"B0934": "?",
	"B0935": "?",
	"B0936": "?",
	"B0937": "?",
	"B0938": "?",
	"B0939": "?",
	"B0940": "?",
	"B0941": "?",
	"B0942": "?",
	"B0943": "?",
	"B0944": "?",
	"B0945": "?",
	"B0946": "?",
	"B0947": "?",
	"B0948": "?",
	"B0949": "?",
	"B0950": "?",
	"B0951": "?",
	"B0952": "?",
	"B0953": "?",
	"B0954": "?",
	"B0955": "?",
	"B0956": "?",
	"B0957": "?",
	"B0958": "?",
	"B0959": "?",
	"B0960": "?",
	"B0961": "?",
	"B0962": "?",
	"B0963": "?",
	"B0964": "?",
	"B0965": "?",
	"B0966": "?",
	"B0967": "?",
	"B0968": "?",
	"B0969": "?",
	"B0970": "?",
	"B0971": "?",
	"B0972": "?",
	"B0973": "?",
	"B0974": "?",
	"B0975": "?",
	"B0976": "?",
	"B0977": "?",
	"B0978": "?",
	"B0979": "?",
	"B0980": "?",
	"B0981": "?",
	"B0982": "?",
	"B0983": "?",
	"B0984": "?",
	"B0985": "?",
	"B0986": "?",
	"B0987": "?",
	"B0988": "?",
	"B0989": "?",
	"B0990": "?",
	"B0991": "?",
	"B0992": "?",
	"B0993": "?",
	"B0994": "?",
	"B0995": "?",
	"B0996": "?",
	"B0997": "?",
	"B0998": "?",
	"B0999": "?",
	"B1000": "?",
	"B1001": "?",
	"B1002": "?",
	"B1003": "?",
	"B1004": "?",
	"B1005": "?",
	"B1006": "?",
	"B1007": "?",
	"B1008": "?",
	"B1009": "?",
	"B1010": "?",
	"B1011": "?",
	"B1012": "?",
	"B1013": "?",
	"B1014": "?",
	"B1015": "?",
	"B1016": "?",
	"B1017": "?",
	"B1018": "?",
	"B1019": "?",
	"B1020": "?",
	"B1021": "?",
	"B1022": "?",
	"B1023": "?",
	"B1024": "?",
	"B1025": "?",
	"B1026": "?",
	"B1027": "?",
	"B1028": "?",
	"B1029": "?",
	"B1030": "?",
	"B1031": "?",
	"B1032": "?",
	"B1033": "?",
	"B1034": "?",
	"B1035": "?",
	"B1036": "?",
	"B1037": "?",
	"B1038": "?",
	"B1039": "?",
	"B1040": "?",
	"B1041": "?",
	"B1042": "?",
	"B1043": "?",
	"B1044": "?",
	"B1045": "?",
	"B1046": "?",
	"B1047": "?",
	"B1048": "?",
	"B1049": "?",
	"B1050": "?",
	"B1051": "?",
	"B1052": "?",
	"B1053": "?",
	"B1054": "?",
	"B1055": "?",
	"B1056": "?",
	"B1057": "?",
	"B1058": "?",
	"B1059": "?",
	"B1060": "?",
	"B1061": "?",
	"B1062": "?",
	"B1063": "?",
	"B1064": "?",
	"B1065": "?",
	"B1066": "?",
	"B1067": "?",
	"B1068": "?",
	"B1069": "?",
	"B1070": "?",
	"B1071": "?",
	"B1072": "?",
	"B1073": "?",
	"B1074": "?",
	"B1075": "?",
	"B1076": "?",
	"B1077": "?",
	"B1078": "?",
	"B1079": "?",
	"B1080": "?",
	"B1081": "?",
	"B1082": "?",
	"B1083": "?",
	"B1084": "?",
	"B1085": "?",
	"B1086": "?",
	"B1087": "?",
	"B1088": "?",
	"B1089": "?",
	"B1090": "?",
	"B1091": "?",
	"B1092": "?",
	"B1093": "?",
	"B1094": "?",
	"B1095": "?",
	"B1096": "?",
	"B1097": "?",
	"B1098": "?",
	"B1099": "?",
	"B1100": "?",
	"B1101": "?",
	"B1102": "?",
	"B1103": "?",
	"B1104": "?",
	"B1105": "?",
	"B1106": "?",
	"B1107": "?",
	"B1108": "?",
	"B1109": "?",
	"B1110": "?",
	"B1111": "?",
	"B1112": "?",
	"B1113": "?",
	"B1114": "?",
	"B1115": "?",
	"B1116": "?",
	"B1117": "?",
	"B1118": "?",
	"B1119": "?",
	"B1120": "?",
	"B1121": "?",
	"B1122": "?",
	"B1123": "?",
	"B1124": "?",
	"B1125": "?",
	"B1126": "?",
	"B1127": "?",
	"B1128": "?",
	"B1129": "?",
	"B1130": "?",
	"B1131": "?",
	"B1132": "?",
	"B1133": "?",
	"B1134": "?",
	"B1135": "?",
	"B1136": "?",
	"B1137": "?",
	"B1138": "?",
	"B1139": "?",
	"B1140": "?",
	"B1141": "?",
	"B1142": "?",
	"B1143": "?",
	"B1144": "?",
	"B1145": "?",
	"B1146": "?",
	"B1147": "?",
	"B1148": "?",
	"B1149": "?",
	"B1150": "?",
	"B1151": "?",
	"B1152": "?",
	"B1153": "?",
	"B1154": "?",
	"B1155": "?",
	"B1156": "?",
	"B1157": "?",
	"B1158": "?",
	"B1159": "?",
	"B1160": "?",
	"B1161": "?",
	"B1162": "?",
	"B1163": "?",
	"B1164": "?",
	"B1165": "?",
	"B1166": "?",
	"B1167": "?",
	"B1168": "?",
	"B1169": "?",
	"B1170": "?",
	"B1171": "?",
	"B1172": "?",
	"B1173": "?",
	"B1174": "?",
	"B1175": "?",
	"B1176": "?",
	"B1177": "?",
	"B1178": "?",
	"B1179": "?",
	"B1180": "?",
	"B1181": "?",
	"B1182": "?",
	"B1183": "?",
	"B1184": "?",
	"B1185": "?",
	"B1186": "?",
	"B1187": "?",
	"B1188": "?",
	"B1189": "?",
	"B1190": "?",
	"B1191": "?",
	"B1192": "?",
	"B1193": "?",
	"B1194": "?",
	"B1195": "?",
	"B1196": "?",
	"B1197": "?",
	"B1198": "?",
	"B1199": "?",
	"B1200": "Climate Control Pushbutton Circuit Failure",
	"B1201": "Fuel Sender Circuit Failure",
	"B1202": "Fuel Sender Circuit Open",
	"B1203": "Fuel Sender Circuit Short To Battery",
	"B1204": "Fuel Sender Circuit Short To Ground",
	"B1205": "EIC Switch-1 Assembly Circuit Failure",
	"B1206": "EIC Switch-1 Assembly Circuit Open",
	"B1207": "EIC Switch-1 Assembly Circuit Short To Battery",
	"B1208": "EIC Switch-1 Assembly Circuit Short To Ground",
	"B1209": "EIC Switch-2 Assembly Circuit Failure",
	"B1210": "EIC Switch-2 Assembly Circuit Open",
	"B1211": "EIC Switch-2 Assembly Circuit Short To Battery",
	"B1212": "EIC Switch-2 Assembly Circuit Short To Ground",
	"B1213": "Anti-Theft Number of Programmed Keys Is Below Minimum",
	"B1214": "Running Board Lamp Circuit Failure",
	"B1215": "Running Board Lamp Circuit Short to Battery",
	"B1216": "Emergency & Road Side Assistance Switch Circuit Short to Ground",
	"B1217": "Horn Relay Coil Circuit Failure",
	"B1218": "Horn Relay Coil Circuit Short to Vbatt",
	"B1219": "Fuel Tank Pressure Sensor Circuit Failure",
	"B1220": "Fuel Tank Pressure Sensor Circuit Open",
	"B1222": "Fuel Temperature Sensor #1 Circuit Failure",
	"B1223": "Fuel Temperature Sensor #1 Circuit Open",
	"B1224": "Fuel Temperature Sensor #1 Circuit Short to Battery",
	"B1225": "Fuel Temperature Sensor #1 Circuit Short to Ground",
	"B1226": "Fuel Temperature Sensor #2 Circuit Failure",
	"B1227": "Fuel Temperature Sensor #2 Circuit Open",
	"B1228": "Fuel Temperature Sensor #2 Circuit Short to Battery",
	"B1229": "Fuel Temperature Sensor #2 Circuit Short to Ground",
	"B1231": "Longitudinal Acceleration Threshold Exceeded",
	"B1232": "See Manufacturer",
	"B1233": "Glass Break Sensor Failure",
	"B1234": "Mirror Switch Invalid Code",
	"B1235": "Window Feedback Failure",
	"B1236": "Window Feedback Loss of Signal",
	"B1237": "Window Feedback Out of Range",
	"B1238": "Over Temperature Fault",
	"B1239": "Air Flow Blend Door Driver Circuit Failure",
	"B1240": "Wiper Washer Rear Pump Relay Circuit Failure",
	"B1241": "Wiper Washer Rear Pump Relay Circuit Short to Battery",
	"B1242": "Air Flow Recirculation Door Driver Circuit Failure",
	"B1243": "Express Window Down Switch Circuit Short to Battery",
	"B1244": "Wiper Rear Motor Run Relay Circuit Failure",
	"B1245": "Wiper Rear Motor Run Relay Circuit Short to Battery",
	"B1246": "Dim Panel Potentiometer Switch Circuit Failure",
	"B1247": "Panel Dim Switch Circuit Open",
	"B1248": "Passenger's Seatback Autoglide Rearward Switch Circuit Short to Ground",
	"B1249": "Blend Door Failure",
	"B1250": "Air Temperature Internal Sensor Circuit Failure",
	"B1251": "Air Temperature Internal Sensor Circuit Open",
	"B1252": "Air Temperature Internal Sensor Circuit Short To Battery",
	"B1253": "Air Temperature Internal Sensor Circuit Short To Ground",
	"B1254": "Air Temperature External Sensor Circuit Failure",
	"B1255": "Air Temperature External Sensor Circuit Open",
	"B1256": "Air Temperature External Sensor Circuit Short To Battery",
	"B1257": "Air Temperature External Sensor Circuit Short To Ground",
	"B1258": "Solar Radiation Sensor Circuit Failure",
	"B1259": "Solar Radiation Sensor Circuit Open",
	"B1260": "Solar Radiation Sensor Circuit Short To Battery",
	"B1261": "Solar Radiation Sensor Circuit Short To Ground",
	"B1262": "Servo Motor Defrost Circuit Failure",
	"B1263": "Servo Motor Vent Circuit Failure",
	"B1264": "Servo Motor Foot Circuit Failure",
	"B1265": "Servo Motor Coolair Bypass Circuit Failure",
	"B1266": "Servo Motor Airintake Left Circuit Failure",
	"B1267": "Servo Motor Airintake Right Circuit Failure",
	"B1268": "Servo Motor Potentiometer Defrost Circuit Failure",
	"B1269": "Servo Motor Potentiometer Defrost Circuit Open",
	"B1270": "Servo Motor Potentiometer Defrost Circuit Short To Battery",
	"B1271": "Servo Motor Potentiometer Defrost Circuit Short To Ground",
	"B1272": "Servo Motor Potentiometer Vent Circuit Failure",
	"B1273": "Servo Motor Potentiometer Vent Circuit Open",
	"B1274": "Servo Motor Potentiometer Vent Circuit Short To Battery",
	"B1275": "Servo Motor Potentiometer Vent Circuit Short To Ground",
	"B1276": "Servo Motor Potentiometer Foot Circuit Failure",
	"B1277": "Servo Motor Potentiometer Foot Circuit Open",
	"B1278": "Servo Motor Potentiometer Foot Circuit Short To Battery",
	"B1279": "Servo Motor Potentiometer Foot Circuit Short To Ground",
	"B1280": "Servo Motor Potentiometer Coolair Circuit Failure",
	"B1281": "Servo Motor Potentiometer Coolair Circuit Open",
	"B1282": "Servo Motor Potentiometer Coolair Circuit Short To Battery",
	"B1283": "Servo Motor Potentiometer Coolair Circuit Short To Ground",
	"B1284": "Servo Motor Potentiometer Airintake Left Circuit Failure",
	"B1285": "Servo Motor Potentiometer Airintake Left Circuit Open",
	"B1286": "Servo Motor Potentiometer Airintake Left Circuit Short To Battery",
	"B1287": "Servo Motor Potentiometer Airintake Left Circuit Short To Ground",
	"B1288": "Servo Motor Potentiometer Airintake Right Circuit Failure",
	"B1289": "Servo Motor Potentiometer Airintake Right Circuit Open",
	"B1290": "Servo Motor Potentiometer Airintake Right Circuit Short To Battery",
	"B1291": "Servo Motor Potentiometer Airintake Right Circuit Short To Ground",
	"B1292": "Battery Power Relay Circuit Failure",
	"B1293": "Battery Power Relay Circuit Open",
	"B1294": "Battery Power Relay Circuit Short To Battery",
	"B1295": "Battery Power Relay Circuit Short To Ground",
	"B1296": "Power Supply Sensor Circuit Failure",
	"B1297": "Power Supply Sensor Circuit Open",
	"B1298": "Power Supply Sensor Circuit Short To Battery",
	"B1299": "Power Supply Sensor Circuit Short To Ground",
	"B1300": "Power Door Lock Circuit Failure",
	"B1301": "Power Door Lock Circuit Open",
	"B1302": "Accessory Delay Relay Coil Circuit Failure",
	"B1303": "Accessory Delay Relay Coil Circuit Open",
	"B1304": "Accessory Delay Relay Coil Circuit Short To Battery",
	"B1305": "Accessory Delay Relay Coil Circuit Short To Ground",
	"B1306": "Oil Level Switch Circuit Open",
	"B1307": "Oil Level Switch Circuit Short To Battery",
	"B1308": "Oil Level Switch Circuit Short To Ground",
	"B1309": "Power Door Lock Circuit Short To Ground",
	"B1310": "Power Door Unlock Circuit Failure",
	"B1311": "Power Door Unlock Circuit Open",
	"B1312": "Lamp Headlamp Input Circuit Short To Battery",
	"B1313": "Battery Saver Relay Coil Circuit Failure",
	"B1314": "Battery Saver Relay Coil Circuit Open",
	"B1315": "Battery Saver Relay Coil Circuit Short To Battery",
	"B1316": "Battery Saver Relay Coil Circuit Short To Ground",
	"B1317": "Battery Voltage High",
	"B1318": "Battery Voltage Low",
	"B1319": "Driver Door Ajar Circuit Failure",
	"B1320": "Driver Door Ajar Circuit Open",
	"B1321": "Driver Door Ajar Circuit Short To Battery",
	"B1322": "Driver Door Ajar Circuit Short To Ground",
	"B1323": "Door Ajar Lamp Circuit Failure",
	"B1324": "Door Ajar Lamp Circuit Open",
	"B1325": "Door Ajar Lamp Circuit Short To Battery",
	"B1326": "Door Ajar Lamp Circuit Short To Ground",
	"B1327": "Passenger Door Ajar Circuit Failure",
	"B1328": "Passenger Door Ajar Circuit Open",
	"B1329": "Passenger Door Ajar Circuit Short To Battery",
	"B1330": "Passenger Door Ajar Circuit Short To Ground",
	"B1331": "Decklid Ajar Rear Door Circuit Failure",
	"B1332": "Decklid Ajar Rear Door Circuit Open",
	"B1333": "Decklid Ajar Rear Door Circuit Short To Battery",
	"B1334": "Decklid Ajar Rear Door Circuit Short To Ground",
	"B1335": "Door Ajar RR Circuit Failure",
	"B1336": "Door Ajar RR Circuit Open",
	"B1337": "Door Ajar RR Circuit Short To Battery",
	"B1338": "Door Ajar RR Circuit Short To Ground",
	"B1339": "Chime Input Request Circuit Short To Battery",
	"B1340": "Chime Input Request Circuit Short To Ground",
	"B1341": "Power Door Unlock Circuit Short To Ground",
	"B1342": "ECU Is Defective",
	"B1343": "Heated Backlite Input Circuit Failure",
	"B1344": "Heated Backlite Input Circuit Open",
	"B1345": "Heated Backlite Input Circuit Short To Ground",
	"B1346": "Heated Backlite Input Circuit Short To Battery",
	"B1347": "Heated Backlite Relay Circuit Failure",
	"B1348": "Heated Backlite Relay Circuit Open",
	"B1349": "Heated Backlite Relay Short To Battery",
	"B1350": "Heated Backlite Relay Short To Ground",
	"B1351": "Ignition Key-In Circuit Short To Battery",
	"B1352": "Ignition Key-In Circuit Failure",
	"B1353": "Ignition Key-In Circuit Open",
	"B1354": "Ignition Key-In Circuit Short To Ground",
	"B1355": "Ignition Run Circuit Failure",
	"B1356": "Ignition Run Circuit Open",
	"B1357": "Ignition Run Circuit Short To Battery",
	"B1358": "Ignition Run Circuit Short To Ground",
	"B1359": "Ignition Run/Acc Circuit Failure",
	"B1360": "Ignition Run/Acc Circuit Open",
	"B1361": "Ignition Run/Acc Circuit Short To Battery",
	"B1362": "Ignition Run/Acc Circuit Short To Ground",
	"B1363": "Ignition Start Circuit Failure",
	"B1364": "Ignition Start Circuit Open",
	"B1365": "Ignition Start Circuit Short To Battery",
	"B1366": "Ignition Start Circuit Short To Ground",
	"B1367": "Ignition Tach Circuit Failure",
	"B1368": "Ignition Tach Circuit Open",
	"B1369": "Ignition Tach Circuit Short To Battery",
	"B1370": "Ignition Tach Circuit Short To Ground",
	"B1371": "Illuminated Entry Relay Circuit Failure",
	"B1372": "Illuminated Entry Relay Circuit Open",
	"B1373": "Illuminated Entry Relay Short To Battery",
	"B1374": "Illuminated Entry Relay Short To Ground",
	"B1375": "Oil Change Lamp Circuit Open",
	"B1376": "Oil Change Lamp Circuit Short To Battery",
	"B1377": "Oil Change Lamp Circuit Failure",
	"B1378": "Oil Change Lamp Circuit Short To Ground",
	"B1379": "Oil Change Reset Button Circuit Short To Ground",
	"B1380": "Oil Change Reset Button Circuit Failure",
	"B1381": "Oil Change Reset Button Circuit Open",
	"B1382": "Oil Change Reset Button Circuit Short To Battery",
	"B1383": "Oil Level Lamp Circuit Short To Battery",
	"B1384": "Oil Level Lamp Circuit Failure",
	"B1385": "Oil Level Lamp Circuit Open",
	"B1386": "Oil Level Lamp Circuit Short To Ground",
	"B1387": "Oil Temperature Sensor Circuit Open",
	"B1388": "Oil Temperature Sensor Circuit Short To Battery",
	"B1389": "Oil Temperature Sensor Circuit Failure",
	"B1390": "Oil Temperature Sensor Circuit Short To Ground",
	"B1391": "Oil Level Switch Circuit Failure",
	"B1392": "Power Door Memory Lock Relay Circuit Failure",
	"B1393": "Power Door Memory Lock Relay Circuit Open",
	"B1394": "Power Door Memory Lock Relay Circuit Short To Battery",
	"B1395": "Power Door Memory Lock Relay Circuit Short To Ground",
	"B1396": "Power Door Lock Circuit Short To Battery",
	"B1397": "Power Door Unlock Circuit Short To Battery",
	"B1398": "Driver Power Window One Touch Window Relay Circuit Failure",
	"B1399": "Driver Power Window One Touch Window Relay Circuit Open",
	"B1400": "Driver Power Window One Touch Window Relay Circuit Short To Battery",
	"B1401": "Driver Power Window One Touch Window Relay Circuit Short To Ground",
	"B1402": "Driver Power Window Down Switch Circuit Failure",
	"B1403": "Driver Power Window Up Switch Circuit Failure",
	"B1404": "Driver Power Window Down Circuit Open",
	"B1405": "Driver Power Window Down Circuit Short To Battery",
	"B1406": "Driver Power Window Down Circuit Short To Ground",
	"B1407": "Driver Power Window Up Circuit Open",
	"B1408": "Driver Power Window Up Circuit Short To Battery",
	"B1409": "Driver Power Window Up Circuit Short To Ground",
	"B1410": "Driver Power Window Motor Circuit Failure",
	"B1411": "Driver Power Window Motor Circuit Open",
	"B1412": "Driver Power Window Motor Circuit Short To Battery",
	"B1413": "Driver Power Window Motor Circuit Short To Ground",
	"B1414": "Power Window LR Motor Circuit Failure",
	"B1415": "Power Window LR Motor Circuit Open",
	"B1416": "Power Window LR Motor Circuit Short To Battery",
	"B1417": "Power Window LR Motor Circuit Short To Ground",
	"B1418": "Passenger Power Window Motor Circuit Failure",
	"B1419": "Passenger Power Window Motor Circuit Open",
	"B1420": "Passenger Power Window Motor Circuit Short To Battery",
	"B1421": "Passenger Power Window Motor Circuit Short To Ground",
	"B1422": "Power Window RR Motor Circuit Failure",
	"B1423": "Power Window RR Motor Circuit Open",
	"B1424": "Power Window RR Motor Circuit Short To Battery",
	"B1425": "Power Window RR Motor Circuit Short To Ground",
	"B1426": "Lamp Seat Belt Circuit Short To Battery",
	"B1427": "Lamp Seat Belt Circuit Open",
	"B1428": "Lamp Seat Belt Circuit Failure",
	"B1429": "Lamp Seat Belt Circuit Short To Ground",
	"B1430": "Seat Belt Switch Circuit Short To Ground",
	"B1431": "Wiper Brake/Run Relay Circuit Failure",
	"B1432": "Wiper Brake/Run Relay Circuit Short To Battery",
	"B1433": "Wiper Brake/Run Relay Circuit Short To Ground",
	"B1434": "Wiper Hi/Low Speed Relay Coil Circuit Failure",
	"B1435": "Wiper Hi/Low Speed Relay Coil Circuit Open",
	"B1436": "Wiper Hi/Low Speed Relay Coil Circuit Short To Battery",
	"B1437": "Wiper Hi/Low Speed Relay Coil Circuit Short To Ground",
	"B1438": "Wiper Mode Select Switch Circuit Failure",
	"B1439": "Wiper Mode Select Switch Circuit Open",
	"B1440": "Wiper Mode Select Switch Circuit Short To Battery",
	"B1441": "Wiper Mode Select Switch Circuit Short To Ground",
	"B1442": "Door Handle Switch Circuit Failure",
	"B1443": "Door Handle Switch Circuit Open",
	"B1444": "Door Handle Switch Circuit Short To Battery",
	"B1445": "Door Handle Switch Circuit Short To Ground",
	"B1446": "Wiper Park Sense Circuit Failure",
	"B1447": "Wiper Park Sense Circuit Open",
	"B1448": "Wiper Park Sense Circuit Short To Battery",
	"B1449": "Wiper Park Sense Circuit Short To Ground",
	"B1450": "Wiper Wash/Delay Switch Circuit Failure",
	"B1451": "Wiper Wash/Delay Switch Circuit Open",
	"B1452": "Wiper Wash/Delay Switch Circuit Short To Battery",
	"B1453": "Wiper Wash/Delay Switch Circuit Short To Ground",
	"B1454": "Wiper Washer Fluid Lamp Circuit Failure",
	"B1455": "Wiper Washer Fluid Lamp Circuit Open",
	"B1456": "Wiper Washer Fluid Lamp Circuit Short To Battery",
	"B1457": "Wiper Washer Fluid Lamp Circuit Short To Ground",
	"B1458": "Wiper Washer Pump Motor Relay Circuit Failure",
	"B1459": "Wiper Washer Pump Motor Relay Coil Circuit Open",
	"B1460": "Wiper Washer Pump Motor Relay Coil Circuit Short To Battery",
	"B1461": "Wiper Washer Pump Motor Relay Coil Circuit Short To Ground",
	"B1462": "Seat Belt Switch Circuit Failure",
	"B1463": "Seat Belt Switch Circuit Open",
	"B1464": "Seat Belt Switch Circuit Short To Battery",
	"B1465": "Wiper Brake/Run Relay Circuit Open",
	"B1466": "Wiper Hi/Low Speed Not Switching",
	"B1467": "Wiper Hi/Low Speed Circuit Motor Short To Battery",
	"B1468": "Chime Input Request Circuit Failure",
	"B1469": "Chime Input Request Circuit Open",
	"B1470": "Lamp Headlamp Input Circuit Failure",
	"B1471": "Lamp Headlamp Input Circuit Open",
	"B1472": "Lamp Headlamp Input Circuit Short To Ground",
	"B1473": "Wiper Low Speed Circuit Motor Failure",
	"B1474": "Battery Saver Power Relay Circuit Short To Battery",
	"B1475": "Accessory Delay Relay Contact Short To Battery",
	"B1476": "Wiper High Speed Circuit Motor Failure",
	"B1477": "Wiper Hi/Low Circuit Motor Short To Ground",
	"B1478": "Power Window One Touch Up/Down Activated Simultaneously",
	"B1479": "Wiper Washer Fluid Level Sensor Circuit Failure",
	"B1480": "Wiper Washer Fluid Level Sensor Circuit Open",
	"B1481": "Wiper Washer Fluid Level Sensor Circuit Short To Battery",
	"B1482": "Wiper Washer Fluid Level Sensor Circuit Short To Ground",
	"B1483": "Brake Pedal Input Circuit Failure",
	"B1484": "Brake Pedal Input Open Circuit",
	"B1485": "Brake Pedal Input Circuit Battery Short",
	"B1486": "Brake Pedal Input Circuit Ground Short",
	"B1487": "Door Handle Right Front Circuit Failure",
	"B1488": "Door Handle Right Front Circuit Open",
	"B1489": "Door Handle Right Front Short To Battery",
	"B1490": "Door Handle Right Front Short To Ground",
	"B1491": "Ignition Cylinder Sensor Circuit Failure",
	"B1492": "Ignition Cylinder Sensor Open Circuit",
	"B1493": "Ignition Cylinder Sensor Battery Short",
	"B1494": "Ignition Cylinder Sensor Ground Short",
	"B1495": "Decklid Punch-Out Sensor Circuit Failure",
	"B1496": "Decklid Punch-Out Sensor Open Circuit",
	"B1497": "Decklid Punch-Out Sensor Battery Short",
	"B1498": "Decklid Punch-Out Sensor Ground Short",
	"B1499": "Lamp Turn Signal Left Circuit Failure",
	"B1500": "Lamp Turn Signal Left Circuit Open",
	"B1501": "Lamp Turn Signal Left Circuit Short To Battery",
	"B1502": "Lamp Turn Signal Left Circuit Short To Ground",
	"B1503": "Lamp Turn Signal Right Circuit Failure",
	"B1504": "Lamp Turn Signal Right Circuit Open",
	"B1505": "Lamp Turn Signal Right Circuit Short To Battery",
	"B1506": "Lamp Turn Signal Right Circuit Short To Ground",
	"B1507": "Flash To Pass Switch Circuit Failure",
	"B1508": "Flash To Pass Switch Circuit Open",
	"B1509": "Flash To Pass Switch Circuit Short To Battery",
	"B1510": "Flash To Pass Switch Circuit Short To Ground",
	"B1511": "Driver Door Handle Circuit Failure",
	"B1512": "Driver Door Handle Circuit Open",
	"B1513": "Driver Door Handle Circuit Short To Battery",
	"B1514": "Driver Door Handle Circuit Short To Ground",
	"B1515": "Seat Driver Occupied Switch Circuit Failure",
	"B1516": "Seat Driver Occupied Switch Circuit Open",
	"B1517": "Seat Driver Occupied Switch Circuit Short To Battery",
	"B1518": "Seat Driver Occupied Switch Circuit Short To Ground",
	"B1519": "Hood Switch Circuit Failure",
	"B1520": "Hood Switch Circuit Open",
	"B1521": "Hood Switch Circuit Short To Battery",
	"B1522": "Hood Switch Circuit Short To Ground",
	"B1523": "Keyless Entry Circuit Failure",
	"B1524": "Keyless Entry Circuit Open",
	"B1525": "Keyless Entry Circuit Short To Battery",
	"B1526": "Keyless Entry Circuit Short To Ground",
	"B1527": "Memory Set Switch Circuit Failure",
	"B1528": "Memory Set Switch Circuit Open",
	"B1529": "Memory Set Switch Circuit Short To Battery",
	"B1530": "Memory Set Switch Circuit Short To Ground",
	"B1531": "Memory 1 Switch Circuit Failure",
	"B1532": "Memory 1 Switch Circuit Open",
	"B1533": "Memory 1 Switch Circuit Short To Battery",
	"B1534": "Memory 1 Switch Circuit Short To Ground",
	"B1535": "Memory 2 Switch Circuit Failure",
	"B1536": "Memory 2 Switch Circuit Open",
	"B1537": "Memory 2 Switch Circuit Short To Battery",
	"B1538": "Memory 2 Switch Circuit Short To Ground",
	"B1539": "Mirror Driver Switch Assembly Circuit Failure",
	"B1540": "Mirror Driver Switch Assembly Circuit Open",
	"B1541": "Mirror Driver Switch Assembly Circuit Short To Battery",
	"B1542": "Mirror Driver Switch Assembly Circuit Short To Ground",
	"B1543": "Seat Direction Switch Assembly Circuit Failure",
	"B1544": "Seat Direction Switch Assembly Circuit Open",
	"B1545": "Seat Direction Switch Assembly Circuit Short To Battery",
	"B1546": "Seat Direction Switch Assembly Circuit Short To Ground",
	"B1547": "Power Window Master Circuit Failure",
	"B1548": "Power Window Master Circuit Open",
	"B1549": "Power Window Master Circuit Short To Battery",
	"B1550": "Power Window Master Circuit Short To Ground",
	"B1551": "Decklid Release Circuit Failure",
	"B1552": "Decklid Release Circuit Open",
	"B1553": "Decklid Release Circuit Short To Battery",
	"B1554": "Decklid Release Circuit Short To Ground",
	"B1555": "Ignition Run/Start Circuit Failure",
	"B1556": "Ignition Run/Start Circuit Open",
	"B1557": "Ignition Run/Start Circuit Short To Battery",
	"B1558": "Ignition Run/Start Circuit Short To Ground",
	"B1559": "Door Lock Cylinder Circuit Failure",
	"B1560": "Door Lock Cylinder Circuit Open",
	"B1561": "Door Lock Cylinder Circuit Short To Battery",
	"B1562": "Door Lock Cylinder Circuit Short To Ground",
	"B1563": "Door Ajar Circuit Failure",
	"B1564": "Door Ajar Circuit Open",
	"B1565": "Door Ajar Circuit Short To Battery",
	"B1566": "Door Ajar Circuit Short To Ground",
	"B1567": "Lamp Headlamp High-Beam Circuit Failure",
	"B1568": "Lamp Headlamp High-Beam Circuit Open",
	"B1569": "Lamp Headlamp High-Beam Circuit Short To Battery",
	"B1570": "Lamp Headlamp High-Beam Circuit Short To Ground",
	"B1571": "Door Ajar LR Circuit Failure",
	"B1572": "Door Ajar LR Circuit Open",
	"B1573": "Door Ajar LR Circuit Short To Battery",
	"B1574": "Door Ajar LR Circuit Short To Ground",
	"B1575": "Lamp Park Input Circuit Failure",
	"B1576": "Lamp Park Input Circuit Open",
	"B1577": "Lamp Park Input Circuit Short To Battery",
	"B1578": "Lamp Park Input Circuit Short To Ground",
	"B1579": "Dim Panel Increase Input Circuit Failure",
	"B1580": "Dim Panel Increase Input Circuit Open",
	"B1581": "Dim Panel Increase Input Circuit Short To Battery",
	"B1582": "Dim Panel Increase Input Circuit Short To Ground",
	"B1583": "Dim Panel Decrease Input Circuit Failure",
	"B1584": "Dim Panel Decrease Input Circuit Open",
	"B1585": "Dim Panel Decrease Input Circuit Short To Battery",
	"B1586": "Dim Panel Decrease Input Circuit Short To Ground",
	"B1587": "Autolamp Delay Increase Circuit Failure",
	"B1588": "Autolamp Delay Increase Circuit Open",
	"B1589": "Autolamp Delay Increase Circuit Short To Battery",
	"B1590": "Autolamp Delay Increase Circuit Short To Ground",
	"B1591": "Autolamp Delay Decrease Circuit Failure",
	"B1592": "Autolamp Delay Decrease Circuit Open",
	"B1593": "Autolamp Delay Decrease Circuit Short To Battery",
	"B1594": "Autolamp Delay Decrease Circuit Short To Ground",
	"B1595": "Ignition Switch Illegal Input Code",
	"B1596": "Service Continuous Codes",
	"B1597": "Driver's Seat Seatback Autoglide Forward Switch Circuit Short to Ground",
	"B1598": "Driver's Seat Seatback Autoglide Rearward Switch Circuit Short to Ground",
	"B1599": "Passenger's Seatback Autoglide Forward Switch Circuit Short to Ground",
	"B1600": "PATS Ignition Key Transponder Signal Is Not Received",
	"B1601": "PATS Received Incorrect Key-Code From Ignition Key Transponder",
	"B1602": "PATS Received Invalid Format Of Key-Code From Ignition Key Transponder",
	"B1603": "Lamp Anti-Theft Indicator Circuit Failure",
	"B1604": "Lamp Anti-Theft Indicator Circuit Open",
	"B1605": "Lamp Anti-Theft Indicator Circuit Short To Battery",
	"B1606": "Lamp Anti-Theft Indicator Circuit Short To Ground",
	"B1607": "Illuminated Entry Input Circuit Failure",
	"B1608": "Illuminated Entry Input Open Circuit",
	"B1609": "Illuminated Entry Input Short Circuit To Battery",
	"B1610": "Illuminated Entry Input Short Circuit To Ground",
	"B1611": "Wiper Rear Mode Select Switch Circuit Failure",
	"B1612": "Wiper Rear Mode Select Switch Circuit Open",
	"B1613": "Wiper Rear Mode Select Switch Circuit Short To Battery",
	"B1614": "Wiper Rear Mode Select Switch Circuit Short To Ground",
	"B1615": "Wiper Rear Disable Switch Circuit Failure",
	"B1616": "Wiper Rear Disable Switch Circuit Open",
	"B1617": "Wiper Rear Disable Switch Circuit Short To Battery",
	"B1618": "Wiper Rear Disable Switch Circuit Short To Ground",
	"B1619": "Wiper Rear Low Limit Input Circuit Failure",
	"B1620": "Wiper Rear Low Limit Input Circuit Open",
	"B1621": "Wiper Rear Low Limit Input Circuit Short To Battery",
	"B1622": "Wiper Rear Low Limit Input Circuit Short To Ground",
	"B1623": "Lamp Keypad Output Circuit Failure",
	"B1624": "Lamp Keypad Output Open Circuit",
	"B1625": "Lamp Keypad Output Short Circuit To Battery",
	"B1626": "Lamp Keypad Output Short Circuit To Ground",
	"B1627": "PRNDL Reverse Input Circuit Failure",
	"B1628": "PRNDL Reverse Input Open Circuit",
	"B1629": "PRNDL Reverse Input Short To Battery",
	"B1630": "PRNDL Reverse Input Short Circuit To Ground",
	"B1631": "Mirror Driver Left Circuit Failure",
	"B1632": "Mirror Driver Left Circuit Open",
	"B1633": "Mirror Driver Left Circuit Short To Battery",
	"B1634": "Mirror Driver Left Circuit Short To Ground",
	"B1635": "Mirror Driver Right Circuit Failure",
	"B1636": "Mirror Driver Right Circuit Open",
	"B1637": "Mirror Driver Right Circuit Short To Battery",
	"B1638": "Mirror Driver Right Short To Ground",
	"B1639": "Mirror Passenger Left Circuit Failure",
	"B1640": "Mirror Passenger Left Circuit Open",
	"B1641": "Mirror Passenger Left Circuit Short To Battery",
	"B1642": "Mirror Passenger Left Circuit Short To Ground",
	"B1643": "Mirror Passenger Right Circuit Failure",
	"B1644": "Mirror Passenger Right Circuit Open",
	"B1645": "Mirror Passenger Right Circuit Short To Battery",
	"B1646": "Mirror Passenger Right Circuit Short To Ground",
	"B1647": "Seat Driver Recline Forward Circuit Failure",
	"B1648": "Seat Driver Recline Forward Circuit Open",
	"B1649": "Seat Driver Recline Forward Circuit Short To Battery",
	"B1650": "Seat Driver Recline Forward Circuit Short To Ground",
	"B1651": "Seat Driver Recline Backward Circuit Failure",
	"B1652": "Seat Driver Recline Backward Circuit Open",
	"B1653": "Seat Driver Recline Backward Circuit Short To Battery",
	"B1654": "Seat Driver Recline Backward Circuit Short To Ground",
	"B1655": "Seat Driver Rear Up Circuit Failure",
	"B1656": "Seat Driver Rear Up Circuit Open",
	"B1657": "Seat Driver Rear Up Circuit Short To Battery",
	"B1658": "Seat Driver Rear Up Circuit Short To Ground",
	"B1659": "Seat Driver Front Up Circuit Failure",
	"B1660": "Seat Driver Front Up Circuit Open",
	"B1661": "Seat Driver Front Up Circuit Short To Battery",
	"B1662": "Seat Driver Front Up Circuit Short To Ground",
	"B1663": "Seat Driver Front Up/Down Motor Stalled",
	"B1664": "Seat Driver Rear Up/Down Motor Stalled",
	"B1665": "Seat Driver Forward/Backward Motor Stalled",
	"B1666": "Seat Driver Recline Motor Stalled",
	"B1667": "Mirror Driver Up/Down Motor Stalled",
	"B1668": "Mirror Driver Right/Left Motor Stalled",
	"B1669": "Mirror Passenger Up/Down Motor Stalled",
	"B1670": "Mirror Passenger Right/Left Motor Stalled",
	"B1671": "Battery Module Voltage Out Of Range",
	"B1672": "Seat Driver Occupied Input Circuit Failure",
	"B1673": "Seat Driver Occupied Input Circuit Open",
	"B1674": "Seat Driver Occupied Input Circuit Short To Battery",
	"B1675": "Seat Driver Occupied Input Circuit Short To Ground",
	"B1676": "Battery Pack Voltage Out Of Range",
	"B1677": "Alarm Panic Input Circuit Failure",
	"B1678": "Alarm Panic Input Circuit Open",
	"B1679": "Alarm Panic Input Circuit Short To Battery",
	"B1680": "Alarm Panic Input Circuit Short To Ground",
	"B1681": "PATS Transceiver Module Signal Is Not Received",
	"B1682": "PATS Is Disabled -Check Link Between PATS And Transponder",
	"B1683": "Mirror Driver/Passenger Switch Circuit Failure",
	"B1684": "Mirror Driver/Passenger Switch Circuit Open",
	"B1685": "Lamp Dome Input Circuit Failure",
	"B1686": "Lamp Dome Input Circuit Open",
	"B1687": "Lamp Dome Input Circuit Short To Battery",
	"B1688": "Lamp Dome Input Circuit Short To Ground",
	"B1689": "Autolamp Delay Circuit Failure",
	"B1690": "Autolamp Delay Circuit Open",
	"B1691": "Autolamp Delay Circuit Short To Battery",
	"B1692": "Autolamp Delay Circuit Short To Ground",
	"B1693": "Autolamp On Circuit Failure",
	"B1694": "Autolamp On Circuit Open",
	"B1695": "Autolamp On Circuit Short To Battery",
	"B1696": "Autolamp On Circuit Short To Ground",
	"B1697": "Mirror Driver/Passenger Switch Circuit Short To Battery",
	"B1698": "Mirror Driver/Passenger Switch Circuit Short To Ground",
	"B1699": "Passenger's Seat Occupied Switch Circuit Short to Ground",
	"B1700": "Passenger's Seatbelt Tension Reducer Circuit Short to Ground",
	"B1701": "Seat Driver Recline Forward Switch Circuit Failure",
	"B1702": "Seat Driver Recline Forward Switch Circuit Open",
	"B1703": "Seat Driver Recline Forward Switch Circuit Short To Battery",
	"B1704": "Seat Driver Recline Forward Switch Circuit Short To Ground",
	"B1705": "Seat Driver Recline Rearward Switch Circuit Failure",
	"B1706": "Seat Driver Recline Rearward Switch Circuit Open",
	"B1707": "Seat Driver Recline Rearward Switch Circuit Short To Battery",
	"B1708": "Seat Driver Recline Rearward Switch Circuit Short To Ground",
	"B1709": "Seat Driver Front Up Switch Circuit Failure",
	"B1710": "Seat Driver Front Up Switch Circuit Open",
	"B1711": "Seat Driver Front Up Switch Circuit Short To Battery",
	"B1712": "Seat Driver Front Up Switch Circuit Short To Ground",
	"B1713": "Seat Driver Front Down Switch Circuit Failure",
	"B1714": "Seat Driver Front Down Switch Circuit Open",
	"B1715": "Seat Driver Front Down Switch Circuit Short To Battery",
	"B1716": "Seat Driver Front Down Switch Circuit Short To Ground",
	"B1717": "Seat Driver Forward Switch Circuit Failure",
	"B1718": "Seat Driver Forward Switch Circuit Open",
	"B1719": "Seat Driver Forward Switch Circuit Short To Battery",
	"B1720": "Seat Driver Forward Switch Circuit Short To Ground",
	"B1721": "Seat Driver Rearward Switch Circuit Failure",
	"B1722": "Seat Driver Rearward Switch Circuit Open",
	"B1723": "Seat Driver Rearward Switch Circuit Short To Battery",
	"B1724": "Seat Driver Rearward Switch Circuit Short To Ground",
	"B1725": "Seat Driver Rear Up Switch Circuit Failure",
	"B1726": "Seat Driver Rear Up Switch Circuit Open",
	"B1727": "Seat Driver Rear Up Switch Circuit Short To Battery",
	"B1728": "Seat Driver Rear Up Switch Circuit Short To Ground",
	"B1729": "Seat Driver Rear Down Switch Circuit Failure",
	"B1730": "Seat Driver Rear Down Switch Circuit Open",
	"B1731": "Seat Driver Rear Down Switch Circuit Short To Battery",
	"B1732": "Seat Driver Rear Down Switch Circuit Short To Ground",
	"B1733": "Mirror Driver Vertical Switch Circuit Failure",
	"B1734": "Mirror Driver Vertical Switch Circuit Open",
	"B1735": "Mirror Driver Vertical Switch Circuit Short To Battery",
	"B1736": "Mirror Driver Vertical Switch Circuit Short To Ground",
	"B1737": "Mirror Driver Horizontal Switch Circuit Failure",
	"B1738": "Mirror Driver Horizontal Switch Circuit Open",
	"B1739": "Mirror Driver Horizontal Switch Circuit Short To Battery",
	"B1740": "Mirror Driver Horizontal Switch Circuit Short To Ground",
	"B1741": "Mirror Passenger Vertical Switch Circuit Failure",
	"B1742": "Mirror Passenger Vertical Switch Circuit Open",
	"B1743": "Mirror Passenger Vertical Switch Circuit Short To Battery",
	"B1744": "Mirror Passenger Vertical Switch Circuit Short To Ground",
	"B1745": "Mirror Passenger Horizontal Switch Circuit Failure",
	"B1746": "Mirror Passenger Horizontal Switch Circuit Open",
	"B1747": "Mirror Passenger Horizontal Switch Circuit Short To Battery",
	"B1748": "Mirror Passenger Horizontal Switch Circuit Short To Ground",
	"B1749": "Park/Neutral Switch Circuit Failure",
	"B1750": "Park/Neutral Switch Circuit Open",
	"B1751": "Park/Neutral Switch Circuit Short To Battery",
	"B1752": "Park/Neutral Switch Circuit Short To Ground",
	"B1753": "Hazard Flash Output Circuit Failure",
	"B1754": "Hazard Flash Output Circuit Open",
	"B1755": "Hazard Flash Output Circuit Short Battery",
	"B1756": "Hazard Flash Output Circuit Short To Ground",
	"B1757": "Seat Driver Rear Down Circuit Failure",
	"B1758": "Seat Driver Rear Down Circuit Open",
	"B1759": "Seat Driver Rear Down Circuit Short To Battery",
	"B1760": "Seat Driver Rear Down Circuit Short To Ground",
	"B1761": "Seat Driver Front Down Circuit Failure",
	"B1762": "Seat Driver Front Down Circuit Open",
	"B1763": "Seat Driver Front Down Circuit Short To Battery",
	"B1764": "Seat Driver Front Down Circuit Short To Ground",
	"B1765": "Seat Driver Forward Circuit Failure",
	"B1766": "Seat Driver Forward Circuit Open",
	"B1767": "Seat Driver Forward Circuit Short To Battery",
	"B1768": "Seat Driver Forward Circuit Short To Ground",
	"B1769": "Seat Driver Backward Circuit Failure",
	"B1770": "Seat Driver Backward Circuit Open",
	"B1771": "Seat Driver Backward Circuit Short To Battery",
	"B1772": "Seat Driver Backward Circuit Short To Ground",
	"B1773": "Mirror Driver Up Circuit Failure",
	"B1774": "Mirror Driver Up Circuit Open",
	"B1775": "Mirror Driver Up Circuit Short To Battery",
	"B1776": "Mirror Driver Up Circuit Short To Ground",
	"B1777": "Driver's Seatbelt Tension Reducer Circuit Short to Ground",
	"B1778": "Mirror Driver Down Circuit Failure",
	"B1779": "Mirror Driver Down Circuit Open",
	"B1780": "Mirror Driver Down Circuit Short To Battery",
	"B1781": "Mirror Driver Down Short To Ground",
	"B1782": "Mirror Passenger Up Circuit Failure",
	"B1783": "Mirror Passenger Up Circuit Open",
	"B1784": "Mirror Passenger Up Circuit Short To Battery",
	"B1785": "Mirror Passenger Up Circuit Short To Ground",
	"B1786": "Mirror Passenger Down Circuit Failure",
	"B1787": "Mirror Passenger Down Circuit Open",
	"B1788": "Mirror Passenger Down Circuit Short To Battery",
	"B1789": "Mirror Passenger Down Circuit Short To Ground",
	"B1790": "Autolamp Sensor Input Circuit Failure",
	"B1791": "Autolamp Sensor Input Circuit Open",
	"B1792": "Autolamp Sensor Input Circuit Short To Battery",
	"B1793": "Autolamp Sensor Input Circuit Short To Ground",
	"B1794": "Lamp Headlamp Low-Beam Circuit Failure",
	"B1795": "Lamp Headlamp Low-Beam Circuit Open",
	"B1796": "Lamp Headlamp Low-Beam Circuit Short To Battery",
	"B1797": "Lamp Headlamp Low-Beam Circuit Short To Ground",
	"B1798": "Lamp Turn Signal Front Output Circuit Failure",
	"B1799": "Lamp Turn Signal Front Output Circuit Open",
	"B1800": "Lamp Turn Signal Front Output Circuit Short To Battery",
	"B1801": "Lamp Turn Signal Front Output Circuit Short To Ground",
	"B1802": "Lamp Turn Signal Rear Output Circuit Failure",
	"B1803": "Lamp Turn Signal Rear Output Circuit Open",
	"B1804": "Lamp Turn Signal Rear Output Circuit Short To Battery",
	"B1805": "Lamp Turn Signal Rear Output Circuit Short To Ground",
	"B1806": "Lamp Tail Output Circuit Failure",
	"B1807": "Lamp Tail Output Circuit Open",
	"B1808": "Lamp Tail Output Circuit Short To Battery",
	"B1809": "Lamp Tail Output Circuit Short To Ground",
	"B1810": "Lamp Backup Switch Input Circuit Failure",
	"B1811": "Lamp Backup Switch Input Circuit Open",
	"B1812": "Lamp Backup Switch Input Circuit Short To Battery",
	"B1813": "Lamp Backup Switch Input Circuit Short To Ground",
	"B1814": "Wiper Rear Motor Down Relay Coil Circuit Failure",
	"B1815": "Wiper Rear Motor Down Relay Coil Circuit Open",
	"B1816": "Wiper Rear Motor Down Relay Coil Circuit Short To Battery",
	"B1817": "Wiper Rear Motor Down Relay Coil Circuit Short To Ground",
	"B1818": "Wiper Rear Motor Up Relay Coil Circuit Failure",
	"B1819": "Wiper Rear Motor Up Relay Coil Circuit Open",
	"B1820": "Wiper Rear Motor Up Relay Coil Circuit Short To Battery",
	"B1821": "Wiper Rear Motor Up Relay Coil Circuit Short To Ground",
	"B1822": "Wiper Rear Park Sense Input Circuit Failure",
	"B1823": "Wiper Rear Park Sense Input Circuit Open",
	"B1824": "Wiper Rear Park Sense Input Circuit Short To Battery",
	"B1825": "Wiper Rear Park Sense Input Circuit Short To Ground",
	"B1826": "Wiper Rear High Limit Input Circuit Failure",
	"B1827": "Wiper Rear High Limit Input Circuit Open",
	"B1828": "Wiper Rear High Limit Input Circuit Short To Battery",
	"B1829": "Wiper Rear High Limit Input Circuit Short To Ground",
	"B1830": "Door Unlock Disarm Switch Circuit Failure",
	"B1831": "Door Unlock Disarm Switch Circuit Open",
	"B1832": "Door Unlock Disarm Switch Circuit Short To Battery",
	"B1833": "Door Unlock Disarm Switch Circuit Short To Ground",
	"B1834": "Door Unlock Disarm Output Circuit Failure",
	"B1835": "Door Unlock Disarm Output Circuit Open",
	"B1836": "Door Unlock Disarm Output Circuit Short To Battery",
	"B1837": "Door Unlock Disarm Output Circuit Short To Ground",
	"B1838": "Battery Saver Power Relay Circuit Failure",
	"B1839": "Wiper Rear Motor Circuit Failure",
	"B1840": "Wiper Front Power Circuit Failure",
	"B1841": "Wiper Front Power Circuit Open",
	"B1842": "Wiper Front Power Circuit Short To Battery",
	"B1843": "Wiper Front Power Circuit Short To Ground",
	"B1844": "Phone Handset Circuit Failure",
	"B1845": "Ignition Tamper Circuit Failure",
	"B1846": "Ignition Tamper Circuit Open",
	"B1847": "Ignition Tamper Circuit Short To Battery",
	"B1848": "Ignition Tamper Circuit Short To Ground",
	"B1849": "Climate Control Temperature Differential Circuit Failure",
	"B1850": "Climate Control Temperature Differential Circuit Open",
	"B1851": "Climate Control Temperature Differential Circuit Short To Battery",
	"B1852": "Climate Control Temperature Differential Circuit Short To Ground",
	"B1853": "Climate Control Air Temperature Internal Sensor Motor Circuit Failure",
	"B1854": "Climate Control Air Temperature Internal Sensor Motor Circuit Open",
	"B1855": "Climate Control Air Temperature Internal Sensor Motor Circuit Short To Battery",
	"B1856": "Climate Control Air Temperature Internal Sensor Motor Circuit Short To Ground",
	"B1857": "Climate Control On/Off Switch Circuit Failure",
	"B1858": "Climate Control A/C Pressure Switch Circuit Failure",
	"B1859": "Climate Control A/C Pressure Switch Circuit Open",
	"B1860": "Climate Control A/C Pressure Switch Circuit Short To Battery",
	"B1861": "Climate Control A/C Pressure Switch Circuit Short To Ground",
	"B1862": "Climate Control A/C Lock Sensor Failure",
	"B1863": "Ground ECU Circuit Open",
	"B1864": "Battery Power Supply ECU Circuit Failure",
	"B1865": "Battery Power Supply ECU Circuit Open",
	"B1866": "Battery Power Supply ECU Circuit Short To Battery",
	"B1867": "Battery Power Supply ECU Circuit Short To Ground",
	"B1868": "Lamp Air Bag Warning Indicator Circuit Failure",
	"B1869": "Lamp Air Bag Warning Indicator Circuit Open",
	"B1870": "Lamp Air Bag Warning Indicator Circuit Short To Battery",
	"B1871": "Passenger Air Bag Disable Module Fault",
	"B1872": "Turn Signal / Hazard Power Feed Circuit Short To Battery",
	"B1873": "Turn Signal / Hazard Power Feed Circuit Short To Ground",
	"B1874": "Cellular Phone Handset Not Present",
	"B1875": "Turn Signal / Hazard Switch Signal Circuit Failure",
	"B1876": "Seatbelt Driver Pretensioner Circuit Failure",
	"B1877": "Seatbelt Driver Pretensioner Circuit Open",
	"B1878": "Seatbelt Driver Pretensioner Circuit Short to Battery",
	"B1879": "Seatbelt Driver Pretensioner Circuit Short to Ground",
	"B1880": "Seatbelt Passenger Pretensioner Circuit Failure",
	"B1881": "Seatbelt Passenger Pretensioner Circuit Open",
	"B1882": "Seatbelt Passenger Pretensioner Circuit Short to Battery",
	"B1883": "Seatbelt Passenger Pretensioner Circuit Short to Ground",
	"B1884": "PAD Warning Lamp Inoperative",
	"B1885": "Seatbelt Driver Pretensioner Circuit Resistance Low on Squib",
	"B1886": "Seatbelt Passenger Pretensioner Circuit Resistance Low on Squib",
	"B1887": "Air Bag Driver Circuit Resistance Low or Shorted Together",
	"B1888": "Air Bag Passenger Circuit Resistance Low or Shorted Together",
	"B1889": "Passenger Airbag Disable Module Sensor Obstructed",
	"B1890": "PAD Warning Lamp Circuit Short to Battery",
	"B1891": "Air Bag Tone Warning Indicator Circuit Short to Battery",
	"B1892": "Air Bag Tone Warning Indicator Circuit Failure",
	"B1893": "GPS Antenna Open Circuit",
	"B1894": "Wiper Rear Motor Speed Sense Circuit Failure",
	"B1895": "Driver's / Passenger's Door Ajar Output Circuit Failure",
	"B1896": "Driver's / Passenger's Door Ajar Output Circuit Short to Battery",
	"B1897": "Horn Switch Circuit Failure",
	"B1898": "Chime Input #2 Circuit Short to Ground",
	"B1899": "Microphone Input Signal Circuit Open",
	"B1900": "Driver Side Airbag Fault",
	"B1901": "Air Bag Crash Sensor #1 Feed/Return Circuit Short To Ground",
	"B1902": "Air Bag Crash Sensor #1 Ground Circuit Failure",
	"B1903": "Air Bag Crash Sensor #1 Ground Circuit Short To Battery",
	"B1904": "Air Bag Crash Sensor #2 Feed/Return Circuit Failure",
	"B1905": "Air Bag Crash Sensor #2 Feed/Return Circuit Short To Battery",
	"B1906": "Air Bag Crash Sensor #2 Feed/Return Circuit Short To Ground",
	"B1907": "Air Bag Crash Sensor #2 Ground Circuit Failure",
	"B1908": "Air Bag Crash Sensor #2 Ground Circuit Short To Battery",
	"B1909": "Air Bag Crash Sensor #2 Ground Circuit Short To Ground",
	"B1910": "Air Bag Diagnostic Monitor Ground Circuit Failure",
	"B1911": "Air Bag Diagnostic Monitor Ground Circuit Short To Battery",
	"B1912": "Air Bag Diagnostic Monitor Ground Circuit Short To Ground",
	"B1913": "Air Bag Driver/Passenger Circuit Short To Ground",
	"B1914": "Air Bag Crash Sensors #1 / #2 Circuit Short To Ground",
	"B1915": "Air Bag Driver Circuit Failure",
	"B1916": "Air Bag Driver Circuit Short To Battery",
	"B1917": "Air Bag Memory Clear Circuit Failure",
	"B1918": "Air Bag Memory Clear Circuit Open",
	"B1919": "Air Bag Memory Clear Circuit Short To Battery",
	"B1920": "Air Bag Passenger Circuit Failure",
	"B1921": "Air Bag Diagnostic Monitor Ground Circuit Open",
	"B1922": "Air Bag Safing Sensor Output Circuit Short To Battery",
	"B1923": "Air Bag Memory Clear Circuit Short To Ground",
	"B1924": "Air Bag Internal Diagnostic Monitor Fault or System Disarm Fault",
	"B1925": "Air Bag Passenger Circuit Short To Battery",
	"B1926": "Air Bag Passenger Pressure Switch Circuit Failure",
	"B1927": "Passenger Side Airbag Fault",
	"B1928": "Air Bag Safing Sensor Output Circuit Failure",
	"B1929": "Air Bag Safing Sensor Output Circuit Open",
	"B1930": "Air Bag Safing Sensor Output Circuit Short To Ground",
	"B1931": "Air Bag Crash Sensor #1 Feed/Return Circuit Failure",
	"B1932": "Air Bag Driver Circuit Open",
	"B1933": "Air Bag Passenger Circuit Open",
	"B1934": "Air Bag Driver Inflator Circuit Resistance Low on Squib",
	"B1935": "Air Bag Passenger Inflator Circuit Resistance Low on Squib",
	"B1936": "Air Bag Driver Circuit Short To Ground",
	"B1937": "Air Bag Passenger Pressure Switch Circuit Open",
	"B1938": "Air Bag Passenger Circuit Short To Ground",
	"B1939": "Air Bag Passenger Pressure Switch Circuit Short To Ground",
	"B1941": "Air Bag Crash Sensor #1 Feed/Return Circuit Open",
	"B1942": "Air Bag Crash Sensor #2 Feed/Return Circuit Open",
	"B1943": "Air Bag Crash Sensor #1 Ground Circuit Short To Ground",
	"B1944": "Air Bag Crash Sensor #1 Ground Circuit Open",
	"B1945": "Air Bag Crash Sensor #2 Ground Circuit Open",
	"B1946": "Climate Control A/C Post Evaporator Sensor Circuit Failure",
	"B1947": "Climate Control A/C Post Evaporator Sensor Circuit Short To Ground",
	"B1948": "Climate Control Water Temperature Sensor Circuit Failure",
	"B1949": "Climate Control Water Temperature Sensor Circuit Short To Ground",
	"B1950": "Seat Rear Up/Down Potentiometer Feedback Circuit Failure",
	"B1951": "Seat Rear Up/Down Potentiometer Feedback Circuit Open",
	"B1952": "Seat Rear Up/Down Potentiometer Feedback Circuit Short To Battery",
	"B1953": "Seat Rear Up/Down Potentiometer Feedback Circuit Short To Ground",
	"B1954": "Seat Front Up/Down Potentiometer Feedback Circuit Failure",
	"B1955": "Seat Front Up/Down Potentiometer Feedback Circuit Open",
	"B1956": "Seat Front Up/Down Potentiometer Feedback Circuit Short To Battery",
	"B1957": "Seat Front Up/Down Potentiometer Feedback Circuit Short To Ground",
	"B1958": "Seat Recline Forward/Backward Potentiometer Feedback Circuit Failure",
	"B1959": "Seat Recline Forward/Backward Potentiometer Feedback Circuit Open",
	"B1960": "Seat Recline Forward/Backward Potentiometer Feedback Circuit Short To Battery",
	"B1961": "Seat Recline Forward/Backward Potentiometer Feedback Circuit Short To Ground",
	"B1962": "Seat Horizontal Forward/Rearward Potentiometer Feedback Circuit Failure",
	"B1963": "Seat Horizontal Forward/Rearward Potentiometer Feedback Circuit Open",
	"B1964": "Seat Horizontal Forward/Rearward Potentiometer Feedback Circuit Short To Battery",
	"B1965": "Seat Horizontal Forward/Rearward Potentiometer Feedback Circuit Short To Ground",
	"B1966": "A/C Post Heater Sensor Circuit Failure",
	"B1967": "A/C Post Heater Sensor Circuit Short To Ground",
	"B1968": "A/C Water Pump Detection Circuit Failure",
	"B1969": "A/C Clutch Magnetic Control Circuit Failure",
	"B1970": "Passenger Seatback Forward Switch Circuit Short to Ground",
	"B1971": "Passenger Seatback Rearward Switch Circuit Short to Ground",
	"B1972": "Passenger Rear Seat Up Switch Circuit Short to Battery",
	"B1973": "Passenger Rear Seat Down Switch Circuit Short to Battery",
	"B1974": "Passenger's Seat Recline Forward Switch Circuit Short to Battery",
	"B1975": "Passenger's Seat Recline Back Switch Circuit Short to Battery",
	"B1976": "Passenger's Seat Forward Switch Circuit Short to Battery",
	"B1977": "Passenger's Front Seat Up Switch Circuit Short to Battery",
	"B1978": "Passenger's Front Seat Down Switch Circuit Short to Battery",
	"B1979": "Passenger Seat Rearward Switch Circuit Short to Battery",
	"B1980": "Bulb - Outage Condition Detected",
	"B1981": "Memory Off Switch Circuit Short to Battery",
	"B1982": "Driver's Door Unlock Relay Circuit Failure",
	"B1983": "Driver's Door Unlock Relay Circuit Short to Battery",
	"B1984": "Seat Switch Lumbar Inflate Circuit Failure",
	"B1985": "Seat Switch Lumbar Deflate Circuit Failure",
	"B1986": "Driver's Seat Seatback Autoglide Rearward Switch Circuit Failure",
	"B1987": "Pedal Forward / Rearward Motor Stalled",
	"B1988": "Pedal Position Forward Switch Circuit Short to Battery",
	"B1989": "Pedal Position Rearward Switch Circuit Short to Battery",
	"B1990": "Pedal Forward / Rearward Potentiometer Feedback Circuit Failure",
	"B1991": "Pedal Forward / Rearward Potentiometer Feedback Circuit Short to Battery",
	"B1992": "Driver Side, Side mount Airbag Circuit Short to Vbatt",
	"B1993": "Driver Side, Side mount Airbag Circuit Short to Ground",
	"B1994": "Driver Side, Side mount Airbag Circuit Open",
	"B1995": "Driver Side, Side mount Airbag Low resistance on Squib",
	"B1996": "Passenger Side, Side mount Airbag Circuit Short to Vbatt",
	"B1997": "Passenger Side, Side mount Airbag Circuit Short to Ground",
	"B1998": "Passenger Side, Side mount Airbag Circuit Open",
	"B1999": "Passenger Side, Side mount Airbag Low resistance on Squib",
	"B2100": "Door Driver Key Cylinder Switch Failure",
	"B2101": "Head Rest Switch Circuit Failure",
	"B2102": "Antenna Circuit Short to Ground",
	"B2103": "Antenna Not Connected",
	"B2104": "Door Passenger Key Cylinder Switch Failure",
	"B2105": "Throttle Position Input Out of Range Low",
	"B2106": "Throttle Position Input Out of Range High",
	"B2107": "Front Wiper Motor Relay Circuit Short to Vbatt",
	"B2108": "Trunk Key Cylinder Switch Failure",
	"B2109": "Heated Wind Shield Relay Short to Vbatt -changed from Failure 2/6/97",
	"B2110": "Front Wiper Motor Relay Circuit Open -changed from Failure 2/6/97",
	"B2111": "All Door Lock Input Short to Ground",
	"B2112": "Door Driver Set Switch Stuck Failure",
	"B2113": "Heated Windshield Input Short to Ground",
	"B2114": "Front Washer Input Short to Ground",
	"B2115": "Rear Washer Input Short to Ground",
	"B2116": "Door Driver Reset Switch Stuck Failure",
	"B2117": "Driver Side, Side mount Airbag Low capacitance on Squib",
	"B2118": "Passenger Side, Side mount Airbag Low capacitance on Squib",
	"B2119": "Compressor Failure",
	"B2120": "Door Passenger Set Switch Stuck Failure",
	"B2122": "Driver Side Satellite Communication Circuit Short to Ground",
	"B2123": "Passenger Side Satellite Communication Circuit Short to Ground",
	"B2124": "Door Passenger Reset Switch Stuck Failure",
	"B2128": "Central Lock Motor Failure",
	"B2129": "Central Lock Feedback Failure",
	"B2130": "Double Lock Timeout Failure",
	"B2131": "Double Lock Feedback Failure",
	"B2132": "Dimmer switch Circuit Short to Gnd",
	"B2133": "Brake Motor Warning lamp Circuit Failure",
	"B2134": "Brake Motor Warning lamp Circuit Short to Vbatt",
	"B2135": "Park Brake Applied Warning Lamp Circuit Failure",
	"B2136": "Park Brake Applied Warning Lamp Circuit Short To Battery",
	"B2139": "Data Mismatch -receive data does not match what was expected",
	"B2141": "NVM Configuration Failure",
	"B2142": "NVM TIC Failure",
	"B2143": "NVM Memory Failure",
	"B2144": "NVM Alarm Data Failure",
	"B2145": "NVM RF HR Failure",
	"B2146": "Seat Recline Motor Position Out of Range",
	"B2148": "PWM Input Circuit Failure",
	"B2149": "Seat Front Vertical Motor Position Out of Range",
	"B2150": "Power Supply #1 Circuit Short to Ground",
	"B2151": "Power Supply #2 Circuit Short to Ground",
	"B2152": "Seat Rear Vertical Motor Position Out of Range",
	"B2153": "Rear Echo Sensor Circuit Failure",
	"B2154": "Front Echo Sensor Circuit Failure",
	"B2155": "Seat Horizontal Motor Position Out of Range",
	"B2156": "Rear Doppler Sensor Circuit Failure",
	"B2157": "Front Doppler Sensor Circuit Failure",
	"B2158": "Seat Recline Motor Memory Position Out of Range",
	"B2159": "Memory #1 output Short to Ground",
	"B2160": "Memory #1 output Short to VBatt",
	"B2161": "Seat Front Vertical Motor Memory Position Out of Range",
	"B2162": "Data Mismatch #2 -receive data does not match what was expected",
	"B2163": "Clutch Position Fault",
	"B2164": "Seat Rear Vertical Motor Memory Position Out of Range",
	"B2165": "Gear shift position Fault",
	"B2166": "Gear select position Fault",
	"B2167": "Seat Horizontal Motor Memory Position Out of Range",
	"B2168": "Unable to confirm Unlock Condition",
	"B2169": "Unable to confirm lock Condition",
	"B2170": "Steering Column Lock Switch Circuit Failure",
	"B2172": "Inertia Switch input Circuit Open",
	"B2174": "Window Driver Rear Remote Up Switch Short to Battery",
	"B2175": "A/C Request Signal Circuit Short to Ground",
	"B2176": "Overdrive switch circuit short to Vbatt",
	"B2177": "Interior Scanning Sensor Circuit Failure",
	"B2178": "Window Driver Rear Remote Down Switch Short to Battery",
	"B2179": "Front Wiper Select Switch A Short to Ground",
	"B2180": "Front Wiper Select Switch B Short to Ground",
	"B2181": "Front Wiper Select Switch C Short to Ground",
	"B2182": "Window Passenger Front Remote Up Switch Short to Battery",
	"B2183": "Front Wiper Select Switch H  Short to Ground",
	"B2184": "Front Wiper Select Switch W Short to Ground",
	"B2185": "Rear Wiper Select Switch D Short to Ground",
	"B2186": "Window Passenger Front Remote Down Switch Short to Battery",
	"B2187": "Rear Wiper Select Switch	B Short to Ground",
	"B2188": "Rear Wiper Select Switch E Short to Ground",
	"B2190": "Window Passenger Rear Remote Up Switch Short to Battery",
	"B2194": "Window Passenger Rear Remote Down Switch Short to Battery",
	"B2195": "Driver Window Up / Down Power Circuit Short to Ground",
	"B2196": "Passenger Window Up / Down Power Circuit Short to Ground",
	"B2197": "TV Module Error",
	"B2198": "TrafficMaster Module Error",
	"B2199": "VICS Module Error",
	"B2200": "No Communication to TV Module -No Fitting of TV",
	"B2201": "No Communication With Traffic MasterModule",
	"B2202": "No Communication to VICS Module -No Fitting of VICS",
	"B2203": "CD-ROM Error",
	"B2204": "GPS Antenna Connection Open or Short",
	"B2205": "GPS Receiver Error",
	"B2206": "Gyroscope Error",
	"B2207": "ECU ROM Checksum Error",
	"B2208": "Communication Link to Display and Switch Module Error",
	"B2209": "Interior Lamp Override Switch Open Circuit",
	"B2210": "Interior Lamp Override Switch Short to Ground",
	"B2211": "Low Coolant Lamp Output Circuit Short to Battery",
	"B2214": "Window Passenger Front Up Switch Short to Battery",
	"B2215": "Window Passenger Front Down Switch Short to Battery",
	"B2219": "Window Driver Front Current Feedback Exceeded",
	"B2220": "Window Driver Rear Current Feedback Exceeded",
	"B2221": "Window Passenger Front Current Feedback Exceeded",
	"B2222": "Window Passenger Rear Current Feedback Exceeded",
	"B2223": "Mirror Driver Drive Circuit Failure",
	"B2224": "Mirror Passenger Drive Circuit Failure",
	"B2225": "Front Crash Sensor Mount Fault",
	"B2226": "Front Crash Sensor Internal Fault",
	"B2227": "Front Crash Sensor Driver Communications Fault",
	"B2228": "Air Bag Driver Circuit Short to Ground - Loop #2",
	"B2229": "Air Bag Passenger Circuit Short to Ground - Loop #2",
	"B2230": "Air Bag Driver Circuit Short to Battery - Loop #2",
	"B2231": "Air Bag Passenger Circuit Short to Battery - Loop #2",
	"B2232": "Air Bag Driver Circuit Open - Loop #2",
	"B2233": "Air Bag passenger Circuit Open - Loop #2",
	"B2234": "Air Bag Driver Inflator Circuit Resistance Low on Squib - Loop #2",
	"B2235": "Air Bag Passenger Inflator Circuit",
	"B2236": "Weak or Defected Electric Vehicle Battery Module Fault",
	"B2237": "Vehicle Signal indicating Park While VSS Present",
	"B2238": "Power Cable For Power Sliding Door Broken",
	"B2239": "Rear Cargo Door Set Switch Stuck -Short to Ground",
	"B2240": "Rear Cargo Door Reset Switch Stuck -Short to Ground",
	"B2241": "Rear Cargo Door Lock Circuit Short to Ground",
	"B2242": "Rear Cargo Door Unlock Circuit Open",
	"B2243": "Driver Rear Door Ajar Circuit Open",
	"B2244": "Driver Sliding Door Ajar Circuit Short to GND",
	"B2245": "Passenger Rear Door Ajar Circuit Open",
	"B2246": "Passenger Sliding Door Ajar Circuit Short to GND",
	"B2247": "EV Battery Pack Temperature Fault",
	"B2248": "Heated Windshield Relay Coil Circuit Failure",
	"B2249": "Head Lamp Relay Coil Short to Battery",
	"B2250": "All Doors Unlock Relay Circuit Failure",
	"B2251": "Parklamp Output Relay Driver Circuit Failure",
	"B2252": "Parklamp Output Relay Dirver Short to Battery",
	"B2253": "FIAT: Circuito bloccaggio cortocircuito verso positivo",
	"B2254": "?",
	"B2255": "FIAT: Tempo scaduto richiesta sistema lavavetri anteriore",
	"B2256": "?",
	"B2257": "?",
	"B2258": "FIAT: Circuito rele sistema lavafari cortocircuito verso positivo",
	"B2259": "?",
	"B2260": "FIAT: Circuito motorino portiera cortocircuito verso positivo",
	"B2261": "FIAT: Interruttore luci di parcheggio",
	"B2262": "FIAT: Tempo scaduto tergicristallo da posizione di arresto a posizione di arresto",
	"B2263": "FIAT: Circuito ingresso radio cortocircuito verso positivo",
	"B2264": "FIAT: Interruttore antinebbia cortocircuito verso negativo",
	"B2265": "FIAT: Apertura cortocircuito verso negativo",
	"B2266": "?",
	"B2267": "FIAT: Valvola di miscelazione destra",
	"B2268": "FIAT: Comando A/C sul volante circuito aperto",
	"B2269": "FIAT: Comando A/C sul volante cortocircuito verso negativo",
	"B2270": "FIAT: Superamento tempo massimo consentito chiusura portiera elettrica scorrevole",
	"B2271": "FIAT: La portiera scorrevole elettrica non ha raggiunto la posizione di massima apertura durante l'autodiagnosi",
	"B2272": "?",
	"B2273": "?",
	"B2274": "?",
	"B2275": "?",
	"B2276": "?",
	"B2277": "?",
	"B2278": "?",
	"B2279": "?",
	"B2280": "?",
	"B2281": "?",
	"B2282": "?",
	"B2283": "?",
	"B2284": "?",
	"B2285": "?",
	"B2286": "?",
	"B2287": "?",
	"B2288": "?",
	"B2289": "?",
	"B2290": "?",
	"B2291": "?",
	"B2292": "?",
	"B2293": "?",
	"B2294": "?",
	"B2295": "?",
	"B2296": "?",
	"B2297": "?",
	"B2298": "?",
	"B2299": "?",
	"B2300": "Seat Driver Memory Position Error",
	"B2301": "Seat Passenger Memory Position Error",
	"B2302": "Seat Headrest Feedback Potentiometer Circuit Failure",
	"B2303": "Seat Headrest Feedback Potentiometer Circuit Open",
	"B2304": "Seat Headrest Feedback Potentiometer Circuit Short to Battery",
	"B2305": "Seat Headrest Feedback Potentiometer Circuit Short to Ground",
	"B2306": "Seat Headrest Motor Stalled",
	"B2310": "Mirror Driver Memory Position Error",
	"B2311": "Mirror Passenger Memory Position Error",
	"B2312": "Mirror Passenger Horizontal Feedback Potentiometer Circuit Failure",
	"B2313": "Mirror Passenger Horizontal Feedback Potentiometer Circuit Open",
	"B2314": "Mirror Passenger Horizontal Feedback Potentiometer Circuit Short to Battery",
	"B2315": "Mirror Passenger Horizontal Feedback Potentiometer Circuit Short to Ground",
	"B2316": "Mirror Passenger Vertical Feedback Potentiometer Circuit Failure",
	"B2317": "Mirror Passenger Vertical Feedback Potentiometer Circuit Open",
	"B2318": "Mirror Passenger Vertical Feedback Potentiometer Circuit Short to Battery",
	"B2319": "Mirror Passenger Vertical Feedback Potentiometer Circuit Short to Ground",
	"B2320": "Mirror Driver Horizontal Feedback Potentiometer Circuit Failure",
	"B2321": "Mirror Driver Horizontal Feedback Potentiometer Circuit Open",
	"B2322": "Mirror Driver Horizontal Feedback Potentiometer Circuit Short to Battery",
	"B2323": "Mirror Driver Horizontal Feedback Potentiometer Circuit Short to Ground",
	"B2324": "Mirror Driver Vertical Feedback Potentiometer Circuit Failure",
	"B2325": "Mirror Driver Vertical Feedback Potentiometer Circuit Open",
	"B2326": "Mirror Driver Vertical Feedback Potentiometer Circuit Short to Battery",
	"B2327": "Mirror Driver Vertical Feedback Potentiometer Circuit Short to Ground",
	"B2328": "Column Reach Feedback Potentiometer Circuit Failure",
	"B2329": "Column Reach Feedback Potentiometer Circuit Open",
	"B2330": "Column Reach Feedback Potentiometer Circuit Short to Battery",
	"B2331": "Column Reach Feedback Potentiometer Circuit Short to Ground",
	"B2332": "Column Tilt Feedback Potentiometer Circuit Failure",
	"B2333": "Column Tilt Feedback Potentiometer Circuit Open",
	"B2334": "Column Tilt Feedback Potentiometer Circuit Short to Battery",
	"B2335": "Column Tilt Feedback Potentiometer Circuit Short to Ground",
	"B2336": "Mirror Switch Assembly Circuit Failure",
	"B2337": "Mirror Switch Assembly Circuit Open",
	"B2338": "Mirror Switch Assembly Circuit Short to Battery",
	"B2339": "Mirror Switch Assembly Circuit Short to Ground",
	"B2340": "Column Reach Motor Stalled",
	"B2341": "Column Tilt Motor Stalled",
	"B2342": "Seat Switch Reference Voltage Positive Common Open Circuit",
	"B2343": "Seat Switch Reference Voltage Positive Common Supply Low Voltage",
	"B2344": "Seat Switch Reference Voltage Positive Common Supply Voltage Fault",
	"B2345": "Seat Switch Reference Voltage Negative Common Open Circuit",
	"B2346": "Mirror Switch Reference Voltage Positive Common Open Circuit",
	"B2347": "Mirror Switch Reference Voltage Positive Common Supply Low Voltage",
	"B2348": "Mirror Switch Reference Voltage Positive Common Supply Voltage Fault",
	"B2349": "Mirror Switch Reference Voltage Negative Common Open Circuit",
	"B2350": "Steering Column Switch Circuit Short to Battery",
	"B2351": "Steering Column Switch Circuit Failure",
	"B2352": "Driver Memory Power Switch Indicator Circuit Short to Battery",
	"B2353": "Driver Mirror Power Driver Circuit Short Ground",
	"B2354": "Driver Mirror Horizontal / Vertical Feedback Potentiometer Circuit Open",
	"B2355": "Passenger Mirror Horizontal / Vertical Feedback Potentiometer Circuit Open",
	"B2357": "Driver Window Down Current Sense Low Circuit Failure",
	"B2362": "Remote Open/Close signal Circuit Short to Ground",
	"B2363": "Optical Sensor System Failure",
	"B2364": "Fuel Filler Door Circuit Open",
	"B2365": "B-pillar Power Sliding Door Open/Close Switch Input Ckt Short to Gnd",
	"B2366": "IP Power Sliding Door Open/Close switch Ckt Short to Gnd",
	"B2367": "Power Sliding Door Override Switch Input Ckt Short to Gnd",
	"B2368": "Steering Column Switch Circuit Out of Range",
	"B2369": "Chime OUTPUT Request Ckt Short to Ground",
	"B2373": "LED #1 Circuit Short to Battery",
	"B2374": "Power Sliding Detent -Latch- Circuit Failure",
	"B2380": "Heater Coolant Temp sensor circuit Short to GND",
	"B2381": "Heater Coolant Temp sensor circuit Open",
	"B2384": "Audio Reverse Aid Mute Input Ckt Failure",
	"B2385": "Audio Navigation Mute Input Ckt Failure",
	"B2401": "Audio Tape Deck Mechanism Fault",
	"B2402": "Audio CD/DJ Thermal Shutdown Fault",
	"B2403": "Audio CD/DJ Internal Fault",
	"B2404": "Audio Steering Wheel Switch Circuit Fault",
	"B2405": "Audio Single-Disc CD Player Thermal Shutdown Fault",
	"B2406": "Audio Single-Disc CD Player Internal Fault",
	"B2416": "Climate Control Recirculation Actuator Out of Limits",
	"B2425": "Remote Keyless Entry Out of Synchronization",
	"B2426": "Passenger Solar Radiation Sensor Circuit Open",
	"B2427": "Passenger Solar Radiation Sensor Circuit Short to Ground",
	"B2428": "A/C Post Heater Sensor #2 Circuit Failure",
	"B2429": "A/C Post Heater Sensor #2 Circuit Short to Ground",
	"B2431": "Transponder Programming Failed",
	"B2432": "Drivers Seat Belt Buckle Switch Circuit Open",
	"B2433": "Drivers Seat Belt Buckle Switch Circuit Short to Battery",
	"B2434": "Drivers Seat Belt Buckle Switch Circuit Short to Ground",
	"B2435": "Drivers Seat Belt Buckle Switch Resistance out of Range",
	"B2436": "Passengers Seat Belt Buckle Switch Circuit Open",
	"B2437": "Passengers Seat Belt Buckle Switch Circuit Short to Battery",
	"B2438": "Passengers Seat Belt Buckle Switch Circuit Short to Ground",
	"B2439": "Passengers Seat Belt Buckle Switch Resistance out of Range",
	"B2440": "Passenger Side, Side crash sensor mount fault",
	"B2441": "Driver Side, Side crash sensor mount fault",
	"B2442": "Intrusion Sensor Fault",
	"B2443": "Powertrain Performance Mode Switch Circuit failure",
	"B2444": "Driver Side Crash Sensor Internal Fault",
	"B2445": "Passenger Side Crash Sensor Internal Fault",
	"B2446": "RESCU/VEMS Input Circuit Open",
	"B2447": "RESCU/VEMS Input Circuit Short to Battery",
	"B2448": "RESCU/VEMS Input Circuit Short to Ground",
	"B2449": "Aux Heater Glow Plug Circuit Short to Ground",
	"B2450": "Aux Heater Glow Plug Circuit Open",
	"B2451": "Aux Heater Fuel Pump Circuit Short to Ground",
	"B2452": "Aux Heater Fuel Pump Circuit Open",
	"B2453": "Aux Heater Blower Fan Circuit Short to Ground",
	"B2454": "Aux Heater Blower Fan Circuit Open",
	"B2455": "Aux Heater Blower Faulted",
	"B2456": "Aux Heater Coolant Sensor Circuit Short to Ground",
	"B2457": "Aux Heater Coolant Sensor Circuit Open",
	"B2458": "Aux Heater Overheat Sensor Circuit Short to Ground",
	"B2459": "Aux Heater Overheat Sensor Circuit Open",
	"B2460": "Aux Heater Flame Sensor Circuit Short to Ground",
	"B2461": "Aux Heater Flame Sensor Circuit Open",
	"B2462": "Aux Heater Flame Out Fault",
	"B2463": "Aux Heater Overheat Fault",
	"B2464": "Aux Heater Start Time Exceeded",
	"B2465": "Aux Heater Start Counter Overrun/System Locked -same as below ?",
	"B2466": "Aux Heater Overheat Counter Overrun/System Locked",
	"B2467": "Aux Heater Cool Down Time Exceeded -may be con to a453-5",
	"B2468": "Aux Heater Coolant Pump Circuit Short to Ground",
	"B2469": "Aux Heater Coolant Pump Circuit Open",
	"B2470": "Interior Fan Control Circuit Short to Ground",
	"B2471": "Interior Fan Control Circuit Open",
	"B2472": "Fog Lamp Switch Failure",
	"B2473": "Passenger Door Disarm Switch ckt Short to Ground",
	"B2474": "Passenger Door Lock Switch Circuit Shorted to Ground",
	"B2475": "Passenger Door Unlock Switch Circuit Shorted to Ground",
	"B2476": "RADIO PRESENT SWITCH Ckt Failure",
	"B2477": "Module Configuration Failure",
	"B2478": "ANTI THEFT INPUT SIGNAL SHORT TO GROUND",
	"B2479": "BRAKE PARK SWITCH CIRCUIT SHORT TO GROUND",
	"B2480": "LF CORNER LAMP OUTPUT Ckt Short to Battery",
	"B2481": "Convertible Top Up/Down switch Fault",
	"B2482": "RF CORNER LAMP OUTPUT Ckt Short to Battery",
	"B2483": "Enable Signal Open Circuit",
	"B2484": "Disable Signal Short to Ground",
	"B2485": "LF SIDE REPEATER LAMP OUTPUT Ckt Short to Battery",
	"B2487": "RF SIDE REPEATER LAMP OUTPUT Ckt Short to Battery",
	"B2489": "UNDERHOOD LAMP OUTPUT CIRCUIT Failure",
	"B2490": "UNDERHOOD LAMP OUTPUT CIRCUIT Short to Battery",
	"B2491": "RF PARK LAMP OUTPUT CIRCUIT Short to Battery",
	"B2492": "Already Programmed -Test Mode DTC Only !!!",
	"B2493": "LF PARK LAMP OUTPUT CIRCUIT Short to Battery",
	"B2494": "ANTI THEFT HORN OUTPUT CIRCUIT Short to Batt",
	"B2495": "ANTI THEFT HORN OUTPUT CIRCUIT Failure",
	"B2496": "ANTI THEFT HORN OUTPUT CIRCUIT Short to Gnd",
	"B2499": "COURTESY LAMP OUTPUT Failure",
	"B2500": "COURTESY LAMP OUTPUT Ckt Short to Battery",
	"B2501": "LF LAMP LOW BEAM CIRCUIT Failure",
	"B2502": "LF LAMP LOW BEAM CIRCUIT Short to Battery",
	"B2503": "RF LAMP LOW BEAM CIRCUIT Failure",
	"B2504": "RF LAMP LOW BEAM CIRCUIT Short to Battery",
	"B2505": "LF LAMP HIGH BEAM CIRCUIT Failure",
	"B2506": "LF LAMP HIGH BEAM CIRCUIT Short to Battery",
	"B2507": "RF LAMP HIGH BEAM CIRCUIT Failure",
	"B2508": "RF LAMP HIGH BEAM CIRCUIT Short to Battery",
	"B2509": "Rear Fog Lamp Switch Circuit Failure",
	"B2510": "Main Blower Motor Relay Circuit Short to Battery",
	"B2511": "Horn Output Relay Circuit Short to Battery",
	"B2512": "Front Fog Lamp Relay Ckt Short to Battery",
	"B2513": "Blower -Fan- Circuit Failure",
	"B2514": "Blower -Fan- Circuit Short to Vbatt",
	"B2515": "Heater Blower Relay Circuit Failure",
	"B2516": "Blower Control Circuit Failure",
	"B2517": "Emergency Power Off System Faulted",
	"B2518": "Compressor Overtemp Fault",
	"B2519": "High Mount Stop Lamp Circuit Failure",
	"B2520": "High Mount Stop Lamp Circuit Short to Battery",
	"B2523": "License Lamp Circuit Failure",
	"B2524": "License Lamp Circuit Short to Battery",
	"B2525": "Left Rear Backup Lamp Circuit Failure",
	"B2526": "Left Rear Backup Lamp Circuit Short to Battery",
	"B2527": "Left Rear Stop lamp Circuit Failure",
	"B2528": "Left Rear Stop lamp Circuit Short to Battery",
	"B2529": "Left Rear Turn Lamp Circuit Failure",
	"B2530": "Left Rear Turn Lamp Circuit Short to Battery",
	"B2531": "Right Rear Backup Lamp Circuit Failure",
	"B2532": "Right Rear Backup Lamp Circuit Short to Battery",
	"B2533": "Right Rear Stop lamp Circuit Failure",
	"B2534": "Right Rear Stop lamp Circuit Short to Battery",
	"B2535": "Right Rear Turn Lamp Circuit Failure",
	"B2536": "Right Rear Turn Lamp Circuit Short to Battery",
	"B2539": "Aux A/C Mode Position Reference Circuit Short to Ground",
	"B2540": "Aux A/C Mode Position Reference Circuit Short to Battery",
	"B2543": "Aux A/C Control Switch Reference Circuit Short to Ground",
	"B2544": "Aux A/C Control Switch Reference Circuit Short to Battery",
	"B2545": "System Power Relay Circuit Short to Battery",
	"B2546": "System Power Relay Circuit Failure",
	"B2550": "LAMP DOME OUTPUT Circuit Short to Ground",
	"B2553": "Disable Signal Output Circuit Short to Battery",
	"B2554": "LAMP DOME OUTPUT Circuit Failure",
	"B2555": "LAMP DOME OUTPUT Circuit Short to Battery",
	"B2556": "Enable Signal Circuit Short to Battery",
	"B2557": "Left Power Sliding Door Open/Close Output Circuit Short to Battery",
	"B2558": "Right Power Sliding Door Open/Close Output Circuit Short to Battery",
	"B2559": "Aux A/C Blower Motor Relay Circuit Short to Battery",
	"B2560": "Aux A/C Blower Motor Relay Circuit Short to Ground",
	"B2561": "Aux A/C Blower Speed 1 Circuit Failure",
	"B2562": "Aux A/C Blower Speed 1 Circuit Short to Ground",
	"B2563": "Aux A/C Blower Speed 2 Circuit Failure",
	"B2564": "Aux A/C Blower Speed 2 Circuit Short to Ground",
	"B2565": "Right Tail Lamp Circuit Failure",
	"B2566": "Right Tail Lamp Circuit Short to Ground",
	"B2567": "Reverse Mirror Output Circuit Failure",
	"B2568": "Reverse Mirror Output Circuit Short to Ground",
	"B2569": "Liftgate Disarm Switch Circuit Short to Ground",
	"B2570": "Right Lamp Outage Signal Circuit Short to Ground",
	"B2571": "Left Lamp Outage Signal Circuit Short to Ground",
	"B2580": "Aux Blower Sense Switch Circuit Failure",
	"B2581": "Passenger Seat Occupant Detection Circuit Short To Ground",
	"B2582": "Passenger Seat Occupant Detection Circuit Open",
	"B2583": "Child Seat Detection Circuit Short to Ground",
	"B2584": "Child Seat Detection Circuit Open",
	"B2585": "Anti Theft Input Signal Circuit Short To Battery",
	"B2586": "Headlamp Mode Select Circuit Failure",
	"B2587": "Passenger Seat Occupant Detection Circuit Short To Battery",
	"B2588": "Child Seat Detection Circuit Short To Battery",
	"B2589": "Unexpected Door Reversal During Close",
	"B2590": "Vehicle Park/Speed Signal Circuit Failure",
	"B2591": "Detent Signal Missing During Unlatch",
	"B2592": "PSD Not Fully Closed -Module Commanded Successfully",
	"B2593": "Power Sliding Door Opened During Module Close Command",
	"B2594": "No Movement Detected After an Unlatch During Power Open",
	"B2595": "Anti Theft Input Signal Circuit Failure",
	"B2596": "Headlamp Aim Output Relay Circuit Short To Battery",
	"B2597": "Headlamp Aim Output Relay Circuit Failure",
	"B2598": "Headlamp Relay Circuit Failure",
	"B2599": "Tailgate Release Open Circuit",
	"B2600": "Double Locking Door Motor Frozen",
	"B2601": "No Latch Signal Sensed on Closing and Door Reversed",
	"B2602": "Missing Latch Signal During Power Sliding Door Unlatch",
	"B2603": "PSD Not Fully Closed During Self-Test",
	"B2604": "Power Sliding Door On/Off Switch Open Circuit",
	"B2605": "Disable Signal Open Circuit",
	"B2606": "A/C Temperature Sensor Out of Range",
	"B2607": "?",
	"B2608": "?",
	"B2609": "?",
	"B2610": "?",
	"B2611": "?",
	"B2612": "?",
	"B2613": "?",
	"B2614": "?",
	"B2615": "?",
	"B2616": "?",
	"B2617": "?",
	"B2618": "?",
	"B2619": "?",
	"B2620": "?",
	"B2621": "?",
	"B2622": "?",
	"B2623": "?",
	"B2624": "?",
	"B2625": "?",
	"B2626": "?",
	"B2627": "?",
	"B2628": "?",
	"B2629": "?",
	"B2630": "?",
	"B2631": "?",
	"B2632": "?",
	"B2633": "?",
	"B2634": "?",
	"B2635": "?",
	"B2636": "?",
	"B2637": "?",
	"B2638": "?",
	"B2639": "?",
	"B2640": "?",
	"B2641": "?",
	"B2642": "?",
	"B2643": "?",
	"B2644": "?",
	"B2645": "?",
	"B2646": "?",
	"B2647": "?",
	"B2648": "?",
	"B2649": "?",
	"B2650": "?",
	"B2651": "?",
	"B2652": "?",
	"B2653": "?",
	"B2654": "?",
	"B2655": "?",
	"B2656": "?",
	"B2657": "?",
	"B2658": "?",
	"B2659": "?",
	"B2660": "?",
	"B2661": "?",
	"B2662": "?",
	"B2663": "?",
	"B2664": "?",
	"B2665": "?",
	"B2666": "?",
	"B2667": "?",
	"B2668": "?",
	"B2669": "?",
	"B2670": "?",
	"B2671": "?",
	"B2672": "?",
	"B2673": "?",
	"B2674": "?",
	"B2675": "?",
	"B2676": "?",
	"B2677": "?",
	"B2678": "?",
	"B2679": "?",
	"B2680": "?",
	"B2681": "?",
	"B2682": "?",
	"B2683": "?",
	"B2684": "?",
	"B2685": "?",
	"B2686": "?",
	"B2687": "?",
	"B2688": "?",
	"B2689": "?",
	"B2690": "?",
	"B2691": "?",
	"B2692": "?",
	"B2693": "?",
	"B2694": "?",
	"B2695": "?",
	"B2696": "?",
	"B2697": "?",
	"B2698": "?",
	"B2699": "?",
	"B2700": "?",
	"B2701": "?",
	"B2702": "?",
	"B2703": "?",
	"B2704": "?",
	"B2705": "?",
	"B2706": "?",
	"B2707": "?",
	"B2708": "?",
	"B2709": "?",
	"B2710": "?",
	"B2711": "?",
	"B2712": "?",
	"B2713": "?",
	"B2714": "?",
	"B2715": "?",
	"B2716": "?",
	"B2717": "?",
	"B2718": "?",
	"B2719": "?",
	"B2720": "?",
	"B2721": "?",
	"B2722": "?",
	"B2723": "?",
	"B2724": "?",
	"B2725": "?",
	"B2726": "?",
	"B2727": "?",
	"B2728": "?",
	"B2729": "?",
	"B2730": "?",
	"B2731": "?",
	"B2732": "?",
	"B2733": "?",
	"B2734": "?",
	"B2735": "?",
	"B2736": "?",
	"B2737": "?",
	"B2738": "?",
	"B2739": "?",
	"B2740": "?",
	"B2741": "?",
	"B2742": "?",
	"B2743": "?",
	"B2744": "?",
	"B2745": "?",
	"B2746": "?",
	"B2747": "?",
	"B2748": "?",
	"B2749": "?",
	"B2750": "?",
	"B2751": "?",
	"B2752": "?",
	"B2753": "?",
	"B2754": "?",
	"B2755": "?",
	"B2756": "?",
	"B2757": "?",
	"B2758": "?",
	"B2759": "?",
	"B2760": "?",
	"B2761": "?",
	"B2762": "?",
	"B2763": "?",
	"B2764": "?",
	"B2765": "?",
	"B2766": "?",
	"B2767": "?",
	"B2768": "?",
	"B2769": "?",
	"B2770": "?",
	"B2771": "?",
	"B2772": "?",
	"B2773": "?",
	"B2774": "?",
	"B2775": "?",
	"B2776": "?",
	"B2777": "?",
	"B2778": "?",
	"B2779": "?",
	"B2780": "?",
	"B2781": "?",
	"B2782": "?",
	"B2783": "?",
	"B2784": "?",
	"B2785": "?",
	"B2786": "?",
	"B2787": "?",
	"B2788": "?",
	"B2789": "?",
	"B2790": "?",
	"B2791": "?",
	"B2792": "?",
	"B2793": "?",
	"B2794": "?",
	"B2795": "?",
	"B2796": "?",
	"B2797": "?",
	"B2798": "?",
	"B2799": "?",
	"B2800": "?",
	"B2801": "?",
	"B2802": "?",
	"B2803": "?",
	"B2804": "?",
	"B2805": "?",
	"B2806": "?",
	"B2807": "?",
	"B2808": "?",
	"B2809": "?",
	"B2810": "?",
	"B2811": "?",
	"B2812": "?",
	"B2813": "?",
	"B2814": "?",
	"B2815": "?",
	"B2816": "?",
	"B2817": "?",
	"B2818": "?",
	"B2819": "?",
	"B2820": "?",
	"B2821": "?",
	"B2822": "?",
	"B2823": "?",
	"B2824": "?",
	"B2825": "?",
	"B2826": "?",
	"B2827": "?",
	"B2828": "?",
	"B2829": "?",
	"B2830": "?",
	"B2831": "?",
	"B2832": "?",
	"B2833": "?",
	"B2834": "?",
	"B2835": "?",
	"B2836": "?",
	"B2837": "?",
	"B2838": "?",
	"B2839": "?",
	"B2840": "?",
	"B2841": "?",
	"B2842": "?",
	"B2843": "?",
	"B2844": "?",
	"B2845": "?",
	"B2846": "?",
	"B2847": "?",
	"B2848": "?",
	"B2849": "?",
	"B2850": "?",
	"B2851": "?",
	"B2852": "?",
	"B2853": "?",
	"B2854": "?",
	"B2855": "?",
	"B2856": "?",
	"B2857": "?",
	"B2858": "?",
	"B2859": "?",
	"B2860": "?",
	"B2861": "?",
	"B2862": "?",
	"B2863": "?",
	"B2864": "?",
	"B2865": "?",
	"B2866": "?",
	"B2867": "?",
	"B2868": "?",
	"B2869": "?",
	"B2870": "?",
	"B2871": "?",
	"B2872": "?",
	"B2873": "?",
	"B2874": "?",
	"B2875": "?",
	"B2876": "?",
	"B2877": "?",
	"B2878": "?",
	"B2879": "?",
	"B2880": "?",
	"B2881": "?",
	"B2882": "?",
	"B2883": "?",
	"B2884": "?",
	"B2885": "?",
	"B2886": "?",
	"B2887": "?",
	"B2888": "?",
	"B2889": "?",
	"B2890": "?",
	"B2891": "?",
	"B2892": "?",
	"B2893": "?",
	"B2894": "?",
	"B2895": "?",
	"B2896": "?",
	"B2897": "?",
	"B2898": "?",
	"B2899": "?",
	"B2900": "?",
	"B2901": "?",
	"B2902": "?",
	"B2903": "?",
	"B2904": "?",
	"B2905": "?",
	"B2906": "?",
	"B2907": "?",
	"B2908": "?",
	"B2909": "?",
	"B2910": "?",
	"B2911": "?",
	"B2912": "?",
	"B2913": "?",
	"B2914": "?",
	"B2915": "?",
	"B2916": "?",
	"B2917": "?",
	"B2918": "?",
	"B2919": "?",
	"B2920": "?",
	"B2921": "?",
	"B2922": "?",
	"B2923": "?",
	"B2924": "?",
	"B2925": "?",
	"B2926": "?",
	"B2927": "?",
	"B2928": "?",
	"B2929": "?",
	"B2930": "?",
	"B2931": "?",
	"B2932": "?",
	"B2933": "?",
	"B2934": "?",
	"B2935": "?",
	"B2936": "?",
	"B2937": "?",
	"B2938": "?",
	"B2939": "?",
	"B2940": "?",
	"B2941": "?",
	"B2942": "?",
	"B2943": "?",
	"B2944": "?",
	"B2945": "?",
	"B2946": "?",
	"B2947": "?",
	"B2948": "?",
	"B2949": "?",
	"B2950": "?",
	"B2951": "?",
	"B2952": "?",
	"B2953": "?",
	"B2954": "?",
	"B2955": "?",
	"B2956": "?",
	"B2957": "?",
	"B2958": "?",
	"B2959": "?",
	"B2960": "?",
	"B2961": "?",
	"B2962": "?",
	"B2963": "?",
	"B2964": "?",
	"B2965": "?",
	"B2966": "?",
	"B2967": "?",
	"B2968": "?",
	"B2969": "?",
	"B2970": "?",
	"B2971": "?",
	"B2972": "?",
	"B2973": "?",
	"B2974": "?",
	"B2975": "?",
	"B2976": "?",
	"B2977": "?",
	"B2978": "?",
	"B2979": "?",
	"B2980": "?",
	"B2981": "?",
	"B2982": "?",
	"B2983": "?",
	"B2984": "?",
	"B2985": "?",
	"B2986": "?",
	"B2987": "?",
	"B2988": "?",
	"B2989": "?",
	"B2990": "?",
	"B2991": "?",
	"B2992": "?",
	"B2993": "?",
	"B2994": "?",
	"B2995": "?",
	"B2996": "?",
	"B2997": "?",
	"B2998": "?",
	"B2999": "?",

	"C0000": "Vehicle Speed Information Circuit Malfunction",
	"C0001": "?",
	"C0002": "?",
	"C0003": "?",
	"C0004": "?",
	"C0005": "?",
	"C0006": "?",
	"C0007": "?",
	"C0008": "?",
	"C0009": "?",
	"C0010": "?",
	"C0011": "?",
	"C0012": "?",
	"C0013": "?",
	"C0014": "?",
	"C0015": "?",
	"C0016": "?",
	"C0017": "?",
	"C0018": "?",
	"C0019": "?",
	"C0020": "?",
	"C0021": "?",
	"C0022": "?",
	"C0023": "?",
	"C0024": "?",
	"C0025": "?",
	"C0026": "?",
	"C0027": "?",
	"C0028": "?",
	"C0029": "?",
	"C0030": "?",
	"C0031": "?",
	"C0032": "?",
	"C0033": "?",
	"C0034": "?",
	"C0035": "Left Front Wheel Speed Circuit Malfunction",
	"C0036": "?",
	"C0037": "?",
	"C0038": "?",
	"C0039": "?",
	"C0040": "Right Front Wheel Speed Circuit Malfunction",
	"C0041": "Right Front Wheel Speed Sensor Circuit Range/Performance -EBCM",
	"C0042": "?",
	"C0043": "?",
	"C0044": "?",
	"C0045": "Left Rear Wheel Speed Circuit Malfunction",
	"C0046": "Left Rear Wheel Speed Sensor Circuit Range/Performance -EBCM",
	"C0047": "?",
	"C0048": "?",
	"C0049": "?",
	"C0050": "Right Rear Wheel Speed Circuit Malfunction",
	"C0051": "LF Wheel Speed Sensor Circuit Range/Performance -EBCM",
	"C0052": "?",
	"C0053": "?",
	"C0054": "?",
	"C0055": "?",
	"C0056": "?",
	"C0057": "?",
	"C0058": "?",
	"C0059": "?",
	"C0060": "Left Front ABS Solenoid #1 Circuit Malfunction",
	"C0061": "?",
	"C0062": "?",
	"C0063": "?",
	"C0064": "?",
	"C0065": "Left Front ABS Solenoid #2 Circuit Malfunction",
	"C0066": "?",
	"C0067": "?",
	"C0068": "?",
	"C0069": "?",
	"C0070": "Right Front ABS Solenoid #1 Circuit Malfunction",
	"C0071": "?",
	"C0072": "?",
	"C0073": "?",
	"C0074": "?",
	"C0075": "Right Front ABS Solenoid #2 Circuit Malfunction",
	"C0076": "?",
	"C0077": "?",
	"C0078": "?",
	"C0079": "?",
	"C0080": "Left Rear ABS Solenoid #1 Circuit Malfunction",
	"C0081": "?",
	"C0082": "?",
	"C0083": "?",
	"C0084": "?",
	"C0085": "Left Rear ABS Solenoid #2 Circuit Malfunction",
	"C0086": "?",
	"C0087": "?",
	"C0088": "?",
	"C0089": "?",
	"C0090": "Right Rear ABS Solenoid #1 Circuit Malfunction",
	"C0091": "?",
	"C0092": "?",
	"C0093": "?",
	"C0094": "?",
	"C0095": "Right Rear ABS Solenoid #2 Circuit Malfunction",
	"C0096": "?",
	"C0097": "?",
	"C0098": "?",
	"C0099": "?",
	"C0100": "?",
	"C0101": "?",
	"C0102": "?",
	"C0103": "?",
	"C0104": "?",
	"C0105": "?",
	"C0106": "?",
	"C0107": "?",
	"C0108": "?",
	"C0109": "?",
	"C0110": "Pump Motor Circuit Malfunction",
	"C0111": "?",
	"C0112": "?",
	"C0113": "?",
	"C0114": "?",
	"C0115": "?",
	"C0116": "?",
	"C0117": "?",
	"C0118": "?",
	"C0119": "?",
	"C0120": "?",
	"C0121": "Valve Relay Circuit Malfunction",
	"C0122": "?",
	"C0123": "?",
	"C0124": "?",
	"C0125": "?",
	"C0126": "?",
	"C0127": "?",
	"C0128": "Low Brake Fluid Circuit Low",
	"C0129": "?",
	"C0130": "?",
	"C0131": "?",
	"C0132": "?",
	"C0133": "?",
	"C0134": "?",
	"C0135": "?",
	"C0136": "?",
	"C0137": "?",
	"C0138": "?",
	"C0139": "?",
	"C0140": "?",
	"C0141": "Left TCS Solenoid #1 Circuit Malfunction",
	"C0142": "?",
	"C0143": "?",
	"C0144": "?",
	"C0145": "?",
	"C0146": "Left TCS Solenoid #2 Circuit Malfunction",
	"C0147": "?",
	"C0148": "?",
	"C0149": "?",
	"C0150": "?",
	"C0151": "Right TCS Solenoid #1 Circuit Malfunction",
	"C0152": "?",
	"C0153": "?",
	"C0154": "?",
	"C0155": "?",
	"C0156": "Right TCS Solenoid #2 Circuit Malfunction",
	"C0157": "?",
	"C0158": "?",
	"C0159": "?",
	"C0160": "?",
	"C0161": "ABS/TCS Brake Switch Circuit Malfunction",
	"C0162": "?",
	"C0163": "?",
	"C0164": "?",
	"C0165": "?",
	"C0166": "?",
	"C0167": "?",
	"C0168": "?",
	"C0169": "?",
	"C0180": "?",
	"C0181": "?",
	"C0182": "?",
	"C0183": "?",
	"C0184": "?",
	"C0185": "?",
	"C0186": "?",
	"C0187": "?",
	"C0188": "?",
	"C0189": "?",
	"C0190": "?",
	"C0191": "?",
	"C0192": "?",
	"C0193": "?",
	"C0194": "?",
	"C0195": "?",
	"C0196": "?",
	"C0197": "?",
	"C0198": "?",
	"C0199": "?",
	"C0200": "?",
	"C0201": "?",
	"C0202": "?",
	"C0203": "?",
	"C0204": "?",
	"C0205": "?",
	"C0206": "?",
	"C0207": "?",
	"C0208": "?",
	"C0209": "?",
	"C0210": "?",
	"C0211": "?",
	"C0212": "?",
	"C0213": "?",
	"C0214": "?",
	"C0215": "?",
	"C0216": "?",
	"C0217": "?",
	"C0218": "?",
	"C0219": "?",
	"C0220": "?",
	"C0221": "Right Front Wheel Speed Sensor Circuit Open",
	"C0222": "Right Front Wheel Speed Signal Missing",
	"C0223": "Right Front Wheel Speed Signal Erratic",
	"C0224": "?",
	"C0225": "Left Front Wheel Speed Sensor Circuit Open",
	"C0226": "Left Front Wheel Speed Signal Missing",
	"C0227": "Left Front Wheel Speed Signal Erratic",
	"C0229": "Drop Out of Front Wheel Speed Signals",
	"C0230": "?",
	"C0231": "?",
	"C0232": "?",
	"C0233": "?",
	"C0234": "?",
	"C0235": "Rear Wheel Speed Signal Circuit Open",
	"C0236": "Rear Wheel Speed Signal Circuit Missing",
	"C0237": "Rear Wheel Speed Signal Erratic",
	"C0238": "Wheel Speed Mismatch",
	"C0239": "?",
	"C0240": "?",
	"C0241": "EBCM Control Valve Circuit",
	"C0242": "?",
	"C0243": "?",
	"C0244": "?",
	"C0245": "Wheel Speed Sensor Frequency Error",
	"C0246": "?",
	"C0247": "?",
	"C0248": "?",
	"C0249": "?",
	"C0250": "?",
	"C0251": "?",
	"C0252": "?",
	"C0253": "?",
	"C0254": "EBCM Control Valve Circuit",
	"C0255": "?",
	"C0256": "?",
	"C0257": "?",
	"C0258": "?",
	"C0259": "?",
	"C0260": "?",
	"C0261": "?",
	"C0262": "?",
	"C0263": "?",
	"C0264": "?",
	"C0265": "EBCM Relay Circuit",
	"C0266": "EBCM Relay Circuit",
	"C0267": "Pump Motor Circuit Open/Shorted",
	"C0268": "Pump Motor Circuit Open/Shorted",
	"C0269": "Excessive Dump/Isolation Time",
	"C0270": "?",
	"C0271": "EBCM Malfunction",
	"C0272": "EBCM Malfunction",
	"C0273": "EBCM Malfunction",
	"C0274": "Excessive Dump/Isolation Time",
	"C0275": "?",
	"C0276": "?",
	"C0277": "?",
	"C0278": "?",
	"C0279": "Powertrain Configuration Not Valid",
	"C0280": "?",
	"C0281": "Brake Switch Circuit",
	"C0282": "?",
	"C0283": "Traction Switch Shorted to Ground",
	"C0284": "EBCM Malfunction",
	"C0285": "?",
	"C0286": "ABS Indicator Lamp Circuit Shorted to B+",
	"C0287": "Delivered Torque Circuit",
	"C0288": "Brake Warning Lamp Circuit Shorted to B+",
	"C0289": "?",
	"C0290": "Lost Communications With PCM",
	"C0291": "Lost Communications With BCM",
	"C0292": "Lost Communications With PCM",
	"C0293": "?",
	"C0294": "?",
	"C0295": "?",
	"C0296": "?",
	"C0297": "Powertrain Configuration Data Not Received",
	"C0298": "Powertrain Indicated Traction Control Malfunction",
	"C0299": "?",
	"C0300": "Rear Speed Sensor Malfunction",
	"C0301": "?",
	"C0302": "?",
	"C0303": "?",
	"C0304": "?",
	"C0305": "Front Speed Sensor Malfunction",
	"C0306": "Motor A or B Circuit",
	"C0307": "?",
	"C0308": "Motor A/B Circuit Low",
	"C0309": "Motor A/B Circuit High",
	"C0310": "Motor A/B Circuit Open",

	"C0315": "Motor Ground Circuit Open",
	"C0321": "Transfer Case Lock Circuit",
	"C0323": "T-Case Lock Circuit Low",
	"C0324": "T-Case Lock Circuit High",
	"C0327": "Encoder Circuit Malfunction",
	"C0357": "Park Switch Circuit High",
	"C0359": "Four Wheel Drive Low Range -4LO- Discrete Output Circuit",
	"C0362": "4LO Discrete Output Circuit High",
	"C0367": "Front Axle Control Circuit High",
	"C0374": "General System Malfunction",
	"C0376": "Front/Rear Shaft Speed Mismatch",
	"C0379": "Front Axle System",
	"C0387": "Unable to Perform Shift",
	"C0472": "Steering Handwheel Speed Sensor Signal V Low",
	"C0473": "Steering Handwheel Speed Sensor Signal V High",
	"C0495": "EVO Tracking Error",
	"C0498": "Steering Assist Control Actuator Feed Circuit Low",
	"C0499": "Steering Assist Control Solenoid Feed Circuit High",
	"C0503": "Steering Assist Control Solenoid Return Circuit Low",
	"C0504": "Steering Assist Control Solenoid Return Circuit High",
	"C0550": "ECU Malfunction - internal write / checksum malfunction",
	"C0559": "EEPROM Checksum Error",
	"C0563": "Calibration ROM Checksum Error",
	"C0577": "Left Front Solenoid Circuit Low",
	"C0578": "Left Front Solenoid Circuit High",
	"C0579": "Left Front Solenoid Circuit Open",
	"C0582": "Right Front Solenoid Circuit Low",
	"C0583": "Right Front Solenoid Circuit High",
	"C0584": "Right Front Solenoid Circuit Open",
	"C0587": "Left Rear Solenoid Circuit Low",
	"C0588": "Left Rear Solenoid Circuit High",
	"C0589": "Left Rear Solenoid Circuit Open",
	"C0592": "Right Rear Solenoid Circuit Low",
	"C0593": "Right Rear Solenoid Circuit High",
	"C0594": "Right Rear Solenoid Circuit Open",
	"C0611": "VIN Information Error",
	"C0615": "Left Front Position Sensor Malfunction",
	"C0620": "Right Front Position Sensor Malfunction",
	"C0625": "Left Rear Position Sensor Malfunction",
	"C0628": "Level Control Position Sensor Circuit High",
	"C0630": "Right Rear Position Sensor Malfunction",
	"C0635": "Left Front Normal Force Circuit Malfunction",
	"C0638": "Left Front Normal Force Circuit High",
	"C0640": "Right Front Normal Force Circuit Malfunction",
	"C0643": "Right Front Normal Force Circuit High",
	"C0655": "Level Control Compressor Relay Malfunction",
	"C0657": "Level Control Compressor Circuit Low",
	"C0658": "Level Control Compressor Circuit High",
	"C0660": "Level Control Exhaust Valve Circuit Malfunction",
	"C0662": "Level Control Exhaust Valve Circuit Low",
	"C0663": "Level Control Exhaust Valve Circuit High",
	"C0665": "Chassis Pitch Signal Circuit",
	"C0690": "Damper Control Relay Circuit Malfunction",
	"C0691": "Damper Control Relay Circuit Range",
	"C0693": "Damper Control Relay Circuit High",
	"C0695": "Position Sensor Overcurrent -8 volt supply",
	"C0696": "Position Sensor Overcurrent -5 volt supply",
	"C0710": "Steering Position Signal Malfunction",
	"C0750": "Tire Pressure Monitor -TPM- system sensor not transmitting",
	"C0755": "Tire Pressure Monitor -TPM- system sensor not transmitting",
	"C0760": "Tire Pressure Monitor -TPM- system sensor not transmitting",
	"C0765": "Tire Pressure Monitor -TPM- system sensor not transmitting",
	"C0800": "Device Power #1 Circuit Malfunction",
	"C0895": "?",
	"C0896": "Electronic Suspension Control -ESC- voltage is outside the normal range of 9 to 15.5 volts",
	"C0897": "?",
	"C0898": "?",
	"C0899": "?",
	"C0900": "?",
	"C1000": "Mini: Vehicle Speed Information Circuit Malfunction",
	"C1024": "Mercedes: CAN Communication With Engine Control Module Interrupted",
	"C1210": "?",
	"C1211": "GM: ABS Indicator Lamp Circuit Malfunction",
	"C1212": "?",
	"C1213": "?",
	"C1214": "GM: System Relay Contact or Coil Circuit Open",
	"C1215": "?",
	"C1216": "?",
	"C1217": "GM: Pump Motor Shorted to Ground",
	"C1218": "GM: Pump Motor Circuit Shorted to Voltage or Motor Ground Open",
	"C1219": "?",
	"C1220": "?",
	"C1221": "GM: Left Front Wheel Speed Sensor Input Signal is 0",
	"C1222": "GM: Right Front Wheel Speed Sensor Input Signal is 0",
	"C1223": "GM: Left Rear Wheel Speed Sensor Input Signal is 0",
	"C1224": "GM: Right Rear Wheel Speed Sensor Input Signal is 0",
	"C1225": "GM: Left Front Excessive Wheel Speed Variation",
	"C1226": "GM: Right Front Excessive Wheel Speed Variation",
	"C1227": "GM: Left Rear Excessive Wheel Speed Variation",
	"C1228": "GM: Right Rear Excessive Wheel Speed Variation",
	"C1229": "?",
	"C1230": "?",
	"C1231": "?",
	"C1232": "GM: Left Front Wheel Speed Circuit Open or Shorted",
	"C1233": "GM: Right Front Wheel Speed Circuit Open or Shorted",
	"C1234": "GM: Left Rear Wheel Speed Circuit Open or Shorted",
	"C1235": "GM: Right Rear Wheel Speed Circuit Open or Shorted",
	"C1236": "GM: Low System Supply Voltage",
	"C1237": "GM: High System Supply Voltage",
	"C1238": "GM: Brake Thermal Model Exceeded",
	"C1239": "?",
	"C1240": "?",
	"C1241": "GM: Variable Effort Steering Circuit Malfunction",
	"C1242": "GM: Pump Motor Circuit Open",
	"C1243": "GM: BPMV Pump Motor Stalled",
	"C1244": "GM: Powertrain Indicated Engine Drag Control Malfunction",
	"C1245": "?",
	"C1246": "GM: Brake Lining Wear Circuit Open",
	"C1247": "?",
	"C1248": "GM: EBCM Turned the Red Brake Warning Indicator On",
	"C1249": "?",
	"C1250": "?",
	"C1251": "GM: RSS Indicated Malfunction",
	"C1252": "GM: Left Front Normal Force Malfunction",
	"C1253": "GM: Right Front Normal Force Malfunction",
	"C1254": "GM: Abnormal Shutdown Detected",
	"C1255": "GM: EBCM Internal Malfunction",
	"C1256": "GM: EBCM Internal Malfunction",
	"C1257": "?",
	"C1258": "?",
	"C1259": "?",
	"C1260": "?",
	"C1261": "GM: Left Front Inlet Valve Solenoid Malfunction",
	"C1262": "GM: Left Front Outlet Valve Solenoid Malfunction",
	"C1263": "GM: Right Front Inlet Valve Solenoid Malfunction",
	"C1264": "GM: Right Front Outlet Valve Solenoid Malfunction",
	"C1265": "GM: Left Rear Inlet Valve Solenoid Malfunction",
	"C1266": "GM: Left Rear Outlet Valve Solenoid Malfunction",
	"C1267": "GM: Right Rear Inlet Valve Solenoid Malfunction",
	"C1268": "GM: Right Rear Outlet Valve Solenoid Malfunction",
	"C1269": "?",
	"C1270": "?",
	"C1271": "GM: Left Front TCS Master Cylinder Isolation Valve Malfunction",
	"C1272": "GM: Left Front TCS Prime Valve Malfunction",
	"C1273": "GM: Right Front TCS Master Cylinder Isolation Valve Malfunction",
	"C1274": "GM: Right Front TCS Prime Valve Malfunction",
	"C1275": "?",
	"C1276": "GM: Delivered Torque Signal Circuit Malfunction",
	"C1277": "GM: Requested Torque Signal Circuit Malfunction",
	"C1278": "GM: TCS Temporarily Inhibited By PCM",
	"C1279": "?",
	"C1280": "?",
	"C1281": "GM: VSES Sensors Uncorrelated",
	"C1282": "GM: Yaw Rate Sensor Bias Circuit Malfunction",
	"C1283": "GM: Excessive Time to Center Steering",
	"C1284": "GM: Lateral Accelerometer Sensor Bias Malfunction",
	"C1285": "GM: Lateral Accelerometer Sensor Circuit Malfunction",
	"C1286": "GM: Steering Sensor Bias Malfunction",
	"C1287": "GM: Steering Sensor Rate Malfunction",
	"C1288": "GM: Steering Sensor Circuit Malfunction",
	"C1291": "GM: Open Brake Lamp Switch Contacts During Deceleration",
	"C1292": "GM: Brake Fluid Pressure Sensor Circuit",
	"C1293": "GM: Code C1291 Set in Previous Ignition Cycle",
	"C1294": "GM: Brake Lamp Switch Circuit Always Active",
	"C1295": "GM: Brake Lamp Switch Circuit Open",
	"C1296": "GM: Brake Fluid Pressure Sensor Circuit",
	"C1297": "GM: PCM Indicated Brake Extended Travel Switch Failure",
	"C1298": "GM: PCM Class 2 Serial Data Link Malfunction",
	"C1326": "GM: Battery Out of Range",
	"C1650": "GM: RSS Control Module Fault",
	"C1658": "GM: RSS Control Module Calibration Fault",
	"C1710": "GM: Left Front Damper Actuator Short Circuit to Battery",
	"C1711": "GM: Left Front Damper Actuator Short Circuit to Ground",
	"C1712": "GM: Left Front Damper Actuator Open Circuit",
	"C1715": "GM: Right Front Damper Actuator Short Circuit to Battery",
	"C1716": "GM: Right Front Damper Actuator Short Circuit to Ground",
	"C1717": "GM: Right Front Damper Actuator Open Circuit",
	"C1720": "GM: Left Rear Damper Actuator Short Circuit to Battery",
	"C1721": "GM: Left Rear Damper Actuator Short Circuit to Ground",
	"C1722": "GM: Left Rear Damper Actuator Open Circuit",
	"C1725": "GM: Right Rear Damper Actuator Short Circuit to Battery",
	"C1726": "GM: Right Rear Damper Actuator Short Circuit to Ground",
	"C1727": "GM: Right Rear Damper Actuator Open Circuit",
	"C1735": "GM: Compressor Relay Short to Battery",
	"C1736": "GM: Compressor Relay Short to GND/Open Circuit",
	"C1737": "GM: Exhaust Solenoid Valve Short to Battery",
	"C1738": "GM: Exhaust Solenoid Valve Short to GND",
	"C1743": "GM: Speed Signal Fault",
	"C1744": "GM: Lift/Dive Signal Discrete Fault",
	"C1760": "GM: Left Front Position Sensor Input Fault",
	"C1761": "GM: Right Front Position Sensor Input Fault",
	"C1762": "GM: Left Rear Position Sensor Input Fault",
	"C1763": "GM: Right Rear Position Sensor Input Fault",
	"C1768": "GM: Position Sensor Supply Fault",
	"C1780": "GM: Loss of Steering Position Signal",
	"C1781": "?:",
	"C1782": "GM: ICCS2 DL Left Output Short Circuit to Bat",
	"C1783": "GM: ICCS2 DL Left Output Short Circuit to GND",
	"C1784": "GM: ICCS2 DL Right Output Short Circuit to Bat",
	"C1785": "GM: ICCS2 DL Right Output Short Circuit to GND",
	"C1786": "GM: Damper Control Relay Fault",
	"C1787": "GM: Damper Control Relay Short to GND",
	"C1788": "GM: Damper Control Relay Short to Bat",
	"C1789": "?:",
	"C1790": "?:",
	"C1791": "?:",
	"C1792": "?:",
	"C1793": "?:",
	"C1794": "?:",
	"C1795": "?:",
	"C1796": "?:",
	"C1797": "?:",
	"C1798": "?:",
	"C1799": "?:",
	
	"P0000": "NISSAN: NO DTC IS DETECTED. FURTHER TESTING MAY BE REQUIRED",
	"P0001": "Fuel Volume Regulator Control Circuit/Open",
	"P0002": "Fuel Volume Regulator Control Circuit Range/Performance",
	"P0003": "Fuel Volume Regulator Control Circuit Low",
	"P0004": "Fuel Volume Regulator Control Circuit High",
	"P0005": "Fuel Shutoff Valve 'A' Control Circuit/Open",
	"P0006": "Fuel Shutoff Valve 'A' Control Circuit Low",
	"P0007": "Fuel Shutoff Valve 'A' Control Circuit High",
	"P0008": "Engine Position System Performance",
	"P0009": "Engine Position System Performance",
	"P0010": "'A' Camshaft Position Actuator Circuit",
	"P0011": "'A' Camshaft Position - Timing Over-Advanced or System Performance",
	"P0012": "'A' Camshaft Position - Timing Over-Retarded",
	"P0013": "'B' Camshaft Position - Actuator Circuit",
	"P0014": "'B' Camshaft Position - Timing Over-Advanced or System Performance",
	"P0015": "'B' Camshaft Position - Timing Over-Retarded",
	"P0016": "Crankshaft Position - Camshaft Position Correlation",
	"P0017": "Crankshaft Position - Camshaft Position Correlation",
	"P0018": "Crankshaft Position - Camshaft Position Correlation",
	"P0019": "Crankshaft Position - Camshaft Position Correlation",
	"P0020": "'A' Camshaft Position Actuator Circuit",
	"P0021": "'A' Camshaft Position - Timing Over-Advanced or System Performance",
	"P0022": "'A' Camshaft Position - Timing Over-Retarded",
	"P0023": "'B' Camshaft Position - Actuator Circuit",
	"P0024": "'B' Camshaft Position - Timing Over-Advanced or System Performance",
	"P0025": "'B' Camshaft Position - Timing Over-Retarded",
	"P0026": "Intake Valve Control Solenoid Circuit Range/Performance",
	"P0027": "Exhaust Valve Control Solenoid Circuit Range/Performance",
	"P0028": "Intake Valve Control Solenoid Circuit Range/Performance",
	"P0029": "Exhaust Valve Control Solenoid Circuit Range/Performance",
	"P0030": "HO2S Heater Control Circuit",
	"P0031": "HO2S Heater Control Circuit Low",
	"P0032": "HO2S Heater Control Circuit High",
	"P0033": "Turbo Charger Bypass Valve Control Circuit",
	"P0034": "Turbo Charger Bypass Valve Control Circuit Low",
	"P0035": "Turbo Charger Bypass Valve Control Circuit High",
	"P0036": "HO2S Heater Control Circuit",
	"P0037": "HO2S Heater Control Circuit Low",
	"P0038": "HO2S Heater Control Circuit High",
	"P0039": "Turbo/Super Charger Bypass Valve Control Circuit Range/Performance",
	"P0040": "O2 Sensor Signals Swapped Bank 1 Sensor 1/ Bank 2 Sensor 1",
	"P0041": "O2 Sensor Signals Swapped Bank 1 Sensor 2/ Bank 2 Sensor 2",
	"P0042": "HO2S Heater Control Circuit",
	"P0043": "HO2S Heater Control Circuit Low",
	"P0044": "HO2S Heater Control Circuit High",
	"P0045": "Turbo/Super Charger Boost Control Solenoid Circuit/Open",
	"P0046": "Turbo/Super Charger Boost Control Solenoid Circuit Range/Performance",
	"P0047": "Turbo/Super Charger Boost Control Solenoid Circuit Low",
	"P0048": "Turbo/Super Charger Boost Control Solenoid Circuit High",
	"P0049": "Turbo/Super Charger Turbine Overspeed",
	"P0050": "HO2S Heater Control Circuit",
	"P0051": "HO2S Heater Control Circuit Low",
	"P0052": "HO2S Heater Control Circuit High",
	"P0053": "HO2S Heater Resistance",
	"P0054": "HO2S Heater Resistance",
	"P0055": "HO2S Heater Resistance",
	"P0056": "HO2S Heater Control Circuit",
	"P0057": "HO2S Heater Control Circuit Low",
	"P0058": "HO2S Heater Control Circuit High",
	"P0059": "HO2S Heater Resistance",
	"P0060": "HO2S Heater Resistance",
	"P0061": "HO2S Heater Resistance",
	"P0062": "HO2S Heater Control Circuit",
	"P0063": "HO2S Heater Control Circuit Low",
	"P0064": "HO2S Heater Control Circuit High",
	"P0065": "Air Assisted Injector Control Range/Performance",
	"P0066": "Air Assisted Injector Control Circuit or Circuit Low",
	"P0067": "Air Assisted Injector Control Circuit High",
	"P0068": "MAP/MAF - Throttle Position Correlation",
	"P0069": "Manifold Absolute Pressure - Barometric Pressure Correlation",
	"P0070": "Ambient Air Temperature Sensor Circuit",
	"P0071": "Ambient Air Temperature Sensor Range/Performance",
	"P0072": "Ambient Air Temperature Sensor Circuit Low",
	"P0073": "Ambient Air Temperature Sensor Circuit High",
	"P0074": "Ambient Air Temperature Sensor Circuit Intermittent",
	"P0075": "Intake Valve Control Solenoid Circuit",
	"P0076": "Intake Valve Control Solenoid Circuit Low",
	"P0077": "Intake Valve Control Solenoid Circuit High",
	"P0078": "Exhaust Valve Control Solenoid Circuit",
	"P0079": "Exhaust Valve Control Solenoid Circuit Low",
	"P0080": "Exhaust Valve Control Solenoid Circuit High",
	"P0081": "Intake Valve Control Solenoid Circuit",
	"P0082": "Intake Valve Control Solenoid Circuit Low",
	"P0083": "Intake Valve Control Solenoid Circuit High",
	"P0084": "Exhaust Valve Control Solenoid Circuit",
	"P0085": "Exhaust Valve Control Solenoid Circuit Low",
	"P0086": "Exhaust Valve Control Solenoid Circuit High",
	"P0087": "Fuel Rail/System Pressure - Too Low",
	"P0088": "Fuel Rail/System Pressure - Too High",
	"P0089": "Fuel Pressure Regulator 1 Performance",
	"P0090": "Fuel Pressure Regulator 1 Control Circuit",
	"P0091": "Fuel Pressure Regulator 1 Control Circuit Low",
	"P0092": "Fuel Pressure Regulator 1 Control Circuit High",
	"P0093": "Fuel System Leak Detected - Large Leak",
	"P0094": "Fuel System Leak Detected - Small Leak",
	"P0095": "Intake Air Temperature Sensor 2 Circuit",
	"P0096": "Intake Air Temperature Sensor 2 Circuit Range/Performance",
	"P0097": "Intake Air Temperature Sensor 2 Circuit Low",
	"P0098": "Intake Air Temperature Sensor 2 Circuit High",
	"P0099": "Intake Air Temperature Sensor 2 Circuit Intermittent/Erratic",
	"P0100": "Mass or Volume Air Flow Circuit",
	"P0101": "Mass or Volume Air Flow Circuit Range/Performance",
	"P0102": "Mass or Volume Air Flow Circuit Low Input",
	"P0103": "Mass or Volume Air Flow Circuit High Input",
	"P0104": "Mass or Volume Air Flow Circuit Intermittent",
	"P0105": "Manifold Absolute Pressure/Barometric Pressure Circuit",
	"P0106": "Manifold Absolute Pressure/Barometric Pressure Circuit Range/Performance",
	"P0107": "Manifold Absolute Pressure/Barometric Pressure Circuit Low Input",
	"P0108": "Manifold Absolute Pressure/Barometric Pressure Circuit High Input",
	"P0109": "Manifold Absolute Pressure/Barometric Pressure Circuit Intermittent",
	"P0110": "Intake Air Temperature Sensor 1 Circuit",
	"P0111": "Intake Air Temperature Sensor 1 Circuit Range/Performance",
	"P0112": "Intake Air Temperature Sensor 1 Circuit Low",
	"P0113": "Intake Air Temperature Sensor 1 Circuit High",
	"P0114": "Intake Air Temperature Sensor 1 Circuit Intermittent",
	"P0115": "Engine Coolant Temperature Circuit",
	"P0116": "Engine Coolant Temperature Circuit Range/Performance",
	"P0117": "Engine Coolant Temperature Circuit Low",
	"P0118": "Engine Coolant Temperature Circuit High",
	"P0119": "Engine Coolant Temperature Circuit Intermittent",
	"P0120": "Throttle/Pedal Position Sensor/Switch 'A' Circuit",
	"P0121": "Throttle/Pedal Position Sensor/Switch 'A' Circuit Range/Performance",
	"P0122": "Throttle/Pedal Position Sensor/Switch 'A' Circuit Low",
	"P0123": "Throttle/Pedal Position Sensor/Switch 'A' Circuit High",
	"P0124": "Throttle/Pedal Position Sensor/Switch 'A' Circuit Intermittent",
	"P0125": "Insufficient Coolant Temperature for Closed Loop Fuel Control",
	"P0126": "Insufficient Coolant Temperature for Stable Operation",
	"P0127": "Intake Air Temperature Too High",
	"P0128": "Coolant Thermostat -Coolant Temperature Below Thermostat Regulating Temperature",
	"P0129": "Barometric Pressure Too Low",
	"P0130": "O2 Sensor Circuit",
	"P0131": "O2 Sensor Circuit Low Voltage",
	"P0132": "O2 Sensor Circuit High Voltage",
	"P0133": "O2 Sensor Circuit Slow Response",
	"P0134": "O2 Sensor Circuit No Activity Detected",
	"P0135": "O2 Sensor Heater Circuit",
	"P0136": "O2 Sensor Circuit",
	"P0137": "O2 Sensor Circuit Low Voltage",
	"P0138": "O2 Sensor Circuit High Voltage",
	"P0139": "O2 Sensor Circuit Slow Response",
	"P0140": "O2 Sensor Circuit No Activity Detected",
	"P0141": "O2 Sensor Heater Circuit",
	"P0142": "O2 Sensor Circuit",
	"P0143": "O2 Sensor Circuit Low Voltage",
	"P0144": "O2 Sensor Circuit High Voltage",
	"P0145": "O2 Sensor Circuit Slow Response",
	"P0146": "O2 Sensor Circuit No Activity Detected",
	"P0147": "O2 Sensor Heater Circuit",
	"P0148": "Fuel Delivery Error",
	"P0149": "Fuel Timing Error",
	"P0150": "O2 Sensor Circuit",
	"P0151": "O2 Sensor Circuit Low Voltage",
	"P0152": "O2 Sensor Circuit High Voltage",
	"P0153": "O2 Sensor Circuit Slow Response",
	"P0154": "O2 Sensor Circuit No Activity Detected",
	"P0155": "O2 Sensor Heater Circuit",
	"P0156": "O2 Sensor Circuit",
	"P0157": "O2 Sensor Circuit Low Voltage",
	"P0158": "O2 Sensor Circuit High Voltage",
	"P0159": "O2 Sensor Circuit Slow Response",
	"P0160": "O2 Sensor Circuit No Activity Detected",
	"P0161": "O2 Sensor Heater Circuit",
	"P0162": "O2 Sensor Circuit",
	"P0163": "O2 Sensor Circuit Low Voltage",
	"P0164": "O2 Sensor Circuit High Voltage",
	"P0165": "O2 Sensor Circuit Slow Response",
	"P0166": "O2 Sensor Circuit No Activity Detected",
	"P0167": "O2 Sensor Heater Circuit",
	"P0168": "Fuel Temperature Too High",
	"P0169": "Incorrect Fuel Composition",
	"P0170": "Fuel Trim",
	"P0171": "System Too Lean",
	"P0172": "System Too Rich",
	"P0173": "Fuel Trim",
	"P0174": "System Too Lean",
	"P0175": "System Too Rich",
	"P0176": "Fuel Composition Sensor Circuit",
	"P0177": "Fuel Composition Sensor Circuit Range/Performance",
	"P0178": "Fuel Composition Sensor Circuit Low",
	"P0179": "Fuel Composition Sensor Circuit High",
	"P0180": "Fuel Temperature Sensor A Circuit",
	"P0181": "Fuel Temperature Sensor A Circuit Range/Performance",
	"P0182": "Fuel Temperature Sensor A Circuit Low",
	"P0183": "Fuel Temperature Sensor A Circuit High",
	"P0184": "Fuel Temperature Sensor A Circuit Intermittent",
	"P0185": "Fuel Temperature Sensor B Circuit",
	"P0186": "Fuel Temperature Sensor B Circuit Range/Performance",
	"P0187": "Fuel Temperature Sensor B Circuit Low",
	"P0188": "Fuel Temperature Sensor B Circuit High",
	"P0189": "Fuel Temperature Sensor B Circuit Intermittent",
	"P0190": "Fuel Rail Pressure Sensor Circuit",
	"P0191": "Fuel Rail Pressure Sensor Circuit Range/Performance",
	"P0192": "Fuel Rail Pressure Sensor Circuit Low",
	"P0193": "Fuel Rail Pressure Sensor Circuit High",
	"P0194": "Fuel Rail Pressure Sensor Circuit Intermittent",
	"P0195": "Engine Oil Temperature Sensor",
	"P0196": "Engine Oil Temperature Sensor Range/Performance",
	"P0197": "Engine Oil Temperature Sensor Low",
	"P0198": "Engine Oil Temperature Sensor High",
	"P0199": "Engine Oil Temperature Sensor Intermittent",
	"P0200": "Injector Circuit/Open",
	"P0201": "Injector Circuit/Open - Cylinder 1",
	"P0202": "Injector Circuit/Open - Cylinder 2",
	"P0203": "Injector Circuit/Open - Cylinder 3",
	"P0204": "Injector Circuit/Open - Cylinder 4",
	"P0205": "Injector Circuit/Open - Cylinder 5",
	"P0206": "Injector Circuit/Open - Cylinder 6",
	"P0207": "Injector Circuit/Open - Cylinder 7",
	"P0208": "Injector Circuit/Open - Cylinder 8",
	"P0209": "Injector Circuit/Open - Cylinder 9",
	"P0210": "Injector Circuit/Open - Cylinder 10",
	"P0211": "Injector Circuit/Open - Cylinder 11",
	"P0212": "Injector Circuit/Open - Cylinder 12",
	"P0213": "Cold Start Injector 1",
	"P0214": "Cold Start Injector 2",
	"P0215": "Engine Shutoff Solenoid",
	"P0216": "Injector/Injection Timing Control Circuit",
	"P0217": "Engine Coolant Over Temperature Condition",
	"P0218": "Transmission Fluid Over Temperature Condition",
	"P0219": "Engine Overspeed Condition",
	"P0220": "Throttle/Pedal Position Sensor/Switch 'B' Circuit",
	"P0221": "Throttle/Pedal Position Sensor/Switch 'B' Circuit Range/Performance",
	"P0222": "Throttle/Pedal Position Sensor/Switch 'B' Circuit Low",
	"P0223": "Throttle/Pedal Position Sensor/Switch 'B' Circuit High",
	"P0224": "Throttle/Pedal Position Sensor/Switch 'B' Circuit Intermittent",
	"P0225": "Throttle/Pedal Position Sensor/Switch 'C' Circuit",
	"P0226": "Throttle/Pedal Position Sensor/Switch 'C' Circuit Range/Performance",
	"P0227": "Throttle/Pedal Position Sensor/Switch 'C' Circuit Low",
	"P0228": "Throttle/Pedal Position Sensor/Switch 'C' Circuit High",
	"P0229": "Throttle/Pedal Position Sensor/Switch 'C' Circuit Intermittent",
	"P0230": "Fuel Pump Primary Circuit",
	"P0231": "Fuel Pump Secondary Circuit Low",
	"P0232": "Fuel Pump Secondary Circuit High",
	"P0233": "Fuel Pump Secondary Circuit Intermittent",
	"P0234": "Turbo/Super Charger Overboost Condition",
	"P0235": "Turbo/Super Charger Boost Sensor 'A' Circuit",
	"P0236": "Turbo/Super Charger Boost Sensor 'A' Circuit Range/Performance",
	"P0237": "Turbo/Super Charger Boost Sensor 'A' Circuit Low",
	"P0238": "Turbo/Super Charger Boost Sensor 'A' Circuit High",
	"P0239": "Turbo/Super Charger Boost Sensor 'B' Circuit",
	"P0240": "Turbo/Super Charger Boost Sensor 'B' Circuit Range/Performance",
	"P0241": "Turbo/Super Charger Boost Sensor 'B' Circuit Low",
	"P0242": "Turbo/Super Charger Boost Sensor 'B' Circuit High",
	"P0243": "Turbo/Super Charger Wastegate Solenoid 'A'",
	"P0244": "Turbo/Super Charger Wastegate Solenoid 'A' Range/Performance",
	"P0245": "Turbo/Super Charger Wastegate Solenoid 'A' Low",
	"P0246": "Turbo/Super Charger Wastegate Solenoid 'A' High",
	"P0247": "Turbo/Super Charger Wastegate Solenoid 'B'",
	"P0248": "Turbo/Super Charger Wastegate Solenoid 'B' Range/Performance",
	"P0249": "Turbo/Super Charger Wastegate Solenoid 'B' Low",
	"P0250": "Turbo/Super Charger Wastegate Solenoid 'B' High",
	"P0251": "Injection Pump Fuel Metering Control 'A' -Cam/Rotor/Injector",
	"P0252": "Injection Pump Fuel Metering Control 'A' Range/Performance -Cam/Rotor/Injector",
	"P0253": "Injection Pump Fuel Metering Control 'A' Low -Cam/Rotor/Injector",
	"P0254": "Injection Pump Fuel Metering Control 'A' High -Cam/Rotor/Injector",
	"P0255": "Injection Pump Fuel Metering Control 'A' Intermittent -Cam/Rotor/Injector",
	"P0256": "Injection Pump Fuel Metering Control 'B' -Cam/Rotor/Injector",
	"P0257": "Injection Pump Fuel Metering Control 'B' Range/Performance -Cam/Rotor/Injector",
	"P0258": "Injection Pump Fuel Metering Control 'B' Low -Cam/Rotor/Injector",
	"P0259": "Injection Pump Fuel Metering Control 'B' High -Cam/Rotor/Injector",
	"P0260": "Injection Pump Fuel Metering Control 'B' Intermittent -Cam/Rotor/Injector",
	"P0261": "Cylinder 1 Injector Circuit Low",
	"P0262": "Cylinder 1 Injector Circuit High",
	"P0263": "Cylinder 1 Contribution/Balance",
	"P0264": "Cylinder 2 Injector Circuit Low",
	"P0265": "Cylinder 2 Injector Circuit High",
	"P0266": "Cylinder 2 Contribution/Balance",
	"P0267": "Cylinder 3 Injector Circuit Low",
	"P0268": "Cylinder 3 Injector Circuit High",
	"P0269": "Cylinder 3 Contribution/Balance",
	"P0270": "Cylinder 4 Injector Circuit Low",
	"P0271": "Cylinder 4 Injector Circuit High",
	"P0272": "Cylinder 4 Contribution/Balance",
	"P0273": "Cylinder 5 Injector Circuit Low",
	"P0274": "Cylinder 5 Injector Circuit High",
	"P0275": "Cylinder 5 Contribution/Balance",
	"P0276": "Cylinder 6 Injector Circuit Low",
	"P0277": "Cylinder 6 Injector Circuit High",
	"P0278": "Cylinder 6 Contribution/Balance",
	"P0279": "Cylinder 7 Injector Circuit Low",
	"P0280": "Cylinder 7 Injector Circuit High",
	"P0281": "Cylinder 7 Contribution/Balance",
	"P0282": "Cylinder 8 Injector Circuit Low",
	"P0283": "Cylinder 8 Injector Circuit High",
	"P0284": "Cylinder 8 Contribution/Balance",
	"P0285": "Cylinder 9 Injector Circuit Low",
	"P0286": "Cylinder 9 Injector Circuit High",
	"P0287": "Cylinder 9 Contribution/Balance",
	"P0288": "Cylinder 10 Injector Circuit Low",
	"P0289": "Cylinder 10 Injector Circuit High",
	"P0290": "Cylinder 10 Contribution/Balance",
	"P0291": "Cylinder 11 Injector Circuit Low",
	"P0292": "Cylinder 11 Injector Circuit High",
	"P0293": "Cylinder 11 Contribution/Balance",
	"P0294": "Cylinder 12 Injector Circuit Low",
	"P0295": "Cylinder 12 Injector Circuit High",
	"P0296": "Cylinder 12 Contribution/Balance",
	"P0297": "Vehicle Overspeed Condition",
	"P0298": "Engine Oil Over Temperature",
	"P0299": "Turbo/Super Charger Underboost",
	"P0300": "Random/Multiple Cylinder Misfire Detected",
	"P0301": "Cylinder 1 Misfire Detected",
	"P0302": "Cylinder 2 Misfire Detected",
	"P0303": "Cylinder 3 Misfire Detected",
	"P0304": "Cylinder 4 Misfire Detected",
	"P0305": "Cylinder 5 Misfire Detected",
	"P0306": "Cylinder 6 Misfire Detected",
	"P0307": "Cylinder 7 Misfire Detected",
	"P0308": "Cylinder 8 Misfire Detected",
	"P0309": "Cylinder 9 Misfire Detected",
	"P0310": "Cylinder 10 Misfire Detected",
	"P0311": "Cylinder 11 Misfire Detected",
	"P0312": "Cylinder 12 Misfire Detected",
	"P0313": "Misfire Detected with Low Fuel",
	"P0314": "Single Cylinder Misfire -Cylinder not Specified",
	"P0315": "Crankshaft Position System Variation Not Learned",
	"P0316": "Engine Misfire Detected on Startup -First 1000 Revolutions",
	"P0317": "Rough Road Hardware Not Present",
	"P0318": "Rough Road Sensor 'A' Signal Circuit",
	"P0319": "Rough Road Sensor 'B'",
	"P0320": "Ignition/Distributor Engine Speed Input Circuit",
	"P0321": "Ignition/Distributor Engine Speed Input Circuit Range/Performance",
	"P0322": "Ignition/Distributor Engine Speed Input Circuit No Signal",
	"P0323": "Ignition/Distributor Engine Speed Input Circuit Intermittent",
	"P0324": "Knock Control System Error",
	"P0325": "Knock Sensor 1 Circuit",
	"P0326": "Knock Sensor 1 Circuit Range/Performance",
	"P0327": "Knock Sensor 1 Circuit Low",
	"P0328": "Knock Sensor 1 Circuit High",
	"P0329": "Knock Sensor 1 Circuit Input Intermittent",
	"P0330": "Knock Sensor 2 Circuit",
	"P0331": "Knock Sensor 2 Circuit Range/Performance",
	"P0332": "Knock Sensor 2 Circuit Low",
	"P0333": "Knock Sensor 2 Circuit High",
	"P0334": "Knock Sensor 2 Circuit Input Intermittent",
	"P0335": "Crankshaft Position Sensor 'A' Circuit",
	"P0336": "Crankshaft Position Sensor 'A' Circuit Range/Performance",
	"P0337": "Crankshaft Position Sensor 'A' Circuit Low",
	"P0338": "Crankshaft Position Sensor 'A' Circuit High",
	"P0339": "Crankshaft Position Sensor 'A' Circuit Intermittent",
	"P0340": "Camshaft Position Sensor 'A' Circuit",
	"P0341": "Camshaft Position Sensor 'A' Circuit Range/Performance",
	"P0342": "Camshaft Position Sensor 'A' Circuit Low",
	"P0343": "Camshaft Position Sensor 'A' Circuit High",
	"P0344": "Camshaft Position Sensor 'A' Circuit Intermittent",
	"P0345": "Camshaft Position Sensor 'A' Circuit",
	"P0346": "Camshaft Position Sensor 'A' Circuit Range/Performance",
	"P0347": "Camshaft Position Sensor 'A' Circuit Low",
	"P0348": "Camshaft Position Sensor 'A' Circuit High",
	"P0349": "Camshaft Position Sensor 'A' Circuit Intermittent",
	"P0350": "Ignition Coil Primary/Secondary Circuit",
	"P0351": "Ignition Coil 'A' Primary/Secondary Circuit",
	"P0352": "Ignition Coil 'B' Primary/Secondary Circuit",
	"P0353": "Ignition Coil 'C' Primary/Secondary Circuit",
	"P0354": "Ignition Coil 'D' Primary/Secondary Circuit",
	"P0355": "Ignition Coil 'E' Primary/Secondary Circuit",
	"P0356": "Ignition Coil 'F' Primary/Secondary Circuit",
	"P0357": "Ignition Coil 'G' Primary/Secondary Circuit",
	"P0358": "Ignition Coil 'H' Primary/Secondary Circuit",
	"P0359": "Ignition Coil 'I' Primary/Secondary Circuit",
	"P0360": "Ignition Coil 'J' Primary/Secondary Circuit",
	"P0361": "Ignition Coil 'K' Primary/Secondary Circuit",
	"P0362": "Ignition Coil 'L' Primary/Secondary Circuit",
	"P0363": "Misfire Detected - Fueling Disabled",
	"P0364": "Ignition Coil L Primary/Secondary Circuit",
	"P0365": "Camshaft Position Sensor 'B' Circuit",
	"P0366": "Camshaft Position Sensor 'B' Circuit Range/Performance",
	"P0367": "Camshaft Position Sensor 'B' Circuit Low",
	"P0368": "Camshaft Position Sensor 'B' Circuit High",
	"P0369": "Camshaft Position Sensor 'B' Circuit Intermittent",
	"P0370": "Timing Reference High Resolution Signal 'A'",
	"P0371": "Timing Reference High Resolution Signal 'A' Too Many Pulses",
	"P0372": "Timing Reference High Resolution Signal 'A' Too Few Pulses",
	"P0373": "Timing Reference High Resolution Signal 'A' Intermittent/Erratic Pulses",
	"P0374": "Timing Reference High Resolution Signal 'A' No Pulse",
	"P0375": "Timing Reference High Resolution Signal 'B'",
	"P0376": "Timing Reference High Resolution Signal 'B' Too Many Pulses",
	"P0377": "Timing Reference High Resolution Signal 'B' Too Few Pulses",
	"P0378": "Timing Reference High Resolution Signal 'B' Intermittent/Erratic Pulses",
	"P0379": "Timing Reference High Resolution Signal 'B' No Pulses",
	"P0380": "Glow Plug/Heater Circuit 'A'",
	"P0381": "Glow Plug/Heater Indicator Circuit",
	"P0382": "Glow Plug/Heater Circuit 'B'",
	"P0383": "Reserved by SAE J2012",
	"P0384": "Reserved by SAE J2012",
	"P0385": "Crankshaft Position Sensor 'B' Circuit",
	"P0386": "Crankshaft Position Sensor 'B' Circuit Range/Performance",
	"P0387": "Crankshaft Position Sensor 'B' Circuit Low",
	"P0388": "Crankshaft Position Sensor 'B' Circuit High",
	"P0389": "Crankshaft Position Sensor 'B' Circuit Intermittent",
	"P0390": "Camshaft Position Sensor 'B' Circuit",
	"P0391": "Camshaft Position Sensor 'B' Circuit Range/Performance",
	"P0392": "Camshaft Position Sensor 'B' Circuit Low",
	"P0393": "Camshaft Position Sensor 'B' Circuit High",
	"P0394": "Camshaft Position Sensor 'B' Circuit Intermittent",
	"P0400": "Exhaust Gas Recirculation Flow",
	"P0401": "Exhaust Gas Recirculation Flow Insufficient Detected",
	"P0402": "Exhaust Gas Recirculation Flow Excessive Detected",
	"P0403": "Exhaust Gas Recirculation Control Circuit",
	"P0404": "Exhaust Gas Recirculation Control Circuit Range/Performance",
	"P0405": "Exhaust Gas Recirculation Sensor 'A' Circuit Low",
	"P0406": "Exhaust Gas Recirculation Sensor 'A' Circuit High",
	"P0407": "Exhaust Gas Recirculation Sensor 'B' Circuit Low",
	"P0408": "Exhaust Gas Recirculation Sensor 'B' Circuit High",
	"P0409": "Exhaust Gas Recirculation Sensor 'A' Circuit",
	"P0410": "Secondary Air Injection System",
	"P0411": "Secondary Air Injection System Incorrect Flow Detected",
	"P0412": "Secondary Air Injection System Switching Valve 'A' Circuit",
	"P0413": "Secondary Air Injection System Switching Valve 'A' Circuit Open",
	"P0414": "Secondary Air Injection System Switching Valve 'A' Circuit Shorted",
	"P0415": "Secondary Air Injection System Switching Valve 'B' Circuit",
	"P0416": "Secondary Air Injection System Switching Valve 'B' Circuit Open",
	"P0417": "Secondary Air Injection System Switching Valve 'B' Circuit Shorted",
	"P0418": "Secondary Air Injection System Control 'A' Circuit",
	"P0419": "Secondary Air Injection System Control 'B' Circuit",
	"P0420": "Catalyst System Efficiency Below Threshold B1",
	"P0421": "Warm Up Catalyst Efficiency Below Threshold B1",
	"P0422": "Main Catalyst Efficiency Below Threshold B1",
	"P0423": "Heated Catalyst Efficiency Below Threshold B1",
	"P0424": "Heated Catalyst Temperature Below Threshold B1",
	"P0425": "Catalyst Temperature Sensor B1",
	"P0426": "Catalyst Temperature Sensor Range/Performance B1",
	"P0427": "Catalyst Temperature Sensor Low B1",
	"P0428": "Catalyst Temperature Sensor High B1",
	"P0429": "Catalyst Heater Control Circuit B1",
	"P0430": "Catalyst System Efficiency Below Threshold B2",
	"P0431": "Warm Up Catalyst Efficiency Below Threshold B2",
	"P0432": "Main Catalyst Efficiency Below Threshold B2",
	"P0433": "Heated Catalyst Efficiency Below Threshold B2",
	"P0434": "Heated Catalyst Temperature Below Threshold B2",
	"P0435": "Catalyst Temperature Sensor B2",
	"P0436": "Catalyst Temperature Sensor Range/Performance B2",
	"P0437": "Catalyst Temperature Sensor Low B2",
	"P0438": "Catalyst Temperature Sensor High B2",
	"P0439": "Catalyst Heater Control Circuit B2",
	"P0440": "Evaporative Emission System",
	"P0441": "Evaporative Emission System Incorrect Purge Flow",
	"P0442": "Evaporative Emission System Leak Detected -small leak",
	"P0443": "Evaporative Emission System Purge Control Valve Circuit",
	"P0444": "Evaporative Emission System Purge Control Valve Circuit Open",
	"P0445": "Evaporative Emission System Purge Control Valve Circuit Shorted",
	"P0446": "Evaporative Emission System Vent Control Circuit",
	"P0447": "Evaporative Emission System Vent Control Circuit Open",
	"P0448": "Evaporative Emission System Vent Control Circuit Shorted",
	"P0449": "Evaporative Emission System Vent Valve/Solenoid Circuit",
	"P0450": "Evaporative Emission System Pressure Sensor/Switch",
	"P0451": "Evaporative Emission System Pressure Sensor/Switch Range/Performance",
	"P0452": "Evaporative Emission System Pressure Sensor/Switch Low",
	"P0453": "Evaporative Emission System Pressure Sensor/Switch High",
	"P0454": "Evaporative Emission System Pressure Sensor/Switch Intermittent",
	"P0455": "Evaporative Emission System Leak Detected -large leak",
	"P0456": "Evaporative Emission System Leak Detected -very small leak",
	"P0457": "Evaporative Emission System Leak Detected -fuel cap loose/off",
	"P0458": "Evaporative Emission System Purge Control Valve Circuit Low",
	"P0459": "Evaporative Emission System Purge Control Valve Circuit High",
	"P0460": "Fuel Level Sensor 'A' Circuit",
	"P0461": "Fuel Level Sensor 'A' Circuit Range/Performance",
	"P0462": "Fuel Level Sensor 'A' Circuit Low",
	"P0463": "Fuel Level Sensor 'A' Circuit High",
	"P0464": "Fuel Level Sensor 'A' Circuit Intermittent",
	"P0465": "EVAP Purge Flow Sensor Circuit",
	"P0466": "EVAP Purge Flow Sensor Circuit Range/Performance",
	"P0467": "EVAP Purge Flow Sensor Circuit Low",
	"P0468": "EVAP Purge Flow Sensor Circuit High",
	"P0469": "EVAP Purge Flow Sensor Circuit Intermittent",
	"P0470": "Exhaust Pressure Sensor",
	"P0471": "Exhaust Pressure Sensor Range/Performance",
	"P0472": "Exhaust Pressure Sensor Low",
	"P0473": "Exhaust Pressure Sensor High",
	"P0474": "Exhaust Pressure Sensor Intermittent",
	"P0475": "Exhaust Pressure Control Valve",
	"P0476": "Exhaust Pressure Control Valve Range/Performance",
	"P0477": "Exhaust Pressure Control Valve Low",
	"P0478": "Exhaust Pressure Control Valve High",
	"P0479": "Exhaust Pressure Control Valve Intermittent",
	"P0480": "Fan 1 Control Circuit",
	"P0481": "Fan 2 Control Circuit",
	"P0482": "Fan 3 Control Circuit",
	"P0483": "Fan Rationality Check",
	"P0484": "Fan Circuit Over Current",
	"P0485": "Fan Power/Ground Circuit",
	"P0486": "Exhaust Gas Recirculation Sensor 'B' Circuit",
	"P0487": "Exhaust Gas Recirculation Throttle Position Control Circuit",
	"P0488": "Exhaust Gas Recirculation Throttle Position Control Range/Performance",
	"P0489": "Exhaust Gas Recirculation Control Circuit Low",
	"P0490": "Exhaust Gas Recirculation Control Circuit High",
	"P0491": "Secondary Air Injection System Insufficient Flow",
	"P0492": "Secondary Air Injection System Insufficient Flow",
	"P0493": "Fan Overspeed",
	"P0494": "Fan Speed Low",
	"P0495": "Fan Speed High",
	"P0496": "Evaporative Emission System High Purge Flow",
	"P0497": "Evaporative Emission System Low Purge Flow",
	"P0498": "Evaporative Emission System Vent Valve Control Circuit Low",
	"P0499": "Evaporative Emission System Vent Valve Control Circuit High",
	"P0500": "Vehicle Speed Sensor 'A'",
	"P0501": "Vehicle Speed Sensor 'A' Range/Performance",
	"P0502": "Vehicle Speed Sensor 'A' Circuit Low Input",
	"P0503": "Vehicle Speed Sensor 'A' Intermittent/Erratic/High",
	"P0504": "Brake Switch 'A'/'B' Correlation",
	"P0505": "Idle Air Control System",
	"P0506": "Idle Air Control System RPM Lower Than Expected",
	"P0507": "Idle Air Control System RPM Higher Than Expected",
	"P0508": "Idle Air Control System Circuit Low",
	"P0509": "Idle Air Control System Circuit High",
	"P0510": "Closed Throttle Position Switch",
	"P0511": "Idle Air Control Circuit",
	"P0512": "Starter Request Circuit",
	"P0513": "Incorrect Immobilizer Key",
	"P0514": "Battery Temperature Sensor Circuit Range/Performance",
	"P0515": "Battery Temperature Sensor Circuit",
	"P0516": "Battery Temperature Sensor Circuit Low",
	"P0517": "Battery Temperature Sensor Circuit High",
	"P0518": "Idle Air Control Circuit Intermittent",
	"P0519": "Idle Air Control System Performance",
	"P0520": "Engine Oil Pressure Sensor/Switch Circuit",
	"P0521": "Engine Oil Pressure Sensor/Switch Range/Performance",
	"P0522": "Engine Oil Pressure Sensor/Switch Low Voltage",
	"P0523": "Engine Oil Pressure Sensor/Switch High Voltage",
	"P0524": "Engine Oil Pressure Too Low",
	"P0525": "Cruise Control Servo Control Circuit Range/Performance",
	"P0526": "Fan Speed Sensor Circuit",
	"P0527": "Fan Speed Sensor Circuit Range/Performance",
	"P0528": "Fan Speed Sensor Circuit No Signal",
	"P0529": "Fan Speed Sensor Circuit Intermittent",
	"P0530": "A/C Refrigerant Pressure Sensor 'A' Circuit",
	"P0531": "A/C Refrigerant Pressure Sensor 'A' Circuit Range/Performance",
	"P0532": "A/C Refrigerant Pressure Sensor 'A' Circuit Low",
	"P0533": "A/C Refrigerant Pressure Sensor 'A' Circuit High",
	"P0534": "Air Conditioner Refrigerant Charge Loss",
	"P0535": "A/C Evaporator Temperature Sensor Circuit",
	"P0536": "A/C Evaporator Temperature Sensor Circuit Range/Performance",
	"P0537": "A/C Evaporator Temperature Sensor Circuit Low",
	"P0538": "A/C Evaporator Temperature Sensor Circuit High",
	"P0539": "A/C Evaporator Temperature Sensor Circuit Intermittent",
	"P0540": "Intake Air Heater 'A' Circuit",
	"P0541": "Intake Air Heater 'A' Circuit Low",
	"P0542": "Intake Air Heater 'A' Circuit High",
	"P0543": "Intake Air Heater 'A' Circuit Open",
	"P0544": "Exhaust Gas Temperature Sensor Circuit",
	"P0545": "Exhaust Gas Temperature Sensor Circuit Low",
	"P0546": "Exhaust Gas Temperature Sensor Circuit High",
	"P0547": "Exhaust Gas Temperature Sensor Circuit",
	"P0548": "Exhaust Gas Temperature Sensor Circuit Low",
	"P0549": "Exhaust Gas Temperature Sensor Circuit High",
	"P0550": "Power Steering Pressure Sensor/Switch Circuit",
	"P0551": "Power Steering Pressure Sensor/Switch Circuit Range/Performance",
	"P0552": "Power Steering Pressure Sensor/Switch Circuit Low Input",
	"P0553": "Power Steering Pressure Sensor/Switch Circuit High Input",
	"P0554": "Power Steering Pressure Sensor/Switch Circuit Intermittent",
	"P0555": "Brake Booster Pressure Sensor Circuit",
	"P0556": "Brake Booster Pressure Sensor Circuit Range/Performance",
	"P0557": "Brake Booster Pressure Sensor Circuit Low Input",
	"P0558": "Brake Booster Pressure Sensor Circuit High Input",
	"P0559": "Brake Booster Pressure Sensor Circuit Intermittent",
	"P0560": "System Voltage",
	"P0561": "System Voltage Unstable",
	"P0562": "System Voltage Low",
	"P0563": "System Voltage High",
	"P0564": "Cruise Control Multi-Function Input 'A' Circuit",
	"P0565": "Cruise Control On Signal",
	"P0566": "Cruise Control Off Signal",
	"P0567": "Cruise Control Resume Signal",
	"P0568": "Cruise Control Set Signal",
	"P0569": "Cruise Control Coast Signal",
	"P0570": "Cruise Control Accelerate Signal",
	"P0571": "Brake Switch 'A' Circuit",
	"P0572": "Brake Switch 'A' Circuit Low",
	"P0573": "Brake Switch 'A' Circuit High",
	"P0574": "Cruise Control System - Vehicle Speed Too High",
	"P0575": "Cruise Control Input Circuit",
	"P0576": "Cruise Control Input Circuit Low",
	"P0577": "Cruise Control Input Circuit High",
	"P0578": "Cruise Control Multi-Function Input 'A' Circuit Stuck",
	"P0579": "Cruise Control Multi-Function Input 'A' Circuit Range/Performance",
	"P0580": "Cruise Control Multi-Function Input 'A' Circuit Low",
	"P0581": "Cruise Control Multi-Function Input 'A' Circuit High",
	"P0582": "Cruise Control Vacuum Control Circuit/Open",
	"P0583": "Cruise Control Vacuum Control Circuit Low",
	"P0584": "Cruise Control Vacuum Control Circuit High",
	"P0585": "Cruise Control Multi-Function Input 'A'/'B' Correlation",
	"P0586": "Cruise Control Vent Control Circuit/Open",
	"P0587": "Cruise Control Vent Control Circuit Low",
	"P0588": "Cruise Control Vent Control Circuit High",
	"P0589": "Cruise Control Multi-Function Input 'B' Circuit",
	"P0590": "Cruise Control Multi-Function Input 'B' Circuit Stuck",
	"P0591": "Cruise Control Multi-Function Input 'B' Circuit Range/Performance",
	"P0592": "Cruise Control Multi-Function Input 'B' Circuit Low",
	"P0593": "Cruise Control Multi-Function Input 'B' Circuit High",
	"P0594": "Cruise Control Servo Control Circuit/Open",
	"P0595": "Cruise Control Servo Control Circuit Low",
	"P0596": "Cruise Control Servo Control Circuit High",
	"P0597": "Thermostat Heater Control Circuit/Open",
	"P0598": "Thermostat Heater Control Circuit Low",
	"P0599": "Thermostat Heater Control Circuit High",
	"P0600": "Serial Communication Link",
	"P0601": "Internal Control Module Memory Check Sum Error",
	"P0602": "Control Module Programming Error",
	"P0603": "Internal Control Module Keep Alive Memory -KAM- Error",
	"P0604": "Internal Control Module Random Access Memory -RAM- Error",
	"P0605": "Internal Control Module Read Only Memory -ROM- Error",
	"P0606": "ECM/PCM Processor",
	"P0607": "Control Module Performance",
	"P0608": "Control Module VSS Output 'A'",
	"P0609": "Control Module VSS Output 'B'",
	"P0610": "Control Module Vehicle Options Error",
	"P0611": "Fuel Injector Control Module Performance",
	"P0612": "Fuel Injector Control Module Relay Control",
	"P0613": "TCM Processor",
	"P0614": "ECM / TCM Incompatible",
	"P0615": "Starter Relay Circuit",
	"P0616": "Starter Relay Circuit Low",
	"P0617": "Starter Relay Circuit High",
	"P0618": "Alternative Fuel Control Module KAM Error",
	"P0619": "Alternative Fuel Control Module RAM/ROM Error",
	"P0620": "Generator Control Circuit",
	"P0621": "Generator Lamp/L Terminal Circuit",
	"P0622": "Generator Field/F Terminal Circuit",
	"P0623": "Generator Lamp Control Circuit",
	"P0624": "Fuel Cap Lamp Control Circuit",
	"P0625": "Generator Field/F Terminal Circuit Low",
	"P0626": "Generator Field/F Terminal Circuit High",
	"P0627": "Fuel Pump 'A' Control Circuit /Open",
	"P0628": "Fuel Pump 'A' Control Circuit Low",
	"P0629": "Fuel Pump 'A' Control Circuit High",
	"P0630": "VIN Not Programmed or Incompatible - ECM/PCM",
	"P0631": "VIN Not Programmed or Incompatible - TCM",
	"P0632": "Odometer Not Programmed - ECM/PCM",
	"P0633": "Immobilizer Key Not Programmed - ECM/PCM",
	"P0634": "PCM/ECM/TCM Internal Temperature Too High",
	"P0635": "Power Steering Control Circuit",
	"P0636": "Power Steering Control Circuit Low",
	"P0637": "Power Steering Control Circuit High",
	"P0638": "Throttle Actuator Control Range/Performance",
	"P0639": "Throttle Actuator Control Range/Performance",
	"P0640": "Intake Air Heater Control Circuit",
	"P0641": "Sensor Reference Voltage 'A' Circuit/Open",
	"P0642": "Sensor Reference Voltage 'A' Circuit Low",
	"P0643": "Sensor Reference Voltage 'A' Circuit High",
	"P0644": "Driver Display Serial Communication Circuit",
	"P0645": "A/C Clutch Relay Control Circuit",
	"P0646": "A/C Clutch Relay Control Circuit Low",
	"P0647": "A/C Clutch Relay Control Circuit High",
	"P0648": "Immobilizer Lamp Control Circuit",
	"P0649": "Speed Control Lamp Control Circuit",
	"P0650": "Malfunction Indicator Lamp -MIL- Control Circuit",
	"P0651": "Sensor Reference Voltage 'B' Circuit/Open",
	"P0652": "Sensor Reference Voltage 'B' Circuit Low",
	"P0653": "Sensor Reference Voltage 'B' Circuit High",
	"P0654": "Engine RPM Output Circuit",
	"P0655": "Engine Hot Lamp Output Control Circuit",
	"P0656": "Fuel Level Output Circuit",
	"P0657": "Actuator Supply Voltage 'A' Circuit/Open",
	"P0658": "Actuator Supply Voltage 'A' Circuit Low",
	"P0659": "Actuator Supply Voltage 'A' Circuit High",
	"P0660": "Intake Manifold Tuning Valve Control Circuit/Open",
	"P0661": "Intake Manifold Tuning Valve Control Circuit Low",
	"P0662": "Intake Manifold Tuning Valve Control Circuit High",
	"P0663": "Intake Manifold Tuning Valve Control Circuit/Open",
	"P0664": "Intake Manifold Tuning Valve Control Circuit Low",
	"P0665": "Intake Manifold Tuning Valve Control Circuit High",
	"P0666": "PCM/ECM/TCM Internal Temperature Sensor Circuit",
	"P0667": "PCM/ECM/TCM Internal Temperature Sensor Range/Performance",
	"P0668": "PCM/ECM/TCM Internal Temperature Sensor Circuit Low",
	"P0669": "PCM/ECM/TCM Internal Temperature Sensor Circuit High",
	"P0670": "Glow Plug Module Control Circuit",
	"P0671": "Cylinder 1 Glow Plug Circuit",
	"P0672": "Cylinder 2 Glow Plug Circuit",
	"P0673": "Cylinder 3 Glow Plug Circuit",
	"P0674": "Cylinder 4 Glow Plug Circuit",
	"P0675": "Cylinder 5 Glow Plug Circuit",
	"P0676": "Cylinder 6 Glow Plug Circuit",
	"P0677": "Cylinder 7 Glow Plug Circuit",
	"P0678": "Cylinder 8 Glow Plug Circuit",
	"P0679": "Cylinder 9 Glow Plug Circuit",
	"P0680": "Cylinder 10 Glow Plug Circuit",
	"P0681": "Cylinder 11 Glow Plug Circuit",
	"P0682": "Cylinder 12 Glow Plug Circuit",
	"P0683": "Glow Plug Control Module to PCM Communication Circuit",
	"P0684": "Glow Plug Control Module to PCM Communication Circuit Range/Performance",
	"P0685": "ECM/PCM Power Relay Control Circuit /Open",
	"P0686": "ECM/PCM Power Relay Control Circuit Low",
	"P0687": "ECM/PCM Power Relay Control Circuit High",
	"P0688": "ECM/PCM Power Relay Sense Circuit /Open",
	"P0689": "ECM/PCM Power Relay Sense Circuit Low",
	"P0690": "ECM/PCM Power Relay Sense Circuit High",
	"P0691": "Fan 1 Control Circuit Low",
	"P0692": "Fan 1 Control Circuit High",
	"P0693": "Fan 2 Control Circuit Low",
	"P0694": "Fan 2 Control Circuit High",
	"P0695": "Fan 3 Control Circuit Low",
	"P0696": "Fan 3 Control Circuit High",
	"P0697": "Sensor Reference Voltage 'C' Circuit/Open",
	"P0698": "Sensor Reference Voltage 'C' Circuit Low",
	"P0699": "Sensor Reference Voltage 'C' Circuit High",
	"P0700": "Transmission Control System -MIL Request",
	"P0701": "Transmission Control System Range/Performance",
	"P0702": "Transmission Control System Electrical",
	"P0703": "Brake Switch 'B' Circuit",
	"P0704": "Clutch Switch Input Circuit Malfunction",
	"P0705": "Transmission Range Sensor Circuit Malfunction -PRNDL Input",
	"P0706": "Transmission Range Sensor Circuit Range/Performance",
	"P0707": "Transmission Range Sensor Circuit Low",
	"P0708": "Transmission Range Sensor Circuit High",
	"P0709": "Transmission Range Sensor Circuit Intermittent",
	"P0710": "Transmission Fluid Temperature Sensor 'A' Circuit",
	"P0711": "Transmission Fluid Temperature Sensor 'A' Circuit Range/Performance",
	"P0712": "Transmission Fluid Temperature Sensor 'A' Circuit Low",
	"P0713": "Transmission Fluid Temperature Sensor 'A' Circuit High",
	"P0714": "Transmission Fluid Temperature Sensor 'A' Circuit Intermittent",
	"P0715": "Input/Turbine Speed Sensor 'A' Circuit",
	"P0716": "Input/Turbine Speed Sensor 'A' Circuit Range/Performance",
	"P0717": "Input/Turbine Speed Sensor 'A' Circuit No Signal",
	"P0718": "Input/Turbine Speed Sensor 'A' Circuit Intermittent",
	"P0719": "Brake Switch 'B' Circuit Low",
	"P0720": "Output Speed Sensor Circuit",
	"P0721": "Output Speed Sensor Circuit Range/Performance",
	"P0722": "Output Speed Sensor Circuit No Signal",
	"P0723": "Output Speed Sensor Circuit Intermittent",
	"P0724": "Brake Switch 'B' Circuit High",
	"P0725": "Engine Speed Input Circuit",
	"P0726": "Engine Speed Input Circuit Range/Performance",
	"P0727": "Engine Speed Input Circuit No Signal",
	"P0728": "Engine Speed Input Circuit Intermittent",
	"P0729": "Gear 6 Incorrect Ratio",
	"P0730": "Incorrect Gear Ratio",
	"P0731": "Gear 1 Incorrect Ratio",
	"P0732": "Gear 2 Incorrect Ratio",
	"P0733": "Gear 3 Incorrect Ratio",
	"P0734": "Gear 4 Incorrect Ratio",
	"P0735": "Gear 5 Incorrect Ratio",
	"P0736": "Reverse Incorrect Ratio",
	"P0737": "TCM Engine Speed Output Circuit",
	"P0738": "TCM Engine Speed Output Circuit Low",
	"P0739": "TCM Engine Speed Output Circuit High",
	"P0740": "Torque Converter Clutch Circuit/Open",
	"P0741": "Torque Converter Clutch Circuit Performance or Stuck Off",
	"P0742": "Torque Converter Clutch Circuit Stuck On",
	"P0743": "Torque Converter Clutch Circuit Electrical",
	"P0744": "Torque Converter Clutch Circuit Intermittent",
	"P0745": "Pressure Control Solenoid 'A'",
	"P0746": "Pressure Control Solenoid 'A' Performance or Stuck Off",
	"P0747": "Pressure Control Solenoid 'A' Stuck On",
	"P0748": "Pressure Control Solenoid 'A' Electrical",
	"P0749": "Pressure Control Solenoid 'A' Intermittent",
	"P0750": "Shift Solenoid 'A'",
	"P0751": "Shift Solenoid 'A' Performance or Stuck Off",
	"P0752": "Shift Solenoid 'A' Stuck On",
	"P0753": "Shift Solenoid 'A' Electrical",
	"P0754": "Shift Solenoid 'A' Intermittent",
	"P0755": "Shift Solenoid 'B'",
	"P0756": "Shift Solenoid 'B' Performance or Stuck Off",
	"P0757": "Shift Solenoid 'B' Stuck On",
	"P0758": "Shift Solenoid 'B' Electrical",
	"P0759": "Shift Solenoid 'B' Intermittent",
	"P0760": "Shift Solenoid 'C'",
	"P0761": "Shift Solenoid 'C' Performance or Stuck Off",
	"P0762": "Shift Solenoid 'C' Stuck On",
	"P0763": "Shift Solenoid 'C' Electrical",
	"P0764": "Shift Solenoid 'C' Intermittent",
	"P0765": "Shift Solenoid 'D'",
	"P0766": "Shift Solenoid 'D' Performance or Stuck Off",
	"P0767": "Shift Solenoid 'D' Stuck On",
	"P0768": "Shift Solenoid 'D' Electrical",
	"P0769": "Shift Solenoid 'D' Intermittent",
	"P0770": "Shift Solenoid 'E'",
	"P0771": "Shift Solenoid 'E' Performance or Stuck Off",
	"P0772": "Shift Solenoid 'E' Stuck On",
	"P0773": "Shift Solenoid 'E' Electrical",
	"P0774": "Shift Solenoid 'E' Intermittent",
	"P0775": "Pressure Control Solenoid 'B'",
	"P0776": "Pressure Control Solenoid 'B' Performance or Stuck off",
	"P0777": "Pressure Control Solenoid 'B' Stuck On",
	"P0778": "Pressure Control Solenoid 'B' Electrical",
	"P0779": "Pressure Control Solenoid 'B' Intermittent",
	"P0780": "Shift Error",
	"P0781": "1-2 Shift",
	"P0782": "2-3 Shift",
	"P0783": "3-4 Shift",
	"P0784": "4-5 Shift",
	"P0785": "Shift/Timing Solenoid",
	"P0786": "Shift/Timing Solenoid Range/Performance",
	"P0787": "Shift/Timing Solenoid Low",
	"P0788": "Shift/Timing Solenoid High",
	"P0789": "Shift/Timing Solenoid Intermittent",
	"P0790": "Normal/Performance Switch Circuit",
	"P0791": "Intermediate Shaft Speed Sensor 'A' Circuit",
	"P0792": "Intermediate Shaft Speed Sensor 'A' Circuit Range/Performance",
	"P0793": "Intermediate Shaft Speed Sensor 'A' Circuit No Signal",
	"P0794": "Intermediate Shaft Speed Sensor 'A' Circuit Intermittent",
	"P0795": "Pressure Control Solenoid 'C'",
	"P0796": "Pressure Control Solenoid 'C' Performance or Stuck off",
	"P0797": "Pressure Control Solenoid 'C' Stuck On",
	"P0798": "Pressure Control Solenoid 'C' Electrical",
	"P0799": "Pressure Control Solenoid 'C' Intermittent",
	"P0800": "Transfer Case Control System -MIL Request",
	"P0801": "Reverse Inhibit Control Circuit",
	"P0802": "Transmission Control System MIL Request Circuit/Open",
	"P0803": "1-4 Upshift -Skip Shift- Solenoid Control Circuit",
	"P0804": "1-4 Upshift -Skip Shift- Lamp Control Circuit",
	"P0805": "Clutch Position Sensor Circuit",
	"P0806": "Clutch Position Sensor Circuit Range/Performance",
	"P0807": "Clutch Position Sensor Circuit Low",
	"P0808": "Clutch Position Sensor Circuit High",
	"P0809": "Clutch Position Sensor Circuit Intermittent",
	"P0810": "Clutch Position Control Error",
	"P0811": "Excessive Clutch Slippage",
	"P0812": "Reverse Input Circuit",
	"P0813": "Reverse Output Circuit",
	"P0814": "Transmission Range Display Circuit",
	"P0815": "Upshift Switch Circuit",
	"P0816": "Downshift Switch Circuit",
	"P0817": "Starter Disable Circuit",
	"P0818": "Driveline Disconnect Switch Input Circuit",
	"P0819": "Up and Down Shift Switch to Transmission Range Correlation",
	"P0820": "Gear Lever X-Y Position Sensor Circuit",
	"P0821": "Gear Lever X Position Circuit",
	"P0822": "Gear Lever Y Position Circuit",
	"P0823": "Gear Lever X Position Circuit Intermittent",
	"P0824": "Gear Lever Y Position Circuit Intermittent",
	"P0825": "Gear Lever Push-Pull Switch -Shift Anticipate",
	"P0826": "Up and Down Shift Switch Circuit",
	"P0827": "Up and Down Shift Switch Circuit Low",
	"P0828": "Up and Down Shift Switch Circuit High",
	"P0829": "5-6 Shift",
	"P0830": "Clutch Pedal Switch 'A' Circuit",
	"P0831": "Clutch Pedal Switch 'A' Circuit Low",
	"P0832": "Clutch Pedal Switch 'A' Circuit High",
	"P0833": "Clutch Pedal Switch 'B' Circuit",
	"P0834": "Clutch Pedal Switch 'B' Circuit Low",
	"P0835": "Clutch Pedal Switch 'B' Circuit High",
	"P0836": "Four Wheel Drive -4WD- Switch Circuit",
	"P0837": "Four Wheel Drive -4WD- Switch Circuit Range/Performance",
	"P0838": "Four Wheel Drive -4WD- Switch Circuit Low",
	"P0839": "Four Wheel Drive -4WD- Switch Circuit High",
	"P0840": "Transmission Fluid Pressure Sensor/Switch 'A' Circuit",
	"P0841": "Transmission Fluid Pressure Sensor/Switch 'A' Circuit Range/Performance",
	"P0842": "Transmission Fluid Pressure Sensor/Switch 'A' Circuit Low",
	"P0843": "Transmission Fluid Pressure Sensor/Switch 'A' Circuit High",
	"P0844": "Transmission Fluid Pressure Sensor/Switch 'A' Circuit Intermittent",
	"P0845": "Transmission Fluid Pressure Sensor/Switch 'B' Circuit",
	"P0846": "Transmission Fluid Pressure Sensor/Switch 'B' Circuit Range/Performance",
	"P0847": "Transmission Fluid Pressure Sensor/Switch 'B' Circuit Low",
	"P0848": "Transmission Fluid Pressure Sensor/Switch 'B' Circuit High",
	"P0849": "Transmission Fluid Pressure Sensor/Switch 'B' Circuit Intermittent",
	"P0850": "Park/Neutral Switch Input Circuit",
	"P0851": "Park/Neutral Switch Input Circuit Low",
	"P0852": "Park/Neutral Switch Input Circuit High",
	"P0853": "Drive Switch Input Circuit",
	"P0854": "Drive Switch Input Circuit Low",
	"P0855": "Drive Switch Input Circuit High",
	"P0856": "Traction Control Input Signal",
	"P0857": "Traction Control Input Signal Range/Performance",
	"P0858": "Traction Control Input Signal Low",
	"P0859": "Traction Control Input Signal High",
	"P0860": "Gear Shift Module Communication Circuit",
	"P0861": "Gear Shift Module Communication Circuit Low",
	"P0862": "Gear Shift Module Communication Circuit High",
	"P0863": "TCM Communication Circuit",
	"P0864": "TCM Communication Circuit Range/Performance",
	"P0865": "TCM Communication Circuit Low",
	"P0866": "TCM Communication Circuit High",
	"P0867": "Transmission Fluid Pressure",
	"P0868": "Transmission Fluid Pressure Low",
	"P0869": "Transmission Fluid Pressure High",
	"P0870": "Transmission Fluid Pressure Sensor/Switch 'C' Circuit",
	"P0871": "Transmission Fluid Pressure Sensor/Switch 'C' Circuit Range/Performance",
	"P0872": "Transmission Fluid Pressure Sensor/Switch 'C' Circuit Low",
	"P0873": "Transmission Fluid Pressure Sensor/Switch 'C' Circuit High",
	"P0874": "Transmission Fluid Pressure Sensor/Switch 'C' Circuit Intermittent",
	"P0875": "Transmission Fluid Pressure Sensor/Switch 'D' Circuit",
	"P0876": "Transmission Fluid Pressure Sensor/Switch 'D' Circuit Range/Performance",
	"P0877": "Transmission Fluid Pressure Sensor/Switch 'D' Circuit Low",
	"P0878": "Transmission Fluid Pressure Sensor/Switch 'D' Circuit High",
	"P0879": "Transmission Fluid Pressure Sensor/Switch 'D' Circuit Intermittent",
	"P0880": "TCM Power Input Signal",
	"P0881": "TCM Power Input Signal Range/Performance",
	"P0882": "TCM Power Input Signal Low",
	"P0883": "TCM Power Input Signal High",
	"P0884": "TCM Power Input Signal Intermittent",
	"P0885": "TCM Power Relay Control Circuit/Open",
	"P0886": "TCM Power Relay Control Circuit Low",
	"P0887": "TCM Power Relay Control Circuit High",
	"P0888": "TCM Power Relay Sense Circuit",
	"P0889": "TCM Power Relay Sense Circuit Range/Performance",
	"P0890": "TCM Power Relay Sense Circuit Low",
	"P0891": "TCM Power Relay Sense Circuit High",
	"P0892": "TCM Power Relay Sense Circuit Intermittent",
	"P0893": "Multiple Gears Engaged",
	"P0894": "Transmission Component Slipping",
	"P0895": "Shift Time Too Short",
	"P0896": "Shift Time Too Long",
	"P0897": "Transmission Fluid Deteriorated",
	"P0898": "Transmission Control System MIL Request Circuit Low",
	"P0899": "Transmission Control System MIL Request Circuit High",
	"P0900": "Clutch Actuator Circuit/Open",
	"P0901": "Clutch Actuator Circuit Range/Performance",
	"P0902": "Clutch Actuator Circuit Low",
	"P0903": "Clutch Actuator Circuit High",
	"P0904": "Gate Select Position Circuit",
	"P0905": "Gate Select Position Circuit Range/Performance",
	"P0906": "Gate Select Position Circuit Low",
	"P0907": "Gate Select Position Circuit High",
	"P0908": "Gate Select Position Circuit Intermittent",
	"P0909": "Gate Select Control Error",
	"P0910": "Gate Select Actuator Circuit/Open",
	"P0911": "Gate Select Actuator Circuit Range/Performance",
	"P0912": "Gate Select Actuator Circuit Low",
	"P0913": "Gate Select Actuator Circuit High",
	"P0914": "Gear Shift Position Circuit",
	"P0915": "Gear Shift Position Circuit Range/Performance",
	"P0916": "Gear Shift Position Circuit Low",
	"P0917": "Gear Shift Position Circuit High",
	"P0918": "Gear Shift Position Circuit Intermittent",
	"P0919": "Gear Shift Position Control Error",
	"P0920": "Gear Shift Forward Actuator Circuit/Open",
	"P0921": "Gear Shift Forward Actuator Circuit Range/Performance",
	"P0922": "Gear Shift Forward Actuator Circuit Low",
	"P0923": "Gear Shift Forward Actuator Circuit High",
	"P0924": "Gear Shift Reverse Actuator Circuit/Open",
	"P0925": "Gear Shift Reverse Actuator Circuit Range/Performance",
	"P0926": "Gear Shift Reverse Actuator Circuit Low",
	"P0927": "Gear Shift Reverse Actuator Circuit High",
	"P0928": "Gear Shift Lock Solenoid Control Circuit/Open",
	"P0929": "Gear Shift Lock Solenoid Control Circuit Range/Performance",
	"P0930": "Gear Shift Lock Solenoid Control Circuit Low",
	"P0931": "Gear Shift Lock Solenoid Control Circuit High",
	"P0932": "Hydraulic Pressure Sensor Circuit",
	"P0933": "Hydraulic Pressure Sensor Range/Performance",
	"P0934": "Hydraulic Pressure Sensor Circuit Low",
	"P0935": "Hydraulic Pressure Sensor Circuit High",
	"P0936": "Hydraulic Pressure Sensor Circuit Intermittent",
	"P0937": "Hydraulic Oil Temperature Sensor Circuit",
	"P0938": "Hydraulic Oil Temperature Sensor Range/Performance",
	"P0939": "Hydraulic Oil Temperature Sensor Circuit Low",
	"P0940": "Hydraulic Oil Temperature Sensor Circuit High",
	"P0941": "Hydraulic Oil Temperature Sensor Circuit Intermittent",
	"P0942": "Hydraulic Pressure Unit",
	"P0943": "Hydraulic Pressure Unit Cycling Period Too Short",
	"P0944": "Hydraulic Pressure Unit Loss of Pressure",
	"P0945": "Hydraulic Pump Relay Circuit/Open",
	"P0946": "Hydraulic Pump Relay Circuit Range/Performance",
	"P0947": "Hydraulic Pump Relay Circuit Low",
	"P0948": "Hydraulic Pump Relay Circuit High",
	"P0949": "Auto Shift Manual Adaptive Learning Not Complete",
	"P0950": "Auto Shift Manual Control Circuit",
	"P0951": "Auto Shift Manual Control Circuit Range/Performance",
	"P0952": "Auto Shift Manual Control Circuit Low",
	"P0953": "Auto Shift Manual Control Circuit High",
	"P0954": "Auto Shift Manual Control Circuit Intermittent",
	"P0955": "Auto Shift Manual Mode Circuit",
	"P0956": "Auto Shift Manual Mode Circuit Range/Performance",
	"P0957": "Auto Shift Manual Mode Circuit Low",
	"P0958": "Auto Shift Manual Mode Circuit High",
	"P0959": "Auto Shift Manual Mode Circuit Intermittent",
	"P0960": "Pressure Control Solenoid 'A' Control Circuit/Open",
	"P0961": "Pressure Control Solenoid 'A' Control Circuit Range/Performance",
	"P0962": "Pressure Control Solenoid 'A' Control Circuit Low",
	"P0963": "Pressure Control Solenoid 'A' Control Circuit High",
	"P0964": "Pressure Control Solenoid 'B' Control Circuit/Open",
	"P0965": "Pressure Control Solenoid 'B' Control Circuit Range/Performance",
	"P0966": "Pressure Control Solenoid 'B' Control Circuit Low",
	"P0967": "Pressure Control Solenoid 'B' Control Circuit High",
	"P0968": "Pressure Control Solenoid 'C' Control Circuit/Open",
	"P0969": "Pressure Control Solenoid 'C' Control Circuit Range/Performance",
	"P0970": "Pressure Control Solenoid 'C' Control Circuit Low",
	"P0971": "Pressure Control Solenoid 'C' Control Circuit High",
	"P0972": "Shift Solenoid 'A' Control Circuit Range/Performance",
	"P0973": "Shift Solenoid 'A' Control Circuit Low",
	"P0974": "Shift Solenoid 'A' Control Circuit High",
	"P0975": "Shift Solenoid 'B' Control Circuit Range/Performance",
	"P0976": "Shift Solenoid 'B' Control Circuit Low",
	"P0977": "Shift Solenoid 'B' Control Circuit High",
	"P0978": "Shift Solenoid 'C' Control Circuit Range/Performance",
	"P0979": "Shift Solenoid 'C' Control Circuit Low",
	"P0980": "Shift Solenoid 'C' Control Circuit High",
	"P0981": "Shift Solenoid 'D' Control Circuit Range/Performance",
	"P0982": "Shift Solenoid 'D' Control Circuit Low",
	"P0983": "Shift Solenoid 'D' Control Circuit High",
	"P0984": "Shift Solenoid 'E' Control Circuit Range/Performance",
	"P0985": "Shift Solenoid 'E' Control Circuit Low",
	"P0986": "Shift Solenoid 'E' Control Circuit High",
	"P0987": "Transmission Fluid Pressure Sensor/Switch 'E' Circuit",
	"P0988": "Transmission Fluid Pressure Sensor/Switch 'E' Circuit Range/Performance",
	"P0989": "Transmission Fluid Pressure Sensor/Switch 'E' Circuit Low",
	"P0990": "Transmission Fluid Pressure Sensor/Switch 'E' Circuit High",
	"P0991": "Transmission Fluid Pressure Sensor/Switch 'E' Circuit Intermittent",
	"P0992": "Transmission Fluid Pressure Sensor/Switch 'F' Circuit",
	"P0993": "Transmission Fluid Pressure Sensor/Switch 'F' Circuit Range/Performance",
	"P0994": "Transmission Fluid Pressure Sensor/Switch 'F' Circuit Low",
	"P0995": "Transmission Fluid Pressure Sensor/Switch 'F' Circuit High",
	"P0996": "Transmission Fluid Pressure Sensor/Switch 'F' Circuit Intermittent",
	"P0997": "Shift Solenoid 'F' Control Circuit Range/Performance",
	"P0998": "Shift Solenoid 'F' Control Circuit Low",
	"P0999": "Shift Solenoid 'F' Control Circuit High",
	"P0A00": "Motor Electronics Coolant Temperature Sensor Circuit",
	"P0A01": "Motor Electronics Coolant Temperature Sensor Circuit Range/Performance",
	"P0A02": "Motor Electronics Coolant Temperature Sensor Circuit Low",
	"P0A03": "Motor Electronics Coolant Temperature Sensor Circuit High",
	"P0A04": "Motor Electronics Coolant Temperature Sensor Circuit Intermittent",
	"P0A05": "Motor Electronics Coolant Pump Control Circuit/Open",
	"P0A06": "Motor Electronics Coolant Pump Control Circuit Low",
	"P0A07": "Motor Electronics Coolant Pump Control Circuit High",
	"P0A08": "DC/DC Converter Status Circuit",
	"P0A09": "DC/DC Converter Status Circuit Low Input",
	"P0A10": "DC/DC Converter Status Circuit High Input",
	"P0A11": "DC/DC Converter Enable Circuit/Open",
	"P0A12": "DC/DC Converter Enable Circuit Low",
	"P0A13": "DC/DC Converter Enable Circuit High",
	"P0A14": "Engine Mount Control Circuit/Open",
	"P0A15": "Engine Mount Control Circuit Low",
	"P0A16": "Engine Mount Control Circuit High",
	"P0A17": "Motor Torque Sensor Circuit",
	"P0A18": "Motor Torque Sensor Circuit Range/Performance",
	"P0A19": "Motor Torque Sensor Circuit Low",
	"P0A20": "Motor Torque Sensor Circuit High",
	"P0A21": "Motor Torque Sensor Circuit Intermittent",
	"P0A22": "Generator Torque Sensor Circuit",
	"P0A23": "Generator Torque Sensor Circuit Range/Performance",
	"P0A24": "Generator Torque Sensor Circuit Low",
	"P0A25": "Generator Torque Sensor Circuit High",
	"P0A26": "Generator Torque Sensor Circuit Intermittent",
	"P0A27": "Battery Power Off Circuit",
	"P0A28": "Battery Power Off Circuit Low",
	"P0A29": "Battery Power Off Circuit High",
	"P1000": "Ford: OBD-II Monitor Testing Incomplete",
	"P1001": "Ford: KOER Test Cannot Be Completed",
	"P1002": "Chrysler: Ignition Key Off Timer Performance - Too Slow",
	"P1003": "Ford: Transmission Range Sensor Circuit Malfunction",
	"P1004": "Chrysler: Short Runner Valve Control Performance",
	"P1005": "Chrysler: Baro Read Solenoid Circuit",
	"P1006": "?",
	"P1007": "?",
	"P1008": "Ford: Differential Pressure Feedback EGR -DPFE- Sensor Circuit Low Voltage Detected",
	"P1009": "VW: MAF Sensor 1/2 Implausible Load Detection Signal",
	"P1010": "Toyota: OCV for VVTL Circuit -Bank 1",
	"P1011": "Saab: Injector Cyl. No 1 Shorting To Ground",
	"P1012": "Mitsubishi: V.V.T.CAM",
	"P1013": "?",
	"P1014": "Volvo: CMP Sensor/CKP Sensor Signals Not Compatible",
	"P1015": "?",
	"P1016": "?",
	"P1017": "?",
	"P1018": "?",
	"P1019": "?",
	"P1020": "VW: Fuel Pressure Control Over Limit",
	"P1021": "Toyota: OCV for VVTL Open Malfunction -Bank 2",
	"P1022": "Toyota: OCV for VVTL Close Malfunction -Bank 2",
	"P1023": "VW: Fuel Pressure Control Valve Short To Ground",
	"P1024": "VW: Fuel Pressure Control Valve Circuit Open",
	"P1025": "VW: Fuel Pressure Control Valve Mechanical Failure",
	"P1026": "VW: Intake Manifold Air Control Solenoid Short To B+",
	"P1027": "VW: Intake Manifold Air Control Solenoid Short To Ground",
	"P1028": "VW: Intake Manifold Air Control Solenoid Circuit Open",
	"P1029": "VW: Intake Manifold Air Control Valve Position Sensor Upper Limit Not Achieved",
	"P1030": "VW: Intake Manifold Air Control Valve Position Sensor Lower Limit Not Achieved",
	"P1031": "VW: Intake Manifold Air Control Valve Position Sensor Not Within Specification",
	"P1032": "VW: NOx Sensor Signal Too High",
	"P1033": "VW: NOx Sensor Signal Too Low",
	"P1034": "VW: NOx Sensor Signal Not Within Specification",
	"P1035": "VW: NOx Sensor Performance Problem Or Signal Out Of Range",
	"P1036": "VW: NOx Heater Sensor Short To B+",
	"P1037": "VW: NOx Heater Sensor Short To Ground",
	"P1038": "VW: NOx Heater Sensor Circuit Open",
	"P1039": "Ford: Vehicle Speed Signal Missing or Improper",
	"P1040": "VW: Injector 1 Supply Voltage Electrical Malfunction",
	"P1041": "VW: Injector 2 Supply Voltage Short Circuit",
	"P1042": "VW: Injector 2 Supply Voltage Electrical Malfunction",
	"P1043": "VW: Injector 3 Supply Voltage Short Circuit",
	"P1044": "VW: Injector 3 Supply Voltage Electrical Malfunction",
	"P1045": "VW: Injector 4 Supply Voltage Short Circuit",
	"P1046": "VW: Injector 4 Supply Voltage Electrical Malfunction",
	"P1047": "VW: CMP Actuator -Rear-Right-Exhaust- Bank 1 Electrical Malfunction",
	"P1048": "VW: CMP Actuator Exhaust/Right/Rear Bank 1 Short To B+ ",
	"P1049": "VW: CMP Actuator -Rear-Right-Exhaust- Bank 1 Short To Ground",
	"P1050": "VW: CMP Actuator -Rear-Right-Exhaust- Bank 1 Circuit Open",
	"P1051": "Ford: Brake Switch Signal Missing Or Improper",
	"P1052": "Toyota: A/F Sensor Heater Circuit High -Bank 2 Sensor 1",
	"P1053": "BMW: VVT Control Circuit Bank 2 Short Circuit",
	"P1054": "BMW: VVT Control Circuit Bank 2 Electrical Malfunction",
	"P1055": "BMW: VVT Control Motor Bank 1 Supply Voltage Input Too High",
	"P1056": "BMW: VVT Control Motor Bank 1 Supply Voltage Input Too Low",
	"P1057": "BMW: VVT Control Motor Bank 1 Supply Voltage Electrical Malfunction",
	"P1058": "BMW: VVT Control Motor Bank 2 Supply Voltage Input Too High",
	"P1059": "BMW: VVT Control Motor Bank 2 Supply Voltage Input Too Low",
	"P1060": "BMW: VVT Control Motor Bank 2 Supply Voltage Electrical Malfunction",
	"P1061": "BMW: VVT Limp Home Request Bank 1 Electrical Malfunction",
	"P1062": "BMW: VVT Limp Home Request Bank 1 Full Stroke Not Achieved",
	"P1063": "VW: Fuel Pressure Control Limit Not Achieved",
	"P1064": "VW: Fuel Pressure Mechanical Fault",
	"P1065": "VW: Fuel Pressure System Malfunction",
	"P1066": "VW: Intake Manifold Air Control Solenoid Short To B+",
	"P1067": "VW: Intake Manifold Air Control Solenoid Short To Ground",
	"P1068": "VW: Intake Manifold Air Control Solenoid Circuit Open",
	"P1069": "VW: NOx Sensor Heater Control Short To Ground",
	"P1070": "VW: NOx Sensor Heater Control Short To B+",
	"P1071": "VW: NOx Sensor Heater Control Signal Error",
	"P1072": "VW: NOx Sensor Heater Control Electrical Malfunction",
	"P1073": "VW: MAF Sensor 2 0 Signal Too Low",
	"P1074": "VW: MAF Sensor 2 0 Signal Too High",
	"P1075": "Land Rover: Lambda control limit bank 2.Short circuit to ground",
	"P1076": "?",
	"P1077": "?",
	"P1078": "?",
	"P1079": "?",
	"P1080": "?",
	"P1081": "VW: Long Term Fuel Trim 1 Bank 3 Lean Limit Exceeded",
	"P1082": "VW: Long Term Fuel Trim 2 Bank 3 Lean Limit Exceeded",
	"P1083": "VW: Long Term Fuel Trim 1 Bank 3 Rich Limit Exceeded",
	"P1084": "VW: Long Term Fuel Trim 2 Bank 3 Rich Limit Exceeded",
	"P1085": "VW: Long Term Fuel Trim 1 Bank 4 Lean Limit Exceeded",
	"P1086": "VW: Long Term Fuel Trim 2 Bank 4 Lean Limit Exceeded",
	"P1087": "VW: Long Term Fuel Trim 1 Bank 4 Rich Limit Exceeded",
	"P1088": "VW: Long Term Fuel Trim 2 Bank 4 Rich Limit Exceeded",
	"P1089": "BMW: O2 Sensor Circuit Slow Response in Lean Control Range-Bank 1 Sensor 2",
	"P1090": "BMW: Pre Catalyst Fuel Trim System too Lean Bank 1",
	"P1091": "BMW: Pre Catalyst Fuel Trim System too Rich Bank 1",
	"P1092": "BMW: Pre Catalyst Fuel Trim System too Lean Bank 2",
	"P1093": "BMW: Pre Catalyst Fuel Trim System too Rich Bank 2",
	"P1094": "BMW: O2 Sensor Circuit Slow Response in Rich Control Range -B-2 S-1",
	"P1095": "BMW: O2 Sensor Signal Circuit Slow Switching From Lean to Rich -B-1 S-1",
	"P1096": "BMW: O2 Sensor Signal Circuit Slow Switching From Lean to Rich -B-2 S-1",
	"P1097": "BMW: O2 Sensor Circuit Slow Response after Coast Down Fuel Cut-Off -B-1 S-2",
	"P1098": "BMW: O2 Sensor Circuit Slow Response after Coast Down Fuel Cut-Off -B-2 S-2",
	"P1099": "?",
	"P1100": "Ford: Mass Air Flow Sensor Intermittent",
	"P1101": "Audi: O2 Sensor Circ.,Bank1-Sensor1Voltage too Low/Air Leak",
	"P1102": "VW: O2S Heating Circuit Bank 1 Sensor 1 Voltage Too Low/Air Leak",
	"P1103": "Subaru: Engine torque control signal 1 circuit malfunction",
	"P1104": "Subaru: TCS Signal Circuit Malfunction",
	"P1105": "NISSAN: MAP/BARO Pressure Switch Solenoid Valve",
	"P1106": "GM: MAP Sensor Circuit Intermittent High or Low Voltage",
	"P1107": "VW: O2S Heating Circuit Bank 2 Sensor 1 Short To Positive",
	"P1108": "GM: BARO to MAP signal circuit comparison too high",
	"P1109": "Ford: Intake Air Temperature 2 Circuit Intermittent",
	"P1110": "VW: O2S Heating Circuit Bank 2 Sensor 2 Short To Positive",
	"P1111": "?: Intake Air Temperature -IAT- sensor intermittent high voltage",
	"P1112": "Ford: Intake Air Temperature Sensor Intermittent",
	"P1113": "VW: O2S Sensor Heater Resistance Too High Bank 1 Sensor 1",
	"P1114": "?: Engine Coolant Temperature -ECT- sensor circuit intermittent low voltage",
	"P1115": "VW: O2S Sensor Heater Circuit Short To Ground Bank 1 Sensor 1",
	"P1116": "Ford: Engine Coolant Temperature Sensor is out of Self-Test Range",
	"P1117": "VW: O2S Sensor Heater Circuit Short To Ground Bank 1 Sensor 2",
	"P1118": "VW: O2S Sensor Heater Circuit Open Bank 1 Sensor 2",
	"P1119": "Ford/Mazda: Manifold Air Temperature Circuit High Input",
	"P1120": "Ford: Throttle Position Sensor out of range",
	"P1121": "Ford: Throttle Position Sensor Inconsistent with Mass Air Flow Sensor",
	"P1122": "?: Throttle Position -TP- Sensor Inconsistent With MAF Sensor Low Voltage",
	"P1123": "Ford/BMW: Pedal Position Sensor A Circuit High Input",
	"P1124": "Ford: Throttle Position Sensor out of Self-Test Range",
	"P1125": "Ford: Throttle Position Sensor Intermittent",
	"P1126": "NISSAN: Thermostat Function",
	"P1127": "Ford: Heated Oxygen Sensor Heater not on During KOER Test",
	"P1128": "Ford: Heated Oxygen Sensor Signals reversed",
	"P1129": "Ford: Heated Oxygen Sensor Signals reversed",
	"P1130": "NISSAN: Swirl Control Valve Control Solenoid Valve",
	"P1131": "Ford: Lack of Upstream Heated Oxygen Sensor Switch",
	"P1132": "Volvo: Manufactuer Contrl. Fuel Air Metering",
	"P1133": "Acura: Heated Oxygen Sensor -HO2S- insufficient switching bank 1 sensor 1 -Rear Bank",
	"P1134": "Acura: Heated Oxygen Sensor -HO2S- transition time ratio bank 1 sensor 1 -Rear Bank",
	"P1135": "Ford: Ignition Switch Signal Missing or Improper",
	"P1136": "Ford: -HO2S11- circuit high voltage",
	"P1137": "Ford: Lack of Downstream Heated Oxygen Sensor Switch-Sensor Indicates Lean-Bank 1",
	"P1138": "Ford: Lack of Downstream Heated Oxygen Sensor Switch-Sensor Indicates Rich-Bank 1",
	"P1139": "VW: Long Term Fuel Trim Add. Fuel B2 System Too Rich",
	"P1140": "Nissan: Intake Valve Timing Control Position Sensor -Bank 1",
	"P1141": "VW: Load Calculation Cross Check Range/Performance",
	"P1142": "Ford: Fuel Restriction Condition",
	"P1143": "Ford: Air-Assisted Injector Control Valve Range or Performance",
	"P1144": "VW: Mass Air Flow Sensor Open/Short To Ground.",
	"P1145": "VW: Mass Air Flow Sensor Short To Positive.",
	"P1146": "VW: Mass Air Flow Sensor Supply Voltage",
	"P1147": "Ford: Manifold Air Temperature / Intake Air Temperature Correlation",
	"P1148": "NISSAN: Closed Loop Control -Bank 1",
	"P1149": "Ford: Closed Loop Control Malfunction",
	"P1150": "Ford: Lack of Upstream Heated Oxygen Sensor Switch-Adaptive Fuel Limit-Bank 2",
	"P1151": "Ford: Lack of Upstream Heated Oxygen Sensor Switch-Sensor Indicates Lean-Bank 2",
	"P1152": "Ford: Lack of Upstream Heated Oxygen Sensor Switch-Sensor Indicates Rich-Bank 2",
	"P1153": "VW: HO2S 2 Bank 1 & 2 Signal Swapped",
	"P1154": "Ford: Bank 2 Fuel Control Shifted Rich -FAOSC",
	"P1155": "VW: Manifold Absolute Pressure Sensor Short To Positive",
	"P1156": "VW: Manifold Absolute Pressure Sensor Open/Short To Ground",
	"P1157": "Ford: Lack of Downstream Heated Oxygen Sensor Switch-Sensor Indicates Lean-Bank 2",
	"P1158": "Ford: Lack of Downstream Heated Oxygen Sensor Switch-Sensor Indicates Rich-Bank 2",
	"P1159": "Ford: Fuel Stepper Motor",
	"P1160": "VW: Intake Air Temperature Sensor Short To Ground",
	"P1161": "VW: Intake Air Temperature Sensor Open/Short To Positive",
	"P1162": "VW: Intake Air Temperature Sensor Short To Ground",
	"P1163": "VW: Fuel Temperature Sensor Open/Short To Positive",
	"P1164": "VW: Fuel Temperature Sensor Implausible Signal",
	"P1165": "NISSAN: Swirl Control Valve Control Vacuum Switch",
	"P1166": "VW: Long Term Fuel Trim 2 Bank 1 Rich Limit Exceeded",
	"P1167": "VW: MAF Sensor Bank 2 Performance Problem Or Signal Out Of Range",
	"P1168": "NISSAN: Closed Loop Control -Bank 2",
	"P1169": "Ford: FRP Sensor In Range But High",
	"P1170": "VW: MAF Sensor Bank 2 Supply Voltage Error",
	"P1171": "VW: Throttle Actuation Potentiometer Sign. 2 Range/Performance",
	"P1172": "VW: Throttle Actuation Potentiometer Sign. 2 Signal Too Low",
	"P1173": "VW: Throttle Actuation Potentiometer Sign. 2 Signal Too High",
	"P1174": "Ford: Cam Sensor",
	"P1175": "Ford: Cam Control",
	"P1176": "VW: Rear O2S Correction",
	"P1177": "VW: O2 Correction Behind Catalyst B1 Limit Attained",
	"P1178": "VW: Bolt-up Limits",
	"P1179": "Mercedes: Oil Sensor",
	"P1180": "Ford: Fuel Delivery System Low",
	"P1181": "Ford: Fuel Delivery System High",
	"P1182": "Mercedes: Starter Motor Relay Failure",
	"P1183": "Ford: EOT Sensor Circuit Malfunction",
	"P1184": "Ford: EOT Sensor Out Of Range",
	"P1185": "Ford: Fuel Pump Temperature Sensor High",
	"P1186": "Ford: Fuel Pump Temperature Sensor Low",
	"P1187": "Chrysler: Inlet Pressure-MAP Correlation",
	"P1188": "Chrysler: Inlet Air Pressure Sensor Circuit Range-Performance",
	"P1189": "Ford: Engine Oil Pressure Switch Circuit",
	"P1190": "Chrysler: Inlet Air Pressure Sensor Circuit High",
	"P1191": "Chrysler: Inlet Air Temperature Sensor Performance-Rationality",
	"P1192": "Chrysler: Inlet Air Temp. Circuit Low",
	"P1193": "Chrysler: Inlet Air Temp. Circuit High",
	"P1194": "Chrysler: PWM O2 Heater Relay Performance",
	"P1195": "Chrysler: 1/1 O2 Sensor Slow During Catalyst Monitor",
	"P1196": "VW: O2S Heater Circuit Bank 1 Sensor 1 Electrical Malfunction",
	"P1197": "VW: O2S Heater Circuit Bank 2 Sensor 1 Electrical Malfunction",
	"P1198": "VW: O2S Heater Circuit Bank 1 Sensor 2 Electrical Malfunction",
	"P1199": "VW: O2S Heater Circuit Bank 2 Sensor 2 Electrical Malfunction",
	"P1200": "Toyota: Fuel Pump Relay Circuit Malfunction",
	"P1201": "VW: Injector Cyl. 1 Electrical Malfunction",
	"P1202": "VW: Injector Cyl. 2 Electrical Malfunction",
	"P1203": "VW: Injector Cyl. 3 Electrical Malfunction",
	"P1204": "VW: Injector Cyl. 4 Electrical Malfunction",
	"P1205": "VW: Injector Cyl. 5 Electrical Malfunction",
	"P1206": "VW: Injector Cyl. 6 Electrical Malfunction",
	"P1207": "VW: Injector Cyl. 7 Electrical Malfunction",
	"P1208": "VW: Injector Cyl. 8 Electrical Malfunction",
	"P1209": "Ford: Injector Control Pressure Peak Delta Test Fault",
	"P1210": "Ford: Injector Control Pressure Above Expected Level",
	"P1211": "NISSAN: ABS/TCS Control Unit",
	"P1212": "NISSAN: ABS/TCS Communication Line",
	"P1213": "?",
	"P1214": "?",
	"P1215": "?",
	"P1216": "?",
	"P1217": "?",
	"P1218": "?",
	"P1219": "?",
	"P1220": "Ford: Series Throttle Control fault",
	"P1221": "?",
	"P1222": "?",
	"P1223": "?",
	"P1224": "Ford: Throttle Position Sensor B out of Self-Test Range",
	"P1225": "?",
	"P1226": "?",
	"P1227": "?",
	"P1228": "?",
	"P1229": "Ford: Supercharger Intercooler Pump Not Working",
	"P1230": "Ford: Open Power to Fuel Pump circuit",
	"P1231": "Ford: High Speed Fuel Pump Relay activated",
	"P1232": "Ford: Low Speed Fuel Pump Primary circuit failure",
	"P1233": "Ford: Fuel Pump Driver Module off-line",
	"P1234": "Ford: Fuel Pump Driver Module off-line",
	"P1235": "Ford: Fuel Pump Control out of range",
	"P1236": "Ford: Fuel Pump Control out of range",
	"P1237": "Ford: Fuel Pump Secondary circuit fault",
	"P1238": "Ford: Fuel Pump Secondary circuit fault",
	"P1239": "?",
	"P1240": "?",
	"P1241": "?",
	"P1242": "?",
	"P1243": "?",
	"P1244": "Ford: Generator Load Low",
	"P1245": "Ford: Generator Load Input High",
	"P1246": "Ford: Generator Load Input Failed",
	"P1247": "?",
	"P1248": "?",
	"P1249": "?",
	"P1250": "Ford: Lack of Power to FPRC Solenoid",
	"P1251": "?",
	"P1252": "?",
	"P1253": "?",
	"P1254": "?",
	"P1255": "?",
	"P1256": "?",
	"P1257": "?",
	"P1258": "?: Engine Metal Over Temperature Protection",
	"P1259": "Acura: VTEC System Malfunction",
	"P1260": "Ford/Mazda: Theft Detected - Engine Disabled",
	"P1261": "Ford: Theft Detected - Engine Disabled",
	"P1262": "?",
	"P1263": "?",
	"P1264": "?",
	"P1265": "?",
	"P1266": "?",
	"P1267": "?",
	"P1268": "?",
	"P1269": "?",
	"P1270": "Ford/Mazda: Engine RPM or Vehicle Speed Limiter Reached",
	"P1271": "?",
	"P1272": "?",
	"P1273": "?",
	"P1274": "?",
	"P1275": "?",
	"P1276": "?",
	"P1277": "?",
	"P1278": "?",
	"P1279": "?",
	"P1280": "?",
	"P1281": "Chrysler: Engine Is Cold Too Long",
	"P1282": "Chrysler: Fuel Pump Relay Control Circuit",
	"P1283": "?",
	"P1284": "?",
	"P1285": "Ford: Cylinder Head Over Temperature Sensed",
	"P1286": "?",
	"P1287": "?",
	"P1288": "Ford: Cylinder Head Temperature Sensor out of Self-Test Range",
	"P1289": "Ford: Cylinder Head Temperature Sensor Signal Greater Than Self-Test Range",
	"P1290": "Ford: Cylinder Head Temperature Sensor Signal Less Than Self-Test Range",
	"P1291": "Chrysler: No Temp Rise Seen From Fuel Heaters",
	"P1292": "Chrysler: CNG Pressure Sensor Voltage Too High",
	"P1293": "Chrysler: CNG Pressure Sensor Voltage Too Low",
	"P1294": "Chrysler: Target Idle Not Reached",
	"P1295": "Chrysler: No 5 Volts To TP Sensor",
	"P1296": "Chrysler: No 5 Volts To MAP Sensor",
	"P1297": "Chrysler: No Change in MAB From Start To Run",
	"P1298": "Acura: High Voltage In ELD Circuit",
	"P1299": "Ford: Cylinder Head Over Temperature Protection Active",
	"P1300": "Ford: Cylinder Head Temperature Sensor Detected Engine Overheating Condition",
	"P1301": "FIAT: Classification injector",
	"P1302": "?",
	"P1303": "?",
	"P1304": "?",
	"P1305": "?",
	"P1306": "?",
	"P1307": "?",
	"P1308": "?",
	"P1309": "Ford: Misfire Detection Monitor not enabled",
	"P1310": "?",
	"P1311": "?",
	"P1312": "?",
	"P1313": "?",
	"P1314": "FIAT: Vertical acc.",
	"P1315": "?",
	"P1316": "?",
	"P1317": "?",
	"P1318": "?",
	"P1319": "?",
	"P1320": "NISSAN: Ignition Signal",
	"P1321": "?",
	"P1322": "?",
	"P1323": "?: Ignition Control -IC- Module 24x Reference Circuit low frequency",
	"P1324": "?",
	"P1325": "FIAT: Knock measuring circuit",
	"P1326": "FIAT: Knock control",
	"P1327": "?",
	"P1328": "?",
	"P1329": "?",
	"P1330": "?",
	"P1331": "?",
	"P1332": "?",
	"P1333": "?",
	"P1334": "?",
	"P1335": "NISSAN: Crankshaft Position Sensor -REF",
	"P1336": "NISSAN: Crankshaft Position Sensor -CKPS",
	"P1337": "Acura: Crankshaft Speed Fluctuation Sensor No Signal",
	"P1338": "?",
	"P1339": "?",
	"P1341": "?",
	"P1342": "?",
	"P1343": "?",
	"P1344": "?",
	"P1345": "?",
	"P1346": "?",
	"P1347": "?",
	"P1348": "?",
	"P1349": "?",
	"P1350": "?: Ignition Control System",
	"P1351": "Ford: Ignition Diagnostic Monitor circuit Input fault",
	"P1352": "Ford: Ignition Coil A - Primary circuit fault",
	"P1353": "Ford: Ignition Coil B - Primary circuit fault",
	"P1354": "Ford: Ignition Coil C - Primary circuit fault",
	"P1355": "Ford: Ignition Coil D - Primary circuit fault",
	"P1356": "Ford: Loss of Ignition Diagnostic Module Input to PCM",
	"P1357": "?",
	"P1358": "Ford: Ignition Diagnostic Monitor Signal out of Self-Test Range",
	"P1359": "Ford: Spark Output circuit fault",
	"P1360": "?",
	"P1361": "GM: Ignition Control -IC- Circuit Low Voltage",
	"P1362": "GM: Ignition Bypass Circuit Low Voltage",
	"P1363": "?",
	"P1364": "Ford: Ignition Coil Primary circuit fault",
	"P1365": "?",
	"P1366": "Acura: Intermittent Interruption In TDC2 Sensor Circuit",
	"P1367": "Acura: No Signal In TDC2 Sensor Circuit",
	"P1368": "?",
	"P1369": "?",
	"P1370": "?: Ignition Control -IC- Module 4x Reference too many pulses",
	"P1371": "?: Ignition Control -IC- Module 4x Reference too few pulses",
	"P1372": "?",
	"P1373": "?",
	"P1374": "GM: CKP High to Low Resolution Frequency Correlation",
	"P1375": "?: Ignition Control -IC- Module 24x Reference High Voltage",
	"P1376": "?: Ignition Ground Circuit",
	"P1377": "?: Ignition Control -IC- Module Cam Pulse to 4x Reference Pulse Comparison",
	"P1378": "?",
	"P1379": "?",
	"P1380": "Ford: VCT Solenoid Valve circuit Short or Open",
	"P1381": "Ford: Cam Timing Advance is excessive",
	"P1382": "?",
	"P1383": "Ford: Cam Timing Advance is excessive",
	"P1384": "?",
	"P1385": "?",
	"P1386": "?",
	"P1387": "?",
	"P1388": "Chrysler: Auto Shutdown Relay Circuit",
	"P1389": "Chrysler: No ASD Relay Output Voltage At PCM",
	"P1390": "Ford: Octane Adjust out of Self-Test Range",
	"P1391": "Chrysler: Intermittent Loss of CMP or CKP",
	"P1392": "?",
	"P1393": "?",
	"P1394": "?",
	"P1395": "?",
	"P1396": "?",
	"P1397": "?",
	"P1398": "Chrysler: Mis-Fire Adapter Numerator at Limit",
	"P1399": "Chrysler: Wait To Start Lamp Circuit",
	"P1400": "NISSAN: EGRC Solenoid Valve",
	"P1401": "NISSAN: EGR Temperature Sensor",
	"P1402": "NISSAN: EGR System",
	"P1403": "Ford: Differential Pressure Feedback Electronic Sensor Hoses Reversed",
	"P1404": "?: Exhaust Gas Recirculation -EGR- Valve Pintle Stuck Open",
	"P1405": "Ford: Differential Pressure Feedback Electronic Sensor circuit Upstream Hose",
	"P1406": "Ford: Differential Pressure Feedback Electronic Sensor circuit Downstream Hose",
	"P1407": "Ford: EGR No Flow Detected",
	"P1408": "Ford: EGR Flow out of Self-Test Range",
	"P1409": "Ford: EGR Vacuum Regulator malfunciont",
	"P1410": "Ford: EGR Barometric Pressure Sensor VREF Voltage",
	"P1411": "Ford: Secondary Air is not being diverted",
	"P1412": "?",
	"P1413": "Ford: Secondary Air Injection System Monitor circuit Low Voltage",
	"P1414": "Ford: Secondary Air Injection System Monitor circuit High Voltage",
	"P1415": "?",
	"P1416": "?",
	"P1417": "?",
	"P1418": "?",
	"P1419": "?",
	"P1420": "?",
	"P1421": "?",
	"P1422": "?",
	"P1423": "?",
	"P1424": "?",
	"P1425": "?",
	"P1426": "?",
	"P1427": "?",
	"P1428": "?",
	"P1429": "?",
	"P1430": "?",
	"P1431": "?",
	"P1432": "Ford: THTRC Circuit Failure",
	"P1433": "?",
	"P1434": "?",
	"P1435": "?",
	"P1436": "?",
	"P1437": "?",
	"P1438": "?",
	"P1439": "?",
	"P1440": "NISSAN: EVAP Control System Small Leak",
	"P1441": "NISSAN: Vacuum Cut Valve Bypass Valve",
	"P1442": "Ford: Secondary Air Injection System Monitor circuit High Voltage",
	"P1443": "Ford: Evaporative Emission C. System-Purge Control Solenoid or Purge Control Valve fault",
	"P1444": "NISSAN: Canister Purge Volume Control Solenoid Valve",
	"P1445": "NISSAN: EVAP Canister Purge Volume Control Valve",
	"P1446": "NISSAN: EVAP Canister Vent Control Valve -Closed",
	"P1447": "NISSAN: EVAP Control System Purge Flow Monitoring",
	"P1448": "NISSAN: EVAP Canister Vent Control Valve -Open",
	"P1449": "?",
	"P1450": "Ford: Inability of Evaporative Emission Control System to Bleed Fuel Tank",
	"P1451": "Ford: EVAP Control System Canister Vent Solenoid Circuit Malfunction",
	"P1452": "Ford: Inability of Evaporative Emission Control System to Bleed Fuel Tank",
	"P1453": "?",
	"P1454": "?",
	"P1455": "Ford: Substantial Leak or Blockage in Evaporative Emission Control System",
	"P1456": "?",
	"P1457": "Acura: Leak Detected In EVAP Control Sys",
	"P1458": "?",
	"P1459": "?",
	"P1460": "Ford: Wide Open Throttle Air Conditioning Cutoff circuit malfunction",
	"P1461": "Ford: Air Cond. Pressure Sensor circuit Low Input",
	"P1462": "Ford: Air Cond. Pressure Sensor circuit High Input",
	"P1463": "Ford: Air Cond. Pressure Sensor Insufficient Pressure change",
	"P1464": "NISSAN: Fuel Level Sensor Circuit -Ground Signal",
	"P1465": "?",
	"P1466": "?",
	"P1467": "?",
	"P1468": "?",
	"P1469": "Ford: Low Air Conditioning Cycling Period",
	"P1470": "?",
	"P1471": "?",
	"P1472": "?",
	"P1473": "Ford: Fan Secondary High with Fans Off",
	"P1474": "Ford: Low Fan Control Primary circuit",
	"P1475": "?",
	"P1476": "Chrysler: Too Little Secondary Air",
	"P1477": "Chrysler: Too Much Secondary Air ",
	"P1478": "Chrysler: Battery Temp Sensor Volts Out of Limit",
	"P1479": "Ford: High Fan Control Primary circuit",
	"P1480": "Ford: Fan Secondary Low with Low Fans On",
	"P1481": "?",
	"P1482": "?",
	"P1483": "Ford: Power to Cooling Fan Exceeded Normal Draw",
	"P1484": "Ford: Variable Load Control Module Pin 1 Open",
	"P1485": "Chrysler: Air Injection Solenoid Circuit",
	"P1486": "Chrysler: Evap Leak Monitor Pinched Hose",
	"P1487": "Chrysler: Hi Speed Rad Fan CTRL Relay Circuit",
	"P1488": "Chrysler: Auxiliary 5 Volt Supply Output Too Low",
	"P1489": "Chrysler: High Speed Fan CTRL Relay Circuit",
	"P1490": "NISSAN: Vacuum Cut Valve Bypass Valve Circuit",
	"P1491": "NISSAN: Vacuum Cut Valve Bypass Valve",
	"P1492": "NISSAN: EVAP Canister Purge Control/Solenoid Valve Circuit",
	"P1493": "NISSAN: EVAP Canister Purge Control Valve/Solenoid Valve",
	"P1494": "Chrysler: Leak Detection Pump Switch or Mechanical Fault ",
	"P1495": "Chrysler: Leak Detection Pump Solenoid Circuit ",
	"P1496": "Chrysler: 5 Volt Supply Output Too Low ",
	"P1497": "?",
	"P1498": "Chrysler: High speed Rad Fan Ground CTRL Rly Circuit",
	"P1499": "?",
	"P1500": "Ford: Vehicle Speed Sensor Intermittent",
	"P1501": "Ford: Programmable Speedometer & Odometer Module/Vehicle Speed Sensor Intermittent",
	"P1502": "Ford: Invalid or Missing Vehicle Speed Message or Brake Data",
	"P1503": "?",
	"P1504": "Ford: Intake Air Control circuit malfunction",
	"P1505": "Ford: Idle Air Control System at Adaptive Clip",
	"P1506": "Ford: Idle Air Control Over Speed Error",
	"P1507": "Ford: Idle Air Control Under Speed Error",
	"P1508": "Acura: Idle Air Control Valve Circuit Failure",
	"P1509": "?",
	"P1510": "?",
	"P1511": "?",
	"P1512": "Ford: Intake Manifold Runner Control Stuck Closed",
	"P1513": "Ford: Intake Manifold Runner Control Stuck Closed",
	"P1514": "?",
	"P1515": "?",
	"P1516": "Ford: Intake Manifold Runner Control Input Error",
	"P1517": "Ford: Intake Manifold Runner Control Input Error",
	"P1518": "Ford: Intake Manifold Runner Control fault-Stuck Open",
	"P1519": "Ford: Intake Manifold Runner Control Open?/Closed?",
	"P1520": "Ford: Intake Manifold Runner Control fault",
	"P1521": "?",
	"P1522": "?",
	"P1523": "?",
	"P1524": "?: Throttle Position -TP- Sensor Learned Closed Throttle Angle Degrees Out-Of-Range",
	"P1525": "?",
	"P1526": "?",
	"P1527": "?: Trans Range/Pressure Switch Comparison",
	"P1528": "?",
	"P1529": "?",
	"P1530": "Ford: Open or Short to A/C Compressor Clutch circuit",
	"P1531": "?",
	"P1532": "?",
	"P1533": "?",
	"P1534": "?",
	"P1535": "?",
	"P1536": "?",
	"P1537": "Ford: Intake Manifold Runner Control Stuck Open",
	"P1538": "Ford: Intake Manifold Runner Control Stuck Open",
	"P1539": "Ford: Power to A/C Compressor Clutch circuit Exceeded Normal Current Draw",
	"P1540": "?",
	"P1541": "?",
	"P1542": "?",
	"P1543": "?",
	"P1544": "?",
	"P1545": "?",
	"P1546": "GM: Air Conditioning -A/C- Clutch Relay Control Circuit",
	"P1547": "?",
	"P1548": "?",
	"P1549": "Ford: Intake Manifold Temperature Valve Vacuum Actuator Connection",
	"P1550": "NISSAN: TCC Solenoid Valve",
	"P1551": "?",
	"P1552": "?",
	"P1553": "?",
	"P1554": "?: Cruise Engaged Circuit High Voltage",
	"P1555": "?",
	"P1556": "?",
	"P1557": "?",
	"P1558": "?",
	"P1559": "?",
	"P1560": "?: Cruise Control System-Transaxle Not in Drive",
	"P1561": "?",
	"P1562": "?",
	"P1563": "?",
	"P1564": "?: Cruise Control System-Vehicle Acceleration too high",
	"P1565": "?",
	"P1566": "?: Cruise Control System-Engine RPM Too High",
	"P1567": "?: Cruise Control-ABCS Active",
	"P1568": "?",
	"P1569": "?",
	"P1570": "?: Cruise Control System - Traction Control Active",
	"P1571": "?: Motor Commutation Sensor Voltage Problem",
	"P1572": "?: MOTOR DRIVE MODULE TEMPERATURE SIGNAL CIRCUIT LOW INPUT",
	"P1573": "?: DC-DC CONVERTER TEMPERATURE SIGNAL CIRCUIT LOW INPUT",
	"P1574": "?: BATTERY MODULE TEMPERATURE SIGNAL CIRCUIT PROBLEM",
	"P1575": "?: MOTOR DRIVE MODULE VOLTAGE PROBLEM",
	"P1576": "?: MOTOR DRIVE MODULE VOLTAGE SIGNAL CIRCUIT LOW INPUT",
	"P1577": "?: HIGH VOLTAGE DETECTION SIGNAL CIRCUIT PROBLEM",
	"P1578": "?",
	"P1579": "?: Park/Neutral to Drive/Reverse At high Throttle Angle",
	"P1580": "?: BATTERY CURRENT CIRCUIT PROBLEM",
	"P1581": "?: MOTOR POWER INVERTER MODULE CURRENT SIGNAL CIRCUIT LOW INPUT",
	"P1582": "?: MOTOR CURRENT U PHASE SIGNAL CIRCUIT LOW INPUT",
	"P1583": "?: MOTOR CURRENT V PHASE SIGNAL CIRCUIT LOW INPUT",
	"P1584": "?: MOTOR CURRENT W PHASE SIGNAL CIRCUIT LOW INPUT",
	"P1585": "GM: Cruise Control Inhibit Output Circuit",
	"P1586": "?",
	"P1587": "?",
	"P1588": "?",
	"P1589": "?",
	"P1590": "?",
	"P1591": "?",
	"P1592": "?",
	"P1593": "?",
	"P1594": "Chrysler: Charging System Voltage Too High",
	"P1595": "Chrysler: Speed Control Solenoid Circuits",
	"P1596": "Chrysler: Speed Control Switch always High",
	"P1597": "Chrysler: Speed Control Switch always Low",
	"P1598": "Chrysler: A/C Pressure Sensor Volts Too High",
	"P1599": "Chrysler: A/C Pressure Sensor Volts Too Low",
	"P1600": "?",
	"P1601": "?",
	"P1602": "?: Loss of EBTCM Serial Data",
	"P1603": "?: Loss of SDM Serial Data",
	"P1604": "?: Loss of IPC Serial Data",
	"P1605": "NISSAN: A/T Diagnostic Communication Line",
	"P1606": "?",
	"P1607": "Acura: Malfunction In PCM Internal Circuit",
	"P1608": "?",
	"P1609": "?",
	"P1610": "?: Loss of PZM Serial Data",
	"P1611": "?: Loss of CVRTD Serial Data",
	"P1612": "?",
	"P1613": "?",
	"P1614": "?",
	"P1615": "?",
	"P1616": "?",
	"P1617": "?: Engine Oil Level Switch Circuit",
	"P1618": "?",
	"P1619": "?",
	"P1620": "?",
	"P1621": "?: PCM Memory Performance",
	"P1622": "?",
	"P1623": "?",
	"P1624": "?",
	"P1625": "Ford: Voltage to Vehicle Load Control Module Fan circuit not detected",
	"P1626": "Ford: Voltage to Vehicle Load Control Module circuit not detected",
	"P1627": "?",
	"P1628": "?",
	"P1629": "?",
	"P1630": "?: Theft Deterrent - PCM in Learn Mode",
	"P1631": "?: Theft Deterrent - Password Incorrect",
	"P1632": "?: Theft Deterrent - Fuel Disabled",
	"P1633": "Ford: Keep Alive Power Voltage Too Low",
	"P1634": "?: Ignition 1 Power Circuit Low Voltage",
	"P1635": "Ford: Tire/Axle Out Of Acceptable Range",
	"P1636": "?",
	"P1637": "?",
	"P1638": "?",
	"P1639": "Ford: Vehicle ID Block Not Programmed Or Corrupt",
	"P1640": "?: Driver 1 - Input High Voltage",
	"P1641": "?: Malfunction Indicator Lamp -MIL- Control Circuit",
	"P1642": "?: Vehicle Speed Output Circuit",
	"P1643": "?",
	"P1644": "?: Delivered Torque Output Circuit",
	"P1645": "?: EVAP Solenoid Output Circuit",
	"P1646": "?",
	"P1647": "?",
	"P1648": "?",
	"P1649": "?",
	"P1650": "Ford: Power Steering Pressure Switch out of Self-Test Range",
	"P1651": "Ford: Power Steering Pressure Switch Input fault",
	"P1652": "?: Lift/Dive Circuit",
	"P1653": "?",
	"P1654": "?: Cruise Disable Output Circuit",
	"P1655": "?",
	"P1656": "Acura: Automatic Transaxle",
	"P1657": "?",
	"P1658": "?",
	"P1659": "?",
	"P1660": "?: Cooling Fan Control Circuits",
	"P1661": "?",
	"P1662": "?",
	"P1663": "?",
	"P1664": "Ford: Injection Pump Control Module Malfunction",
	"P1665": "?",
	"P1666": "?",
	"P1667": "?",
	"P1668": "?",
	"P1669": "?",
	"P1670": "?",
	"P1671": "?",
	"P1672": "?",
	"P1673": "?",
	"P1674": "?",
	"P1675": "?",
	"P1676": "Acura: FPTDR Signal Failure",
	"P1677": "?",
	"P1678": "Acura: FPTDR Signal Line Failure",
	"P1679": "?",
	"P1680": "Chrysler: Clutch Released Switch Circuit",
	"P1681": "Chrysler: No I/P Cluster CCD/J1850 Messages Received",
	"P1682": "Chrysler: Charging System Voltage Too Low",
	"P1683": "Chrysler: Speed Control Power Relay or S/C 12V Driver Circuit",
	"P1684": "?",
	"P1685": "Chrysler: Skim Invalid Key",
	"P1686": "Chrysler: No SKIM Bus Message Received",
	"P1687": "Chrysler: No Cluster Bus Message",
	"P1688": "?",
	"P1689": "GM: Traction Control Delivered Torque Output Circuit",
	"P1690": "VW: MIL Malfunction",
	"P1691": "VW: MIL Open Circuit",
	"P1692": "VW: MIL Short To Ground",
	"P1693": "VW: MIL Short To Positive",
	"P1694": "Chrysler: Fault In Companion Mode",
	"P1695": "Chrysler: No CCD/J185O Message From BCM",
	"P1696": "Chrysler: PCM Failure EEPROM Write Denied",
	"P1697": "Chrysler: PCM Failure SRI Mile Not Stored",
	"P1698": "Chrysler: No Bus Message From TCM",
	"P1699": "?",
	"P1700": "Ford: Transmission system problems",
	"P1701": "Ford: Reverse Engagement Error",
	"P1702": "Ford: Transmission system problems",
	"P1703": "Ford: Brake On/Off Switch out of Self-Test Range",
	"P1704": "Ford: Transmission system problems",
	"P1705": "NISSAN: Throttle Position Sensor Circuit A/T",
	"P1706": "NISSAN: Park/Neutral Position -PNP- Switch",
	"P1707": "?",
	"P1708": "?",
	"P1709": "Ford: Park or Neutral Position Switch out of Self-Test Range",
	"P1710": "Ford: Transmission system problems",
	"P1711": "Ford: Transmission Fluid Temperature Sensor out of Self-Test Range",
	"P1712": "?",
	"P1713": "Ford: Transmission system problems",
	"P1714": "?",
	"P1715": "?",
	"P1716": "?",
	"P1717": "?",
	"P1718": "?",
	"P1719": "Chrysler: Skip Shift Solenoid Circuit",
	"P1720": "?",
	"P1721": "?",
	"P1722": "?",
	"P1723": "?",
	"P1724": "?",
	"P1725": "?",
	"P1726": "?",
	"P1727": "?",
	"P1728": "?",
	"P1729": "Ford: 4x4 Low Switch Error",
	"P1730": "?",
	"P1731": "?",
	"P1732": "?",
	"P1733": "?",
	"P1734": "?",
	"P1735": "?",
	"P1736": "?",
	"P1737": "?",
	"P1738": "Acura: Automatic Transaxle",
	"P1739": "?",
	"P1740": "Ford: Transmission system problems",
	"P1741": "Ford: Torque Converter Clutch Control Error",
	"P1742": "Ford: Torque Converter Clutch Solenoid Faulty",
	"P1743": "Ford: Torque Converter Clutch Solenoid Faulty",
	"P1744": "Ford: Torque Converter Clutch System Stuck in Off Position",
	"P1745": "Ford: Transmission system problems",
	"P1746": "Ford: Electronic Pressure Control Solenoid-Open circuit",
	"P1747": "Ford: Electronic Pressure Control Solenoid-Short circuit",
	"P1748": "?",
	"P1749": "Ford: Electronic Pressure Control Solenoid Failed Low",
	"P1750": "Ford: Maximum adapted -EPC- pressure for reverse",
	"P1751": "Shift Solenoid No. 1 Performance",
	"P1752": "?",
	"P1753": "Acura: Automatic Transaxle",
	"P1754": "Ford: Coast Clutch Solenoid circuit malfunction",
	"P1755": "?",
	"P1756": "Ford: Shift Solenoid No. 2 Performance",
	"P1757": "Chrysler: GOV Press Not Equal To Target @ 15-20 PSI",
	"P1758": "Acura: Automatic Transaxle",
	"P1759": "?",
	"P1760": "NISSAN: Overrun Clutch Solenoid Valve Circuit",
	"P1761": "Ford: Shift Solenoid No. 3 Performance",
	"P1762": "Ford: Transmission system problems",
	"P1763": "Chrysler: Governor Pressure Sensor Volts Too High",
	"P1764": "Chrysler: Governor Pressure Sensor Volts Too Low",
	"P1765": "Chrysler: Trans 12 Volt Supply Relay CTRL Circuit",
	"P1766": "?",
	"P1767": "Ford: Transmission system problems",
	"P1768": "Acura: Automatic Transaxle",
	"P1769": "?",
	"P1770": "?",
	"P1771": "?",
	"P1772": "?",
	"P1773": "Acura: Automatic Transaxle",
	"P1774": "?",
	"P1775": "?",
	"P1776": "?",
	"P1777": "?",
	"P1778": "VW: Solenoid EV7 Electrical Malfunction",
	"P1779": "?",
	"P1780": "Ford: Transmission Control Switch circuit is out of Self-Test Range",
	"P1781": "Ford: 4x4 Low Switch is out of Self-Test Range",
	"P1782": "?",
	"P1783": "Ford: Transmission Over-Temperature Condition",
	"P1784": "Ford: Transmission system problems",
	"P1785": "Ford: Transmission system problems",
	"P1786": "Ford: Transmission system problems",
	"P1787": "Ford: Transmission system problems",
	"P1788": "Ford: Transmission system problems",
	"P1789": "Ford: Transmission system problems",
	"P1790": "Acura: Automatic Transaxle",
	"P1791": "?",
	"P1792": "Acura: Automatic Transaxle",
	"P1793": "?",
	"P1794": "Acura: Automatic Transaxle",
	"P1795": "?",
	"P1796": "?",
	"P1797": "?",
	"P1798": "?",
	"P1799": "?",
	"P1800": "?",
	"P1801": "?",
	"P1802": "?",
	"P1803": "?",
	"P1804": "Ford: 4-Wheel Drive High Indicator Circuit Open or Shorted To Ground",
	"P1805": "Ford: Four wheel drive high indicator circuit failure",
	"P1806": "Ford: 4-Wheel Drive High Indicator Short To Battery",
	"P1807": "Ford: Four wheel drive mode select circuit short to ground",
	"P1808": "Ford: 4-Wheel Drive Low Indicator Circuit Open or Short To Ground",
	"P1809": "Nissan: Transmission 4-wheel drive Low indicator Open circuit",
	"P1810": "GM: TFP Valve Position Switch Circuit",
	"P1811": "GM: Maximum Adapt and Long Shift",
	"P1812": "Ford: 4-Wheel Drive Mode Select Switch Circuit Open",
	"P1813": "Ford: Four wheel drive mode select circuit failure",
	"P1814": "?",
	"P1815": "?",
	"P1816": "?",
	"P1817": "?",
	"P1818": "?",
	"P1819": "GM: Internal Mode Switch - No Start/Wrong Range",
	"P1820": "GM: Internal Mode Switch Circuit A Low",
	"P1821": "?",
	"P1822": "GM: Internal Mode Switch Circuit B High",
	"P1823": "GM: Internal Mode Switch Circuit P Low",
	"P1824": "?",
	"P1825": "GM: Internal Mode Switch - Invalid Range",
	"P1826": "GM: Internal Mode Switch Circuit C High",
	"P1827": "?",
	"P1828": "?",
	"P1829": "?",
	"P1830": "?",
	"P1831": "?",
	"P1832": "?",
	"P1833": "?",
	"P1834": "?",
	"P1835": "?",
	"P1836": "?",
	"P1837": "?",
	"P1838": "?",
	"P1839": "?",
	"P1840": "?",
	"P1841": "?",
	"P1842": "?",
	"P1843": "?",
	"P1844": "?",
	"P1845": "?",
	"P1846": "?",
	"P1847": "?",
	"P1848": "?",
	"P1849": "?",
	"P1850": "?",
	"P1851": "VW: Data Bus Drive Missing Command From ABS",
	"P1852": "?",
	"P1853": "?",
	"P1854": "VW: Drive Train CAN-Bus Inoperative",
	"P1855": "?",
	"P1856": "?",
	"P1857": "?",
	"P1858": "?",
	"P1859": "?",
	"P1860": "GM: TCC PWM Solenoid Circuit Electrical",
	"P1861": "?",
	"P1862": "?",
	"P1863": "?",
	"P1864": "?",
	"P1865": "?",
	"P1866": "?",
	"P1867": "?",
	"P1868": "?",
	"P1869": "?",
	"P1870": "?",
	"P1871": "?",
	"P1872": "?",
	"P1873": "?",
	"P1874": "?",
	"P1875": "?",
	"P1876": "?",
	"P1877": "?",
	"P1878": "?",
	"P1879": "?",
	"P1880": "?",
	"P1881": "?",
	"P1882": "?",
	"P1883": "?",
	"P1884": "?",
	"P1885": "?",
	"P1886": "?",
	"P1887": "GM: TCC Release Switch Circuit",
	"P1888": "?",
	"P1889": "?",
	"P1890": "?",
	"P1891": "?",
	"P1892": "?",
	"P1893": "?",
	"P1894": "?",
	"P1895": "?",
	"P1896": "?",
	"P1897": "?",
	"P1898": "?",
	"P1899": "Chrysler: Park/Neutral Position Switch Stuck In Park or In Gear",
	"P1900": "Ford: Transmission system problems",
	"P1901": "?",
	"P1902": "?",
	"P1903": "?",
	"P1904": "?",
	"P1905": "?",
	"P1906": "?",
	"P1907": "?",
	"P1908": "?",
	"P1909": "?",
	"P1910": "?",
	"P1911": "?",
	"P1912": "?",
	"P1913": "?",
	"P1914": "?",
	"P1915": "?",
	"P1916": "?",
	"P1917": "?",
	"P1918": "?",
	"P1919": "?",
	"P1920": "?",
	"P1921": "?",
	"P1922": "?",
	"P1923": "?",
	"P1924": "?",
	"P1925": "?",
	"P1926": "?",
	"P1927": "?",
	"P1928": "?",
	"P1929": "?",
	"P1930": "?",
	"P1931": "?",
	"P1932": "?",
	"P1933": "?",
	"P1934": "?",
	"P1935": "?",
	"P1936": "?",
	"P1937": "?",
	"P1938": "?",
	"P1939": "?",
	"P1940": "?",
	"P1941": "?",
	"P1942": "?",
	"P1943": "?",
	"P1944": "?",
	"P1945": "?",
	"P1946": "?",
	"P1947": "?",
	"P1948": "?",
	"P1949": "?",
	"P1950": "?",
	"P1951": "?",
	"P1952": "?",
	"P1953": "?",
	"P1954": "?",
	"P1955": "?",
	"P1956": "?",
	"P1957": "?",
	"P1958": "?",
	"P1959": "?",
	"P1960": "?",
	"P1961": "?",
	"P1962": "?",
	"P1963": "?",
	"P1964": "?",
	"P1965": "?",
	"P1966": "?",
	"P1967": "?",
	"P1968": "?",
	"P1969": "?",
	"P1970": "?",
	"P1971": "?",
	"P1972": "?",
	"P1973": "?",
	"P1974": "?",
	"P1975": "?",
	"P1976": "?",
	"P1977": "?",
	"P1978": "?",
	"P1979": "?",
	"P1980": "?",
	"P1981": "?",
	"P1982": "?",
	"P1983": "?",
	"P1984": "?",
	"P1985": "?",
	"P1986": "?",
	"P1987": "?",
	"P1988": "?",
	"P1989": "?",
	"P1990": "Ford: Fuel Fired Heater Control Circuit High",
	"P1991": "?",
	"P1992": "?",
	"P1993": "?",
	"P1994": "?",
	"P1995": "?",
	"P1996": "?",
	"P1997": "?",
	"P1998": "?",
	"P1999": "?",
	"P2000": "NOx Trap Efficiency Below Threshold",
	"P2001": "NOx Trap Efficiency Below Threshold",
	"P2002": "Particulate Trap Efficiency Below Threshold",
	"P2003": "Particulate Trap Efficiency Below Threshold",
	"P2004": "Intake Manifold Runner Control Stuck Open",
	"P2005": "Intake Manifold Runner Control Stuck Open",
	"P2006": "Intake Manifold Runner Control Stuck Closed",
	"P2007": "Intake Manifold Runner Control Stuck Closed",
	"P2008": "Intake Manifold Runner Control Circuit/Open",
	"P2009": "Intake Manifold Runner Control Circuit Low",
	"P2010": "Intake Manifold Runner Control Circuit High",
	"P2011": "Intake Manifold Runner Control Circuit/Open",
	"P2012": "Intake Manifold Runner Control Circuit Low",
	"P2013": "Intake Manifold Runner Control Circuit High",
	"P2014": "Intake Manifold Runner Position Sensor/Switch Circuit",
	"P2015": "Intake Manifold Runner Position Sensor/Switch Circuit Range/Performance",
	"P2016": "Intake Manifold Runner Position Sensor/Switch Circuit Low",
	"P2017": "Intake Manifold Runner Position Sensor/Switch Circuit High",
	"P2018": "Intake Manifold Runner Position Sensor/Switch Circuit Intermittent",
	"P2019": "Intake Manifold Runner Position Sensor/Switch Circuit",
	"P2020": "Intake Manifold Runner Position Sensor/Switch Circuit Range/Performance",
	"P2021": "Intake Manifold Runner Position Sensor/Switch Circuit Low",
	"P2022": "Intake Manifold Runner Position Sensor/Switch Circuit High",
	"P2023": "Intake Manifold Runner Position Sensor/Switch Circuit Intermittent",
	"P2024": "Evaporative Emissions -EVAP- Fuel Vapor Temperature Sensor Circuit",
	"P2025": "Evaporative Emissions -EVAP- Fuel Vapor Temperature Sensor Performance",
	"P2026": "Evaporative Emissions -EVAP- Fuel Vapor Temperature Sensor Circuit Low Voltage",
	"P2027": "Evaporative Emissions -EVAP- Fuel Vapor Temperature Sensor Circuit High Voltage",
	"P2028": "Evaporative Emissions -EVAP- Fuel Vapor Temperature Sensor Circuit Intermittent",
	"P2029": "Fuel Fired Heater Disabled",
	"P2030": "Fuel Fired Heater Performance",
	"P2031": "Exhaust Gas Temperature Sensor Circuit",
	"P2032": "Exhaust Gas Temperature Sensor Circuit Low",
	"P2033": "Exhaust Gas Temperature Sensor Circuit High",
	"P2034": "Exhaust Gas Temperature Sensor Circuit",
	"P2035": "Exhaust Gas Temperature Sensor Circuit Low",
	"P2036": "Exhaust Gas Temperature Sensor Circuit High",
	"P2037": "Reductant Injection Air Pressure Sensor Circuit",
	"P2038": "Reductant Injection Air Pressure Sensor Circuit Range/Performance",
	"P2039": "Reductant Injection Air Pressure Sensor Circuit Low Input",
	"P2040": "Reductant Injection Air Pressure Sensor Circuit High Input",
	"P2041": "Reductant Injection Air Pressure Sensor Circuit Intermittent",
	"P2042": "Reductant Temperature Sensor Circuit",
	"P2043": "Reductant Temperature Sensor Circuit Range/Performance",
	"P2044": "Reductant Temperature Sensor Circuit Low Input",
	"P2045": "Reductant Temperature Sensor Circuit High Input",
	"P2046": "Reductant Temperature Sensor Circuit Intermittent",
	"P2047": "Reductant Injector Circuit/Open",
	"P2048": "Reductant Injector Circuit Low",
	"P2049": "Reductant Injector Circuit High",
	"P2050": "Reductant Injector Circuit/Open",
	"P2051": "Reductant Injector Circuit Low",
	"P2052": "Reductant Injector Circuit High",
	"P2053": "Reductant Injector Circuit/Open",
	"P2054": "Reductant Injector Circuit Low",
	"P2055": "Reductant Injector Circuit High",
	"P2056": "Reductant Injector Circuit/Open",
	"P2057": "Reductant Injector Circuit Low",
	"P2058": "Reductant Injector Circuit High",
	"P2059": "Reductant Injection Air Pump Control Circuit/Open",
	"P2060": "Reductant Injection Air Pump Control Circuit Low",
	"P2061": "Reductant Injection Air Pump Control Circuit High",
	"P2062": "Reductant Supply Control Circuit/Open",
	"P2063": "Reductant Supply Control Circuit Low",
	"P2064": "Reductant Supply Control Circuit High",
	"P2065": "Fuel Level Sensor 'B' Circuit",
	"P2066": "Fuel Level Sensor 'B' Performance",
	"P2067": "Fuel Level Sensor 'B' Circuit Low",
	"P2068": "Fuel Level Sensor 'B' Circuit High",
	"P2069": "Fuel Level Sensor 'B' Circuit Intermittent",
	"P2070": "Intake Manifold Tuning -IMT- Valve Stuck Open",
	"P2071": "Intake Manifold Tuning -IMT- Valve Stuck Closed",
	"P2075": "Intake Manifold Tuning -IMT- Valve Position Sensor/Switch Circuit",
	"P2076": "Intake Manifold Tuning -IMT- Valve Position Sensor/Switch Circuit Range/Performance",
	"P2077": "Intake Manifold Tuning -IMT- Valve Position Sensor/Switch Circuit Low",
	"P2078": "Intake Manifold Tuning -IMT- Valve Position Sensor/Switch Circuit High",
	"P2079": "Intake Manifold Tuning -IMT- Valve Position Sensor/Switch Circuit Intermittent",
	"P2080": "Exhaust Gas Temperature Sensor Circuit Range/Performance",
	"P2081": "Exhaust Gas Temperature Sensor Circuit Intermittent",
	"P2082": "Exhaust Gas Temperature Sensor Circuit Range/Performance",
	"P2083": "Exhaust Gas Temperature Sensor Circuit Intermittent",
	"P2084": "Exhaust Gas Temperature Sensor Circuit Range/Performance",
	"P2085": "Exhaust Gas Temperature Sensor Circuit Intermittent",
	"P2086": "Exhaust Gas Temperature Sensor Circuit Range/Performance",
	"P2087": "Exhaust Gas Temperature Sensor Circuit Intermittent",
	"P2088": "'A' Camshaft Position Actuator Control Circuit Low",
	"P2089": "'A' Camshaft Position Actuator Control Circuit High",
	"P2090": "'B' Camshaft Position Actuator Control Circuit Low",
	"P2091": "'B' Camshaft Position Actuator Control Circuit High",
	"P2092": "'A' Camshaft Position Actuator Control Circuit Low",
	"P2093": "'A' Camshaft Position Actuator Control Circuit High",
	"P2094": "'B' Camshaft Position Actuator Control Circuit Low",
	"P2095": "'B' Camshaft Position Actuator Control Circuit High",
	"P2096": "Post Catalyst Fuel Trim System Too Lean",
	"P2097": "Post Catalyst Fuel Trim System Too Rich",
	"P2098": "Post Catalyst Fuel Trim System Too Lean",
	"P2099": "Post Catalyst Fuel Trim System Too Rich",
	"P2100": "Throttle Actuator Control Motor Circuit/Open",
	"P2101": "Throttle Actuator Control Motor Circuit Range/Performance",
	"P2102": "Throttle Actuator Control Motor Circuit Low",
	"P2103": "Throttle Actuator Control Motor Circuit High",
	"P2104": "Throttle Actuator Control System - Forced Idle",
	"P2105": "Throttle Actuator Control System - Forced Engine Shutdown",
	"P2106": "Throttle Actuator Control System - Forced Limited Power",
	"P2107": "Throttle Actuator Control Module Processor",
	"P2108": "Throttle Actuator Control Module Performance",
	"P2109": "Throttle/Pedal Position Sensor 'A' Minimum Stop Performance",
	"P2110": "Throttle Actuator Control System - Forced Limited RPM",
	"P2111": "Throttle Actuator Control System - Stuck Open",
	"P2112": "Throttle Actuator Control System - Stuck Closed",
	"P2113": "Throttle/Pedal Position Sensor 'B' Minimum Stop Performance",
	"P2114": "Throttle/Pedal Position Sensor 'C' Minimum Stop Performance",
	"P2115": "Throttle/Pedal Position Sensor 'D' Minimum Stop Performance",
	"P2116": "Throttle/Pedal Position Sensor 'E' Minimum Stop Performance",
	"P2117": "Throttle/Pedal Position Sensor 'F' Minimum Stop Performance",
	"P2118": "Throttle Actuator Control Motor Current Range/Performance",
	"P2119": "Throttle Actuator Control Throttle Body Range/Performance",
	"P2120": "Throttle/Pedal Position Sensor/Switch 'D' Circuit",
	"P2121": "Throttle/Pedal Position Sensor/Switch 'D' Circuit Range/Performance",
	"P2122": "Throttle/Pedal Position Sensor/Switch 'D' Circuit Low Input",
	"P2123": "Throttle/Pedal Position Sensor/Switch 'D' Circuit High Input",
	"P2124": "Throttle/Pedal Position Sensor/Switch 'D' Circuit Intermittent",
	"P2125": "Throttle/Pedal Position Sensor/Switch 'E' Circuit",
	"P2126": "Throttle/Pedal Position Sensor/Switch 'E' Circuit Range/Performance",
	"P2127": "Throttle/Pedal Position Sensor/Switch 'E' Circuit Low Input",
	"P2128": "Throttle/Pedal Position Sensor/Switch 'E' Circuit High Input",
	"P2129": "Throttle/Pedal Position Sensor/Switch 'E' Circuit Intermittent",
	"P2130": "Throttle/Pedal Position Sensor/Switch 'F' Circuit",
	"P2131": "Throttle/Pedal Position Sensor/Switch 'F' Circuit Range Performance",
	"P2132": "Throttle/Pedal Position Sensor/Switch 'F' Circuit Low Input",
	"P2133": "Throttle/Pedal Position Sensor/Switch 'F' Circuit High Input",
	"P2134": "Throttle/Pedal Position Sensor/Switch 'F' Circuit Intermittent",
	"P2135": "Throttle/Pedal Position Sensor/Switch 'A' / 'B' Voltage Correlation",
	"P2136": "Throttle/Pedal Position Sensor/Switch 'A' / 'C' Voltage Correlation",
	"P2137": "Throttle/Pedal Position Sensor/Switch 'B' / 'C' Voltage Correlation",
	"P2138": "Throttle/Pedal Position Sensor/Switch 'D' / 'E' Voltage Correlation",
	"P2139": "Throttle/Pedal Position Sensor/Switch 'D' / 'F' Voltage Correlation",
	"P2140": "Throttle/Pedal Position Sensor/Switch 'E' / 'F' Voltage Correlation",
	"P2141": "Exhaust Gas Recirculation Throttle Control Circuit Low",
	"P2142": "Exhaust Gas Recirculation Throttle Control Circuit High",
	"P2143": "Exhaust Gas Recirculation Vent Control Circuit/Open",
	"P2144": "Exhaust Gas Recirculation Vent Control Circuit Low",
	"P2145": "Exhaust Gas Recirculation Vent Control Circuit High",
	"P2146": "Fuel Injector Group 'A' Supply Voltage Circuit/Open",
	"P2147": "Fuel Injector Group 'A' Supply Voltage Circuit Low",
	"P2148": "Fuel Injector Group 'A' Supply Voltage Circuit High",
	"P2149": "Fuel Injector Group 'B' Supply Voltage Circuit/Open",
	"P2150": "Fuel Injector Group 'B' Supply Voltage Circuit Low",
	"P2151": "Fuel Injector Group 'B' Supply Voltage Circuit High",
	"P2152": "Fuel Injector Group 'C' Supply Voltage Circuit/Open",
	"P2153": "Fuel Injector Group 'C' Supply Voltage Circuit Low",
	"P2154": "Fuel Injector Group 'C' Supply Voltage Circuit High",
	"P2155": "Fuel Injector Group 'D' Supply Voltage Circuit/Open",
	"P2156": "Fuel Injector Group 'D' Supply Voltage Circuit Low",
	"P2157": "Fuel Injector Group 'D' Supply Voltage Circuit High",
	"P2158": "Vehicle Speed Sensor 'B'",
	"P2159": "Vehicle Speed Sensor 'B' Range/Performance",
	"P2160": "Vehicle Speed Sensor 'B' Circuit Low",
	"P2161": "Vehicle Speed Sensor 'B' Intermittent/Erratic",
	"P2162": "Vehicle Speed Sensor 'A' / 'B' Correlation",
	"P2163": "Throttle/Pedal Position Sensor 'A' Maximum Stop Performance",
	"P2164": "Throttle/Pedal Position Sensor 'B' Maximum Stop Performance",
	"P2165": "Throttle/Pedal Position Sensor 'C' Maximum Stop Performance",
	"P2166": "Throttle/Pedal Position Sensor 'D' Maximum Stop Performance",
	"P2167": "Throttle/Pedal Position Sensor 'E' Maximum Stop Performance",
	"P2168": "Throttle/Pedal Position Sensor 'F' Maximum Stop Performance",
	"P2169": "Exhaust Pressure Regulator Vent Solenoid Control Circuit/Open",
	"P2170": "Exhaust Pressure Regulator Vent Solenoid Control Circuit Low",
	"P2171": "Exhaust Pressure Regulator Vent Solenoid Control Circuit High",
	"P2172": "Throttle Actuator Control System - Sudden High Airflow Detected",
	"P2173": "Throttle Actuator Control System - High Airflow Detected",
	"P2174": "Throttle Actuator Control System - Sudden Low Airflow Detected",
	"P2175": "Throttle Actuator Control System - Low Airflow Detected",
	"P2176": "Throttle Actuator Control System - Idle Position Not Learned",
	"P2177": "System Too Lean Off Idle",
	"P2178": "System Too Rich Off Idle",
	"P2179": "System Too Lean Off Idle",
	"P2180": "System Too Rich Off Idle",
	"P2181": "Cooling System Performance",
	"P2182": "Engine Coolant Temperature Sensor 2 Circuit",
	"P2183": "Engine Coolant Temperature Sensor 2 Circuit Range/Performance",
	"P2184": "Engine Coolant Temperature Sensor 2 Circuit Low",
	"P2185": "Engine Coolant Temperature Sensor 2 Circuit High",
	"P2186": "Engine Coolant Temperature Sensor 2 Circuit Intermittent/Erratic",
	"P2187": "System Too Lean at Idle",
	"P2188": "System Too Rich at Idle",
	"P2189": "System Too Lean at Idle",
	"P2190": "System Too Rich at Idle",
	"P2191": "System Too Lean at Higher Load",
	"P2192": "System Too Rich at Higher Load",
	"P2193": "System Too Lean at Higher Load",
	"P2194": "System Too Rich at Higher Load",
	"P2195": "O2 Sensor Signal Stuck Lean",
	"P2196": "O2 Sensor Signal Stuck Rich",
	"P2197": "O2 Sensor Signal Stuck Lean",
	"P2198": "O2 Sensor Signal Stuck Rich",
	"P2199": "Intake Air Temperature Sensor 1 / 2 Correlation",
	"P2200": "NOx Sensor Circuit",
	"P2201": "NOx Sensor Circuit Range/Performance",
	"P2202": "NOx Sensor Circuit Low Input",
	"P2203": "NOx Sensor Circuit High Input",
	"P2204": "NOx Sensor Circuit Intermittent Input",
	"P2205": "NOx Sensor Heater Control Circuit/Open",
	"P2206": "NOx Sensor Heater Control Circuit Low",
	"P2207": "NOx Sensor Heater Control Circuit High",
	"P2208": "NOx Sensor Heater Sense Circuit",
	"P2209": "NOx Sensor Heater Sense Circuit Range/Performance",
	"P2210": "NOx Sensor Heater Sense Circuit Low Input",
	"P2211": "NOx Sensor Heater Sense Circuit High Input",
	"P2212": "NOx Sensor Heater Sense Circuit Intermittent",
	"P2213": "NOx Sensor Circuit",
	"P2214": "NOx Sensor Circuit Range/Performance",
	"P2215": "NOx Sensor Circuit Low Input",
	"P2216": "NOx Sensor Circuit High Input",
	"P2217": "NOx Sensor Circuit Intermittent Input",
	"P2218": "NOx Sensor Heater Control Circuit/Open",
	"P2219": "NOx Sensor Heater Control Circuit Low",
	"P2220": "NOx Sensor Heater Control Circuit High",
	"P2221": "NOx Sensor Heater Sense Circuit",
	"P2222": "NOx Sensor Heater Sense Circuit Range/Performance",
	"P2223": "NOx Sensor Heater Sense Circuit Low",
	"P2224": "NOx Sensor Heater Sense Circuit High",
	"P2225": "NOx Sensor Heater Sense Circuit Intermittent",
	"P2226": "Barometric Pressure Circuit",
	"P2227": "Barometric Pressure Circuit Range/Performance",
	"P2228": "Barometric Pressure Circuit Low",
	"P2229": "Barometric Pressure Circuit High",
	"P2230": "Barometric Pressure Circuit Intermittent",
	"P2231": "O2 Sensor Signal Circuit Shorted to Heater Circuit",
	"P2232": "O2 Sensor Signal Circuit Shorted to Heater Circuit",
	"P2233": "O2 Sensor Signal Circuit Shorted to Heater Circuit",
	"P2234": "O2 Sensor Signal Circuit Shorted to Heater Circuit",
	"P2235": "O2 Sensor Signal Circuit Shorted to Heater Circuit",
	"P2236": "O2 Sensor Signal Circuit Shorted to Heater Circuit",
	"P2237": "O2 Sensor Positive Current Control Circuit/Open",
	"P2238": "O2 Sensor Positive Current Control Circuit Low",
	"P2239": "O2 Sensor Positive Current Control Circuit High",
	"P2240": "O2 Sensor Positive Current Control Circuit/Open",
	"P2241": "O2 Sensor Positive Current Control Circuit Low",
	"P2242": "O2 Sensor Positive Current Control Circuit High",
	"P2243": "O2 Sensor Reference Voltage Circuit/Open",
	"P2244": "O2 Sensor Reference Voltage Performance",
	"P2245": "O2 Sensor Reference Voltage Circuit Low",
	"P2246": "O2 Sensor Reference Voltage Circuit High",
	"P2247": "O2 Sensor Reference Voltage Circuit/Open",
	"P2248": "O2 Sensor Reference Voltage Performance",
	"P2249": "O2 Sensor Reference Voltage Circuit Low",
	"P2250": "O2 Sensor Reference Voltage Circuit High",
	"P2251": "O2 Sensor Negative Current Control Circuit/Open",
	"P2252": "O2 Sensor Negative Current Control Circuit Low",
	"P2253": "O2 Sensor Negative Current Control Circuit High",
	"P2254": "O2 Sensor Negative Current Control Circuit/Open",
	"P2255": "O2 Sensor Negative Current Control Circuit Low",
	"P2256": "O2 Sensor Negative Current Control Circuit High",
	"P2257": "Secondary Air Injection System Control 'A' Circuit Low",
	"P2258": "Secondary Air Injection System Control 'A' Circuit High",
	"P2259": "Secondary Air Injection System Control 'B' Circuit Low",
	"P2260": "Secondary Air Injection System Control 'B' Circuit High",
	"P2261": "Turbo/Super Charger Bypass Valve - Mechanical",
	"P2262": "Turbo Boost Pressure Not Detected - Mechanical",
	"P2263": "Turbo/Super Charger Boost System Performance",
	"P2264": "Water in Fuel Sensor Circuit",
	"P2265": "Water in Fuel Sensor Circuit Range/Performance",
	"P2266": "Water in Fuel Sensor Circuit Low",
	"P2267": "Water in Fuel Sensor Circuit High",
	"P2268": "Water in Fuel Sensor Circuit Intermittent",
	"P2269": "Water in Fuel Condition",
	"P2270": "O2 Sensor Signal Stuck Lean",
	"P2271": "O2 Sensor Signal Stuck Rich",
	"P2272": "O2 Sensor Signal Stuck Lean",
	"P2273": "O2 Sensor Signal Stuck Rich",
	"P2274": "O2 Sensor Signal Stuck Lean",
	"P2275": "O2 Sensor Signal Stuck Rich",
	"P2276": "O2 Sensor Signal Stuck Lean",
	"P2277": "O2 Sensor Signal Stuck Rich",
	"P2278": "O2 Sensor Signals Swapped Bank 1 Sensor 3 / Bank 2 Sensor 3",
	"P2279": "Intake Air System Leak",
	"P2280": "Air Flow Restriction / Air Leak Between Air Filter and MAF",
	"P2281": "Air Leak Between MAF and Throttle Body",
	"P2282": "Air Leak Between Throttle Body and Intake Valves",
	"P2283": "Injector Control Pressure Sensor Circuit",
	"P2284": "Injector Control Pressure Sensor Circuit Range/Performance",
	"P2285": "Injector Control Pressure Sensor Circuit Low",
	"P2286": "Injector Control Pressure Sensor Circuit High",
	"P2287": "Injector Control Pressure Sensor Circuit Intermittent",
	"P2288": "Injector Control Pressure Too High",
	"P2289": "Injector Control Pressure Too High - Engine Off",
	"P2290": "Injector Control Pressure Too Low",
	"P2291": "Injector Control Pressure Too Low - Engine Cranking",
	"P2292": "Injector Control Pressure Erratic",
	"P2293": "Fuel Pressure Regulator 2 Performance",
	"P2294": "Fuel Pressure Regulator 2 Control Circuit",
	"P2295": "Fuel Pressure Regulator 2 Control Circuit Low",
	"P2296": "Fuel Pressure Regulator 2 Control Circuit High",
	"P2297": "O2 Sensor Out of Range During Deceleration",
	"P2298": "O2 Sensor Out of Range During Deceleration",
	"P2299": "Brake Pedal Position / Accelerator Pedal Position Incompatible",
	"P2300": "Ignition Coil 'A' Primary Control Circuit Low",
	"P2301": "Ignition Coil 'A' Primary Control Circuit High",
	"P2302": "Ignition Coil 'A' Secondary Circuit",
	"P2303": "Ignition Coil 'B' Primary Control Circuit Low",
	"P2304": "Ignition Coil 'B' Primary Control Circuit High",
	"P2305": "Ignition Coil 'B' Secondary Circuit",
	"P2306": "Ignition Coil 'C' Primary Control Circuit Low",
	"P2307": "Ignition Coil 'C' Primary Control Circuit High",
	"P2308": "Ignition Coil 'C' Secondary Circuit",
	"P2309": "Ignition Coil 'D' Primary Control Circuit Low",
	"P2310": "Ignition Coil 'D' Primary Control Circuit High",
	"P2311": "Ignition Coil 'D' Secondary Circuit",
	"P2312": "Ignition Coil 'E' Primary Control Circuit Low",
	"P2313": "Ignition Coil 'E' Primary Control Circuit High",
	"P2314": "Ignition Coil 'E' Secondary Circuit",
	"P2315": "Ignition Coil 'F' Primary Control Circuit Low",
	"P2316": "Ignition Coil 'F' Primary Control Circuit High",
	"P2317": "Ignition Coil 'F' Secondary Circuit",
	"P2318": "Ignition Coil 'G' Primary Control Circuit Low",
	"P2319": "Ignition Coil 'G' Primary Control Circuit High",
	"P2320": "Ignition Coil 'G' Secondary Circuit",
	"P2321": "Ignition Coil 'H' Primary Control Circuit Low",
	"P2322": "Ignition Coil 'H' Primary Control Circuit High",
	"P2323": "Ignition Coil 'H' Secondary Circuit",
	"P2324": "Ignition Coil 'I' Primary Control Circuit Low",
	"P2325": "Ignition Coil 'I' Primary Control Circuit High",
	"P2326": "Ignition Coil 'I' Secondary Circuit",
	"P2327": "Ignition Coil 'J' Primary Control Circuit Low",
	"P2328": "Ignition Coil 'J' Primary Control Circuit High",
	"P2329": "Ignition Coil 'J' Secondary Circuit",
	"P2330": "Ignition Coil 'K' Primary Control Circuit Low",
	"P2331": "Ignition Coil 'K' Primary Control Circuit High",
	"P2332": "Ignition Coil 'K' Secondary Circuit",
	"P2333": "Ignition Coil 'L' Primary Control Circuit Low",
	"P2334": "Ignition Coil 'L' Primary Control Circuit High",
	"P2335": "Ignition Coil 'L' Secondary Circuit",
	"P2336": "Cylinder #1 Above Knock Threshold",
	"P2337": "Cylinder #2 Above Knock Threshold",
	"P2338": "Cylinder #3 Above Knock Threshold",
	"P2339": "Cylinder #4 Above Knock Threshold",
	"P2340": "Cylinder #5 Above Knock Threshold",
	"P2341": "Cylinder #6 Above Knock Threshold",
	"P2342": "Cylinder #7 Above Knock Threshold",
	"P2343": "Cylinder #8 Above Knock Threshold",
	"P2344": "Cylinder #9 Above Knock Threshold",
	"P2345": "Cylinder #10 Above Knock Threshold",
	"P2346": "Cylinder #11 Above Knock Threshold",
	"P2347": "Cylinder #12 Above Knock Threshold",
	"P2400": "Evaporative Emission System Leak Detection Pump Control Circuit/Open",
	"P2401": "Evaporative Emission System Leak Detection Pump Control Circuit Low",
	"P2402": "Evaporative Emission System Leak Detection Pump Control Circuit High",
	"P2403": "Evaporative Emission System Leak Detection Pump Sense Circuit/Open",
	"P2404": "Evaporative Emission System Leak Detection Pump Sense Circuit Range/Performance",
	"P2405": "Evaporative Emission System Leak Detection Pump Sense Circuit Low",
	"P2406": "Evaporative Emission System Leak Detection Pump Sense Circuit High",
	"P2407": "Evaporative Emission System Leak Detection Pump Sense Circuit Intermittent/Erratic",
	"P2408": "Fuel Cap Sensor/Switch Circuit",
	"P2409": "Fuel Cap Sensor/Switch Circuit Range/Performance",
	"P2410": "Fuel Cap Sensor/Switch Circuit Low",
	"P2411": "Fuel Cap Sensor/Switch Circuit High",
	"P2412": "Fuel Cap Sensor/Switch Circuit Intermittent/Erratic",
	"P2413": "Exhaust Gas Recirculation System Performance",
	"P2414": "O2 Sensor Exhaust Sample Error",
	"P2415": "O2 Sensor Exhaust Sample Error",
	"P2416": "O2 Sensor Signals Swapped Bank 1 Sensor 2 / Bank 1 Sensor 3",
	"P2417": "O2 Sensor Signals Swapped Bank 2 Sensor 2 / Bank 2 Sensor 3",
	"P2418": "Evaporative Emission System Switching Valve Control Circuit / Open",
	"P2419": "Evaporative Emission System Switching Valve Control Circuit Low",
	"P2420": "Evaporative Emission System Switching Valve Control Circuit High",
	"P2421": "Evaporative Emission System Vent Valve Stuck Open",
	"P2422": "Evaporative Emission System Vent Valve Stuck Closed",
	"P2423": "HC Adsorption Catalyst Efficiency Below Threshold",
	"P2424": "HC Adsorption Catalyst Efficiency Below Threshold",
	"P2425": "Exhaust Gas Recirculation Cooling Valve Control Circuit/Open",
	"P2426": "Exhaust Gas Recirculation Cooling Valve Control Circuit Low",
	"P2427": "Exhaust Gas Recirculation Cooling Valve Control Circuit High",
	"P2428": "Exhaust Gas Temperature Too High",
	"P2429": "Exhaust Gas Temperature Too High",
	"P2430": "Secondary Air Injection System Air Flow/Pressure Sensor Circuit",
	"P2431": "Secondary Air Injection System Air Flow/Pressure Sensor Circuit Range/Performance",
	"P2432": "Secondary Air Injection System Air Flow/Pressure Sensor Circuit Low",
	"P2433": "Secondary Air Injection System Air Flow/Pressure Sensor Circuit High",
	"P2434": "Secondary Air Injection System Air Flow/Pressure Sensor Circuit Intermittent/Erratic",
	"P2435": "Secondary Air Injection System Air Flow/Pressure Sensor Circuit",
	"P2436": "Secondary Air Injection System Air Flow/Pressure Sensor Circuit Range/Performance",
	"P2437": "Secondary Air Injection System Air Flow/Pressure Sensor Circuit Low",
	"P2438": "Secondary Air Injection System Air Flow/Pressure Sensor Circuit High",
	"P2439": "Secondary Air Injection System Air Flow/Pressure Sensor Circuit Intermittent/Erratic",
	"P2440": "Secondary Air Injection System Switching Valve Stuck Open",
	"P2441": "Secondary Air Injection System Switching Valve Stuck Closed",
	"P2442": "Secondary Air Injection System Switching Valve Stuck Open",
	"P2443": "Secondary Air Injection System Switching Valve Stuck Closed",
	"P2444": "Secondary Air Injection System Pump Stuck On",
	"P2445": "Secondary Air Injection System Pump Stuck Off",
	"P2446": "Secondary Air Injection System Pump Stuck On",
	"P2447": "Secondary Air Injection System Pump Stuck Off",
	"P2500": "Generator Lamp/L-Terminal Circuit Low",
	"P2501": "Generator Lamp/L-Terminal Circuit High",
	"P2502": "Charging System Voltage",
	"P2503": "Charging System Voltage Low",
	"P2504": "Charging System Voltage High",
	"P2505": "ECM/PCM Power Input Signal",
	"P2506": "ECM/PCM Power Input Signal Range/Performance",
	"P2507": "ECM/PCM Power Input Signal Low",
	"P2508": "ECM/PCM Power Input Signal High",
	"P2509": "ECM/PCM Power Input Signal Intermittent",
	"P2510": "ECM/PCM Power Relay Sense Circuit Range/Performance",
	"P2511": "ECM/PCM Power Relay Sense Circuit Intermittent",
	"P2512": "Event Data Recorder Request Circuit/ Open",
	"P2513": "Event Data Recorder Request Circuit Low",
	"P2514": "Event Data Recorder Request Circuit High",
	"P2515": "A/C Refrigerant Pressure Sensor 'B' Circuit",
	"P2516": "A/C Refrigerant Pressure Sensor 'B' Circuit Range/Performance",
	"P2517": "A/C Refrigerant Pressure Sensor 'B' Circuit Low",
	"P2518": "A/C Refrigerant Pressure Sensor 'B' Circuit High",
	"P2519": "A/C Request 'A' Circuit",
	"P2520": "A/C Request 'A' Circuit Low",
	"P2521": "A/C Request 'A' Circuit High",
	"P2522": "A/C Request 'B' Circuit",
	"P2523": "A/C Request 'B' Circuit Low",
	"P2524": "A/C Request 'B' Circuit High",
	"P2525": "Vacuum Reservoir Pressure Sensor Circuit",
	"P2526": "Vacuum Reservoir Pressure Sensor Circuit Range/Performance",
	"P2527": "Vacuum Reservoir Pressure Sensor Circuit Low",
	"P2528": "Vacuum Reservoir Pressure Sensor Circuit High",
	"P2529": "Vacuum Reservoir Pressure Sensor Circuit Intermittent",
	"P2530": "Ignition Switch Run Position Circuit",
	"P2531": "Ignition Switch Run Position Circuit Low",
	"P2532": "Ignition Switch Run Position Circuit High",
	"P2533": "Ignition Switch Run/Start Position Circuit",
	"P2534": "Ignition Switch Run/Start Position Circuit Low",
	"P2535": "Ignition Switch Run/Start Position Circuit High",
	"P2536": "Ignition Switch Accessory Position Circuit",
	"P2537": "Ignition Switch Accessory Position Circuit Low",
	"P2538": "Ignition Switch Accessory Position Circuit High",
	"P2539": "Low Pressure Fuel System Sensor Circuit",
	"P2540": "Low Pressure Fuel System Sensor Circuit Range/Performance",
	"P2541": "Low Pressure Fuel System Sensor Circuit Low",
	"P2542": "Low Pressure Fuel System Sensor Circuit High",
	"P2543": "Low Pressure Fuel System Sensor Circuit Intermittent",
	"P2544": "Torque Management Request Input Signal 'A'",
	"P2545": "Torque Management Request Input Signal 'A' Range/Performance",
	"P2546": "Torque Management Request Input Signal 'A' Low",
	"P2547": "Torque Management Request Input Signal 'A' High",
	"P2548": "Torque Management Request Input Signal 'B'",
	"P2549": "Torque Management Request Input Signal 'B' Range/Performance",
	"P2550": "Torque Management Request Input Signal 'B' Low",
	"P2551": "Torque Management Request Input Signal 'B' High",
	"P2552": "Throttle/Fuel Inhibit Circuit",
	"P2553": "Throttle/Fuel Inhibit Circuit Range/Performance",
	"P2554": "Throttle/Fuel Inhibit Circuit Low",
	"P2555": "Throttle/Fuel Inhibit Circuit High",
	"P2556": "Engine Coolant Level Sensor/Switch Circuit",
	"P2557": "Engine Coolant Level Sensor/Switch Circuit Range/Performance",
	"P2558": "Engine Coolant Level Sensor/Switch Circuit Low",
	"P2559": "Engine Coolant Level Sensor/Switch Circuit High",
	"P2560": "Engine Coolant Level Low",
	"P2561": "A/C Control Module Requested MIL Illumination",
	"P2562": "Turbocharger Boost Control Position Sensor Circuit",
	"P2563": "Turbocharger Boost Control Position Sensor Circuit Range/Performance",
	"P2564": "Turbocharger Boost Control Position Sensor Circuit Low",
	"P2565": "Turbocharger Boost Control Position Sensor Circuit High",
	"P2566": "Turbocharger Boost Control Position Sensor Circuit Intermittent",
	"P2567": "Direct Ozone Reduction Catalyst Temperature Sensor Circuit",
	"P2568": "Direct Ozone Reduction Catalyst Temperature Sensor Circuit Range/Performance",
	"P2569": "Direct Ozone Reduction Catalyst Temperature Sensor Circuit Low",
	"P2570": "Direct Ozone Reduction Catalyst Temperature Sensor Circuit High",
	"P2571": "Direct Ozone Reduction Catalyst Temperature Sensor Circuit Intermittent/Erratic",
	"P2572": "Direct Ozone Reduction Catalyst Deterioration Sensor Circuit",
	"P2573": "Direct Ozone Reduction Catalyst Deterioration Sensor Circuit Range/Performance",
	"P2574": "Direct Ozone Reduction Catalyst Deterioration Sensor Circuit Low",
	"P2575": "Direct Ozone Reduction Catalyst Deterioration Sensor Circuit High",
	"P2576": "Direct Ozone Reduction Catalyst Deterioration Sensor Circuit Intermittent/Erratic",
	"P2577": "Direct Ozone Reduction Catalyst Efficiency Below Threshold",
	"P2600": "Coolant Pump Control Circuit/Open",
	"P2601": "Coolant Pump Control Circuit Range/Performance",
	"P2602": "Coolant Pump Control Circuit Low",
	"P2603": "Coolant Pump Control Circuit High",
	"P2604": "Intake Air Heater 'A' Circuit Range/Performance",
	"P2605": "Intake Air Heater 'A' Circuit/Open",
	"P2606": "Intake Air Heater 'B' Circuit Range/Performance",
	"P2607": "Intake Air Heater 'B' Circuit Low",
	"P2608": "Intake Air Heater 'B' Circuit High",
	"P2609": "Intake Air Heater System Performance",
	"P2610": "ECM/PCM Internal Engine Off Timer Performance",
	"P2611": "A/C Refrigerant Distribution Valve Control Circuit/Open",
	"P2612": "A/C Refrigerant Distribution Valve Control Circuit Low",
	"P2613": "A/C Refrigerant Distribution Valve Control Circuit High",
	"P2614": "Camshaft Position Signal Output Circuit/Open",
	"P2615": "Camshaft Position Signal Output Circuit Low",
	"P2616": "Camshaft Position Signal Output Circuit High",
	"P2617": "Crankshaft Position Signal Output Circuit/Open",
	"P2618": "Crankshaft Position Signal Output Circuit Low",
	"P2619": "Crankshaft Position Signal Output Circuit High",
	"P2620": "Throttle Position Output Circuit/Open",
	"P2621": "Throttle Position Output Circuit Low",
	"P2622": "Throttle Position Output Circuit High",
	"P2623": "Injector Control Pressure Regulator Circuit/Open",
	"P2624": "Injector Control Pressure Regulator Circuit Low",
	"P2625": "Injector Control Pressure Regulator Circuit High",
	"P2626": "O2 Sensor Pumping Current Trim Circuit/Open",
	"P2627": "O2 Sensor Pumping Current Trim Circuit Low",
	"P2628": "O2 Sensor Pumping Current Trim Circuit High",
	"P2629": "O2 Sensor Pumping Current Trim Circuit/Open",
	"P2630": "O2 Sensor Pumping Current Trim Circuit Low",
	"P2631": "O2 Sensor Pumping Current Trim Circuit High",
	"P2632": "Fuel Pump 'B' Control Circuit /Open",
	"P2633": "Fuel Pump 'B' Control Circuit Low",
	"P2634": "Fuel Pump 'B' Control Circuit High",
	"P2635": "Fuel Pump 'A' Low Flow / Performance",
	"P2636": "Fuel Pump 'B' Low Flow / Performance",
	"P2637": "Torque Management Feedback Signal 'A'",
	"P2638": "Torque Management Feedback Signal 'A' Range/Performance",
	"P2639": "Torque Management Feedback Signal 'A' Low",
	"P2640": "Torque Management Feedback Signal 'A' High",
	"P2641": "Torque Management Feedback Signal 'B'",
	"P2642": "Torque Management Feedback Signal 'B' Range/Performance",
	"P2643": "Torque Management Feedback Signal 'B' Low",
	"P2644": "Torque Management Feedback Signal 'B' High",
	"P2645": "'A' Rocker Arm Actuator Control Circuit/Open",
	"P2646": "'A' Rocker Arm Actuator System Performance or Stuck Off",
	"P2647": "'A' Rocker Arm Actuator System Stuck On",
	"P2648": "'A' Rocker Arm Actuator Control Circuit Low",
	"P2649": "'A' Rocker Arm Actuator Control Circuit High",
	"P2650": "'B' Rocker Arm Actuator Control Circuit/Open",
	"P2651": "'B' Rocker Arm Actuator System Performance or Stuck Off",
	"P2652": "'B' Rocker Arm Actuator System Stuck On",
	"P2653": "'B' Rocker Arm Actuator Control Circuit Low",
	"P2654": "'B' Rocker Arm Actuator Control Circuit High",
	"P2655": "'A' Rocker Arm Actuator Control Circuit/Open",
	"P2656": "'A' Rocker Arm Actuator System Performance or Stuck Off",
	"P2657": "'A' Rocker Arm Actuator System Stuck On",
	"P2658": "'A' Rocker Arm Actuator Control Circuit Low",
	"P2659": "'A' Rocker Arm Actuator Control Circuit High",
	"P2660": "'B' Rocker Arm Actuator Control Circuit/Open",
	"P2661": "'B' Rocker Arm Actuator System Performance or Stuck Off",
	"P2662": "'B' Rocker Arm Actuator System Stuck On",
	"P2663": "'B' Rocker Arm Actuator Control Circuit Low",
	"P2664": "'B' Rocker Arm Actuator Control Circuit High",
	"P2665": "Fuel Shutoff Valve 'B' Control Circuit/Open",
	"P2666": "Fuel Shutoff Valve 'B' Control Circuit Low",
	"P2667": "Fuel Shutoff Valve 'B' Control Circuit High",
	"P2668": "Fuel Mode Indicator Lamp Control Circuit",
	"P2669": "Actuator Supply Voltage 'B' Circuit /Open",
	"P2670": "Actuator Supply Voltage 'B' Circuit Low",
	"P2671": "Actuator Supply Voltage 'B' Circuit High",
	"P2700": "Transmission Friction Element 'A' Apply Time Range/Performance",
	"P2701": "Transmission Friction Element 'B' Apply Time Range/Performance",
	"P2702": "Transmission Friction Element 'C' Apply Time Range/Performance",
	"P2703": "Transmission Friction Element 'D' Apply Time Range/Performance",
	"P2704": "Transmission Friction Element 'E' Apply Time Range/Performance",
	"P2705": "Transmission Friction Element 'F' Apply Time Range/Performance",
	"P2706": "Shift Solenoid 'F'",
	"P2707": "Shift Solenoid 'F' Performance or Stuck Off",
	"P2708": "Shift Solenoid 'F' Stuck On",
	"P2709": "Shift Solenoid 'F' Electrical",
	"P2710": "Shift Solenoid 'F' Intermittent",
	"P2711": "Unexpected Mechanical Gear Disengagement",
	"P2712": "Hydraulic Power Unit Leakage",
	"P2713": "Pressure Control Solenoid 'D'",
	"P2714": "Pressure Control Solenoid 'D' Performance or Stuck Off",
	"P2715": "Pressure Control Solenoid 'D' Stuck On",
	"P2716": "Pressure Control Solenoid 'D' Electrical",
	"P2717": "Pressure Control Solenoid 'D' Intermittent",
	"P2718": "Pressure Control Solenoid 'D' Control Circuit / Open",
	"P2719": "Pressure Control Solenoid 'D' Control Circuit Range/Performance",
	"P2720": "Pressure Control Solenoid 'D' Control Circuit Low",
	"P2721": "Pressure Control Solenoid 'D' Control Circuit High",
	"P2722": "Pressure Control Solenoid 'E'",
	"P2723": "Pressure Control Solenoid 'E' Performance or Stuck Off",
	"P2724": "Pressure Control Solenoid 'E' Stuck On",
	"P2725": "Pressure Control Solenoid 'E' Electrical",
	"P2726": "Pressure Control Solenoid 'E' Intermittent",
	"P2727": "Pressure Control Solenoid 'E' Control Circuit / Open",
	"P2728": "Pressure Control Solenoid 'E' Control Circuit Range/Performance",
	"P2729": "Pressure Control Solenoid 'E' Control Circuit Low",
	"P2730": "Pressure Control Solenoid 'E' Control Circuit High",
	"P2731": "Pressure Control Solenoid 'F'",
	"P2732": "Pressure Control Solenoid 'F' Performance or Stuck Off",
	"P2733": "Pressure Control Solenoid 'F' Stuck On",
	"P2734": "Pressure Control Solenoid 'F' Electrical",
	"P2735": "Pressure Control Solenoid 'F' Intermittent",
	"P2736": "Pressure Control Solenoid 'F' Control Circuit/Open",
	"P2737": "Pressure Control Solenoid 'F' Control Circuit Range/Performance",
	"P2738": "Pressure Control Solenoid 'F' Control Circuit Low",
	"P2739": "Pressure Control Solenoid 'F' Control Circuit High",
	"P2740": "Transmission Fluid Temperature Sensor 'B' Circuit",
	"P2741": "Transmission Fluid Temperature Sensor 'B' Circuit Range Performance",
	"P2742": "Transmission Fluid Temperature Sensor 'B' Circuit Low",
	"P2743": "Transmission Fluid Temperature Sensor 'B' Circuit High",
	"P2744": "Transmission Fluid Temperature Sensor 'B' Circuit Intermittent",
	"P2745": "Intermediate Shaft Speed Sensor 'B' Circuit",
	"P2746": "Intermediate Shaft Speed Sensor 'B' Circuit Range/Performance",
	"P2747": "Intermediate Shaft Speed Sensor 'B' Circuit No Signal",
	"P2748": "Intermediate Shaft Speed Sensor 'B' Circuit Intermittent",
	"P2749": "Intermediate Shaft Speed Sensor 'C' Circuit",
	"P2750": "Intermediate Shaft Speed Sensor 'C' Circuit Range/Performance",
	"P2751": "Intermediate Shaft Speed Sensor 'C' Circuit No Signal",
	"P2752": "Intermediate Shaft Speed Sensor 'C' Circuit Intermittent",
	"P2753": "Transmission Fluid Cooler Control Circuit/Open",
	"P2754": "Transmission Fluid Cooler Control Circuit Low",
	"P2755": "Transmission Fluid Cooler Control Circuit High",
	"P2756": "Torque Converter Clutch Pressure Control Solenoid",
	"P2757": "Torque Converter Clutch Pressure Control Solenoid Control Circuit Performance or Stuck Off",
	"P2758": "Torque Converter Clutch Pressure Control Solenoid Control Circuit Stuck On",
	"P2759": "Torque Converter Clutch Pressure Control Solenoid Control Circuit Electrical",
	"P2760": "Torque Converter Clutch Pressure Control Solenoid Control Circuit Intermittent",
	"P2761": "Torque Converter Clutch Pressure Control Solenoid Control Circuit/Open",
	"P2762": "Torque Converter Clutch Pressure Control Solenoid Control Circuit Range/Performance",
	"P2763": "Torque Converter Clutch Pressure Control Solenoid Control Circuit High",
	"P2764": "Torque Converter Clutch Pressure Control Solenoid Control Circuit Low",
	"P2765": "Input/Turbine Speed Sensor 'B' Circuit",
	"P2766": "Input/Turbine Speed Sensor 'B' Circuit Range/Performance",
	"P2767": "Input/Turbine Speed Sensor 'B' Circuit No Signal",
	"P2768": "Input/Turbine Speed Sensor 'B' Circuit Intermittent",
	"P2769": "Torque Converter Clutch Circuit Low",
	"P2770": "Torque Converter Clutch Circuit High",
	"P2771": "Four Wheel Drive -4WD- Low Switch Circuit",
	"P2772": "Four Wheel Drive -4WD- Low Switch Circuit Range/Performance",
	"P2773": "Four Wheel Drive -4WD- Low Switch Circuit Low",
	"P2774": "Four Wheel Drive -4WD- Low Switch Circuit High",
	"P2775": "Upshift Switch Circuit Range/Performance",
	"P2776": "Upshift Switch Circuit Low",
	"P2777": "Upshift Switch Circuit High",
	"P2778": "Upshift Switch Circuit Intermittent/Erratic",
	"P2779": "Downshift Switch Circuit Range/Performance",
	"P2780": "Downshift Switch Circuit Low",
	"P2781": "Downshift Switch Circuit High",
	"P2782": "Downshift Switch Circuit Intermittent/Erratic",
	"P2783": "Torque Converter Temperature Too High",
	"P2784": "Input/Turbine Speed Sensor 'A'/'B' Correlation",
	"P2785": "Clutch Actuator Temperature Too High",
	"P2786": "Gear Shift Actuator Temperature Too High",
	"P2787": "Clutch Temperature Too High",
	"P2788": "Auto Shift Manual Adaptive Learning at Limit",
	"P2789": "Clutch Adaptive Learning at Limit",
	"P2790": "Gate Select Direction Circuit",
	"P2791": "Gate Select Direction Circuit Low",
	"P2792": "Gate Select Direction Circuit High",
	"P2793": "Gear Shift Direction Circuit",
	"P2794": "Gear Shift Direction Circuit Low",
	"P2795": "Gear Shift Direction Circuit High",
	"P2796": "Auxiliary Transmission Fluid Pump Control Circuit",
	"P2797": "Auxiliary Transmission Fluid Pump Circuit Performance",
	"P2798": "Auxiliary Transmission Fluid Pump Control Circuit Low",
	"P2799": "Auxiliary Transmission Fluid Pump Control Circuit High",
	"P2800": "Transmission Range Sensor B Circuit -PRNDL Input",
	"P2801": "Transmission Range Sensor B Circuit Range/Performance",
	"P2802": "Transmission Range Sensor B Circuit Low Input",
	"P2803": "Transmission Range Sensor B Circuit High Input",
	"P2804": "Transmission Range Sensor B Circuit Intermittent",
	"P2805": "Transmission Range Sensor A / B Correlation",
	"P2806": "Transmission Range Sensor Alignment",
	"P2807": "Pressure Control Solenoid G",
	"P2808": "Pressure Control Solenoid G Performance or Stuck Off",
	"P2809": "Pressure Control Solenoid G Stuck On",
	"P2810": "Pressure Control Solenoid G Electrical",
	"P2811": "Pressure Control Solenoid G Intermittent",
	"P2812": "Pressure Control Solenoid G Control Circuit/Open",
	"P2813": "Pressure Control Solenoid G Control Circuit Range/Performance",
	"P2814": "Pressure Control Solenoid G Control Circuit Low",
	"P2815": "Pressure Control Solenoid G Control Circuit High",
	"P2816": "Pressure Control Solenoid H",
	"P2817": "Pressure Control Solenoid H Performance or Stuck Off",
	"P2818": "Pressure Control Solenoid H Stuck On",
	"P2819": "Pressure Control Solenoid H Electrical",
	"P2820": "Pressure Control Solenoid J Performance or Stuck Off",
	"P2821": "Pressure Control Solenoid J Stuck On",
	"P2822": "Pressure Control Solenoid J Electrical",
	"P2823": "Pressure Control Solenoid J Intermittent",
	"P2824": "Pressure Control Solenoid J Control Circuit/Open",
	"P2825": "Pressure Control Solenoid J Control Circuit Range/Performance",
	"P2826": "Pressure Control Solenoid J Control Circuit Low",
	"P2827": "Pressure Control Solenoid J Control Circuit High",
	"P2828": "Pressure Control Solenoid K",
	"P2829": "Pressure Control Solenoid K Performance or Stuck Off",
	"P2830": "Pressure Control Solenoid K Control Circuit High",
	"P2831": "?",
	"P2832": "?",
	"P2833": "?",
	"P2834": "?",
	"P2835": "?",
	"P2836": "?",
	"P2837": "?",
	"P2838": "?",
	"P2839": "?",
	"P2840": "?",
	"P2841": "?",
	"P2842": "?",
	"P2843": "?",
	"P2844": "?",
	"P2845": "?",
	"P2846": "?",
	"P2847": "?",
	"P2848": "?",
	"P2849": "?",
	"P2850": "?",
	"P2851": "?",
	"P2852": "?",
	"P2853": "?",
	"P2854": "?",
	"P2855": "?",
	"P2856": "?",
	"P2857": "?",
	"P2858": "?",
	"P2859": "?",
	"P2860": "?",
	"P2861": "?",
	"P2862": "?",
	"P2863": "?",
	"P2864": "?",
	"P2865": "?",
	"P2866": "?",
	"P2867": "?",
	"P2868": "?",
	"P2869": "?",
	"P2870": "?",
	"P2871": "?",
	"P2872": "?",
	"P2873": "?",
	"P2874": "?",
	"P2875": "?",
	"P2876": "?",
	"P2877": "?",
	"P2878": "?",
	"P2879": "?",
	"P2880": "?",
	"P2881": "?",
	"P2882": "?",
	"P2883": "?",
	"P2884": "?",
	"P2885": "?",
	"P2886": "?",
	"P2887": "?",
	"P2888": "?",
	"P2889": "?",
	"P2890": "?",
	"P2891": "?",
	"P2892": "?",
	"P2893": "?",
	"P2894": "?",
	"P2895": "?",
	"P2896": "?",
	"P2897": "?",
	"P2898": "?",
	"P2899": "?",
	"P2900": "?",
	"P2901": "?",
	"P2902": "?",
	"P2903": "?",
	"P2904": "?",
	"P2905": "?",
	"P2906": "?",
	"P2907": "?",
	"P2908": "?",
	"P2909": "?",
	"P2910": "?",
	"P2911": "?",
	"P2912": "?",
	"P2913": "?",
	"P2914": "?",
	"P2915": "?",
	"P2916": "?",
	"P2917": "?",
	"P2918": "?",
	"P2919": "?",
	"P2920": "?",
	"P2921": "?",
	"P2922": "?",
	"P2923": "?",
	"P2924": "?",
	"P2925": "?",
	"P2926": "?",
	"P2927": "?",
	"P2928": "?",
	"P2929": "?",
	"P2930": "?",
	"P2931": "?",
	"P2932": "?",
	"P2933": "?",
	"P2934": "?",
	"P2935": "?",
	"P2936": "?",
	"P2937": "?",
	"P2938": "?",
	"P2939": "?",
	"P2940": "?",
	"P2941": "?",
	"P2942": "?",
	"P2943": "?",
	"P2944": "?",
	"P2945": "?",
	"P2946": "?",
	"P2947": "?",
	"P2948": "?",
	"P2949": "?",
	"P2950": "?",
	"P2951": "?",
	"P2952": "?",
	"P2953": "?",
	"P2954": "?",
	"P2955": "?",
	"P2956": "?",
	"P2957": "?",
	"P2958": "?",
	"P2959": "?",
	"P2960": "?",
	"P2961": "?",
	"P2962": "?",
	"P2963": "?",
	"P2964": "?",
	"P2965": "?",
	"P2966": "?",
	"P2967": "?",
	"P2968": "?",
	"P2969": "?",
	"P2970": "?",
	"P2971": "?",
	"P2972": "?",
	"P2973": "?",
	"P2974": "?",
	"P2975": "?",
	"P2976": "?",
	"P2977": "?",
	"P2978": "?",
	"P2979": "?",
	"P2980": "?",
	"P2981": "?",
	"P2982": "?",
	"P2983": "?",
	"P2984": "?",
	"P2985": "?",
	"P2986": "?",
	"P2987": "?",
	"P2988": "?",
	"P2989": "?",
	"P2990": "?",
	"P2991": "?",
	"P2992": "?",
	"P2993": "?",
	"P2994": "?",
	"P2995": "?",
	"P2996": "?",
	"P2997": "?",
	"P2998": "?",
	"P2999": "?",
	"P2A00": "O2 Sensor Circuit Range/Performance",
	"P2A01": "O2 Sensor Circuit Range/Performance",
	"P2A02": "O2 Sensor Circuit Range/Performance",
	"P2A03": "O2 Sensor Circuit Range/Performance",
	"P2A04": "O2 Sensor Circuit Range/Performance",
	"P2A05": "O2 Sensor Circuit Range/Performance",
	"P3000": "VW: CAN Data Bus Instrumentation Glow Plug Warning Lamp Active",
	"P3001": "Toyota: DSL Solenoid Circuit High",
	"P3002": "Toyota: Battery control system malfunction",
	"P3003": "VW: Engine Coolant Heater Relay 1 Output Low",
	"P3004": "Toyota: Battery ECU abnormality",
	"P3005": "?",
	"P3006": "?",
	"P3007": "?",
	"P3008": "?",
	"P3009": "?",
	"P3010": "?",
	"P3011": "?",
	"P3012": "?",
	"P3013": "?",
	"P3014": "?",
	"P3015": "?",
	"P3016": "?",
	"P3017": "?",
	"P3018": "?",
	"P3019": "?",
	"P3020": "?",
	"P3021": "?",
	"P3022": "?",
	"P3023": "?",
	"P3024": "?",
	"P3025": "?",
	"P3026": "?",
	"P3027": "?",
	"P3028": "?",
	"P3029": "?",
	"P3030": "?",
	"P3031": "?",
	"P3032": "?",
	"P3033": "?",
	"P3034": "?",
	"P3035": "?",
	"P3036": "?",
	"P3037": "?",
	"P3038": "?",
	"P3039": "?",
	"P3040": "?",
	"P3041": "?",
	"P3042": "?",
	"P3043": "?",
	"P3044": "?",
	"P3045": "?",
	"P3046": "?",
	"P3047": "?",
	"P3048": "?",
	"P3049": "?",
	"P3050": "?",
	"P3051": "?",
	"P3052": "?",
	"P3053": "?",
	"P3054": "?",
	"P3055": "?",
	"P3056": "?",
	"P3057": "?",
	"P3058": "?",
	"P3059": "?",
	"P3060": "?",
	"P3061": "?",
	"P3062": "?",
	"P3063": "?",
	"P3064": "?",
	"P3065": "?",
	"P3066": "?",
	"P3067": "?",
	"P3068": "?",
	"P3069": "?",
	"P3070": "?",
	"P3071": "?",
	"P3072": "?",
	"P3073": "?",
	"P3074": "?",
	"P3075": "?",
	"P3076": "?",
	"P3077": "?",
	"P3078": "?",
	"P3079": "?",
	"P3080": "?",
	"P3081": "?",
	"P3082": "?",
	"P3083": "?",
	"P3084": "?",
	"P3085": "?",
	"P3086": "?",
	"P3087": "?",
	"P3088": "?",
	"P3089": "?",
	"P3090": "?",
	"P3091": "?",
	"P3092": "?",
	"P3093": "?",
	"P3094": "?",
	"P3095": "?",
	"P3096": "?",
	"P3097": "?",
	"P3098": "?",
	"P3099": "?",
	"P3100": "?",
	"P3101": "?",
	"P3102": "?",
	"P3103": "?",
	"P3104": "?",
	"P3105": "?",
	"P3106": "?",
	"P3107": "?",
	"P3108": "?",
	"P3109": "?",
	"P3110": "?",
	"P3111": "?",
	"P3112": "?",
	"P3113": "?",
	"P3114": "?",
	"P3115": "?",
	"P3116": "?",
	"P3117": "?",
	"P3118": "?",
	"P3119": "?",
	"P3120": "?",
	"P3121": "?",
	"P3122": "?",
	"P3123": "?",
	"P3124": "?",
	"P3125": "?",
	"P3126": "?",
	"P3127": "?",
	"P3128": "?",
	"P3129": "?",
	"P3130": "?",
	"P3131": "?",
	"P3132": "?",
	"P3133": "?",
	"P3134": "?",
	"P3135": "?",
	"P3136": "?",
	"P3137": "?",
	"P3138": "?",
	"P3139": "?",
	"P3140": "?",
	"P3141": "?",
	"P3142": "?",
	"P3143": "?",
	"P3144": "?",
	"P3145": "?",
	"P3146": "?",
	"P3147": "?",
	"P3148": "?",
	"P3149": "?",
	"P3150": "?",
	"P3151": "?",
	"P3152": "?",
	"P3153": "?",
	"P3154": "?",
	"P3155": "?",
	"P3156": "?",
	"P3157": "?",
	"P3158": "?",
	"P3159": "?",
	"P3160": "?",
	"P3161": "?",
	"P3162": "?",
	"P3163": "?",
	"P3164": "?",
	"P3165": "?",
	"P3166": "?",
	"P3167": "?",
	"P3168": "?",
	"P3169": "?",
	"P3170": "?",
	"P3171": "?",
	"P3172": "?",
	"P3173": "?",
	"P3174": "?",
	"P3175": "?",
	"P3176": "?",
	"P3177": "?",
	"P3178": "?",
	"P3179": "?",
	"P3180": "?",
	"P3181": "?",
	"P3182": "?",
	"P3183": "?",
	"P3184": "?",
	"P3185": "?",
	"P3186": "?",
	"P3187": "?",
	"P3188": "?",
	"P3189": "?",
	"P3190": "?",
	"P3191": "?",
	"P3192": "?",
	"P3193": "?",
	"P3194": "?",
	"P3195": "?",
	"P3196": "?",
	"P3197": "?",
	"P3198": "?",
	"P3199": "?",
	"P3200": "?",
	"P3201": "?",
	"P3202": "?",
	"P3203": "?",
	"P3204": "?",
	"P3205": "?",
	"P3206": "?",
	"P3207": "?",
	"P3208": "?",
	"P3209": "?",
	"P3210": "?",
	"P3211": "?",
	"P3212": "?",
	"P3213": "?",
	"P3214": "?",
	"P3215": "?",
	"P3216": "?",
	"P3217": "?",
	"P3218": "?",
	"P3219": "?",
	"P3220": "?",
	"P3221": "?",
	"P3222": "?",
	"P3223": "?",
	"P3224": "?",
	"P3225": "?",
	"P3226": "?",
	"P3227": "?",
	"P3228": "?",
	"P3229": "?",
	"P3230": "?",
	"P3231": "?",
	"P3232": "?",
	"P3233": "?",
	"P3234": "?",
	"P3235": "?",
	"P3236": "?",
	"P3237": "?",
	"P3238": "?",
	"P3239": "?",
	"P3240": "?",
	"P3241": "?",
	"P3242": "?",
	"P3243": "?",
	"P3244": "?",
	"P3245": "?",
	"P3246": "?",
	"P3247": "?",
	"P3248": "?",
	"P3249": "?",
	"P3250": "?",
	"P3251": "?",
	"P3252": "?",
	"P3253": "?",
	"P3254": "?",
	"P3255": "?",
	"P3256": "?",
	"P3257": "?",
	"P3258": "?",
	"P3259": "?",
	"P3260": "?",
	"P3261": "?",
	"P3262": "?",
	"P3263": "?",
	"P3264": "?",
	"P3265": "?",
	"P3266": "?",
	"P3267": "?",
	"P3268": "?",
	"P3269": "?",
	"P3270": "?",
	"P3271": "?",
	"P3272": "?",
	"P3273": "?",
	"P3274": "?",
	"P3275": "?",
	"P3276": "?",
	"P3277": "?",
	"P3278": "?",
	"P3279": "?",
	"P3280": "?",
	"P3281": "?",
	"P3282": "?",
	"P3283": "?",
	"P3284": "?",
	"P3285": "?",
	"P3286": "?",
	"P3287": "?",
	"P3288": "?",
	"P3289": "?",
	"P3290": "?",
	"P3291": "?",
	"P3292": "?",
	"P3293": "?",
	"P3294": "?",
	"P3295": "?",
	"P3296": "?",
	"P3297": "?",
	"P3298": "?",
	"P3299": "?",
	"P3300": "?",
	"P3301": "?",
	"P3302": "?",
	"P3303": "?",
	"P3304": "?",
	"P3305": "?",
	"P3306": "?",
	"P3307": "?",
	"P3308": "?",
	"P3309": "?",
	"P3310": "?",
	"P3311": "?",
	"P3312": "?",
	"P3313": "?",
	"P3314": "?",
	"P3315": "?",
	"P3316": "?",
	"P3317": "?",
	"P3318": "?",
	"P3319": "?",
	"P3320": "?",
	"P3321": "?",
	"P3322": "?",
	"P3323": "?",
	"P3324": "?",
	"P3325": "?",
	"P3326": "?",
	"P3327": "?",
	"P3328": "?",
	"P3329": "?",
	"P3330": "?",
	"P3331": "?",
	"P3332": "?",
	"P3333": "?",
	"P3334": "?",
	"P3335": "?",
	"P3336": "?",
	"P3337": "?",
	"P3338": "?",
	"P3339": "?",
	"P3340": "?",
	"P3341": "?",
	"P3342": "?",
	"P3343": "?",
	"P3344": "?",
	"P3345": "?",
	"P3346": "?",
	"P3347": "?",
	"P3348": "?",
	"P3349": "?",
	"P3350": "?",
	"P3351": "?",
	"P3352": "?",
	"P3353": "?",
	"P3354": "?",
	"P3355": "?",
	"P3356": "?",
	"P3357": "?",
	"P3358": "?",
	"P3359": "?",
	"P3360": "?",
	"P3361": "?",
	"P3362": "?",
	"P3363": "?",
	"P3364": "?",
	"P3365": "?",
	"P3366": "?",
	"P3367": "?",
	"P3368": "?",
	"P3369": "?",
	"P3370": "?",
	"P3371": "?",
	"P3372": "?",
	"P3373": "?",
	"P3374": "?",
	"P3375": "?",
	"P3376": "?",
	"P3377": "?",
	"P3378": "?",
	"P3379": "?",
	"P3380": "?",
	"P3381": "?",
	"P3382": "?",
	"P3383": "?",
	"P3384": "?",
	"P3385": "?",
	"P3386": "?",
	"P3387": "?",
	"P3388": "?",
	"P3389": "?",
	"P3390": "?",
	"P3391": "?",
	"P3392": "?",
	"P3393": "?",
	"P3394": "?",
	"P3395": "?",
	"P3396": "?",
	"P3397": "?",
	"P3398": "?",
	"P3399": "?",
	"P3400": "Cylinder Deactivation System",
	"P3401": "Cylinder 1 Deactivation/lntake Valve Control Circuit/Open",
	"P3402": "Cylinder 1 Deactivation/lntake Valve Control Performance",
	"P3403": "Cylinder 1 Deactivation/lntake Valve Control Circuit Low",
	"P3404": "Cylinder 1 Deactivation/lntake Valve Control Circuit High",
	"P3405": "Cylinder 1 Exhaust Valve Control Circuit/Open",
	"P3406": "Cylinder 1 Exhaust Valve Control Performance",
	"P3407": "Cylinder 1 Exhaust Valve Control Circuit Low",
	"P3408": "Cylinder 1 Exhaust Valve Control Circuit High",
	"P3409": "Cylinder 2 Deactivation/lntake Valve Control Circuit/Open",
	"P3410": "Cylinder 2 Deactivation/lntake Valve Control Performance",
	"P3411": "Cylinder 2 Deactivation/lntake Valve Control Circuit Low",
	"P3412": "Cylinder 2 Deactivation/lntake Valve Control Circuit High",
	"P3413": "Cylinder 2 Exhaust Valve Control Circuit/Open",
	"P3414": "Cylinder 2 Exhaust Valve Control Performance",
	"P3415": "Cylinder 2 Exhaust Valve Control Circuit Low",
	"P3416": "Cylinder 2 Exhaust Valve Control Circuit High",
	"P3417": "Cylinder 3 Deactivation/lntake Valve Control Circuit/Open",
	"P3418": "Cylinder 3 Deactivation/lntake Valve Control Performance",
	"P3419": "Cylinder 3 Deactivation/lntake Valve Control Circuit Low",
	"P3420": "Cylinder 3 Deactivation/lntake Valve Control Circuit High",
	"P3421": "Cylinder 3 Exhaust Valve Control Circuit/Open",
	"P3422": "Cylinder 3 Exhaust Valve Control Performance",
	"P3423": "Cylinder 3 Exhaust Valve Control Circuit Low",
	"P3424": "Cylinder 3 Exhaust Valve Control Circuit High",
	"P3425": "Cylinder 4 Deactivation/lntake Valve Control Circuit/Open",
	"P3426": "Cylinder 4 Deactivation/lntake Valve Control Performance",
	"P3427": "Cylinder 4 Deactivation/lntake Valve Control Circuit Low",
	"P3428": "Cylinder 4 Deactivation/lntake Valve Control Circuit High",
	"P3429": "Cylinder 4 Exhaust Valve Control Circuit/Open",
	"P3430": "Cylinder 4 Exhaust Valve Control Performance",
	"P3431": "Cylinder 4 Exhaust Valve Control Circuit Low",
	"P3432": "Cylinder 4 Exhaust Valve Control Circuit High",
	"P3433": "Cylinder 5 Deactivation/lntake Valve Control Circuit/Open",
	"P3434": "Cylinder 5 Deactivation/lntake Valve Control Performance",
	"P3435": "Cylinder 5 Deactivation/lntake Valve Control Circuit Low",
	"P3436": "Cylinder 5 Deactivation/lntake Valve Control Circuit High",
	"P3437": "Cylinder 5 Exhaust Valve Control Circuit/Open",
	"P3438": "Cylinder 5 Exhaust Valve Control Performance",
	"P3439": "Cylinder 5 Exhaust Valve Control Circuit Low",
	"P3440": "Cylinder 5 Exhaust Valve Control Circuit High",
	"P3441": "Cylinder 6 Deactivation/lntake Valve Control Circuit/Open",
	"P3442": "Cylinder 6 Deactivation/lntake Valve Control Performance",
	"P3443": "Cylinder 6 Deactivation/lntake Valve Control Circuit Low",
	"P3444": "Cylinder 6 Deactivation/lntake Valve Control Circuit High",
	"P3445": "Cylinder 6 Exhaust Valve Control Circuit/Open",
	"P3446": "Cylinder 6 Exhaust Valve Control Performance",
	"P3447": "Cylinder 6 Exhaust Valve Control Circuit Low",
	"P3448": "Cylinder 6 Exhaust Valve Control Circuit High",
	"P3449": "Cylinder 7 Deactivation/lntake Valve Control Circuit/Open",
	"P3450": "Cylinder 7 Deactivation/lntake Valve Control Performance",
	"P3451": "Cylinder 7 Deactivation/lntake Valve Control Circuit Low",
	"P3452": "Cylinder 7 Deactivation/lntake Valve Control Circuit High",
	"P3453": "Cylinder 7 Exhaust Valve Control Circuit/Open",
	"P3454": "Cylinder 7 Exhaust Valve Control Performance",
	"P3455": "Cylinder 7 Exhaust Valve Control Circuit Low",
	"P3456": "Cylinder 7 Exhaust Valve Control Circuit High",
	"P3457": "Cylinder 8 Deactivation/lntake Valve Control Circuit/Open",
	"P3458": "Cylinder 8 Deactivation/lntake Valve Control Performance",
	"P3459": "Cylinder 8 Deactivation/lntake Valve Control Circuit Low",
	"P3460": "Cylinder 8 Deactivation/lntake Valve Control Circuit High",
	"P3461": "Cylinder 8 Exhaust Valve Control Circuit/Open",
	"P3462": "Cylinder 8 Exhaust Valve Control Performance",
	"P3463": "Cylinder 8 Exhaust Valve Control Circuit Low",
	"P3464": "Cylinder 8 Exhaust Valve Control Circuit High",
	"P3465": "Cylinder 9 Deactivation/lntake Valve Control Circuit/Open",
	"P3466": "Cylinder 9 Deactivation/lntake Valve Control Performance",
	"P3467": "Cylinder 9 Deactivation/lntake Valve Control Circuit Low",
	"P3468": "Cylinder 9 Deactivation/lntake Valve Control Circuit High",
	"P3469": "Cylinder 9 Exhaust Valve Control Circuit/Open",
	"P3470": "Cylinder 9 Exhaust Valve Control Performance",
	"P3471": "Cylinder 9 Exhaust Valve Control Circuit Low",
	"P3472": "Cylinder 9 Exhaust Valve Control Circuit High",
	"P3473": "Cylinder 10 Deactivation/lntake Valve Control Circuit/Open",
	"P3474": "Cylinder 10 Deactivation/lntake Valve Control Performance",
	"P3475": "Cylinder 10 Deactivation/lntake Valve Control Circuit Low",
	"P3476": "Cylinder 10 Deactivation/lntake Valve Control Circuit High",
	"P3477": "Cylinder 10 Exhaust Valve Control Circuit/Open",
	"P3478": "Cylinder 10 Exhaust Valve Control Performance",
	"P3479": "Cylinder 10 Exhaust Valve Control Circuit Low",
	"P3480": "Cylinder 10 Exhaust Valve Control Circuit High",
	"P3481": "Cylinder 11 Deactivation/lntake Valve Control Circuit/Open",
	"P3482": "Cylinder 11 Deactivation/lntake Valve Control Performance",
	"P3483": "Cylinder 11 Deactivation/lntake Valve Control Circuit Low",
	"P3484": "Cylinder 11 Deactivation/lntake Valve Control Circuit High",
	"P3485": "Cylinder 11 Exhaust Valve Control Circuit/Open",
	"P3486": "Cylinder 11 Exhaust Valve Control Performance",
	"P3487": "Cylinder 11 Exhaust Valve Control Circuit Low",
	"P3488": "Cylinder 11 Exhaust Valve Control Circuit High",
	"P3489": "Cylinder 12 Deactivation/lntake Valve Control Circuit/Open",
	"P3490": "Cylinder 12 Deactivation/lntake Valve Control Performance",
	"P3491": "Cylinder 12 Deactivation/lntake Valve Control Circuit Low",
	"P3492": "Cylinder 12 Deactivation/lntake Valve Control Circuit High",
	"P3493": "Cylinder 12 Exhaust Valve Control Circuit/Open",
	"P3494": "Cylinder 12 Exhaust Valve Control Performance",
	"P3495": "Cylinder 12 Exhaust Valve Control Circuit Low",
	"P3496": "Cylinder 12 Exhaust Valve Control Circuit High",
	"P3497": "Cylinder Deactivation System",
	"P3497": "?",
	"P3498": "?",
	"P3499": "?",
	"P3500": "?",
	"P3501": "?",
	"P3502": "?",
	"P3503": "?",
	"P3504": "?",
	"P3505": "?",
	"P3506": "?",
	"P3507": "?",
	"P3508": "?",
	"P3509": "?",
	"P3510": "?",
	"P3511": "?",
	"P3512": "?",
	"P3513": "?",
	"P3514": "?",
	"P3515": "?",
	"P3516": "?",
	"P3517": "?",
	"P3518": "?",
	"P3519": "?",
	"P3520": "?",
	"P3521": "?",
	"P3522": "?",
	"P3523": "?",
	"P3524": "?",
	"P3525": "?",
	"P3526": "?",
	"P3527": "?",
	"P3528": "?",
	"P3529": "?",
	"P3530": "?",
	"P3531": "?",
	"P3532": "?",
	"P3533": "?",
	"P3534": "?",
	"P3535": "?",
	"P3536": "?",
	"P3537": "?",
	"P3538": "?",
	"P3539": "?",
	"P3540": "?",
	"P3541": "?",
	"P3542": "?",
	"P3543": "?",
	"P3544": "?",
	"P3545": "?",
	"P3546": "?",
	"P3547": "?",
	"P3548": "?",
	"P3549": "?",
	"P3550": "?",
	"P3551": "?",
	"P3552": "?",
	"P3553": "?",
	"P3554": "?",
	"P3555": "?",
	"P3556": "?",
	"P3557": "?",
	"P3558": "?",
	"P3559": "?",
	"P3560": "?",
	"P3561": "?",
	"P3562": "?",
	"P3563": "?",
	"P3564": "?",
	"P3565": "?",
	"P3566": "?",
	"P3567": "?",
	"P3568": "?",
	"P3569": "?",
	"P3570": "?",
	"P3571": "?",
	"P3572": "?",
	"P3573": "?",
	"P3574": "?",
	"P3575": "?",
	"P3576": "?",
	"P3577": "?",
	"P3578": "?",
	"P3579": "?",
	"P3580": "?",
	"P3581": "?",
	"P3582": "?",
	"P3583": "?",
	"P3584": "?",
	"P3585": "?",
	"P3586": "?",
	"P3587": "?",
	"P3588": "?",
	"P3589": "?",
	"P3590": "?",
	"P3591": "?",
	"P3592": "?",
	"P3593": "?",
	"P3594": "?",
	"P3595": "?",
	"P3596": "?",
	"P3597": "?",
	"P3598": "?",
	"P3599": "?",
	"P3600": "?",
	"P3601": "?",
	"P3602": "?",
	"P3603": "?",
	"P3604": "?",
	"P3605": "?",
	"P3606": "?",
	"P3607": "?",
	"P3608": "?",
	"P3609": "?",
	"P3610": "?",
	"P3611": "?",
	"P3612": "?",
	"P3613": "?",
	"P3614": "?",
	"P3615": "?",
	"P3616": "?",
	"P3617": "?",
	"P3618": "?",
	"P3619": "?",
	"P3620": "?",
	"P3621": "?",
	"P3622": "?",
	"P3623": "?",
	"P3624": "?",
	"P3625": "?",
	"P3626": "?",
	"P3627": "?",
	"P3628": "?",
	"P3629": "?",
	"P3630": "?",
	"P3631": "?",
	"P3632": "?",
	"P3633": "?",
	"P3634": "?",
	"P3635": "?",
	"P3636": "?",
	"P3637": "?",
	"P3638": "?",
	"P3639": "?",
	"P3640": "?",
	"P3641": "?",
	"P3642": "?",
	"P3643": "?",
	"P3644": "?",
	"P3645": "?",
	"P3646": "?",
	"P3647": "?",
	"P3648": "?",
	"P3649": "?",
	"P3650": "?",
	"P3651": "?",
	"P3652": "?",
	"P3653": "?",
	"P3654": "?",
	"P3655": "?",
	"P3656": "?",
	"P3657": "?",
	"P3658": "?",
	"P3659": "?",
	"P3660": "?",
	"P3661": "?",
	"P3662": "?",
	"P3663": "?",
	"P3664": "?",
	"P3665": "?",
	"P3666": "?",
	"P3667": "?",
	"P3668": "?",
	"P3669": "?",
	"P3670": "?",
	"P3671": "?",
	"P3672": "?",
	"P3673": "?",
	"P3674": "?",
	"P3675": "?",
	"P3676": "?",
	"P3677": "?",
	"P3678": "?",
	"P3679": "?",
	"P3680": "?",
	"P3681": "?",
	"P3682": "?",
	"P3683": "?",
	"P3684": "?",
	"P3685": "?",
	"P3686": "?",
	"P3687": "?",
	"P3688": "?",
	"P3689": "?",
	"P3690": "?",
	"P3691": "?",
	"P3692": "?",
	"P3693": "?",
	"P3694": "?",
	"P3695": "?",
	"P3696": "?",
	"P3697": "?",
	"P3698": "?",
	"P3699": "?",
	"P3700": "?",
	"P3701": "?",
	"P3702": "?",
	"P3703": "?",
	"P3704": "?",
	"P3705": "?",
	"P3706": "?",
	"P3707": "?",
	"P3708": "?",
	"P3709": "?",
	"P3710": "?",
	"P3711": "?",
	"P3712": "?",
	"P3713": "?",
	"P3714": "?",
	"P3715": "?",
	"P3716": "?",
	"P3717": "?",
	"P3718": "?",
	"P3719": "?",
	"P3720": "?",
	"P3721": "?",
	"P3722": "?",
	"P3723": "?",
	"P3724": "?",
	"P3725": "?",
	"P3726": "?",
	"P3727": "?",
	"P3728": "?",
	"P3729": "?",
	"P3730": "?",
	"P3731": "?",
	"P3732": "?",
	"P3733": "?",
	"P3734": "?",
	"P3735": "?",
	"P3736": "?",
	"P3737": "?",
	"P3738": "?",
	"P3739": "?",
	"P3740": "?",
	"P3741": "?",
	"P3742": "?",
	"P3743": "?",
	"P3744": "?",
	"P3745": "?",
	"P3746": "?",
	"P3747": "?",
	"P3748": "?",
	"P3749": "?",
	"P3750": "?",
	"P3751": "?",
	"P3752": "?",
	"P3753": "?",
	"P3754": "?",
	"P3755": "?",
	"P3756": "?",
	"P3757": "?",
	"P3758": "?",
	"P3759": "?",
	"P3760": "?",
	"P3498": "?",
	"P3499": "?",
	"P3500": "?",
	"P3501": "?",
	"P3502": "?",
	"P3503": "?",
	"P3504": "?",
	"P3505": "?",
	"P3506": "?",
	"P3507": "?",
	"P3508": "?",
	"P3509": "?",
	"P3510": "?",
	"P3511": "?",
	"P3512": "?",
	"P3513": "?",
	"P3514": "?",
	"P3515": "?",
	"P3516": "?",
	"P3517": "?",
	"P3518": "?",
	"P3519": "?",
	"P3520": "?",
	"P3521": "?",
	"P3522": "?",
	"P3523": "?",
	"P3524": "?",
	"P3525": "?",
	"P3526": "?",
	"P3527": "?",
	"P3528": "?",
	"P3529": "?",
	"P3530": "?",
	"P3531": "?",
	"P3532": "?",
	"P3533": "?",
	"P3534": "?",
	"P3535": "?",
	"P3536": "?",
	"P3537": "?",
	"P3538": "?",
	"P3539": "?",
	"P3540": "?",
	"P3541": "?",
	"P3542": "?",
	"P3543": "?",
	"P3544": "?",
	"P3545": "?",
	"P3546": "?",
	"P3547": "?",
	"P3548": "?",
	"P3549": "?",
	"P3550": "?",
	"P3551": "?",
	"P3552": "?",
	"P3553": "?",
	"P3554": "?",
	"P3555": "?",
	"P3556": "?",
	"P3557": "?",
	"P3558": "?",
	"P3559": "?",
	"P3560": "?",
	"P3561": "?",
	"P3562": "?",
	"P3563": "?",
	"P3564": "?",
	"P3565": "?",
	"P3566": "?",
	"P3567": "?",
	"P3568": "?",
	"P3569": "?",
	"P3570": "?",
	"P3571": "?",
	"P3572": "?",
	"P3573": "?",
	"P3574": "?",
	"P3575": "?",
	"P3576": "?",
	"P3577": "?",
	"P3578": "?",
	"P3579": "?",
	"P3580": "?",
	"P3581": "?",
	"P3582": "?",
	"P3583": "?",
	"P3584": "?",
	"P3585": "?",
	"P3586": "?",
	"P3587": "?",
	"P3588": "?",
	"P3589": "?",
	"P3590": "?",
	"P3591": "?",
	"P3592": "?",
	"P3593": "?",
	"P3594": "?",
	"P3595": "?",
	"P3596": "?",
	"P3597": "?",
	"P3598": "?",
	"P3599": "?",
	"P3600": "?",
	"P3601": "?",
	"P3602": "?",
	"P3603": "?",
	"P3604": "?",
	"P3605": "?",
	"P3606": "?",
	"P3607": "?",
	"P3608": "?",
	"P3609": "?",
	"P3610": "?",
	"P3611": "?",
	"P3612": "?",
	"P3613": "?",
	"P3614": "?",
	"P3615": "?",
	"P3616": "?",
	"P3617": "?",
	"P3618": "?",
	"P3619": "?",
	"P3620": "?",
	"P3621": "?",
	"P3622": "?",
	"P3623": "?",
	"P3624": "?",
	"P3625": "?",
	"P3626": "?",
	"P3627": "?",
	"P3628": "?",
	"P3629": "?",
	"P3630": "?",
	"P3631": "?",
	"P3632": "?",
	"P3633": "?",
	"P3634": "?",
	"P3635": "?",
	"P3636": "?",
	"P3637": "?",
	"P3638": "?",
	"P3639": "?",
	"P3640": "?",
	"P3641": "?",
	"P3642": "?",
	"P3643": "?",
	"P3644": "?",
	"P3645": "?",
	"P3646": "?",
	"P3647": "?",
	"P3648": "?",
	"P3649": "?",
	"P3650": "?",
	"P3651": "?",
	"P3652": "?",
	"P3653": "?",
	"P3654": "?",
	"P3655": "?",
	"P3656": "?",
	"P3657": "?",
	"P3658": "?",
	"P3659": "?",
	"P3660": "?",
	"P3661": "?",
	"P3662": "?",
	"P3663": "?",
	"P3664": "?",
	"P3665": "?",
	"P3666": "?",
	"P3667": "?",
	"P3668": "?",
	"P3669": "?",
	"P3670": "?",
	"P3671": "?",
	"P3672": "?",
	"P3673": "?",
	"P3674": "?",
	"P3675": "?",
	"P3676": "?",
	"P3677": "?",
	"P3678": "?",
	"P3679": "?",
	"P3680": "?",
	"P3681": "?",
	"P3682": "?",
	"P3683": "?",
	"P3684": "?",
	"P3685": "?",
	"P3686": "?",
	"P3687": "?",
	"P3688": "?",
	"P3689": "?",
	"P3690": "?",
	"P3691": "?",
	"P3692": "?",
	"P3693": "?",
	"P3694": "?",
	"P3695": "?",
	"P3696": "?",
	"P3697": "?",
	"P3698": "?",
	"P3699": "?",
	"P3700": "?",
	"P3701": "?",
	"P3702": "?",
	"P3703": "?",
	"P3704": "?",
	"P3705": "?",
	"P3706": "?",
	"P3707": "?",
	"P3708": "?",
	"P3709": "?",
	"P3710": "?",
	"P3711": "?",
	"P3712": "?",
	"P3713": "?",
	"P3714": "?",
	"P3715": "?",
	"P3716": "?",
	"P3717": "?",
	"P3718": "?",
	"P3719": "?",
	"P3720": "?",
	"P3721": "?",
	"P3722": "?",
	"P3723": "?",
	"P3724": "?",
	"P3725": "?",
	"P3726": "?",
	"P3727": "?",
	"P3728": "?",
	"P3729": "?",
	"P3730": "?",
	"P3731": "?",
	"P3732": "?",
	"P3733": "?",
	"P3734": "?",
	"P3735": "?",
	"P3736": "?",
	"P3737": "?",
	"P3738": "?",
	"P3739": "?",
	"P3740": "?",
	"P3741": "?",
	"P3742": "?",
	"P3743": "?",
	"P3744": "?",
	"P3745": "?",
	"P3746": "?",
	"P3747": "?",
	"P3748": "?",
	"P3749": "?",
	"P3750": "?",
	"P3751": "?",
	"P3752": "?",
	"P3753": "?",
	"P3754": "?",
	"P3755": "?",
	"P3756": "?",
	"P3757": "?",
	"P3758": "?",
	"P3759": "?",
	"P3760": "?",
	"P3761": "?",
	"P3762": "?",
	"P3763": "?",
	"P3764": "?",
	"P3765": "?",
	"P3766": "?",
	"P3767": "?",
	"P3768": "?",
	"P3769": "?",
	"P3770": "?",
	"P3771": "?",
	"P3772": "?",
	"P3773": "?",
	"P3774": "?",
	"P3775": "?",
	"P3776": "?",
	"P3777": "?",
	"P3778": "?",
	"P3779": "?",
	"P3780": "?",
	"P3781": "?",
	"P3782": "?",
	"P3783": "?",
	"P3784": "?",
	"P3785": "?",
	"P3786": "?",
	"P3787": "?",
	"P3788": "?",
	"P3789": "?",
	"P3790": "?",
	"P3791": "?",
	"P3792": "?",
	"P3793": "?",
	"P3794": "?",
	"P3795": "?",
	"P3796": "?",
	"P3797": "?",
	"P3798": "?",
	"P3799": "?",
	"P3800": "?",
	"P3801": "?",
	"P3802": "?",
	"P3803": "?",
	"P3804": "?",
	"P3805": "?",
	"P3806": "?",
	"P3807": "?",
	"P3808": "?",
	"P3809": "?",
	"P3810": "?",
	"P3811": "?",
	"P3812": "?",
	"P3813": "?",
	"P3814": "?",
	"P3815": "?",
	"P3816": "?",
	"P3817": "?",
	"P3818": "?",
	"P3819": "?",
	"P3820": "?",
	"P3821": "?",
	"P3822": "?",
	"P3823": "?",
	"P3824": "?",
	"P3825": "?",
	"P3826": "?",
	"P3827": "?",
	"P3828": "?",
	"P3829": "?",
	"P3830": "?",
	"P3831": "?",
	"P3832": "?",
	"P3833": "?",
	"P3834": "?",
	"P3835": "?",
	"P3836": "?",
	"P3837": "?",
	"P3838": "?",
	"P3839": "?",
	"P3840": "?",
	"P3841": "?",
	"P3842": "?",
	"P3843": "?",
	"P3844": "?",
	"P3845": "?",
	"P3846": "?",
	"P3847": "?",
	"P3848": "?",
	"P3849": "?",
	"P3850": "?",
	"P3851": "?",
	"P3852": "?",
	"P3853": "?",
	"P3854": "?",
	"P3855": "?",
	"P3856": "?",
	"P3857": "?",
	"P3858": "?",
	"P3859": "?",
	"P3860": "?",
	"P3861": "?",
	"P3862": "?",
	"P3863": "?",
	"P3864": "?",
	"P3865": "?",
	"P3866": "?",
	"P3867": "?",
	"P3868": "?",
	"P3869": "?",
	"P3870": "?",
	"P3871": "?",
	"P3872": "?",
	"P3873": "?",
	"P3874": "?",
	"P3875": "?",
	"P3876": "?",
	"P3877": "?",
	"P3878": "?",
	"P3879": "?",
	"P3880": "?",
	"P3881": "?",
	"P3882": "?",
	"P3883": "?",
	"P3884": "?",
	"P3885": "?",
	"P3886": "?",
	"P3887": "?",
	"P3888": "?",
	"P3889": "?",
	"P3890": "?",
	"P3891": "?",
	"P3892": "?",
	"P3893": "?",
	"P3894": "?",
	"P3895": "?",
	"P3896": "?",
	"P3897": "?",
	"P3898": "?",
	"P3899": "?",
	"P3900": "?",
	"P3901": "?",
	"P3902": "?",
	"P3903": "?",
	"P3904": "?",
	"P3905": "?",
	"P3906": "?",
	"P3907": "?",
	"P3908": "?",
	"P3909": "?",
	"P3910": "?",
	"P3911": "?",
	"P3912": "?",
	"P3913": "?",
	"P3914": "?",
	"P3915": "?",
	"P3916": "?",
	"P3917": "?",
	"P3918": "?",
	"P3919": "?",
	"P3920": "?",
	"P3921": "?",
	"P3922": "?",
	"P3923": "?",
	"P3924": "?",
	"P3925": "?",
	"P3926": "?",
	"P3927": "?",
	"P3928": "?",
	"P3929": "?",
	"P3930": "?",
	"P3931": "?",
	"P3932": "?",
	"P3933": "?",
	"P3934": "?",
	"P3935": "?",
	"P3936": "?",
	"P3937": "?",
	"P3938": "?",
	"P3939": "?",
	"P3940": "?",
	"P3941": "?",
	"P3942": "?",
	"P3943": "?",
	"P3944": "?",
	"P3945": "?",
	"P3946": "?",
	"P3947": "?",
	"P3948": "?",
	"P3949": "?",
	"P3950": "?",
	"P3951": "?",
	"P3952": "?",
	"P3953": "?",
	"P3954": "?",
	"P3955": "?",
	"P3956": "?",
	"P3957": "?",
	"P3958": "?",
	"P3959": "?",
	"P3960": "?",
	"P3961": "?",
	"P3962": "?",
	"P3963": "?",
	"P3964": "?",
	"P3965": "?",
	"P3966": "?",
	"P3967": "?",
	"P3968": "?",
	"P3969": "?",
	"P3970": "?",
	"P3971": "?",
	"P3972": "?",
	"P3973": "?",
	"P3974": "?",
	"P3975": "?",
	"P3976": "?",
	"P3977": "?",
	"P3978": "?",
	"P3979": "?",
	"P3980": "?",
	"P3981": "?",
	"P3982": "?",
	"P3983": "?",
	"P3984": "?",
	"P3985": "?",
	"P3986": "?",
	"P3987": "?",
	"P3988": "?",
	"P3989": "?",
	"P3990": "?",
	"P3991": "?",
	"P3992": "?",
	"P3993": "?",
	"P3994": "?",
	"P3995": "?",
	"P3996": "?",
	"P3997": "?",
	"P3998": "?",
	"P3999": "?",
	"P4000": "?",

	"U0001": "High Speed CAN Communication Bus",
	"U0002": "High Speed CAN Communication Bus Performance",
	"U0003": "High Speed CAN Communication Bus + Open",
	"U0004": "High Speed CAN Communication Bus + Low",
	"U0005": "High Speed CAN Communication Bus + High",
	"U0006": "High Speed CAN Communication Bus - Open",
	"U0007": "High Speed CAN Communication Bus - Low",
	"U0008": "High Speed CAN Communication Bus - High",
	"U0009": "High Speed CAN Communication Bus - shorted to Bus +",
	"U0010": "Medium Speed CAN Communication Bus",
	"U0011": "Medium Speed CAN Communication Bus Performance",
	"U0012": "Medium Speed CAN Communication Bus + Open",
	"U0013": "Medium Speed CAN Communication Bus + Low",
	"U0014": "Medium Speed CAN Communication Bus + High",
	"U0015": "Medium Speed CAN Communication Bus - Open",
	"U0016": "Medium Speed CAN Communication Bus - Low",
	"U0017": "Medium Speed CAN Communication Bus - High",
	"U0018": "Medium Speed CAN Communication Bus - shorted to Bus +",
	"U0019": "Low Speed CAN Communication Bus",
	"U0020": "Low Speed CAN Communication Bus Performance",
	"U0021": "Low Speed CAN Communication Bus + Open",
	"U0022": "Low Speed CAN Communication Bus + Low",
	"U0023": "Low Speed CAN Communication Bus + High",
	"U0024": "Low Speed CAN Communication Bus - Open",
	"U0025": "Low Speed CAN Communication Bus - Low",
	"U0026": "Low Speed CAN Communication Bus - High",
	"U0027": "Low Speed CAN Communication Bus - shorted to Bus +",
	"U0028": "Vehicle Communication Bus A",
	"U0029": "Vehicle Communication Bus A Performance",
	"U0030": "Vehicle Communication Bus A + Open",
	"U0031": "Vehicle Communication Bus A + Low",
	"U0032": "Vehicle Communication Bus A + High",
	"U0033": "Vehicle Communication Bus A - Open",
	"U0034": "Vehicle Communication Bus A - Low",
	"U0035": "Vehicle Communication Bus A - High",
	"U0036": "Vehicle Communication Bus A - shorted to Bus A +",
	"U0037": "Vehicle Communication Bus B",
	"U0038": "Vehicle Communication Bus B Performance",
	"U0039": "Vehicle Communication Bus B + Open",
	"U0040": "Vehicle Communication Bus B + Low",
	"U0041": "Vehicle Communication Bus B + High",
	"U0042": "Vehicle Communication Bus B - Open",
	"U0043": "Vehicle Communication Bus B - Low",
	"U0044": "Vehicle Communication Bus B - High",
	"U0045": "Vehicle Communication Bus B - shorted to Bus B +",
	"U0046": "Vehicle Communication Bus C",
	"U0047": "Vehicle Communication Bus C Performance",
	"U0048": "Vehicle Communication Bus C + Open",
	"U0049": "Vehicle Communication Bus C + Low",
	"U0050": "Vehicle Communication Bus C + High",
	"U0051": "Vehicle Communication Bus C - Open",
	"U0052": "Vehicle Communication Bus C - Low",
	"U0053": "Vehicle Communication Bus C - High",
	"U0054": "Vehicle Communication Bus C - shorted to Bus C +",
	"U0055": "Vehicle Communication Bus D",
	"U0056": "Vehicle Communication Bus D Performance",
	"U0057": "Vehicle Communication Bus D + Open",
	"U0058": "Vehicle Communication Bus D + Low",
	"U0059": "Vehicle Communication Bus D + High",
	"U0060": "Vehicle Communication Bus D - Open",
	"U0061": "Vehicle Communication Bus D - Low",
	"U0062": "Vehicle Communication Bus D - High",
	"U0063": "Vehicle Communication Bus D - shorted to Bus D +",
	"U0064": "Vehicle Communication Bus E",
	"U0065": "Vehicle Communication Bus E Performance",
	"U0066": "Vehicle Communication Bus E + Open",
	"U0067": "Vehicle Communication Bus E + Low",
	"U0068": "Vehicle Communication Bus E + High",
	"U0069": "Vehicle Communication Bus E - Open",
	"U0070": "Vehicle Communication Bus E - Low",
	"U0071": "Vehicle Communication Bus E - High",
	"U0072": "Vehicle Communication Bus E - shorted to Bus E +",
	"U0073": "Control Module Communication Bus Off",
	"U0074": "Reserved by Document",
	"U0075": "Reserved by Document",
	"U0076": "Reserved by Document",
	"U0077": "Reserved by Document",
	"U0078": "Reserved by Document",
	"U0079": "Reserved by Document",
	"U0080": "Reserved by Document",
	"U0081": "Reserved by Document",
	"U0082": "Reserved by Document",
	"U0083": "Reserved by Document",
	"U0084": "Reserved by Document",
	"U0085": "Reserved by Document",
	"U0086": "Reserved by Document",
	"U0087": "Reserved by Document",
	"U0088": "Reserved by Document",
	"U0089": "Reserved by Document",
	"U0090": "Reserved by Document",
	"U0091": "Reserved by Document",
	"U0092": "Reserved by Document",
	"U0093": "Reserved by Document",
	"U0094": "Reserved by Document",
	"U0095": "Reserved by Document",
	"U0096": "Reserved by Document",
	"U0097": "Reserved by Document",
	"U0098": "Reserved by Document",
	"U0099": "Reserved by Document",
	"U0100": "Lost Communication With ECM/PCM 'A'",
	"U0101": "Lost Communication with TCM",
	"U0102": "Lost Communication with Transfer Case Control Module",
	"U0103": "Lost Communication With Gear Shift Module",
	"U0104": "Lost Communication With Cruise Control Module",
	"U0105": "Lost Communication With Fuel Injector Control Module",
	"U0106": "Lost Communication With Glow Plug Control Module",
	"U0107": "Lost Communication With Throttle Actuator Control Module",
	"U0108": "Lost Communication With Alternative Fuel Control Module",
	"U0109": "Lost Communication With Fuel Pump Control Module",
	"U0110": "Lost Communication With Drive Motor Control Module",
	"U0111": "Lost Communication With Battery Energy Control Module 'A'",
	"U0112": "Lost Communication With Battery Energy Control Module 'B'",
	"U0113": "Lost Communication With Emissions Critical Control Information",
	"U0114": "Lost Communication With Four-Wheel Drive Clutch Control Module",
	"U0115": "Lost Communication With ECM/PCM 'B'",
	"U0116": "Reserved by Document",
	"U0117": "Reserved by Document",
	"U0118": "Reserved by Document",
	"U0119": "Reserved by Document",
	"U0120": "Reserved by Document",
	"U0121": "Lost Communication With Anti-Lock Brake System -ABS- Control Module",
	"U0122": "Lost Communication With Vehicle Dynamics Control Module",
	"U0123": "Lost Communication With Yaw Rate Sensor Module",
	"U0124": "Lost Communication With Lateral Acceleration Sensor Module",
	"U0125": "Lost Communication With Multi-axis Acceleration Sensor Module",
	"U0126": "Lost Communication With Steering Angle Sensor Module",
	"U0127": "Lost Communication With Tire Pressure Monitor Module",
	"U0128": "Lost Communication With Park Brake Control Module",
	"U0129": "Lost Communication With Brake System Control Module",
	"U0130": "Lost Communication With Steering Effort Control Module",
	"U0131": "Lost Communication With Power Steering Control Module",
	"U0132": "Lost Communication With Ride Level Control Module",
	"U0133": "Reserved by Document",
	"U0134": "Reserved by Document",
	"U0135": "Reserved by Document",
	"U0136": "Reserved by Document",
	"U0137": "Reserved by Document",
	"U0138": "Reserved by Document",
	"U0139": "Reserved by Document",
	"U0140": "Lost Communication With Body Control Module",
	"U0141": "Lost Communication With Body Control Module 'A'",
	"U0142": "Lost Communication With Body Control Module 'B'",
	"U0143": "Lost Communication With Body Control Module 'C'",
	"U0144": "Lost Communication With Body Control Module 'D'",
	"U0145": "Lost Communication With Body Control Module 'E'",
	"U0146": "Lost Communication With Gateway 'A'",
	"U0147": "Lost Communication With Gateway 'B'",
	"U0148": "Lost Communication With Gateway 'C'",
	"U0149": "Lost Communication With Gateway 'D'",
	"U0150": "Lost Communication With Gateway 'E'",
	"U0151": "Lost Communication With Restraints Control Module",
	"U0152": "Lost Communication With Side Restraints Control Module",
	"U0153": "Lost Communication With Side Restraints Control Module",
	"U0154": "Lost Communication With Restraints Occupant Sensing Control Module",
	"U0155": "Lost Communication With Instrument Panel Cluster -IPC- Control Module",
	"U0156": "Lost Communication With Information Center 'A'",
	"U0157": "Lost Communication With Information Center 'B'",
	"U0158": "Lost Communication With Head Up Display",
	"U0159": "Lost Communication With Parking Assist Control Module",
	"U0160": "Lost Communication With Audible Alert Control Module",
	"U0161": "Lost Communication With Compass Module",
	"U0162": "Lost Communication With Navigation Display Module",
	"U0163": "Lost Communication With Navigation Control Module",
	"U0164": "Lost Communication With HVAC Control Module",
	"U0165": "Lost Communication With HVAC Control Module",
	"U0166": "Lost Communication With Auxiliary Heater Control Module",
	"U0167": "Lost Communication With Vehicle Immobilizer Control Module",
	"U0168": "Lost Communication With Vehicle Security Control Module",
	"U0169": "Lost Communication With Sunroof Control Module",
	"U0170": "Lost Communication With Restraints System Sensor A",
	"U0171": "Lost Communication With Restraints System Sensor B",
	"U0172": "Lost Communication With Restraints System Sensor C",
	"U0173": "Lost Communication With Restraints System Sensor D",
	"U0174": "Lost Communication With Restraints System Sensor E",
	"U0175": "Lost Communication With Restraints System Sensor F",
	"U0176": "Lost Communication With Restraints System Sensor G",
	"U0177": "Lost Communication With Restraints System Sensor H",
	"U0178": "Lost Communication With Restraints System Sensor I",
	"U0179": "Lost Communication With Restraints System Sensor J",
	"U0180": "Lost Communication With Automatic Lighting Control Module",
	"U0181": "Lost Communication With Headlamp Leveling Control Module",
	"U0182": "Lost Communication With Lighting Control Module",
	"U0183": "Lost Communication With Lighting Control Module",
	"U0184": "Lost Communication With Radio",
	"U0185": "Lost Communication With Antenna Control Module",
	"U0186": "Lost Communication With Audio Amplifier",
	"U0187": "Lost Communication With Digital Disc Player/Changer Module 'A'",
	"U0188": "Lost Communication With Digital Disc Player/Changer Module 'B'",
	"U0189": "Lost Communication With Digital Disc Player/Changer Module 'C'",
	"U0190": "Lost Communication With Digital Disc Player/Changer Module 'D'",
	"U0191": "Lost Communication With Television",
	"U0192": "Lost Communication With Personal Computer",
	"U0193": "Lost Communication With 'Digital Audio Control Module A'",
	"U0194": "Lost Communication With 'Digital Audio Control Module B'",
	"U0195": "Lost Communication With Subscription Entertainment Receiver Module",
	"U0196": "Lost Communication With Rear Seat Entertainment Control Module",
	"U0197": "Lost Communication With Telephone Control Module",
	"U0198": "Lost Communication With Telematic Control Module",
	"U0199": "Lost Communication With 'Door Control Module A'",
	"U0200": "Lost Communication With 'Door Control Module B'",
	"U0201": "Lost Communication With 'Door Control Module C'",
	"U0202": "Lost Communication With 'Door Control Module D'",
	"U0203": "Lost Communication With 'Door Control Module E'",
	"U0204": "Lost Communication With 'Door Control Module F'",
	"U0205": "Lost Communication With 'Door Control Module G'",
	"U0206": "Lost Communication With Folding Top Control Module",
	"U0207": "Lost Communication With Movable Roof Control Module",
	"U0208": "Lost Communication With 'Seat Control Module A'",
	"U0209": "Lost Communication With 'Seat Control Module B'",
	"U0210": "Lost Communication With 'Seat Control Module C'",
	"U0211": "Lost Communication With 'Seat Control Module D'",
	"U0212": "Lost Communication With Steering Column Control Module",
	"U0213": "Lost Communication With Mirror Control Module",
	"U0214": "Lost Communication With Remote Function Actuation",
	"U0215": "Lost Communication With 'Door Switch A'",
	"U0216": "Lost Communication With 'Door Switch B'",
	"U0217": "Lost Communication With 'Door Switch C'",
	"U0218": "Lost Communication With 'Door Switch D'",
	"U0219": "Lost Communication With 'Door Switch E'",
	"U0220": "Lost Communication With 'Door Switch F'",
	"U0221": "Lost Communication With 'Door Switch G'",
	"U0222": "Lost Communication With 'Door Window Motor A'",
	"U0223": "Lost Communication With 'Door Window Motor B'",
	"U0224": "Lost Communication With 'Door Window Motor C'",
	"U0225": "Lost Communication With 'Door Window Motor D'",
	"U0226": "Lost Communication With 'Door Window Motor E'",
	"U0227": "Lost Communication With 'Door Window Motor F'",
	"U0228": "Lost Communication With 'Door Window Motor G'",
	"U0229": "Lost Communication With Heated Steering Wheel Module",
	"U0230": "Lost Communication With Rear Gate Module",
	"U0231": "Lost Communication With Rain Sensing Module",
	"U0232": "Lost Communication With Side Obstacle Detection Control Module",
	"U0233": "Lost Communication With Side Obstacle Detection Control Module",
	"U0234": "Lost Communication With Convenience Recall Module",
	"U0235": "Lost Communication With Cruise Control Front Distance Range Sensor",
	"U0300": "Internal Control Module Software Incompatibility",
	"U0301": "Software Incompatibility with ECM/PCM",
	"U0302": "Software Incompatibility with Transmission Control Module",
	"U0303": "Software Incompatibility with Transfer Case Control Module",
	"U0304": "Software Incompatibility with Gear Shift Control Module",
	"U0305": "Software Incompatibility with Cruise Control Module",
	"U0306": "Software Incompatibility with Fuel Injector Control Module",
	"U0307": "Software Incompatibility with Glow Plug Control Module",
	"U0308": "Software Incompatibility with Throttle Actuator Control Module",
	"U0309": "Software Incompatibility with Alternative Fuel Control Module",
	"U0310": "Software Incompatibility with Fuel Pump Control Module",
	"U0311": "Software Incompatibility with Drive Motor Control Module",
	"U0312": "Software Incompatibility with Battery Energy Control Module A",
	"U0313": "Software Incompatibility with Battery Energy Control Module B",
	"U0314": "Software Incompatibility with Four-Wheel Drive Clutch Control Module",
	"U0315": "Software Incompatibility with Anti-Lock Brake System Control Module",
	"U0316": "Software Incompatibility with Vehicle Dynamics Control Module",
	"U0317": "Software Incompatibility with Park Brake Control Module",
	"U0318": "Software Incompatibility with Brake System Control Module",
	"U0319": "Software Incompatibility with Steering Effort Control Module",
	"U0320": "Software Incompatibility with Power Steering Control Module",
	"U0321": "Software Incompatibility with Ride Level Control Module",
	"U0322": "Software Incompatibility with Body Control Module",
	"U0323": "Software Incompatibility with Instrument Panel Control Module",
	"U0324": "Software Incompatibility with HVAC Control Module",
	"U0325": "Software Incompatibility with Auxiliary Heater Control Module",
	"U0326": "Software Incompatibility with Vehicle Immobilizer Control Module",
	"U0327": "Software Incompatibility with Vehicle Security Control Module",
	"U0328": "Software Incompatibility with Steering Angle Sensor Module",
	"U0329": "Software Incompatibility with Steering Column Control Module",
	"U0330": "Software Incompatibility with Tire Pressure Monitor Module",
	"U0331": "Software Incompatibility with Body Control Module 'A'",
	"U0400": "Invalid Data Received",
	"U0401": "Invalid Data Received From ECM/PCM",
	"U0402": "Invalid Data Received From Transmission Control Module",
	"U0403": "Invalid Data Received From Transfer Case Control Module",
	"U0404": "Invalid Data Received From Gear Shift Control Module",
	"U0405": "Invalid Data Received From Cruise Control Module",
	"U0406": "Invalid Data Received From Fuel Injector Control Module",
	"U0407": "Invalid Data Received From Glow Plug Control Module",
	"U0408": "Invalid Data Received From Throttle Actuator Control Module",
	"U0409": "Invalid Data Received From Alternative Fuel Control Module",
	"U0410": "Invalid Data Received From Fuel Pump Control Module",
	"U0411": "Invalid Data Received From Drive Motor Control Module",
	"U0412": "Invalid Data Received From Battery Energy Control Module A",
	"U0413": "Invalid Data Received From Battery Energy Control Module B",
	"U0414": "Invalid Data Received From Four-Wheel Drive Clutch Control Module",
	"U0415": "Invalid Data Received From Anti-Lock Brake System Control Module",
	"U0416": "Invalid Data Received From Vehicle Dynamics Control Module",
	"U0417": "Invalid Data Received From Park Brake Control Module",
	"U0418": "Invalid Data Received From Brake System Control Module",
	"U0419": "Invalid Data Received From Steering Effort Control Module",
	"U0420": "Invalid Data Received From Power Steering Control Module",
	"U0421": "Invalid Data Received From Ride Level Control Module",
	"U0422": "Invalid Data Received From Body Control Module",
	"U0423": "Invalid Data Received From Instrument Panel Control Module",
	"U0424": "Invalid Data Received From HVAC Control Module",
	"U0425": "Invalid Data Received From Auxiliary Heater Control Module",
	"U0426": "Invalid Data Received From Vehicle Immobilizer Control Module",
	"U0427": "Invalid Data Received From Vehicle Security Control Module",
	"U0428": "Invalid Data Received From Steering Angle Sensor Module",
	"U0429": "Invalid Data Received From Steering Column Control Module",
	"U0430": "Invalid Data Received From Tire Pressure Monitor Module",
	"U0431": "Invalid Data Received From Body Control Module 'A'",
	"U0432": "?",
	"U0433": "?",
	"U0434": "?",
	"U0435": "?",
	"U0436": "?",
	"U0437": "?",
	"U0438": "?",
	"U0439": "?",
	"U0440": "?",
	"U0441": "?",
	"U0442": "?",
	"U0443": "?",
	"U0444": "?",
	"U0445": "?",
	"U0446": "?",
	"U0447": "?",
	"U0448": "?",
	"U0449": "?",
	"U0450": "?",
	"U0451": "?",
	"U0452": "?",
	"U0453": "?",
	"U0454": "?",
	"U0455": "?",
	"U0456": "?",
	"U0457": "?",
	"U0458": "?",
	"U0459": "?",
	"U0460": "?",
	"U0461": "?",
	"U0462": "?",
	"U0463": "?",
	"U0464": "?",
	"U0465": "?",
	"U0466": "?",
	"U0467": "?",
	"U0468": "?",
	"U0469": "?",
	"U0470": "?",
	"U0471": "?",
	"U0472": "?",
	"U0473": "?",
	"U0474": "?",
	"U0475": "?",
	"U0476": "?",
	"U0477": "?",
	"U0478": "?",
	"U0479": "?",
	"U0480": "?",
	"U0481": "?",
	"U0482": "?",
	"U0483": "?",
	"U0484": "?",
	"U0485": "?",
	"U0486": "?",
	"U0487": "?",
	"U0488": "?",
	"U0489": "?",
	"U0490": "?",
	"U0491": "?",
	"U0492": "?",
	"U0493": "?",
	"U0494": "?",
	"U0495": "?",
	"U0496": "?",
	"U0497": "?",
	"U0498": "?",
	"U0499": "?",
	"U0500": "?",
	"U0501": "?",
	"U0502": "?",
	"U0503": "?",
	"U0504": "?",
	"U0505": "?",
	"U0506": "?",
	"U0507": "?",
	"U0508": "?",
	"U0509": "?",
	"U0510": "?",
	"U0511": "?",
	"U0512": "?",
	"U0513": "?",
	"U0514": "?",
	"U0515": "?",
	"U0516": "?",
	"U0517": "?",
	"U0518": "?",
	"U0519": "?",
	"U0520": "?",
	"U0521": "?",
	"U0522": "?",
	"U0523": "?",
	"U0524": "?",
	"U0525": "?",
	"U0526": "?",
	"U0527": "?",
	"U0528": "?",
	"U0529": "?",
	"U0530": "?",
	"U0531": "?",
	"U0532": "?",
	"U0533": "?",
	"U0534": "?",
	"U0535": "?",
	"U0536": "?",
	"U0537": "?",
	"U0538": "?",
	"U0539": "?",
	"U0540": "?",
	"U0541": "?",
	"U0542": "?",
	"U0543": "?",
	"U0544": "?",
	"U0545": "?",
	"U0546": "?",
	"U0547": "?",
	"U0548": "?",
	"U0549": "?",
	"U0550": "?",
	"U0551": "?",
	"U0552": "?",
	"U0553": "?",
	"U0554": "?",
	"U0555": "?",
	"U0556": "?",
	"U0557": "?",
	"U0558": "?",
	"U0559": "?",
	"U0560": "?",
	"U0561": "?",
	"U0562": "?",
	"U0563": "?",
	"U0564": "?",
	"U0565": "?",
	"U0566": "?",
	"U0567": "?",
	"U0568": "?",
	"U0569": "?",
	"U0570": "?",
	"U0571": "?",
	"U0572": "?",
	"U0573": "?",
	"U0574": "?",
	"U0575": "?",
	"U0576": "?",
	"U0577": "?",
	"U0578": "?",
	"U0579": "?",
	"U0580": "?",
	"U0581": "?",
	"U0582": "?",
	"U0583": "?",
	"U0584": "?",
	"U0585": "?",
	"U0586": "?",
	"U0587": "?",
	"U0588": "?",
	"U0589": "?",
	"U0590": "?",
	"U0591": "?",
	"U0592": "?",
	"U0593": "?",
	"U0594": "?",
	"U0595": "?",
	"U0596": "?",
	"U0597": "?",
	"U0598": "?",
	"U0599": "?",
	"U0600": "?",
	"U0601": "?",
	"U0602": "?",
	"U0603": "?",
	"U0604": "?",
	"U0605": "?",
	"U0606": "?",
	"U0607": "?",
	"U0608": "?",
	"U0609": "?",
	"U0610": "?",
	"U0611": "?",
	"U0612": "?",
	"U0613": "?",
	"U0614": "?",
	"U0615": "?",
	"U0616": "?",
	"U0617": "?",
	"U0618": "?",
	"U0619": "?",
	"U0620": "?",
	"U0621": "?",
	"U0622": "?",
	"U0623": "?",
	"U0624": "?",
	"U0625": "?",
	"U0626": "?",
	"U0627": "?",
	"U0628": "?",
	"U0629": "?",
	"U0630": "?",
	"U0631": "?",
	"U0632": "?",
	"U0633": "?",
	"U0634": "?",
	"U0635": "?",
	"U0636": "?",
	"U0637": "?",
	"U0638": "?",
	"U0639": "?",
	"U0640": "?",
	"U0641": "?",
	"U0642": "?",
	"U0643": "?",
	"U0644": "?",
	"U0645": "?",
	"U0646": "?",
	"U0647": "?",
	"U0648": "?",
	"U0649": "?",
	"U0650": "?",
	"U0651": "?",
	"U0652": "?",
	"U0653": "?",
	"U0654": "?",
	"U0655": "?",
	"U0656": "?",
	"U0657": "?",
	"U0658": "?",
	"U0659": "?",
	"U0660": "?",
	"U0661": "?",
	"U0662": "?",
	"U0663": "?",
	"U0664": "?",
	"U0665": "?",
	"U0666": "?",
	"U0667": "?",
	"U0668": "?",
	"U0669": "?",
	"U0670": "?",
	"U0671": "?",
	"U0672": "?",
	"U0673": "?",
	"U0674": "?",
	"U0675": "?",
	"U0676": "?",
	"U0677": "?",
	"U0678": "?",
	"U0679": "?",
	"U0680": "?",
	"U0681": "?",
	"U0682": "?",
	"U0683": "?",
	"U0684": "?",
	"U0685": "?",
	"U0686": "?",
	"U0687": "?",
	"U0688": "?",
	"U0689": "?",
	"U0690": "?",
	"U0691": "?",
	"U0692": "?",
	"U0693": "?",
	"U0694": "?",
	"U0695": "?",
	"U0696": "?",
	"U0697": "?",
	"U0698": "?",
	"U0699": "?",
	"U0700": "?",
	"U0701": "?",
	"U0702": "?",
	"U0703": "?",
	"U0704": "?",
	"U0705": "?",
	"U0706": "?",
	"U0707": "?",
	"U0708": "?",
	"U0709": "?",
	"U0710": "?",
	"U0711": "?",
	"U0712": "?",
	"U0713": "?",
	"U0714": "?",
	"U0715": "?",
	"U0716": "?",
	"U0717": "?",
	"U0718": "?",
	"U0719": "?",
	"U0720": "?",
	"U0721": "?",
	"U0722": "?",
	"U0723": "?",
	"U0724": "?",
	"U0725": "?",
	"U0726": "?",
	"U0727": "?",
	"U0728": "?",
	"U0729": "?",
	"U0730": "?",
	"U0731": "?",
	"U0732": "?",
	"U0733": "?",
	"U0734": "?",
	"U0735": "?",
	"U0736": "?",
	"U0737": "?",
	"U0738": "?",
	"U0739": "?",
	"U0740": "?",
	"U0741": "?",
	"U0742": "?",
	"U0743": "?",
	"U0744": "?",
	"U0745": "?",
	"U0746": "?",
	"U0747": "?",
	"U0748": "?",
	"U0749": "?",
	"U0750": "?",
	"U0751": "?",
	"U0752": "?",
	"U0753": "?",
	"U0754": "?",
	"U0755": "?",
	"U0756": "?",
	"U0757": "?",
	"U0758": "?",
	"U0759": "?",
	"U0760": "?",
	"U0761": "?",
	"U0762": "?",
	"U0763": "?",
	"U0764": "?",
	"U0765": "?",
	"U0766": "?",
	"U0767": "?",
	"U0768": "?",
	"U0769": "?",
	"U0770": "?",
	"U0771": "?",
	"U0772": "?",
	"U0773": "?",
	"U0774": "?",
	"U0775": "?",
	"U0776": "?",
	"U0777": "?",
	"U0778": "?",
	"U0779": "?",
	"U0780": "?",
	"U0781": "?",
	"U0782": "?",
	"U0783": "?",
	"U0784": "?",
	"U0785": "?",
	"U0786": "?",
	"U0787": "?",
	"U0788": "?",
	"U0789": "?",
	"U0790": "?",
	"U0791": "?",
	"U0792": "?",
	"U0793": "?",
	"U0794": "?",
	"U0795": "?",
	"U0796": "?",
	"U0797": "?",
	"U0798": "?",
	"U0799": "?",
	"U0800": "?",
	"U0801": "?",
	"U0802": "?",
	"U0803": "?",
	"U0804": "?",
	"U0805": "?",
	"U0806": "?",
	"U0807": "?",
	"U0808": "?",
	"U0809": "?",
	"U0810": "?",
	"U0811": "?",
	"U0812": "?",
	"U0813": "?",
	"U0814": "?",
	"U0815": "?",
	"U0816": "?",
	"U0817": "?",
	"U0818": "?",
	"U0819": "?",
	"U0820": "?",
	"U0821": "?",
	"U0822": "?",
	"U0823": "?",
	"U0824": "?",
	"U0825": "?",
	"U0826": "?",
	"U0827": "?",
	"U0828": "?",
	"U0829": "?",
	"U0830": "?",
	"U0831": "?",
	"U0832": "?",
	"U0833": "?",
	"U0834": "?",
	"U0835": "?",
	"U0836": "?",
	"U0837": "?",
	"U0838": "?",
	"U0839": "?",
	"U0840": "?",
	"U0841": "?",
	"U0842": "?",
	"U0843": "?",
	"U0844": "?",
	"U0845": "?",
	"U0846": "?",
	"U0847": "?",
	"U0848": "?",
	"U0849": "?",
	"U0850": "?",
	"U0851": "?",
	"U0852": "?",
	"U0853": "?",
	"U0854": "?",
	"U0855": "?",
	"U0856": "?",
	"U0857": "?",
	"U0858": "?",
	"U0859": "?",
	"U0860": "?",
	"U0861": "?",
	"U0862": "?",
	"U0863": "?",
	"U0864": "?",
	"U0865": "?",
	"U0866": "?",
	"U0867": "?",
	"U0868": "?",
	"U0869": "?",
	"U0870": "?",
	"U0871": "?",
	"U0872": "?",
	"U0873": "?",
	"U0874": "?",
	"U0875": "?",
	"U0876": "?",
	"U0877": "?",
	"U0878": "?",
	"U0879": "?",
	"U0880": "?",
	"U0881": "?",
	"U0882": "?",
	"U0883": "?",
	"U0884": "?",
	"U0885": "?",
	"U0886": "?",
	"U0887": "?",
	"U0888": "?",
	"U0889": "?",
	"U0890": "?",
	"U0891": "?",
	"U0892": "?",
	"U0893": "?",
	"U0894": "?",
	"U0895": "?",
	"U0896": "?",
	"U0897": "?",
	"U0898": "?",
	"U0899": "?",
	"U0900": "?",
	"U0901": "?",
	"U0902": "?",
	"U0903": "?",
	"U0904": "?",
	"U0905": "?",
	"U0906": "?",
	"U0907": "?",
	"U0908": "?",
	"U0909": "?",
	"U0910": "?",
	"U0911": "?",
	"U0912": "?",
	"U0913": "?",
	"U0914": "?",
	"U0915": "?",
	"U0916": "?",
	"U0917": "?",
	"U0918": "?",
	"U0919": "?",
	"U0920": "?",
	"U0921": "?",
	"U0922": "?",
	"U0923": "?",
	"U0924": "?",
	"U0925": "?",
	"U0926": "?",
	"U0927": "?",
	"U0928": "?",
	"U0929": "?",
	"U0930": "?",
	"U0931": "?",
	"U0932": "?",
	"U0933": "?",
	"U0934": "?",
	"U0935": "?",
	"U0936": "?",
	"U0937": "?",
	"U0938": "?",
	"U0939": "?",
	"U0940": "?",
	"U0941": "?",
	"U0942": "?",
	"U0943": "?",
	"U0944": "?",
	"U0945": "?",
	"U0946": "?",
	"U0947": "?",
	"U0948": "?",
	"U0949": "?",
	"U0950": "?",
	"U0951": "?",
	"U0952": "?",
	"U0953": "?",
	"U0954": "?",
	"U0955": "?",
	"U0956": "?",
	"U0957": "?",
	"U0958": "?",
	"U0959": "?",
	"U0960": "?",
	"U0961": "?",
	"U0962": "?",
	"U0963": "?",
	"U0964": "?",
	"U0965": "?",
	"U0966": "?",
	"U0967": "?",
	"U0968": "?",
	"U0969": "?",
	"U0970": "?",
	"U0971": "?",
	"U0972": "?",
	"U0973": "?",
	"U0974": "?",
	"U0975": "?",
	"U0976": "?",
	"U0977": "?",
	"U0978": "?",
	"U0979": "?",
	"U0980": "?",
	"U0981": "?",
	"U0982": "?",
	"U0983": "?",
	"U0984": "?",
	"U0985": "?",
	"U0986": "?",
	"U0987": "?",
	"U0988": "?",
	"U0989": "?",
	"U0990": "?",
	"U0991": "?",
	"U0992": "?",
	"U0993": "?",
	"U0994": "?",
	"U0995": "?",
	"U0996": "?",
	"U0997": "?",
	"U0998": "?",
	"U0999": "?",
	"U1000": "GM: No Class 2 Communication ID Not Learned",
	"U1001": "?",
	"U1002": "?",
	"U1003": "?",
	"U1004": "?",
	"U1005": "?",
	"U1006": "?",
	"U1007": "?",
	"U1008": "?",
	"U1009": "?",
	"U1010": "?",
	"U1011": "?",
	"U1012": "?",
	"U1013": "?",
	"U1014": "?",
	"U1015": "?",
	"U1016": "?",
	"U1017": "?",
	"U1018": "?",
	"U1019": "?",
	"U1020": "?",
	"U1021": "?",
	"U1022": "?",
	"U1023": "?",
	"U1024": "?",
	"U1025": "?",
	"U1026": "?",
	"U1027": "?",
	"U1028": "?",
	"U1029": "?",
	"U1030": "?",
	"U1031": "?",
	"U1032": "?",
	"U1033": "?",
	"U1034": "?",
	"U1035": "?",
	"U1036": "?",
	"U1037": "?",
	"U1038": "?",
	"U1039": "?",
	"U1040": "?",
	"U1041": "?",
	"U1042": "?",
	"U1043": "?",
	"U1044": "?",
	"U1045": "?",
	"U1046": "?",
	"U1047": "?",
	"U1048": "?",
	"U1049": "?",
	"U1050": "?",
	"U1051": "?",
	"U1052": "?",
	"U1053": "?",
	"U1054": "?",
	"U1055": "?",
	"U1056": "?",
	"U1057": "?",
	"U1058": "?",
	"U1059": "?",
	"U1060": "?",
	"U1061": "?",
	"U1062": "?",
	"U1063": "?",
	"U1064": "?",
	"U1065": "?",
	"U1066": "?",
	"U1067": "?",
	"U1068": "?",
	"U1069": "?",
	"U1070": "?",
	"U1071": "?",
	"U1072": "?",
	"U1073": "?",
	"U1074": "?",
	"U1075": "?",
	"U1076": "?",
	"U1077": "?",
	"U1078": "?",
	"U1079": "?",
	"U1080": "?",
	"U1081": "?",
	"U1082": "?",
	"U1083": "?",
	"U1084": "?",
	"U1085": "?",
	"U1086": "?",
	"U1087": "?",
	"U1088": "?",
	"U1089": "?",
	"U1090": "?",
	"U1091": "?",
	"U1092": "?",
	"U1093": "?",
	"U1094": "?",
	"U1095": "?",
	"U1096": "?",
	"U1097": "?",
	"U1098": "?",
	"U1099": "?",
	"U1100": "Mitsubishi: Engine CAN Timeout/Not equipped",
	"U1101": "?",
	"U1102": "?",
	"U1103": "?",
	"U1104": "?",
	"U1105": "?",
	"U1106": "?",
	"U1107": "?",
	"U1108": "?",
	"U1109": "?",
	"U1110": "?",
	"U1111": "?",
	"U1112": "?",
	"U1113": "?",
	"U1114": "?",
	"U1115": "?",
	"U1116": "?",
	"U1117": "?",
	"U1118": "?",
	"U1119": "?",
	"U1120": "?",
	"U1121": "?",
	"U1122": "?",
	"U1123": "?",
	"U1124": "?",
	"U1125": "?",
	"U1126": "?",
	"U1127": "?",
	"U1128": "?",
	"U1129": "?",
	"U1130": "?",
	"U1131": "?",
	"U1132": "?",
	"U1133": "?",
	"U1134": "?",
	"U1135": "?",
	"U1136": "?",
	"U1137": "?",
	"U1138": "?",
	"U1139": "?",
	"U1140": "?",
	"U1141": "?",
	"U1142": "?",
	"U1143": "?",
	"U1144": "?",
	"U1145": "?",
	"U1146": "?",
	"U1147": "?",
	"U1148": "?",
	"U1149": "?",
	"U1150": "?",
	"U1151": "?",
	"U1152": "?",
	"U1153": "?",
	"U1154": "?",
	"U1155": "?",
	"U1156": "?",
	"U1157": "?",
	"U1158": "?",
	"U1159": "?",
	"U1160": "?",
	"U1161": "?",
	"U1162": "?",
	"U1163": "?",
	"U1164": "?",
	"U1165": "?",
	"U1166": "?",
	"U1167": "?",
	"U1168": "?",
	"U1169": "?",
	"U1170": "?",
	"U1171": "?",
	"U1172": "?",
	"U1173": "?",
	"U1174": "?",
	"U1175": "?",
	"U1176": "?",
	"U1177": "?",
	"U1178": "?",
	"U1179": "?",
	"U1180": "?",
	"U1181": "?",
	"U1182": "?",
	"U1183": "?",
	"U1184": "?",
	"U1185": "?",
	"U1186": "?",
	"U1187": "?",
	"U1188": "?",
	"U1189": "?",
	"U1190": "?",
	"U1191": "?",
	"U1192": "?",
	"U1193": "?",
	"U1194": "?",
	"U1195": "?",
	"U1196": "?",
	"U1197": "?",
	"U1198": "?",
	"U1199": "?",
	"U1200": "Ford: -SCP- J1850 Communications Bus Fault",
	"U1201": "?",
	"U1202": "?",
	"U1203": "?",
	"U1204": "?",
	"U1205": "?",
	"U1206": "?",
	"U1207": "?",
	"U1208": "?",
	"U1209": "?",
	"U1210": "?",
	"U1211": "?",
	"U1212": "?",
	"U1213": "?",
	"U1214": "?",
	"U1215": "?",
	"U1216": "?",
	"U1217": "?",
	"U1218": "?",
	"U1219": "?",
	"U1220": "?",
	"U1221": "?",
	"U1222": "?",
	"U1223": "?",
	"U1224": "?",
	"U1225": "?",
	"U1226": "?",
	"U1227": "?",
	"U1228": "?",
	"U1229": "?",
	"U1230": "?",
	"U1231": "?",
	"U1232": "?",
	"U1233": "?",
	"U1234": "?",
	"U1235": "?",
	"U1236": "?",
	"U1237": "?",
	"U1238": "?",
	"U1239": "?",
	"U1240": "?",
	"U1241": "?",
	"U1242": "?",
	"U1243": "?",
	"U1244": "?",
	"U1245": "?",
	"U1246": "?",
	"U1247": "?",
	"U1248": "?",
	"U1249": "?",
	"U1250": "?",
	"U1251": "?",
	"U1252": "?",
	"U1253": "?",
	"U1254": "?",
	"U1255": "?",
	"U1256": "?",
	"U1257": "?",
	"U1258": "?",
	"U1259": "?",
	"U1260": "?",
	"U1261": "?",
	"U1262": "?",
	"U1263": "?",
	"U1264": "?",
	"U1265": "?",
	"U1266": "?",
	"U1267": "?",
	"U1268": "?",
	"U1269": "?",
	"U1270": "?",
	"U1271": "?",
	"U1272": "?",
	"U1273": "?",
	"U1274": "?",
	"U1275": "?",
	"U1276": "?",
	"U1277": "?",
	"U1278": "?",
	"U1279": "?",
	"U1280": "?",
	"U1281": "?",
	"U1282": "?",
	"U1283": "?",
	"U1284": "?",
	"U1285": "?",
	"U1286": "?",
	"U1287": "?",
	"U1288": "?",
	"U1289": "?",
	"U1290": "?",
	"U1291": "?",
	"U1292": "?",
	"U1293": "?",
	"U1294": "?",
	"U1295": "?",
	"U1296": "?",
	"U1297": "?",
	"U1298": "?",
	"U1299": "?",
	"U1300": "?",
	"U1301": "?",
	"U1302": "?",
	"U1303": "?",
	"U1304": "?",
	"U1305": "?",
	"U1306": "?",
	"U1307": "?",
	"U1308": "?",
	"U1309": "?",
	"U1310": "?",
	"U1311": "?",
	"U1312": "?",
	"U1313": "?",
	"U1314": "?",
	"U1315": "?",
	"U1316": "?",
	"U1317": "?",
	"U1318": "?",
	"U1319": "?",
	"U1320": "?",
	"U1321": "?",
	"U1322": "?",
	"U1323": "?",
	"U1324": "?",
	"U1325": "?",
	"U1326": "?",
	"U1327": "?",
	"U1328": "?",
	"U1329": "?",
	"U1330": "?",
	"U1331": "?",
	"U1332": "?",
	"U1333": "?",
	"U1334": "?",
	"U1335": "?",
	"U1336": "?",
	"U1337": "?",
	"U1338": "?",
	"U1339": "?",
	"U1340": "?",
	"U1341": "?",
	"U1342": "?",
	"U1343": "?",
	"U1344": "?",
	"U1345": "?",
	"U1346": "?",
	"U1347": "?",
	"U1348": "?",
	"U1349": "?",
	"U1350": "?",
	"U1351": "?",
	"U1352": "?",
	"U1353": "?",
	"U1354": "?",
	"U1355": "?",
	"U1356": "?",
	"U1357": "?",
	"U1358": "?",
	"U1359": "?",
	"U1360": "?",
	"U1361": "?",
	"U1362": "?",
	"U1363": "?",
	"U1364": "?",
	"U1365": "?",
	"U1366": "?",
	"U1367": "?",
	"U1368": "?",
	"U1369": "?",
	"U1370": "?",
	"U1371": "?",
	"U1372": "?",
	"U1373": "?",
	"U1374": "?",
	"U1375": "?",
	"U1376": "?",
	"U1377": "?",
	"U1378": "?",
	"U1379": "?",
	"U1380": "?",
	"U1381": "?",
	"U1382": "?",
	"U1383": "?",
	"U1384": "?",
	"U1385": "?",
	"U1386": "?",
	"U1387": "?",
	"U1388": "?",
	"U1389": "?",
	"U1390": "?",
	"U1391": "?",
	"U1392": "?",
	"U1393": "?",
	"U1394": "?",
	"U1395": "?",
	"U1396": "?",
	"U1397": "?",
	"U1398": "?",
	"U1399": "?",
	"U1400": "Chrysler: Implausible TPS Signal Received",
	"U1401": "Chrysler: Implausible Engine Speed Signal Received",
	"U1402": "Chrysler: Implausible Engine Temperature Signal Received",
	"U1403": "?",
	"U1404": "?",
	"U1405": "?",
	"U1406": "?",
	"U1407": "?",
	"U1408": "?",
	"U1409": "?",
	"U1410": "?",
	"U1411": "?",
	"U1412": "?",
	"U1413": "?",
	"U1414": "?",
	"U1415": "?",
	"U1416": "?",
	"U1417": "?",
	"U1418": "?",
	"U1419": "?",
	"U1420": "?",
	"U1421": "?",
	"U1422": "?",
	"U1423": "?",
	"U1424": "?",
	"U1425": "?",
	"U1426": "?",
	"U1427": "?",
	"U1428": "?",
	"U1429": "?",
	"U1430": "?",
	"U1431": "?",
	"U1432": "?",
	"U1433": "?",
	"U1434": "?",
	"U1435": "?",
	"U1436": "?",
	"U1437": "?",
	"U1438": "?",
	"U1439": "?",
	"U1440": "?",
	"U1441": "?",
	"U1442": "?",
	"U1443": "?",
	"U1444": "?",
	"U1445": "?",
	"U1446": "?",
	"U1447": "?",
	"U1448": "?",
	"U1449": "?",
	"U1450": "?",
	"U1451": "?",
	"U1452": "?",
	"U1453": "?",
	"U1454": "?",
	"U1455": "?",
	"U1456": "?",
	"U1457": "?",
	"U1458": "?",
	"U1459": "?",
	"U1460": "?",
	"U1461": "?",
	"U1462": "?",
	"U1463": "?",
	"U1464": "?",
	"U1465": "?",
	"U1466": "?",
	"U1467": "?",
	"U1468": "?",
	"U1469": "?",
	"U1470": "?",
	"U1471": "?",
	"U1472": "?",
	"U1473": "?",
	"U1474": "?",
	"U1475": "?",
	"U1476": "?",
	"U1477": "?",
	"U1478": "?",
	"U1479": "?",
	"U1480": "?",
	"U1481": "?",
	"U1482": "?",
	"U1483": "?",
	"U1484": "?",
	"U1485": "?",
	"U1486": "?",
	"U1487": "?",
	"U1488": "?",
	"U1489": "?",
	"U1490": "?",
	"U1491": "?",
	"U1492": "?",
	"U1493": "?",
	"U1494": "?",
	"U1495": "?",
	"U1496": "?",
	"U1497": "?",
	"U1498": "?",
	"U1499": "?",
	"U1500": "?",
	"U1501": "?",
	"U1502": "?",
	"U1503": "?",
	"U1504": "?",
	"U1505": "?",
	"U1506": "?",
	"U1507": "?",
	"U1508": "?",
	"U1509": "?",
	"U1510": "?",
	"U1511": "?",
	"U1512": "?",
	"U1513": "?",
	"U1514": "?",
	"U1515": "?",
	"U1516": "?",
	"U1517": "?",
	"U1518": "?",
	"U1519": "?",
	"U1520": "?",
	"U1521": "?",
	"U1522": "?",
	"U1523": "?",
	"U1524": "?",
	"U1525": "?",
	"U1526": "?",
	"U1527": "?",
	"U1528": "?",
	"U1529": "?",
	"U1530": "?",
	"U1531": "?",
	"U1532": "?",
	"U1533": "?",
	"U1534": "?",
	"U1535": "?",
	"U1536": "?",
	"U1537": "?",
	"U1538": "?",
	"U1539": "?",
	"U1540": "?",
	"U1541": "?",
	"U1542": "?",
	"U1543": "?",
	"U1544": "?",
	"U1545": "?",
	"U1546": "?",
	"U1547": "?",
	"U1548": "?",
	"U1549": "?",
	"U1550": "?",
	"U1551": "?",
	"U1552": "?",
	"U1553": "?",
	"U1554": "?",
	"U1555": "?",
	"U1556": "?",
	"U1557": "?",
	"U1558": "?",
	"U1559": "?",
	"U1560": "?",
	"U1561": "?",
	"U1562": "?",
	"U1563": "?",
	"U1564": "?",
	"U1565": "?",
	"U1566": "?",
	"U1567": "?",
	"U1568": "?",
	"U1569": "?",
	"U1570": "?",
	"U1571": "?",
	"U1572": "?",
	"U1573": "?",
	"U1574": "?",
	"U1575": "?",
	"U1576": "?",
	"U1577": "?",
	"U1578": "?",
	"U1579": "?",
	"U1580": "?",
	"U1581": "?",
	"U1582": "?",
	"U1583": "?",
	"U1584": "?",
	"U1585": "?",
	"U1586": "?",
	"U1587": "?",
	"U1588": "?",
	"U1589": "?",
	"U1590": "?",
	"U1591": "?",
	"U1592": "?",
	"U1593": "?",
	"U1594": "?",
	"U1595": "?",
	"U1596": "?",
	"U1597": "?",
	"U1598": "?",
	"U1599": "?",
	"U1600": "Chrysler: ECU Application Software Mismatch",
	"U1601": "Chrysler: ECU Application Software Code 1 Missing or Corrupted",
	"U1602": "?",
	"U1603": "?",
	"U1604": "?",
	"U1605": "?",
	"U1606": "?",
	"U1607": "?",
	"U1608": "?",
	"U1609": "?",
	"U1610": "?",
	"U1611": "?",
	"U1612": "?",
	"U1613": "?",
	"U1614": "?",
	"U1615": "?",
	"U1616": "?",
	"U1617": "?",
	"U1618": "?",
	"U1619": "?",
	"U1620": "?",
	"U1621": "?",
	"U1622": "?",
	"U1623": "?",
	"U1624": "?",
	"U1625": "?",
	"U1626": "?",
	"U1627": "?",
	"U1628": "?",
	"U1629": "?",
	"U1630": "?",
	"U1631": "?",
	"U1632": "?",
	"U1633": "?",
	"U1634": "?",
	"U1635": "?",
	"U1636": "?",
	"U1637": "?",
	"U1638": "?",
	"U1639": "?",
	"U1640": "?",
	"U1641": "?",
	"U1642": "?",
	"U1643": "?",
	"U1644": "?",
	"U1645": "?",
	"U1646": "?",
	"U1647": "?",
	"U1648": "?",
	"U1649": "?",
	"U1650": "?",
	"U1651": "?",
	"U1652": "?",
	"U1653": "?",
	"U1654": "?",
	"U1655": "?",
	"U1656": "?",
	"U1657": "?",
	"U1658": "?",
	"U1659": "?",
	"U1660": "?",
	"U1661": "?",
	"U1662": "?",
	"U1663": "?",
	"U1664": "?",
	"U1665": "?",
	"U1666": "?",
	"U1667": "?",
	"U1668": "?",
	"U1669": "?",
	"U1670": "?",
	"U1671": "?",
	"U1672": "?",
	"U1673": "?",
	"U1674": "?",
	"U1675": "?",
	"U1676": "?",
	"U1677": "?",
	"U1678": "?",
	"U1679": "?",
	"U1680": "?",
	"U1681": "?",
	"U1682": "?",
	"U1683": "?",
	"U1684": "?",
	"U1685": "?",
	"U1686": "?",
	"U1687": "?",
	"U1688": "?",
	"U1689": "?",
	"U1690": "?",
	"U1691": "?",
	"U1692": "?",
	"U1693": "?",
	"U1694": "?",
	"U1695": "?",
	"U1696": "?",
	"U1697": "?",
	"U1698": "?",
	"U1699": "?",
	"U1700": "Mitsubishi: SWS Communication Line",
	"U1701": "?",
	"U1702": "?",
	"U1703": "?",
	"U1704": "?",
	"U1705": "?",
	"U1706": "?",
	"U1707": "?",
	"U1708": "?",
	"U1709": "?",
	"U1710": "?",
	"U1711": "?",
	"U1712": "?",
	"U1713": "?",
	"U1714": "?",
	"U1715": "FIAT: Tensione batteria",
	"U1716": "?",
	"U1717": "?",
	"U1718": "?",
	"U1719": "?",
	"U1720": "?",
	"U1721": "?",
	"U1722": "?",
	"U1723": "?",
	"U1724": "?",
	"U1725": "?",
	"U1726": "?",
	"U1727": "?",
	"U1728": "?",
	"U1729": "?",
	"U1730": "?",
	"U1731": "?",
	"U1732": "?",
	"U1733": "?",
	"U1734": "?",
	"U1735": "?",
	"U1736": "?",
	"U1737": "?",
	"U1738": "?",
	"U1739": "?",
	"U1740": "?",
	"U1741": "?",
	"U1742": "?",
	"U1743": "?",
	"U1744": "?",
	"U1745": "?",
	"U1746": "?",
	"U1747": "?",
	"U1748": "?",
	"U1749": "?",
	"U1750": "?",
	"U1751": "?",
	"U1752": "?",
	"U1753": "?",
	"U1754": "?",
	"U1755": "?",
	"U1756": "?",
	"U1757": "?",
	"U1758": "?",
	"U1759": "?",
	"U1760": "?",
	"U1761": "?",
	"U1762": "?",
	"U1763": "?",
	"U1764": "?",
	"U1765": "?",
	"U1766": "?",
	"U1767": "?",
	"U1768": "?",
	"U1769": "?",
	"U1770": "?",
	"U1771": "?",
	"U1772": "?",
	"U1773": "?",
	"U1774": "?",
	"U1775": "?",
	"U1776": "?",
	"U1777": "?",
	"U1778": "?",
	"U1779": "?",
	"U1780": "?",
	"U1781": "?",
	"U1782": "?",
	"U1783": "?",
	"U1784": "?",
	"U1785": "?",
	"U1786": "?",
	"U1787": "?",
	"U1788": "?",
	"U1789": "?",
	"U1790": "?",
	"U1791": "?",
	"U1792": "?",
	"U1793": "?",
	"U1794": "?",
	"U1795": "?",
	"U1796": "?",
	"U1797": "?",
	"U1798": "?",
	"U1799": "?",
	"U1800": "?",
	"U1801": "?",
	"U1802": "?",
	"U1803": "?",
	"U1804": "?",
	"U1805": "?",
	"U1806": "?",
	"U1807": "?",
	"U1808": "?",
	"U1809": "?",
	"U1810": "?",
	"U1811": "?",
	"U1812": "?",
	"U1813": "?",
	"U1814": "?",
	"U1815": "?",
	"U1816": "?",
	"U1817": "?",
	"U1818": "?",
	"U1819": "?",
	"U1820": "?",
	"U1821": "?",
	"U1822": "?",
	"U1823": "?",
	"U1824": "?",
	"U1825": "?",
	"U1826": "?",
	"U1827": "?",
	"U1828": "?",
	"U1829": "?",
	"U1830": "?",
	"U1831": "?",
	"U1832": "?",
	"U1833": "?",
	"U1834": "?",
	"U1835": "?",
	"U1836": "?",
	"U1837": "?",
	"U1838": "?",
	"U1839": "?",
	"U1840": "?",
	"U1841": "?",
	"U1842": "?",
	"U1843": "?",
	"U1844": "?",
	"U1845": "?",
	"U1846": "?",
	"U1847": "?",
	"U1848": "?",
	"U1849": "?",
	"U1850": "?",
	"U1851": "?",
	"U1852": "?",
	"U1853": "?",
	"U1854": "?",
	"U1855": "?",
	"U1856": "?",
	"U1857": "?",
	"U1858": "?",
	"U1859": "?",
	"U1860": "?",
	"U1861": "?",
	"U1862": "?",
	"U1863": "?",
	"U1864": "?",
	"U1865": "?",
	"U1866": "?",
	"U1867": "?",
	"U1868": "?",
	"U1869": "?",
	"U1870": "?",
	"U1871": "?",
	"U1872": "?",
	"U1873": "?",
	"U1874": "?",
	"U1875": "?",
	"U1876": "?",
	"U1877": "?",
	"U1878": "?",
	"U1879": "?",
	"U1880": "?",
	"U1881": "?",
	"U1882": "?",
	"U1883": "?",
	"U1884": "?",
	"U1885": "?",
	"U1886": "?",
	"U1887": "?",
	"U1888": "?",
	"U1889": "?",
	"U1890": "?",
	"U1891": "?",
	"U1892": "?",
	"U1893": "?",
	"U1894": "?",
	"U1895": "?",
	"U1896": "?",
	"U1897": "?",
	"U1898": "?",
	"U1899": "?",
	"U1900": "Jaguar: CAN communications bus fault",
	"U1901": "?",
	"U1902": "?",
	"U1903": "?",
	"U1904": "?",
	"U1905": "?",
	"U1906": "?",
	"U1907": "?",
	"U1908": "?",
	"U1909": "?",
	"U1910": "?",
	"U1911": "?",
	"U1912": "?",
	"U1913": "?",
	"U1914": "?",
	"U1915": "?",
	"U1916": "?",
	"U1917": "?",
	"U1918": "?",
	"U1919": "?",
	"U1920": "?",
	"U1921": "?",
	"U1922": "?",
	"U1923": "?",
	"U1924": "?",
	"U1925": "?",
	"U1926": "?",
	"U1927": "?",
	"U1928": "?",
	"U1929": "?",
	"U1930": "?",
	"U1931": "?",
	"U1932": "?",
	"U1933": "?",
	"U1934": "?",
	"U1935": "?",
	"U1936": "?",
	"U1937": "?",
	"U1938": "?",
	"U1939": "?",
	"U1940": "?",
	"U1941": "?",
	"U1942": "?",
	"U1943": "?",
	"U1944": "?",
	"U1945": "?",
	"U1946": "?",
	"U1947": "?",
	"U1948": "?",
	"U1949": "?",
	"U1950": "?",
	"U1951": "?",
	"U1952": "?",
	"U1953": "?",
	"U1954": "?",
	"U1955": "?",
	"U1956": "?",
	"U1957": "?",
	"U1958": "?",
	"U1959": "?",
	"U1960": "?",
	"U1961": "?",
	"U1962": "?",
	"U1963": "?",
	"U1964": "?",
	"U1965": "?",
	"U1966": "?",
	"U1967": "?",
	"U1968": "?",
	"U1969": "?",
	"U1970": "?",
	"U1971": "?",
	"U1972": "?",
	"U1973": "?",
	"U1974": "?",
	"U1975": "?",
	"U1976": "?",
	"U1977": "?",
	"U1978": "?",
	"U1979": "?",
	"U1980": "?",
	"U1981": "?",
	"U1982": "?",
	"U1983": "?",
	"U1984": "?",
	"U1985": "?",
	"U1986": "?",
	"U1987": "?",
	"U1988": "?",
	"U1989": "?",
	"U1990": "?",
	"U1991": "?",
	"U1992": "?",
	"U1993": "?",
	"U1994": "?",
	"U1995": "?",
	"U1996": "?",
	"U1997": "?",
	"U1998": "?",
	"U1999": "?",
	"U2000": "No response from the Audio Remote Chassis Unit -RCU",
	"U2001": "No response from the Audio Tape Deck",
	"U2002": "No response from the Audio Bezel",
	"U2003": "FIAT: Sistema audio - unita' CD/DJ non risponde",
	"U2004": "?",
	"U2005": "?",
	"U2006": "?",
	"U2007": "?",
	"U2008": "?",
	"U2009": "?",
	"U2010": "?",
	"U2011": "?",
	"U2012": "?",
	"U2013": "?",
	"U2014": "?",
	"U2015": "?",
	"U2016": "?",
	"U2017": "?",
	"U2018": "?",
	"U2019": "?",
	"U2020": "?",
	"U2021": "?",
	"U2022": "?",
	"U2023": "?",
	"U2024": "?",
	"U2025": "?",
	"U2026": "?",
	"U2027": "?",
	"U2028": "?",
	"U2029": "?",
	"U2030": "?",
	"U2031": "?",
	"U2032": "?",
	"U2033": "?",
	"U2034": "?",
	"U2035": "?",
	"U2036": "?",
	"U2037": "?",
	"U2038": "?",
	"U2039": "?",
	"U2040": "?",
	"U2041": "?",
	"U2042": "?",
	"U2043": "?",
	"U2044": "?",
	"U2045": "?",
	"U2046": "?",
	"U2047": "?",
	"U2048": "?",
	"U2049": "?",
	"U2050": "?",
	"U2051": "?",
	"U2052": "?",
	"U2053": "?",
	"U2054": "?",
	"U2055": "?",
	"U2056": "?",
	"U2057": "?",
	"U2058": "?",
	"U2059": "?",
	"U2060": "?",
	"U2061": "?",
	"U2062": "?",
	"U2063": "?",
	"U2064": "?",
	"U2065": "?",
	"U2066": "?",
	"U2067": "?",
	"U2068": "?",
	"U2069": "?",
	"U2070": "?",
	"U2071": "?",
	"U2072": "?",
	"U2073": "?",
	"U2074": "?",
	"U2075": "?",
	"U2076": "?",
	"U2077": "?",
	"U2078": "?",
	"U2079": "?",
	"U2080": "?",
	"U2081": "?",
	"U2082": "?",
	"U2083": "?",
	"U2084": "?",
	"U2085": "?",
	"U2086": "?",
	"U2087": "?",
	"U2088": "?",
	"U2089": "?",
	"U2090": "?",
	"U2091": "?",
	"U2092": "?",
	"U2093": "?",
	"U2094": "?",
	"U2095": "?",
	"U2096": "?",
	"U2097": "?",
	"U2098": "?",
	"U2099": "?",
	"U2100": "Opel: CAN Data Bus Circuit Malfunction",
	"U2101": "Opel: CAN Data Bus Program Malfunction",
	"U2102": "?",
	"U2103": "?",
	"U2104": "?",
	"U2105": "?",
	"U2106": "?",
	"U2107": "?",
	"U2108": "?",
	"U2109": "?",
	"U2110": "?",
	"U2111": "?",
	"U2112": "?",
	"U2113": "?",
	"U2114": "?",
	"U2115": "?",
	"U2116": "?",
	"U2117": "?",
	"U2118": "?",
	"U2119": "?",
	"U2120": "?",
	"U2121": "?",
	"U2122": "?",
	"U2123": "?",
	"U2124": "?",
	"U2125": "?",
	"U2126": "?",
	"U2127": "?",
	"U2128": "?",
	"U2129": "?",
	"U2130": "?",
	"U2131": "?",
	"U2132": "?",
	"U2133": "?",
	"U2134": "?",
	"U2135": "?",
	"U2136": "?",
	"U2137": "?",
	"U2138": "?",
	"U2139": "?",
	"U2140": "?",
	"U2141": "?",
	"U2142": "?",
	"U2143": "?",
	"U2144": "?",
	"U2145": "?",
	"U2146": "?",
	"U2147": "?",
	"U2148": "?",
	"U2149": "?",
	"U2150": "?",
	"U2151": "?",
	"U2152": "?",
	"U2153": "?",
	"U2154": "?",
	"U2155": "?",
	"U2156": "?",
	"U2157": "?",
	"U2158": "?",
	"U2159": "?",
	"U2160": "?",
	"U2161": "?",
	"U2162": "?",
	"U2163": "?",
	"U2164": "?",
	"U2165": "?",
	"U2166": "?",
	"U2167": "?",
	"U2168": "?",
	"U2169": "?",
	"U2170": "?",
	"U2171": "?",
	"U2172": "?",
	"U2173": "?",
	"U2174": "?",
	"U2175": "?",
	"U2176": "?",
	"U2177": "?",
	"U2178": "?",
	"U2179": "?",
	"U2180": "?",
	"U2181": "?",
	"U2182": "?",
	"U2183": "?",
	"U2184": "?",
	"U2185": "?",
	"U2186": "?",
	"U2187": "?",
	"U2188": "?",
	"U2189": "?",
	"U2190": "?",
	"U2191": "?",
	"U2192": "?",
	"U2193": "?",
	"U2194": "?",
	"U2195": "?",
	"U2196": "?",
	"U2197": "?",
	"U2198": "?",
	"U2199": "?",
	"U2200": "Invalid data for Odometer",
	"U2201": "Invalid data for ambient temperature",
	"U2202": "Invalid configuration data received from the -PCM-",
	"U2203": "?",
	"U2204": "?",
	"U2205": "?",
	"U2206": "?",
	"U2207": "?",
	"U2208": "?",
	"U2209": "?",
	"U2210": "?",
	"U2211": "?",
	"U2212": "?",
	"U2213": "?",
	"U2214": "?",
	"U2215": "?",
	"U2216": "?",
	"U2217": "?",
	"U2218": "?",
	"U2219": "?",
	"U2220": "?",
	"U2221": "?",
	"U2222": "?",
	"U2223": "?",
	"U2224": "?",
	"U2225": "?",
	"U2226": "?",
	"U2227": "?",
	"U2228": "?",
	"U2229": "?",
	"U2230": "?",
	"U2231": "?",
	"U2232": "?",
	"U2233": "?",
	"U2234": "?",
	"U2235": "?",
	"U2236": "?",
	"U2237": "?",
	"U2238": "?",
	"U2239": "?",
	"U2240": "?",
	"U2241": "?",
	"U2242": "?",
	"U2243": "?",
	"U2244": "?",
	"U2245": "?",
	"U2246": "?",
	"U2247": "?",
	"U2248": "?",
	"U2249": "?",
	"U2250": "?",
	"U2251": "?",
	"U2252": "?",
	"U2253": "?",
	"U2254": "?",
	"U2255": "?",
	"U2256": "?",
	"U2257": "?",
	"U2258": "?",
	"U2259": "?",
	"U2260": "?",
	"U2261": "?",
	"U2262": "?",
	"U2263": "?",
	"U2264": "?",
	"U2265": "?",
	"U2266": "?",
	"U2267": "?",
	"U2268": "?",
	"U2269": "?",
	"U2270": "?",
	"U2271": "?",
	"U2272": "?",
	"U2273": "?",
	"U2274": "?",
	"U2275": "?",
	"U2276": "?",
	"U2277": "?",
	"U2278": "?",
	"U2279": "?",
	"U2280": "?",
	"U2281": "?",
	"U2282": "?",
	"U2283": "?",
	"U2284": "?",
	"U2285": "?",
	"U2286": "?",
	"U2287": "?",
	"U2288": "?",
	"U2289": "?",
	"U2290": "?",
	"U2291": "?",
	"U2292": "?",
	"U2293": "?",
	"U2294": "?",
	"U2295": "?",
	"U2296": "?",
	"U2297": "?",
	"U2298": "?",
	"U2299": "?",
	"U2300": "?",
	"U2301": "?",
	"U2302": "?",
	"U2303": "?",
	"U2304": "?",
	"U2305": "?",
	"U2306": "?",
	"U2307": "?",
	"U2308": "?",
	"U2309": "?",
	"U2310": "?",
	"U2311": "?",
	"U2312": "?",
	"U2313": "?",
	"U2314": "?",
	"U2315": "?",
	"U2316": "?",
	"U2317": "?",
	"U2318": "?",
	"U2319": "?",
	"U2320": "?",
	"U2321": "?",
	"U2322": "?",
	"U2323": "?",
	"U2324": "?",
	"U2325": "?",
	"U2326": "?",
	"U2327": "?",
	"U2328": "?",
	"U2329": "?",
	"U2330": "?",
	"U2331": "?",
	"U2332": "?",
	"U2333": "?",
	"U2334": "?",
	"U2335": "?",
	"U2336": "?",
	"U2337": "?",
	"U2338": "?",
	"U2339": "?",
	"U2340": "?",
	"U2341": "?",
	"U2342": "?",
	"U2343": "?",
	"U2344": "?",
	"U2345": "?",
	"U2346": "?",
	"U2347": "?",
	"U2348": "?",
	"U2349": "?",
	"U2350": "?",
	"U2351": "?",
	"U2352": "?",
	"U2353": "?",
	"U2354": "?",
	"U2355": "?",
	"U2356": "?",
	"U2357": "?",
	"U2358": "?",
	"U2359": "?",
	"U2360": "?",
	"U2361": "?",
	"U2362": "?",
	"U2363": "?",
	"U2364": "?",
	"U2365": "?",
	"U2366": "?",
	"U2367": "?",
	"U2368": "?",
	"U2369": "?",
	"U2370": "?",
	"U2371": "?",
	"U2372": "?",
	"U2373": "?",
	"U2374": "?",
	"U2375": "?",
	"U2376": "?",
	"U2377": "?",
	"U2378": "?",
	"U2379": "?",
	"U2380": "?",
	"U2381": "?",
	"U2382": "?",
	"U2383": "?",
	"U2384": "?",
	"U2385": "?",
	"U2386": "?",
	"U2387": "?",
	"U2388": "?",
	"U2389": "?",
	"U2390": "?",
	"U2391": "?",
	"U2392": "?",
	"U2393": "?",
	"U2394": "?",
	"U2395": "?",
	"U2396": "?",
	"U2397": "?",
	"U2398": "?",
	"U2399": "?",
	"U2400": "?",
	"U2401": "?",
	"U2402": "?",
	"U2403": "?",
	"U2404": "?",
	"U2405": "?",
	"U2406": "?",
	"U2407": "?",
	"U2408": "?",
	"U2409": "?",
	"U2410": "?",
	"U2411": "?",
	"U2412": "?",
	"U2413": "?",
	"U2414": "?",
	"U2415": "?",
	"U2416": "?",
	"U2417": "?",
	"U2418": "?",
	"U2419": "?",
	"U2420": "?",
	"U2421": "?",
	"U2422": "?",
	"U2423": "?",
	"U2424": "?",
	"U2425": "?",
	"U2426": "?",
	"U2427": "?",
	"U2428": "?",
	"U2429": "?",
	"U2430": "?",
	"U2431": "?",
	"U2432": "?",
	"U2433": "?",
	"U2434": "?",
	"U2435": "?",
	"U2436": "?",
	"U2437": "?",
	"U2438": "?",
	"U2439": "?",
	"U2440": "?",
	"U2441": "?",
	"U2442": "?",
	"U2443": "?",
	"U2444": "?",
	"U2445": "?",
	"U2446": "?",
	"U2447": "?",
	"U2448": "?",
	"U2449": "?",
	"U2450": "?",
	"U2451": "?",
	"U2452": "?",
	"U2453": "?",
	"U2454": "?",
	"U2455": "?",
	"U2456": "?",
	"U2457": "?",
	"U2458": "?",
	"U2459": "?",
	"U2460": "?",
	"U2461": "?",
	"U2462": "?",
	"U2463": "?",
	"U2464": "?",
	"U2465": "?",
	"U2466": "?",
	"U2467": "?",
	"U2468": "?",
	"U2469": "?",
	"U2470": "?",
	"U2471": "?",
	"U2472": "?",
	"U2473": "?",
	"U2474": "?",
	"U2475": "?",
	"U2476": "?",
	"U2477": "?",
	"U2478": "?",
	"U2479": "?",
	"U2480": "?",
	"U2481": "?",
	"U2482": "?",
	"U2483": "?",
	"U2484": "?",
	"U2485": "?",
	"U2486": "?",
	"U2487": "?",
	"U2488": "?",
	"U2489": "?",
	"U2490": "?",
	"U2491": "?",
	"U2492": "?",
	"U2493": "?",
	"U2494": "?",
	"U2495": "?",
	"U2496": "?",
	"U2497": "?",
	"U2498": "?",
	"U2499": "?",
	"U2500": "CAN communication bus fault",
	"U2501": "Communication fault between the -ABS- -ECU- and the transmission control module",
	"U2502": "Vehicle Communication Network Fault",
	"U2503": "?",
	"U2504": "ABS signal missing",
	"U2505": "Vehicle Communication Network Fault",
	"U2506": "CRUISE signal",
	"U2507": "Vehicle Communication Network Fault",
	"U2508": "ABS signal missing",
	"U2509": "Invalid or missing data for engine torque",
	"U2510": "CAN communication bus fault",
	"U2511": "CAN communication bus fault",
	"U2512": "Invalid or missing data for engine -RPM",
	"U2513": "Transmission Position Data Invalid",
	"U2514": "?",
	"U2515": "?",
	"U2516": "?",
	"U2517": "?",
	"U2518": "?",
	"U2519": "?",
	"U2520": "FIAT: Bus comunicazione CAN",
	"U2521": "FIAT: Bus comunicazione CAN",
	"U2522": "FIAT: Guasto di comunicazione tra ECU ABS e il modulo di comando cambio",
	"U2523": "FIAT: Guasto di comunicazione tra ECU ABS e il modulo gestione motore",
	"U2524": "?",
	"U2525": "?",
	"U2526": "FIAT: Bus comunicazione CAN",
	"U2527": "?",
	"U2528": "?",
	"U2529": "?",
	"U2530": "?",
	"U2531": "?",
	"U2532": "?",
	"U2533": "?",
	"U2534": "?",
	"U2535": "?",
	"U2536": "?",
	"U2537": "?",
	"U2538": "?",
	"U2539": "?",
	"U2540": "?",
	"U2541": "?",
	"U2542": "?",
	"U2543": "?",
	"U2544": "?",
	"U2545": "?",
	"U2546": "?",
	"U2547": "?",
	"U2548": "?",
	"U2549": "?",
	"U2550": "?",
	"U2551": "?",
	"U2552": "?",
	"U2553": "?",
	"U2554": "?",
	"U2555": "?",
	"U2556": "?",
	"U2557": "?",
	"U2558": "?",
	"U2559": "?",
	"U2560": "?",
	"U2561": "?",
	"U2562": "?",
	"U2563": "?",
	"U2564": "?",
	"U2565": "?",
	"U2566": "?",
	"U2567": "?",
	"U2568": "?",
	"U2569": "?",
	"U2570": "?",
	"U2571": "?",
	"U2572": "?",
	"U2573": "?",
	"U2574": "?",
	"U2575": "?",
	"U2576": "?",
	"U2577": "?",
	"U2578": "?",
	"U2579": "?",
	"U2580": "?",
	"U2581": "?",
	"U2582": "?",
	"U2583": "?",
	"U2584": "?",
	"U2585": "?",
	"U2586": "?",
	"U2587": "?",
	"U2588": "?",
	"U2589": "?",
	"U2590": "?",
	"U2591": "?",
	"U2592": "?",
	"U2593": "?",
	"U2594": "?",
	"U2595": "?",
	"U2596": "?",
	"U2597": "?",
	"U2598": "?",
	"U2599": "?",
	"U2600": "?",
	"U2601": "?",
	"U2602": "Vehicle Communication Network Fault",
	"U2603": "?",
	"U2604": "?",
	"U2605": "?",
	"U2606": "?",
	"U2607": "FIAT: Rete comunicazione veicolo",
	"U2608": "?",
	"U2609": "?",
	"U2610": "?",
	"U2611": "?",
	"U2612": "?",
	"U2613": "?",
	"U2614": "?",
	"U2615": "?",
	"U2616": "?",
	"U2617": "?",
	"U2618": "?",
	"U2619": "?",
	"U2620": "?",
	"U2621": "?",
	"U2622": "?",
	"U2623": "?",
	"U2624": "?",
	"U2625": "?",
	"U2626": "?",
	"U2627": "?",
	"U2628": "?",
	"U2629": "?",
	"U2630": "?",
	"U2631": "?",
	"U2632": "?",
	"U2633": "?",
	"U2634": "?",
	"U2635": "?",
	"U2636": "?",
	"U2637": "?",
	"U2638": "?",
	"U2639": "?",
	"U2640": "?",
	"U2641": "?",
	"U2642": "?",
	"U2643": "?",
	"U2644": "?",
	"U2645": "?",
	"U2646": "?",
	"U2647": "?",
	"U2648": "?",
	"U2649": "?",
	"U2650": "?",
	"U2651": "?",
	"U2652": "?",
	"U2653": "?",
	"U2654": "?",
	"U2655": "?",
	"U2656": "?",
	"U2657": "?",
	"U2658": "?",
	"U2659": "?",
	"U2660": "?",
	"U2661": "?",
	"U2662": "?",
	"U2663": "?",
	"U2664": "?",
	"U2665": "?",
	"U2666": "?",
	"U2667": "?",
	"U2668": "?",
	"U2669": "?",
	"U2670": "?",
	"U2671": "?",
	"U2672": "?",
	"U2673": "?",
	"U2674": "?",
	"U2675": "?",
	"U2676": "?",
	"U2677": "?",
	"U2678": "?",
	"U2679": "?",
	"U2680": "?",
	"U2681": "?",
	"U2682": "?",
	"U2683": "?",
	"U2684": "?",
	"U2685": "?",
	"U2686": "?",
	"U2687": "?",
	"U2688": "?",
	"U2689": "?",
	"U2690": "?",
	"U2691": "?",
	"U2692": "?",
	"U2693": "?",
	"U2694": "?",
	"U2695": "?",
	"U2696": "?",
	"U2697": "?",
	"U2698": "?",
	"U2699": "?",
	"U2700": "?",
	"U2701": "?",
	"U2702": "?",
	"U2703": "?",
	"U2704": "?",
	"U2705": "?",
	"U2706": "?",
	"U2707": "?",
	"U2708": "?",
	"U2709": "?",
	"U2710": "?",
	"U2711": "?",
	"U2712": "?",
	"U2713": "?",
	"U2714": "?",
	"U2715": "?",
	"U2716": "?",
	"U2717": "?",
	"U2718": "?",
	"U2719": "?",
	"U2720": "?",
	"U2721": "?",
	"U2722": "?",
	"U2723": "?",
	"U2724": "?",
	"U2725": "?",
	"U2726": "?",
	"U2727": "?",
	"U2728": "?",
	"U2729": "?",
	"U2730": "?",
	"U2731": "?",
	"U2732": "?",
	"U2733": "?",
	"U2734": "?",
	"U2735": "?",
	"U2736": "?",
	"U2737": "?",
	"U2738": "?",
	"U2739": "?",
	"U2740": "?",
	"U2741": "?",
	"U2742": "?",
	"U2743": "?",
	"U2744": "?",
	"U2745": "?",
	"U2746": "?",
	"U2747": "?",
	"U2748": "?",
	"U2749": "?",
	"U2750": "?",
	"U2751": "?",
	"U2752": "?",
	"U2753": "?",
	"U2754": "?",
	"U2755": "?",
	"U2756": "?",
	"U2757": "?",
	"U2758": "?",
	"U2759": "?",
	"U2760": "?",
	"U2761": "?",
	"U2762": "?",
	"U2763": "?",
	"U2764": "?",
	"U2765": "?",
	"U2766": "?",
	"U2767": "?",
	"U2768": "?",
	"U2769": "?",
	"U2770": "?",
	"U2771": "?",
	"U2772": "?",
	"U2773": "?",
	"U2774": "?",
	"U2775": "?",
	"U2776": "?",
	"U2777": "?",
	"U2778": "?",
	"U2779": "?",
	"U2780": "?",
	"U2781": "?",
	"U2782": "?",
	"U2783": "?",
	"U2784": "?",
	"U2785": "?",
	"U2786": "?",
	"U2787": "?",
	"U2788": "?",
	"U2789": "?",
	"U2790": "?",
	"U2791": "?",
	"U2792": "?",
	"U2793": "?",
	"U2794": "?",
	"U2795": "?",
	"U2796": "?",
	"U2797": "?",
	"U2798": "?",
	"U2799": "?",
	"U2800": "?",
	"U2801": "?",
	"U2802": "?",
	"U2803": "?",
	"U2804": "?",
	"U2805": "?",
	"U2806": "?",
	"U2807": "?",
	"U2808": "?",
	"U2809": "?",
	"U2810": "?",
	"U2811": "?",
	"U2812": "?",
	"U2813": "?",
	"U2814": "?",
	"U2815": "?",
	"U2816": "?",
	"U2817": "?",
	"U2818": "?",
	"U2819": "?",
	"U2820": "?",
	"U2821": "?",
	"U2822": "?",
	"U2823": "?",
	"U2824": "?",
	"U2825": "?",
	"U2826": "?",
	"U2827": "?",
	"U2828": "?",
	"U2829": "?",
	"U2830": "?",
	"U2831": "?",
	"U2832": "?",
	"U2833": "?",
	"U2834": "?",
	"U2835": "?",
	"U2836": "?",
	"U2837": "?",
	"U2838": "?",
	"U2839": "?",
	"U2840": "?",
	"U2841": "?",
	"U2842": "?",
	"U2843": "?",
	"U2844": "?",
	"U2845": "?",
	"U2846": "?",
	"U2847": "?",
	"U2848": "?",
	"U2849": "?",
	"U2850": "?",
	"U2851": "?",
	"U2852": "?",
	"U2853": "?",
	"U2854": "?",
	"U2855": "?",
	"U2856": "?",
	"U2857": "?",
	"U2858": "?",
	"U2859": "?",
	"U2860": "?",
	"U2861": "?",
	"U2862": "?",
	"U2863": "?",
	"U2864": "?",
	"U2865": "?",
	"U2866": "?",
	"U2867": "?",
	"U2868": "?",
	"U2869": "?",
	"U2870": "?",
	"U2871": "?",
	"U2872": "?",
	"U2873": "?",
	"U2874": "?",
	"U2875": "?",
	"U2876": "?",
	"U2877": "?",
	"U2878": "?",
	"U2879": "?",
	"U2880": "?",
	"U2881": "?",
	"U2882": "?",
	"U2883": "?",
	"U2884": "?",
	"U2885": "?",
	"U2886": "?",
	"U2887": "?",
	"U2888": "?",
	"U2889": "?",
	"U2890": "?",
	"U2891": "?",
	"U2892": "?",
	"U2893": "?",
	"U2894": "?",
	"U2895": "?",
	"U2896": "?",
	"U2897": "?",
	"U2898": "?",
	"U2899": "?",
	"U2900": "?",
	"U2901": "?",
	"U2902": "?",
	"U2903": "?",
	"U2904": "?",
	"U2905": "?",
	"U2906": "?",
	"U2907": "?",
	"U2908": "?",
	"U2909": "?",
	"U2910": "?",
	"U2911": "?",
	"U2912": "?",
	"U2913": "?",
	"U2914": "?",
	"U2915": "?",
	"U2916": "?",
	"U2917": "?",
	"U2918": "?",
	"U2919": "?",
	"U2920": "?",
	"U2921": "?",
	"U2922": "?",
	"U2923": "?",
	"U2924": "?",
	"U2925": "?",
	"U2926": "?",
	"U2927": "?",
	"U2928": "?",
	"U2929": "?",
	"U2930": "?",
	"U2931": "?",
	"U2932": "?",
	"U2933": "?",
	"U2934": "?",
	"U2935": "?",
	"U2936": "?",
	"U2937": "?",
	"U2938": "?",
	"U2939": "?",
	"U2940": "?",
	"U2941": "?",
	"U2942": "?",
	"U2943": "?",
	"U2944": "?",
	"U2945": "?",
	"U2946": "?",
	"U2947": "?",
	"U2948": "?",
	"U2949": "?",
	"U2950": "?",
	"U2951": "?",
	"U2952": "?",
	"U2953": "?",
	"U2954": "?",
	"U2955": "?",
	"U2956": "?",
	"U2957": "?",
	"U2958": "?",
	"U2959": "?",
	"U2960": "?",
	"U2961": "?",
	"U2962": "?",
	"U2963": "?",
	"U2964": "?",
	"U2965": "?",
	"U2966": "?",
	"U2967": "?",
	"U2968": "?",
	"U2969": "?",
	"U2970": "?",
	"U2971": "?",
	"U2972": "?",
	"U2973": "?",
	"U2974": "?",
	"U2975": "?",
	"U2976": "?",
	"U2977": "?",
	"U2978": "?",
	"U2979": "?",
	"U2980": "?",
	"U2981": "?",
	"U2982": "?",
	"U2983": "?",
	"U2984": "?",
	"U2985": "?",
	"U2986": "?",
	"U2987": "?",
	"U2988": "?",
	"U2989": "?",
	"U2990": "?",
	"U2991": "?",
	"U2992": "?",
	"U2993": "?",
	"U2994": "?",
	"U2995": "?",
	"U2996": "?",
	"U2997": "?",
	"U2998": "?",
	"U2999": "?",
	"U3000": "Ford: Right Rear Tire Pressure Sensor Is Not Responding",
	"U3001": "Ford: Voltage supply failure",
	"U3002": "?",
	"U3003": "?",
	"U3004": "?",
	"U3005": "?",
	"U3006": "?",
	"U3007": "?",
	"U3008": "?",
	"U3009": "?",
	"U3010": "?",
	"U3011": "?",
	"U3012": "?",
	"U3013": "?",
	"U3014": "?",
	"U3015": "?",
	"U3016": "?",
	"U3017": "?",
	"U3018": "?",
	"U3019": "?",
	"U3020": "?",
	"U3021": "?",
	"U3022": "?",
	"U3023": "?",
	"U3024": "?",
	"U3025": "?",
	"U3026": "?",
	"U3027": "?",
	"U3028": "?",
	"U3029": "?",
	"U3030": "?",
	"U3031": "?",
	"U3032": "?",
	"U3033": "?",
	"U3034": "?",
	"U3035": "?",
	"U3036": "?",
	"U3037": "?",
	"U3038": "?",
	"U3039": "?",
	"U3040": "?",
	"U3041": "?",
	"U3042": "?",
	"U3043": "?",
	"U3044": "?",
	"U3045": "?",
	"U3046": "?",
	"U3047": "?",
	"U3048": "?",
	"U3049": "?",
	"U3050": "?",
	"U3051": "?",
	"U3052": "?",
	"U3053": "?",
	"U3054": "?",
	"U3055": "?",
	"U3056": "?",
	"U3057": "?",
	"U3058": "?",
	"U3059": "?",
	"U3060": "?",
	"U3061": "?",
	"U3062": "?",
	"U3063": "?",
	"U3064": "?",
	"U3065": "?",
	"U3066": "?",
	"U3067": "?",
	"U3068": "?",
	"U3069": "?",
	"U3070": "?",
	"U3071": "?",
	"U3072": "?",
	"U3073": "?",
	"U3074": "?",
	"U3075": "?",
	"U3076": "?",
	"U3077": "?",
	"U3078": "?",
	"U3079": "?",
	"U3080": "?",
	"U3081": "?",
	"U3082": "?",
	"U3083": "?",
	"U3084": "?",
	"U3085": "?",
	"U3086": "?",
	"U3087": "?",
	"U3088": "?",
	"U3089": "?",
	"U3090": "?",
	"U3091": "?",
	"U3092": "?",
	"U3093": "?",
	"U3094": "?",
	"U3095": "?",
	"U3096": "?",
	"U3097": "?",
	"U3098": "?",
	"U3099": "?"

}

pcode_classes = {
    "P00XX": "Fuel and Air Metering and Auxiliary Emission Controls",
    "P01XX": "Fuel and Air Merering",
    "P02XX": "Fuel and Air Merering",
    "P03XX": "Ignition System or Misfire",
    "P04XX": "Auxiliary Emission Controls",
    "P05XX": "Vehicle Speed, Idle Control, and Auxiliary Inputs",
    "P06XX": "Computer and Auxiliary Outputs",
    "P07XX": "Transmission",
    "P08XX": "Transmission",
    "P09XX": "Transmission",
    "P0AXX": "Hybrid Propulsion",
    "P10XX": "Manufacturer Controlled Fuel and Air Metering and Auxiliary Emission Controls",
    "P11XX": "Manufacturer Controlled Fuel and Air Merering",
    "P12XX": "Fuel and Air Merering",
    "P13XX": "Ignition System or Misfire",
    "P14XX": "Auxiliary Emission Controls",
    "P15XX": "Vehicle Speed, Idle Control, and Auxiliary Inputs",
    "P16XX": "Computer and Auxiliary Outputs",
    "P17XX": "Transmission",
    "P18XX": "Transmission",
    "P19XX": "Transmission",
    "P2XXX": "Personalised",
    "P3XXX": "Personalised",
    "BXXXX": "Body Codes",
    "CXXXX": "Chassis Codes",
    "UXXXX": "Network or data link code"
    
    }

ptest= [
      "DTCs:",
      "MIL:",
      #A
      "Misfire:",
      "Fuel system:",
      "Components:",
      #B,D
      "Catalyst:",
      "Heated Catalyst:",
      "Evaporative system:",
      "Secondary Air System:",
      "A/C Refrigerant:" ,
      "Oxygen Sensor:",
      "Oxygen Sensor Heater:",
      "EGR SystemC7:" 
]
